!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 14:34             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl2()
    coupl(nGC_12484) = -cima*ee
    coupl(nGC_12485) = -2d0*gs
    coupl(nGC_12486) = -2d0*cima*ee
    coupl(nGC_12483) = cima*ee
    coupl(nGC_12804) = cima*ee*sa/(2d0*sw**2d0)
    coupl(nGC_12805) = -ca*cima*ee/(2d0*sw)
    coupl(nGC_12806) = -cima*ee*sa/(2d0*sw)
    coupl(nGC_17) = -2d0*gs
    coupl(nGC_16) = ca*cima*ee**2d0/(2d0*cw)
    coupl(nGC_15) = -ca*cima*ee**2d0/(2d0*cw)
    coupl(nGC_14) = ee**2d0/(2d0*cw)
    coupl(nGC_13) = -ee**2d0/(2d0*cw)
    coupl(nGC_12) = ca*ee**2d0/(4d0*cw**2d0)
    coupl(nGC_11) = -ca*ee**2d0/(4d0*cw**2d0)
    coupl(nGC_10) = 2d0*cima*ee**2d0
    coupl(nGC_12620) = -ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                       sw**2d0)
    coupl(nGC_12622) = cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**  &
                       2d0*sw**2d0)
    coupl(nGC_12623) = -ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                       sw**2d0)
    coupl(nGC_19) = cima*gs
    coupl(nGC_18) = -gs
    coupl(nGC_7893) = -coupl(nGC_20) + coupl(nGC_21)
    coupl(nGC_371) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_12561) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_12560) = sqrt(2d0)*cima*sa*ys/2d0
    coupl(nGC_12567) = -ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                       2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_12566) = ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw**  &
                       2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_12569) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                       **2d0)
    coupl(nGC_12568) = -cima*ee**2d0*(ca - sa)*(ca + sa)*(cw**2d0 + sw**2d0)** &
                       2d0/(2d0*cw**2d0*sw**2d0)
    coupl(nGC_12494) = -4d0*cima*ee**2d0
    coupl(nGC_12493) = 2d0*cima*ee**2d0
    coupl(nGC_12492) = -2d0*cima*ee**2d0
    coupl(nGC_12813) = cima*ee**2d0/(2d0*cw)
    coupl(nGC_12812) = -cima*ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_12811) = -2d0*cima*ee/3d0
    coupl(nGC_12817) = ca*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_12816) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_12815) = -sqrt(2d0)*ca*cima*yb/2d0
    coupl(nGC_12814) = cima*ee**2d0*vev/cw
    coupl(nGC_12819) = -ca*cima*ee**2d0/sw
    coupl(nGC_12818) = cima*ee**2d0*sa/(2d0*sw)
    coupl(nGC_12633) = -cima*ee**2d0/sw
    coupl(nGC_12632) = cima*cw*ee**2d0/sw**2d0
    coupl(nGC_12634) = -2d0*cima*cw*ee**2d0/sw
    coupl(nGC_3565) = -coupl(nGC_206)
    coupl(nGC_12556) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw &
                       **2d0)
    coupl(nGC_12557) = -ca**2d0*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                       sw**2d0)
    coupl(nGC_12554) = ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                       2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_12555) = -ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                       **2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_12552) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_12553) = -cima/2d0
    coupl(nGC_12551) = -sqrt(2d0)*ca*cima*ye/2d0
    coupl(nGC_12558) = cima*ee**2d0/sw**3d0
    coupl(nGC_12559) = -cima*ee**2d0/sw**2d0
    coupl(nGC_12952) = cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                       2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_12953) = ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**  &
                       2d0*sw**2d0)
    coupl(nGC_12950) = -cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                       2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_12951) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
    coupl(nGC_12954) = cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                       **2d0)
    coupl(nGC_MW_GF) = cMW*cima
    coupl(nGC_12826) = ca*cima*ee**2d0/(2d0*cw**2d0)
    coupl(nGC_12827) = cima*ee**2d0*sa/(2d0*cw)
    coupl(nGC_12824) = -cima*ee**2d0*sa/cw
    coupl(nGC_12825) = sqrt(2d0)/2d0
    coupl(nGC_12822) = cima*ee**2d0*sa/(2d0*cw**2d0)
    coupl(nGC_12823) = -ca*cima*ee**2d0/(2d0*cw)
    coupl(nGC_12820) = sqrt(2d0)*cima*sa*ydo/2d0
    coupl(nGC_12821) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_12828) = -ca*cima*ee**2d0/cw
    coupl(nGC_12829) = ee**2d0/(2d0*cw**2d0)
    coupl(nGC_12608) = ca*cima*ee**2d0/(2d0*cw)
    coupl(nGC_12609) = cima*ee**2d0*sa/cw
    coupl(nGC_12607) = -cima*ee**2d0*sa/(2d0*cw**2d0)
    coupl(nGC_12602) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                       **2d0)
    coupl(nGC_12600) = -ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                       **2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_12601) = ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                       2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_1209) = -coupl(nGC_98)
    coupl(nGC_12738) = ca*cima*ee/(2d0*sw)
    coupl(nGC_12739) = cima*ee*sa/(2d0*sw)
    coupl(nGC_12732) = -cima*ee**2d0/sw**3d0
    coupl(nGC_12733) = cima*ee**2d0/sw**2d0
    coupl(nGC_12731) = sqrt(2d0)/2d0
    coupl(nGC_12736) = -4d0*cima*cw*ee**2d0/sw
    coupl(nGC_12737) = -cima*ee*sa/(2d0*sw**2d0)
    coupl(nGC_12734) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_12735) = -2d0*cima*ee**2d0/sw
    coupl(nGC_12904) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_3423) = -coupl(nGC_18)
    coupl(nGC_12700) = ee**2d0/sw
    coupl(nGC_383) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_381) = -sqrt(2d0)*ca*cima*yt/2d0
    coupl(nGC_387) = cima*gs
    coupl(nGC_MZ_GF) = cMZ
    coupl(nGC_721) = -coupl(nGC_21)
    coupl(nGC_723) = 2d0*coupl(nGC_21)
    coupl(nGC_126) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_127) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(2d0*cw)
    coupl(nGC_124) = cima*ee*sw/cw
    coupl(nGC_125) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_122) = cima*ee*sw/(3d0*cw)
    coupl(nGC_123) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_120) = cima*ee**2d0*sa/(2d0*sw)
    coupl(nGC_121) = -cima*ee**2d0*sa/sw
    coupl(nGC_128) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_129) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_MMW_GF) = -cMW*cima
    coupl(nGC_12945) = sqrt(2d0)*cima*sa*ym/2d0
    coupl(nGC_12947) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_12946) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_12941) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
    coupl(nGC_12940) = -ca*cima*ee**2d0*vev/sw**2d0
    coupl(nGC_12942) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_12949) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_12948) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_I) = cima
    coupl(nGC_12838) = -4d0*cima*ee**2d0/sw**2d0
    coupl(nGC_12831) = -6d0*ca*cima*sa*(-ca**2d0*l2 + 2d0*ca**2d0*l3 + 2d0*l1* &
                       sa**2d0 - 2d0*l3*sa**2d0)
    coupl(nGC_12830) = -ee**2d0/cw
    coupl(nGC_12833) = -3d0*cima*sa**4d0
    coupl(nGC_12832) = -3d0*ca**4d0*cima/2d0
    coupl(nGC_12835) = -ee/(2d0*sw**2d0)
    coupl(nGC_12834) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_12837) = 4d0*cima*ee**2d0/sw**3d0
    coupl(nGC_12836) = ee/(2d0*sw)
    coupl(nGC_12540) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_12545) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                       cw**2d0*sw**3d0)
    coupl(nGC_12547) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_12546) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                       **3d0*sw**2d0)
    coupl(nGC_12611) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_12610) = 2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_12613) = -ca*cima*sa*(l2 - 2d0*l3)
    coupl(nGC_12612) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_12615) = -ca**2d0*cima
    coupl(nGC_12614) = -cima*sa**2d0/2d0
    coupl(nGC_12617) = -cima*ee**2d0*(ca - sa)*(ca + sa)/(2d0*sw**2d0)
    coupl(nGC_12616) = ca*cima*ee**2d0*sa/sw**3d0
    coupl(nGC_12619) = ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                       2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_12618) = -ca*cima*ee**2d0*sa/sw**2d0
    coupl(nGC_3) = -cima*ee
    coupl(nGC_2) = -2d0*cima*ee/3d0
    coupl(nGC_1) = cima*ee/3d0
    coupl(nGC_7) = -cima*ee**2d0
    coupl(nGC_6) = 2d0*cima*ee
    coupl(nGC_5) = -2d0*cima*ee
    coupl(nGC_4) = cima*ee
    coupl(nGC_9) = -2d0*cima*ee**2d0
    coupl(nGC_8) = cima*ee**2d0
    coupl(nGC_1361) = -coupl(nGC_202)
    coupl(nGC_12720) = -cima*ee**2d0*sa/(2d0*sw)
    coupl(nGC_12544) = -sqrt(2d0)/2d0
    coupl(nGC_12750) = -cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_12751) = ca*cima*ee**2d0/(2d0*sw)
    coupl(nGC_12752) = cima*ee**2d0*sa/sw
    coupl(nGC_12753) = cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                       2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_733) = -2d0*coupl(nGC_21)
    coupl(nGC_135) = -cw*ee*sa/(2d0*sw) - ee*sa*sw/(2d0*cw)
    coupl(nGC_134) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
    coupl(nGC_137) = -cima*cw**2d0*ee**2d0/(4d0*sw**2d0) - cima*ee**2d0/2d0 -  &
                     cima*ee**2d0*sw**2d0/(4d0*cw**2d0)
    coupl(nGC_136) = cw*ee*sa/(2d0*sw) + ee*sa*sw/(2d0*cw)
    coupl(nGC_131) = ca*cw*ee/(2d0*sw) + ca*ee*sw/(2d0*cw)
    coupl(nGC_130) = -ca*cw*ee/(2d0*sw) - ca*ee*sw/(2d0*cw)
    coupl(nGC_133) = cima*cw*ee**2d0/sw - cima*ee**2d0*sw/cw
    coupl(nGC_132) = cima*cw*ee**2d0/(2d0*sw) - cima*ee**2d0*sw/(2d0*cw)
    coupl(nGC_139) = -cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 - cima*&
                     ee**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_138) = -cima*cw**2d0*ee**2d0/(4d0*sw**2d0) + cima*ee**2d0/2d0 -  &
                     cima*ee**2d0*sw**2d0/(4d0*cw**2d0)
    coupl(nGC_1195) = -coupl(nGC_226)
    coupl(nGC_12848) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
    coupl(nGC_12849) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
    coupl(nGC_12721) = ca*cima*ee**2d0/sw
    coupl(nGC_12846) = 2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_12847) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_12538) = ca*cima*ee**2d0/cw
    coupl(nGC_12539) = sqrt(2d0)*cima*sa*ye/2d0
    coupl(nGC_12534) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                       cw**3d0*sw**2d0)
    coupl(nGC_12535) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_12536) = -ca*cima*ee**2d0/(2d0*cw**2d0)
    coupl(nGC_12537) = -cima*ee**2d0*sa/(2d0*cw)
    coupl(nGC_12533) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                       **2d0*sw**3d0)
    coupl(nGC_12664) = -3d0*ca**2d0*cima*sa**2d0/2d0
    coupl(nGC_12665) = -3d0*ca**2d0*cima*sa**2d0
    coupl(nGC_12666) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
    coupl(nGC_12667) = -ee**2d0/(2d0*cw**2d0)
    coupl(nGC_12663) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)*(2d0*l1 + l2 - 4d0* &
                       l3)
    coupl(nGC_12668) = ee**2d0/cw
    coupl(nGC_12669) = cima*ee**2d0*sa*vev/sw**3d0
    coupl(nGC_3111) = -coupl(nGC_222)
    coupl(nGC_100) = -ca*cima*ee/(2d0*sw)
    coupl(nGC_101) = ca*cima*ee/(2d0*sw)
    coupl(nGC_102) = -cima*cw*ee/sw
    coupl(nGC_103) = cima*cw*ee/sw
    coupl(nGC_104) = -2d0*cima*cw*ee/sw
    coupl(nGC_105) = 2d0*cima*cw*ee/sw
    coupl(nGC_106) = -ee**2d0/sw
    coupl(nGC_107) = -ee**2d0/(2d0*sw)
    coupl(nGC_108) = ee**2d0/(2d0*sw)
    coupl(nGC_109) = ee**2d0/sw
    coupl(nGC_12702) = -ee**2d0/sw
    coupl(nGC_12701) = ee**2d0/(2d0*sw**2d0)
    coupl(nGC_12859) = ca*cima*ee/(2d0*sw**2d0)
    coupl(nGC_12858) = -4d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_12857) = -4d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_12856) = 4d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_12855) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_12854) = -sqrt(2d0)*ca*cima*ydo/2d0
    coupl(nGC_12853) = -cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw &
                       **2d0)
    coupl(nGC_12852) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                       cw**3d0*sw**2d0)
    coupl(nGC_12851) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                       **2d0*sw**3d0)
    coupl(nGC_12850) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
    coupl(nGC_12526) = ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_12525) = ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_12524) = ee*sa*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_12523) = -ee*sa*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_12677) = -sqrt(2d0)*ca*cima*ym/2d0
    coupl(nGC_12672) = -cima*ee**2d0*sa*vev/sw**2d0
    coupl(nGC_12671) = -ca*cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_12670) = -cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_12679) = cima*cw*ee/sw**2d0
    coupl(nGC_12678) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_66) = -ca**2d0*cima*l3 + cima*ee**2d0*sa**2d0/(4d0*sw**2d0) -    &
                    cima*l2*sa**2d0/2d0 + cima*ee**2d0*sa**2d0/(4d0*cw**2d0)
    coupl(nGC_12499) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_12501) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_751) = -coupl(nGC_4)
    coupl(nGC_119) = -cima*ee**2d0*sa/(2d0*sw)
    coupl(nGC_118) = cima*ee*sa/(2d0*sw)
    coupl(nGC_117) = -cima*ee*sa/(2d0*sw)
    coupl(nGC_116) = 2d0*cima*cw*ee**2d0/sw
    coupl(nGC_115) = -2d0*cima*cw*ee**2d0/sw
    coupl(nGC_114) = cima*cw*ee**2d0/sw
    coupl(nGC_113) = -cima*cw*ee**2d0/sw
    coupl(nGC_112) = -ca*cima*ee**2d0/sw
    coupl(nGC_111) = ca*cima*ee**2d0/(2d0*sw)
    coupl(nGC_110) = -ca*cima*ee**2d0/(2d0*sw)
    coupl(nGC_2063) = -coupl(nGC_194)
    coupl(nGC_7875) = coupl(nGC_20) - coupl(nGC_21)
    coupl(nGC_901) = -coupl(nGC_210)
    coupl(nGC_1253) = -coupl(nGC_3)
    coupl(nGC_2053) = -coupl(nGC_118)
    coupl(nGC_1175) = -coupl(nGC_102)
    coupl(nGC_7627) = -coupl(nGC_101)
    coupl(nGC_3275) = -coupl(nGC_218)
    coupl(nGC_4727) = -coupl(nGC_100)
    coupl(nGC_2889) = -coupl(nGC_103)
    coupl(nGC_7879) = -coupl(nGC_20) - coupl(nGC_21)
    coupl(nGC_2353) = -coupl(nGC_198)
  end subroutine fill_couplings_mdl2
end module fill_couplings2
