!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 14:34             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_13479) = coupl(nGC_12862)*dsw_QED2 + coupl(nGC_12863)*dcw_QED2 + &
                       coupl(nGC_12864)*da_QED2 + coupl(nGC_12865)*dZee_QED2
    coupl(nGC_13362) = coupl(nGC_12877)*dsw_QED2 + coupl(nGC_12878)*da_QED2 +  &
                       coupl(nGC_12879)*dZee_QED2
    coupl(nGC_13464) = coupl(nGC_12898)*dsw_QED2 + coupl(nGC_12899)*dZee_QED2
    coupl(nGC_13466) = coupl(nGC_12891)*dsw_QED2 + coupl(nGC_12892)*da_QED2 +  &
                       coupl(nGC_12893)*dZee_QED2
    coupl(nGC_19306) = coupl(nGC_99)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_13418) = coupl(nGC_12625)*dys_QED1_QCD2
    coupl(nGC_20227) = coupl(nGC_212)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_TS_GC_212_Hh) = -coupl(nGC_212)*dtHh_QED1/cMHH**2d0
    coupl(nGC_13438) = coupl(nGC_12797)*dyt_QED3
    coupl(nGC_13437) = coupl(nGC_12797)*dyt_QED1_QCD2
    coupl(nGC_19221) = coupl(nGC_99)*(dZbL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_20962) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_20963) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_19318) = coupl(nGC_226)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_19317) = coupl(nGC_226)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_13407) = coupl(nGC_12502)*dyb_QED1_QCD2
    coupl(nGC_13402) = cima*dyt_QED3
    coupl(nGC_13401) = cima*dyt_QED1_QCD2
    coupl(nGC_13400) = -cima*dyb_QED3
    coupl(nGC_21981) = coupl(nGC_206)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_13408) = coupl(nGC_12502)*dyb_QED3
    coupl(nGC_23120) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_20364) = coupl(nGC_202)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_20365) = coupl(nGC_202)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_TS_GC_224_Hh) = -coupl(nGC_224)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_227_Hl) = -coupl(nGC_227)*dtHl_QED1/cMHL**2d0
    coupl(nGC_19509) = coupl(nGC_MI)*dZnu_muL_QED2
    coupl(nGC_TS_GC_215_Hl) = -coupl(nGC_215)*dtHl_QED1/cMHL**2d0
    coupl(nGC_19466) = coupl(nGC_13402) + coupl(nGC_217)*dZbL_QED2/2d0 + coupl(&
                       nGC_217)*dZtR_QED2/2d0
    coupl(nGC_13508) = coupl(nGC_12885)*dsw_QED2 + coupl(nGC_12886)*dcw_QED2 + &
                       coupl(nGC_12887)*dZee_QED2
    coupl(nGC_13504) = coupl(nGC_12789)*dsw_QED2 + coupl(nGC_12790)*dcw_QED2 + &
                       coupl(nGC_12791)*dZee_QED2
    coupl(nGC_13505) = coupl(nGC_12785)*dsw_QED2 + coupl(nGC_12786)*dcw_QED2 + &
                       coupl(nGC_12787)*dZee_QED2
    coupl(nGC_13500) = coupl(nGC_12799)*dZee_QED2
    coupl(nGC_TS_GC_93_Hh) = -coupl(nGC_93)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_93_Hl) = -coupl(nGC_93)*dtHl_QED1/cMHL**2d0
    coupl(nGC_23119) = coupl(nGC_MI)*dZeMinusL_QED2
    coupl(nGC_13439) = coupl(nGC_12875)*da_QED2 + coupl(nGC_12876)*dyup_QED3
    coupl(nGC_13347) = coupl(nGC_12656)*da_QED2 + coupl(nGC_12657)*dl2_QED4 +  &
                       coupl(nGC_12658)*dl1_QED4 + coupl(nGC_12659)*dl3_QED4
    coupl(nGC_TS_GC_203_Hl) = -coupl(nGC_203)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_204_Hh) = -coupl(nGC_204)*dtHh_QED1/cMHH**2d0
    coupl(nGC_19597) = coupl(nGC_215)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_25956) = coupl(nGC_MI)*dZmuMinusL_QED2
    coupl(nGC_25957) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_13425) = coupl(nGC_12884)*dym_QED3
    coupl(nGC_13426) = coupl(nGC_12798)*dytau_QED3
    coupl(nGC_13421) = -cima*dye_QED3
    coupl(nGC_13423) = -cima*dytau_QED3
    coupl(nGC_13422) = -cima*dym_QED3
    coupl(nGC_13357) = coupl(nGC_12640)*da_QED2 + coupl(nGC_12641)*dl2_QED4 +  &
                       coupl(nGC_12642)*dl1_QED4 + coupl(nGC_12643)*dl3_QED4
    coupl(nGC_13351) = coupl(nGC_12644)*da_QED2 + coupl(nGC_12645)*dl2_QED4 +  &
                       coupl(nGC_12646)*dl3_QED4
    coupl(nGC_13350) = -cima*dl2_QED4
    coupl(nGC_13358) = coupl(nGC_12696)*da_QED2 + coupl(nGC_12697)*dl2_QED4 +  &
                       coupl(nGC_12698)*dl3_QED4
    coupl(nGC_19837) = coupl(nGC_148)*dZZA_QED2/2d0
    coupl(nGC_19272) = coupl(nGC_216)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_19273) = coupl(nGC_216)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_19276) = coupl(nGC_13418) + coupl(nGC_19273)
    coupl(nGC_21086) = coupl(nGC_204)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_21085) = coupl(nGC_204)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_13295) = cima*(20d0*Nc*coupl(nGC_196)**4d0 + 20d0*Nc*coupl(      &
                       nGC_200)**4d0 + 20d0*Nc*coupl(nGC_204)**4d0 + 20d0*Nc*  &
                       coupl(nGC_216)**4d0 + 20d0*Nc*coupl(nGC_220)**4d0 + 20d0&
                       *Nc*coupl(nGC_228)**4d0 + 3d0*coupl(nGC_151)**2d0 + 20d0&
                       *coupl(nGC_208)**4d0 + 20d0*coupl(nGC_212)**4d0 + 20d0* &
                       coupl(nGC_224)**4d0 + 6d0*coupl(nGC_96)**2d0)/(16d0*pi**&
                       2d0)
    coupl(nGC_TS_GC_184_Hl) = -coupl(nGC_184)*dtHl_QED1/cMHL**2d0
    coupl(nGC_19127) = coupl(nGC_13421) + coupl(nGC_205)*dZeMinusR_QED2/2d0 +  &
                       coupl(nGC_205)*dZnu_eL_QED2/2d0
    coupl(nGC_13367) = coupl(nGC_12682)*dsw_QED2 + coupl(nGC_12683)*dcw_QED2 + &
                       coupl(nGC_12684)*dZee_QED2
    coupl(nGC_13364) = coupl(nGC_12792)*dsw_QED2 + coupl(nGC_12793)*da_QED2 +  &
                       coupl(nGC_12794)*dZee_QED2
    coupl(nGC_22061) = coupl(nGC_MI)*dZtauMinusL_QED2
    coupl(nGC_22062) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_22066) = coupl(nGC_MI)*dZtauMinusR_QED2
    coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
    coupl(nGC_20920) = coupl(nGC_222)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_20921) = -coupl(nGC_13426) - coupl(nGC_20920)
    coupl(nGC_19467) = coupl(nGC_13400) + coupl(nGC_193)*dZbR_QED2/2d0 + coupl(&
                       nGC_193)*dZtL_QED2/2d0
    coupl(nGC_19464) = coupl(nGC_13401) + coupl(nGC_217)*dZbL_QCD2/2d0 + coupl(&
                       nGC_217)*dZtR_QCD2/2d0
    coupl(nGC_27538) = coupl(nGC_MI)*dZnu_tauL_QED2
    coupl(nGC_19596) = coupl(nGC_215)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_25972) = coupl(nGC_MI)*dZAZ_QED2/2d0
    coupl(nGC_25973) = coupl(nGC_MZ)*dZZA_QED2/2d0
    coupl(nGC_25971) = coupl(nGC_MI)*dZZA_QED2/2d0
    coupl(nGC_21385) = coupl(nGC_218)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_21384) = coupl(nGC_218)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_21387) = coupl(nGC_13438) + coupl(nGC_21384)
    coupl(nGC_21386) = -coupl(nGC_13438) - coupl(nGC_21384)
    coupl(nGC_21389) = coupl(nGC_13437) + coupl(nGC_21385)
    coupl(nGC_21388) = -coupl(nGC_13437) - coupl(nGC_21385)
    coupl(nGC_13577) = -cima*dMU_QCD2
    coupl(nGC_13576) = -cima*dMU_QED2
    coupl(nGC_13575) = -cima*dMTA_QED2
    coupl(nGC_13574) = -cima*dMM_QED2
    coupl(nGC_13573) = -cima*dME_QED2
    coupl(nGC_13571) = -cima*dMHH2_QED2
    coupl(nGC_13570) = -cima*dMHL2_QED2
    coupl(nGC_13579) = -cima*dMC_QCD2
    coupl(nGC_12970) = cima*(Nc*coupl(nGC_196)**2d0 + Nc*coupl(nGC_200)**2d0 + &
                       Nc*coupl(nGC_204)**2d0 + Nc*coupl(nGC_216)**2d0 + Nc*   &
                       coupl(nGC_220)**2d0 + Nc*coupl(nGC_228)**2d0 + coupl(   &
                       nGC_208)**2d0 + coupl(nGC_212)**2d0 + coupl(nGC_224)**  &
                       2d0)/(24d0*pi**2d0)
    coupl(nGC_12971) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_196)**2d0 - 4d0*Nc*cMC &
                       **2d0*cima*coupl(nGC_200)**2d0 - 4d0*Nc*cMD**2d0*cima*  &
                       coupl(nGC_204)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_216&
                       )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_220)**2d0 - 4d0*&
                       Nc*cMU**2d0*cima*coupl(nGC_228)**2d0 - 4d0*cME**2d0*cima&
                       *coupl(nGC_208)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_212  &
                       )**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_224)**2d0 - 2d0*  &
                       cMW**2d0*coupl(nGC_96) - cMZ**2d0*coupl(nGC_151) + 2d0* &
                       cima*coupl(nGC_165)**2d0 + cima*coupl(nGC_178)**2d0)/(  &
                       16d0*pi**2d0)
    coupl(nGC_12972) = cima*(Nc*coupl(nGC_195)*coupl(nGC_196) + Nc*coupl(      &
                       nGC_199)*coupl(nGC_200) + Nc*coupl(nGC_203)*coupl(      &
                       nGC_204) + Nc*coupl(nGC_215)*coupl(nGC_216) + Nc*coupl( &
                       nGC_219)*coupl(nGC_220) + Nc*coupl(nGC_227)*coupl(      &
                       nGC_228) + coupl(nGC_207)*coupl(nGC_208) + coupl(nGC_211&
                       )*coupl(nGC_212) + coupl(nGC_223)*coupl(nGC_224))/(24d0*&
                       pi**2d0)
    coupl(nGC_12973) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_195)*coupl(nGC_196) -  &
                       4d0*Nc*cMC**2d0*cima*coupl(nGC_199)*coupl(nGC_200) - 4d0&
                       *Nc*cMD**2d0*cima*coupl(nGC_203)*coupl(nGC_204) - 4d0*Nc&
                       *cMS**2d0*cima*coupl(nGC_215)*coupl(nGC_216) - 4d0*Nc*  &
                       cMT**2d0*cima*coupl(nGC_219)*coupl(nGC_220) - 4d0*Nc*cMU&
                       **2d0*cima*coupl(nGC_227)*coupl(nGC_228) - 4d0*cME**2d0*&
                       cima*coupl(nGC_207)*coupl(nGC_208) - 4d0*cMM**2d0*cima* &
                       coupl(nGC_211)*coupl(nGC_212) - 4d0*cMTA**2d0*cima*coupl&
                       (nGC_223)*coupl(nGC_224) - 2d0*cMW**2d0*coupl(nGC_93) - &
                       cMZ**2d0*coupl(nGC_148) + 2d0*cima*coupl(nGC_162)*coupl(&
                       nGC_165) + cima*coupl(nGC_175)*coupl(nGC_178))/(16d0*pi &
                       **2d0)
    coupl(nGC_19131) = coupl(nGC_13362) + coupl(nGC_81)*dZHl_QED2 + coupl(     &
                       nGC_92)*dZHhHl_QED2
    coupl(nGC_13378) = coupl(nGC_349)*dvev_QED1 + coupl(nGC_351)*dl1_QED4 +    &
                       coupl(nGC_353)*dl2_QED4 + coupl(nGC_355)*dvevs_QED1 +   &
                       coupl(nGC_357)*da_QED2 + coupl(nGC_359)*dl3_QED4
    coupl(nGC_13374) = coupl(nGC_321)*dvev_QED1 + coupl(nGC_323)*dl1_QED4 +    &
                       coupl(nGC_325)*dl2_QED4 + coupl(nGC_327)*dvevs_QED1 +   &
                       coupl(nGC_329)*da_QED2 + coupl(nGC_331)*dl3_QED4
    coupl(nGC_13377) = coupl(nGC_335)*dvev_QED1 + coupl(nGC_337)*dl1_QED4 +    &
                       coupl(nGC_339)*dl2_QED4 + coupl(nGC_341)*dvevs_QED1 +   &
                       coupl(nGC_343)*da_QED2 + coupl(nGC_345)*dl3_QED4
    coupl(nGC_13376) = coupl(nGC_12780)*da_QED2 + coupl(nGC_12781)*dl2_QED4 +  &
                       coupl(nGC_12782)*dvev_QED1 + coupl(nGC_12783)*dvevs_QED1&
                        + coupl(nGC_12784)*dl3_QED4
    coupl(nGC_13373) = coupl(nGC_307)*dvev_QED1 + coupl(nGC_309)*dl1_QED4 +    &
                       coupl(nGC_311)*dl2_QED4 + coupl(nGC_313)*dvevs_QED1 +   &
                       coupl(nGC_315)*da_QED2 + coupl(nGC_317)*dl3_QED4
    coupl(nGC_13372) = coupl(nGC_12766)*da_QED2 + coupl(nGC_12767)*dl2_QED4 +  &
                       coupl(nGC_12768)*dvev_QED1 + coupl(nGC_12769)*dvevs_QED1&
                        + coupl(nGC_12770)*dl3_QED4
    coupl(nGC_12983) = cMC*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_13454) = coupl(nGC_12744)*dsw_QED2 + coupl(nGC_12745)*da_QED2 +  &
                       coupl(nGC_12746)*dZee_QED2
    coupl(nGC_13455) = coupl(nGC_12888)*dsw_QED2 + coupl(nGC_12889)*dvev_QED1  &
                        + coupl(nGC_12890)*dZee_QED2
    coupl(nGC_21269) = coupl(nGC_200)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_25961) = coupl(nGC_MI)*dZmuMinusR_QED2
    coupl(nGC_TS_GC_192_Hh) = -coupl(nGC_192)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_192_Hl) = -coupl(nGC_192)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_199_Hl) = -coupl(nGC_199)*dtHl_QED1/cMHL**2d0
    coupl(nGC_12963) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_195)**2d0 - 4d0*Nc*cMC &
                       **2d0*cima*coupl(nGC_199)**2d0 - 4d0*Nc*cMD**2d0*cima*  &
                       coupl(nGC_203)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_215&
                       )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_219)**2d0 - 4d0*&
                       Nc*cMU**2d0*cima*coupl(nGC_227)**2d0 - 4d0*cME**2d0*cima&
                       *coupl(nGC_207)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_211  &
                       )**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_223)**2d0 - 2d0*  &
                       cMW**2d0*coupl(nGC_82) - cMZ**2d0*coupl(nGC_145) + 2d0* &
                       cima*coupl(nGC_162)**2d0 + cima*coupl(nGC_175)**2d0)/(  &
                       16d0*pi**2d0)
    coupl(nGC_12962) = cima*(Nc*coupl(nGC_195)**2d0 + Nc*coupl(nGC_199)**2d0 + &
                       Nc*coupl(nGC_203)**2d0 + Nc*coupl(nGC_215)**2d0 + Nc*   &
                       coupl(nGC_219)**2d0 + Nc*coupl(nGC_227)**2d0 + coupl(   &
                       nGC_207)**2d0 + coupl(nGC_211)**2d0 + coupl(nGC_223)**  &
                       2d0)/(24d0*pi**2d0)
    coupl(nGC_13381) = coupl(nGC_12690)*dsw_QED2 + coupl(nGC_12691)*dvev_QED1  &
                        + coupl(nGC_12692)*dZee_QED2
    coupl(nGC_13382) = coupl(nGC_12503)*dZee_QED2
    coupl(nGC_13383) = coupl(nGC_12486)*dZee_QED2
    coupl(nGC_13384) = coupl(nGC_12788)*dZee_QED2
    coupl(nGC_13385) = coupl(nGC_12483)*dZee_QED2
    coupl(nGC_13386) = coupl(nGC_12693)*dsw_QED2 + coupl(nGC_12694)*dcw_QED2 + &
                       coupl(nGC_12695)*dZee_QED2
    coupl(nGC_13387) = coupl(nGC_12907)*dsw_QED2 + coupl(nGC_12908)*dcw_QED2 + &
                       coupl(nGC_12909)*dZee_QED2
    coupl(nGC_13388) = coupl(nGC_12655)*dZgs_QCD2
    coupl(nGC_13389) = coupl(nGC_12926)*dZgs_QCD2
    coupl(nGC_13148) = 3d0*(4d0*Nc*cMB*coupl(nGC_195)**3d0 + 4d0*Nc*cMC*coupl( &
                       nGC_199)**3d0 + 4d0*Nc*cMD*coupl(nGC_203)**3d0 + 4d0*Nc*&
                       cMS*coupl(nGC_215)**3d0 + 4d0*Nc*cMT*coupl(nGC_219)**3d0&
                        + 4d0*Nc*cMU*coupl(nGC_227)**3d0 + 4d0*cME*coupl(      &
                       nGC_207)**3d0 + 4d0*cMM*coupl(nGC_211)**3d0 + 4d0*cMTA* &
                       coupl(nGC_223)**3d0 + cima*coupl(nGC_145)*coupl(nGC_175 &
                       ) + 2d0*cima*coupl(nGC_162)*coupl(nGC_82))/(16d0*pi**2d0&
                       )
    coupl(nGC_13146) = coupl(nGC_19)**2d0*coupl(nGC_228)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13141) = coupl(nGC_19)**2d0*coupl(nGC_220)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13429) = coupl(nGC_363)*da_QED2 + coupl(nGC_365)*dytau_QED3
    coupl(nGC_19112) = coupl(nGC_13422) + coupl(nGC_209)*dZmuMinusR_QED2/2d0 + &
                       coupl(nGC_209)*dZnu_muL_QED2/2d0
    coupl(nGC_13578) = -cima*dMC_QED2
    coupl(nGC_23736) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_23734) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_23735) = coupl(nGC_MI)*dZdR_QED2
    coupl(nGC_23732) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_23733) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_23731) = coupl(nGC_MI)*dZdL_QED2
    coupl(nGC_21464) = coupl(nGC_19)*dZcL_QCD2
    coupl(nGC_21465) = coupl(nGC_19)*dZcR_QED2
    coupl(nGC_21466) = coupl(nGC_19)*dZcR_QCD2
    coupl(nGC_21463) = coupl(nGC_19)*dZcL_QED2
    coupl(nGC_19925) = coupl(nGC_211)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_TS_GC_33_Hl) = -coupl(nGC_33)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_228_Hh) = -coupl(nGC_228)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_175_Hl) = -coupl(nGC_175)*dtHl_QED1/cMHL**2d0
    coupl(nGC_19441) = coupl(nGC_195)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_19440) = coupl(nGC_195)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_20414) = coupl(nGC_198)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_20413) = coupl(nGC_198)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_TS_GC_32_Hl) = -coupl(nGC_32)*dtHl_QED1/cMHL**2d0
    coupl(nGC_21270) = coupl(nGC_200)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_20891) = coupl(nGC_145)*dZZA_QED2/2d0
    coupl(nGC_12956) = (-Nc*cMB**2d0*cima*coupl(nGC_193)**2d0 - Nc*cMB**2d0*   &
                       cima*coupl(nGC_217)**2d0 - Nc*cMC**2d0*cima*coupl(      &
                       nGC_197)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_213)**2d0 -  &
                       Nc*cMD**2d0*cima*coupl(nGC_201)**2d0 - Nc*cMD**2d0*cima*&
                       coupl(nGC_225)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_197)** &
                       2d0 - Nc*cMS**2d0*cima*coupl(nGC_213)**2d0 - Nc*cMT**2d0&
                       *cima*coupl(nGC_193)**2d0 - Nc*cMT**2d0*cima*coupl(     &
                       nGC_217)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_201)**2d0 -  &
                       Nc*cMU**2d0*cima*coupl(nGC_225)**2d0 - cME**2d0*cima*   &
                       coupl(nGC_205)**2d0 - cMM**2d0*cima*coupl(nGC_209)**2d0 &
                        - cMTA**2d0*cima*coupl(nGC_221)**2d0 - 2d0*cMW**2d0*   &
                       coupl(nGC_71) - cMZ**2d0*coupl(nGC_141) + 2d0*cima*coupl&
                       (nGC_154)**2d0 + 2d0*cima*coupl(nGC_166)**2d0)/(16d0*pi &
                       **2d0)
    coupl(nGC_12955) = cima*(Nc*coupl(nGC_193)**2d0 + Nc*coupl(nGC_197)**2d0 + &
                       Nc*coupl(nGC_201)**2d0 + Nc*coupl(nGC_213)**2d0 + Nc*   &
                       coupl(nGC_217)**2d0 + Nc*coupl(nGC_225)**2d0 + coupl(   &
                       nGC_205)**2d0 + coupl(nGC_209)**2d0 + coupl(nGC_221)**  &
                       2d0)/(48d0*pi**2d0)
    coupl(nGC_13393) = cima*dyup_QED1_QCD2
    coupl(nGC_13392) = -cima*dydo_QED3
    coupl(nGC_13391) = -cima*dydo_QED1_QCD2
    coupl(nGC_13390) = coupl(nGC_12485)*dZgs_QCD2
    coupl(nGC_13397) = cima*dyc_QED1_QCD2
    coupl(nGC_13396) = -cima*dys_QED3
    coupl(nGC_13395) = -cima*dys_QED1_QCD2
    coupl(nGC_13394) = cima*dyup_QED3
    coupl(nGC_13399) = -cima*dyb_QED1_QCD2
    coupl(nGC_13398) = cima*dyc_QED3
    coupl(nGC_13152) = coupl(nGC_19)**2d0*coupl(nGC_195)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13155) = coupl(nGC_19)**2d0*coupl(nGC_199)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13158) = coupl(nGC_19)**2d0*coupl(nGC_203)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_20258) = coupl(nGC_13347) + 2d0*coupl(nGC_33)*dZHlHh_QED2 + 2d0* &
                       coupl(nGC_35)*dZHh_QED2
    coupl(nGC_19939) = coupl(nGC_MI)*dZcR_QED2
    coupl(nGC_19931) = coupl(nGC_MI)*dZcL_QED2
    coupl(nGC_19933) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_19932) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_19934) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_23344) = coupl(nGC_13390) + coupl(nGC_17)*dZg_QCD2/2d0
    coupl(nGC_13499) = coupl(nGC_12811)*dZee_QED2
    coupl(nGC_13491) = coupl(nGC_12771)*dsw_QED2 + coupl(nGC_12772)*dcw_QED2 + &
                       coupl(nGC_12773)*dZee_QED2
    coupl(nGC_19164) = coupl(nGC_207)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_TS_GC_216_Hh) = -coupl(nGC_216)*dtHh_QED1/cMHH**2d0
    coupl(nGC_19549) = coupl(nGC_13466) + coupl(nGC_82)*dZHl_QED2 + coupl(     &
                       nGC_82)*dZWMinus_QED2 + coupl(nGC_93)*dZHhHl_QED2
    coupl(nGC_20881) = coupl(nGC_13429) + coupl(nGC_223)*dZHl_QED2/2d0 + coupl(&
                       nGC_224)*dZHhHl_QED2/2d0
    coupl(nGC_TS_GC_190_Hh) = -coupl(nGC_190)*dtHh_QED1/cMHH**2d0
    coupl(nGC_13494) = coupl(nGC_12880)*dsw_QED2 + coupl(nGC_12881)*dcw_QED2 + &
                       coupl(nGC_12882)*da_QED2 + coupl(nGC_12883)*dZee_QED2
    coupl(nGC_13495) = coupl(nGC_12650)*dsw_QED2 + coupl(nGC_12651)*dvev_QED1  &
                        + coupl(nGC_12652)*dcw_QED2 + coupl(nGC_12653)*da_QED2 &
                        + coupl(nGC_12654)*dZee_QED2
    coupl(nGC_13496) = coupl(nGC_12950)*dsw_QED2 + coupl(nGC_12951)*dvev_QED1  &
                        + coupl(nGC_12952)*dcw_QED2 + coupl(nGC_12953)*da_QED2 &
                        + coupl(nGC_12954)*dZee_QED2
    coupl(nGC_13497) = coupl(nGC_12774)*dsw_QED2 + coupl(nGC_12775)*dcw_QED2 + &
                       coupl(nGC_12776)*dZee_QED2
    coupl(nGC_13492) = coupl(nGC_12600)*dsw_QED2 + coupl(nGC_12601)*dcw_QED2 + &
                       coupl(nGC_12602)*da_QED2 + coupl(nGC_12603)*dZee_QED2
    coupl(nGC_13493) = coupl(nGC_12513)*dsw_QED2 + coupl(nGC_12514)*dcw_QED2 + &
                       coupl(nGC_12515)*da_QED2 + coupl(nGC_12516)*dZee_QED2
    coupl(nGC_13126) = coupl(nGC_19)**2d0*coupl(nGC_200)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13123) = coupl(nGC_19)**2d0*coupl(nGC_196)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13129) = coupl(nGC_19)**2d0*coupl(nGC_204)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_TS_GC_162_Hl) = -coupl(nGC_162)*dtHl_QED1/cMHL**2d0
    coupl(nGC_13230) = coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(       &
                       nGC_3423) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
    coupl(nGC_13233) = coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_3423&
                       ) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
    coupl(nGC_22111) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_22110) = coupl(nGC_MI)*dZuL_QED2
    coupl(nGC_22113) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_22112) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_22115) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_22114) = coupl(nGC_MI)*dZuR_QED2
    coupl(nGC_23192) = coupl(nGC_MI)*dZbR_QED2
    coupl(nGC_22118) = coupl(nGC_13577) + coupl(nGC_22113)
    coupl(nGC_23190) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_23191) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_19940) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_19943) = coupl(nGC_13579) + coupl(nGC_19934)
    coupl(nGC_TS_GC_34_Hl) = -coupl(nGC_34)*dtHl_QED1/cMHL**2d0
    coupl(nGC_24351) = coupl(nGC_228)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_24352) = coupl(nGC_228)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_13457) = coupl(nGC_12872)*dsw_QED2 + coupl(nGC_12873)*da_QED2 +  &
                       coupl(nGC_12874)*dZee_QED2
    coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_219_Hl) = -coupl(nGC_219)*dtHl_QED1/cMHL**2d0
    coupl(nGC_19767) = coupl(nGC_196)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_19768) = coupl(nGC_196)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_20472) = coupl(nGC_19)*dZdR_QED2
    coupl(nGC_20473) = coupl(nGC_19)*dZdR_QCD2
    coupl(nGC_19399) = coupl(nGC_220)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_19398) = coupl(nGC_220)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_20877) = coupl(nGC_223)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_13003) = cMTA*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4 &
                       )**2d0)/(8d0*pi**2d0)
    coupl(nGC_13002) = cMT*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_13001) = cMT*cima*(-coupl(nGC_123)*coupl(nGC_126) - coupl(nGC_2  &
                       )**2d0)/(8d0*pi**2d0)
    coupl(nGC_13000) = cMS*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_13005) = cMU*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_13004) = cMU*cima*(-coupl(nGC_123)*coupl(nGC_126) - coupl(nGC_2  &
                       )**2d0)/(8d0*pi**2d0)
    coupl(nGC_13009) = (2d0*Nc*coupl(nGC_1)*coupl(nGC_193)**2d0 + 2d0*Nc*coupl(&
                       nGC_1)*coupl(nGC_197)**2d0 + 2d0*Nc*coupl(nGC_1)*coupl( &
                       nGC_201)**2d0 + 2d0*Nc*coupl(nGC_1)*coupl(nGC_213)**2d0 &
                        + 2d0*Nc*coupl(nGC_1)*coupl(nGC_217)**2d0 + 2d0*Nc*    &
                       coupl(nGC_1)*coupl(nGC_225)**2d0 - 2d0*Nc*coupl(nGC_193 &
                       )**2d0*coupl(nGC_2) - 2d0*Nc*coupl(nGC_197)**2d0*coupl( &
                       nGC_2) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_201)**2d0 - 2d0* &
                       Nc*coupl(nGC_2)*coupl(nGC_213)**2d0 - 2d0*Nc*coupl(nGC_2&
                       )*coupl(nGC_217)**2d0 - 2d0*Nc*coupl(nGC_2)*coupl(      &
                       nGC_225)**2d0 + 3d0*cima*coupl(nGC_3)*coupl(nGC_71) +   &
                       3d0*cima*coupl(nGC_4)*coupl(nGC_71) + 2d0*coupl(nGC_205 &
                       )**2d0*coupl(nGC_4) + 2d0*coupl(nGC_209)**2d0*coupl(    &
                       nGC_4) + 2d0*coupl(nGC_221)**2d0*coupl(nGC_4))/(48d0*pi &
                       **2d0)
    coupl(nGC_13008) = (-2d0*Nc*coupl(nGC_1)*coupl(nGC_193)**2d0 - 2d0*Nc*coupl&
                       (nGC_1)*coupl(nGC_197)**2d0 - 2d0*Nc*coupl(nGC_1)*coupl(&
                       nGC_201)**2d0 - 2d0*Nc*coupl(nGC_1)*coupl(nGC_213)**2d0 &
                        - 2d0*Nc*coupl(nGC_1)*coupl(nGC_217)**2d0 - 2d0*Nc*    &
                       coupl(nGC_1)*coupl(nGC_225)**2d0 + 2d0*Nc*coupl(nGC_193 &
                       )**2d0*coupl(nGC_2) + 2d0*Nc*coupl(nGC_197)**2d0*coupl( &
                       nGC_2) + 2d0*Nc*coupl(nGC_2)*coupl(nGC_201)**2d0 + 2d0* &
                       Nc*coupl(nGC_2)*coupl(nGC_213)**2d0 + 2d0*Nc*coupl(nGC_2&
                       )*coupl(nGC_217)**2d0 + 2d0*Nc*coupl(nGC_2)*coupl(      &
                       nGC_225)**2d0 + 3d0*cima*coupl(nGC_3)*coupl(nGC_71) +   &
                       3d0*cima*coupl(nGC_4)*coupl(nGC_71) - 2d0*coupl(nGC_205 &
                       )**2d0*coupl(nGC_4) - 2d0*coupl(nGC_209)**2d0*coupl(    &
                       nGC_4) - 2d0*coupl(nGC_221)**2d0*coupl(nGC_4))/(48d0*pi &
                       **2d0)
    coupl(nGC_19179) = coupl(nGC_19)*dZsR_QCD2
    coupl(nGC_19178) = coupl(nGC_19)*dZsR_QED2
    coupl(nGC_13489) = coupl(nGC_12934)*dsw_QED2 + coupl(nGC_12935)*dcw_QED2 + &
                       coupl(nGC_12936)*dZee_QED2
    coupl(nGC_13487) = coupl(nGC_12593)*dcw_QED2 + coupl(nGC_12594)*dvev_QED1  &
                        + coupl(nGC_12595)*dZee_QED2
    coupl(nGC_13486) = coupl(nGC_12610)*dsw_QED2 + coupl(nGC_12611)*dcw_QED2 + &
                       coupl(nGC_12612)*dZee_QED2
    coupl(nGC_19177) = coupl(nGC_19)*dZsL_QCD2
    coupl(nGC_19176) = coupl(nGC_19)*dZsL_QED2
    coupl(nGC_13482) = coupl(nGC_12947)*dsw_QED2 + coupl(nGC_12948)*dcw_QED2 + &
                       coupl(nGC_12949)*dZee_QED2
    coupl(nGC_13481) = coupl(nGC_12900)*dsw_QED2 + coupl(nGC_12901)*dcw_QED2 + &
                       coupl(nGC_12902)*da_QED2 + coupl(nGC_12903)*dZee_QED2
    coupl(nGC_25936) = coupl(nGC_MI)*dZnu_eL_QED2
    coupl(nGC_12998) = cima*(-coupl(nGC_129)**2d0 - coupl(nGC_99)**2d0)/(16d0* &
                       pi**2d0)
    coupl(nGC_12999) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(    &
                       nGC_125))/(8d0*pi**2d0)
    coupl(nGC_12996) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0  &
                        - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**&
                       2d0*Nc)
    coupl(nGC_12997) = cMM*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4  &
                       )**2d0)/(8d0*pi**2d0)
    coupl(nGC_12994) = cima*sq2**2d0*(-Nc*coupl(nGC_3423)**2d0 + 6d0*coupl(    &
                       nGC_19)**2d0)/(96d0*pi**2d0*Nc)
    coupl(nGC_22116) = coupl(nGC_13576) + coupl(nGC_TS_GC_227_Hl) + coupl(     &
                       nGC_TS_GC_228_Hh)
    coupl(nGC_12992) = -Nc*cima*coupl(nGC_3423)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_12993) = cima*coupl(nGC_19)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 + &
                       cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0&
                       )
    coupl(nGC_12990) = cima*(coupl(nGC_128)**2d0 + coupl(nGC_4)**2d0 + coupl(  &
                       nGC_99)**2d0)/(16d0*pi**2d0)
    coupl(nGC_12991) = cima*sq2**2d0*(Nc*coupl(nGC_3423)**2d0 - 6d0*coupl(     &
                       nGC_19)**2d0)/(96d0*pi**2d0)
    coupl(nGC_13137) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_216) + 8d0*coupl(      &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_216) - coupl(nGC_197)*&
                       coupl(nGC_200)*coupl(nGC_213) - coupl(nGC_214)**2d0*    &
                       coupl(nGC_216) - coupl(nGC_215)**2d0*coupl(nGC_216) -   &
                       coupl(nGC_216)**3d0)/(32d0*pi**2d0)
    coupl(nGC_13136) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_216) - coupl(nGC_1113  &
                       )**2d0*coupl(nGC_216) + 8d0*coupl(nGC_122)*coupl(nGC_125&
                       )*coupl(nGC_216) - coupl(nGC_197)*coupl(nGC_200)*coupl( &
                       nGC_213) - coupl(nGC_215)**2d0*coupl(nGC_216) - coupl(  &
                       nGC_216)**3d0)/(32d0*pi**2d0)
    coupl(nGC_13134) = coupl(nGC_212)*(8d0*coupl(nGC_124)*coupl(nGC_128) -     &
                       coupl(nGC_210)**2d0 - coupl(nGC_211)**2d0 - coupl(      &
                       nGC_212)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13133) = coupl(nGC_19)**2d0*sq2**2d0*(cMB*coupl(nGC_196) + cMC*  &
                       coupl(nGC_200) + cMD*coupl(nGC_204) + cMS*coupl(nGC_216 &
                       ) + cMT*coupl(nGC_220) + cMU*coupl(nGC_228))/(16d0*pi** &
                       2d0*Nc)
    coupl(nGC_13132) = coupl(nGC_19)**2d0*sq2**2d0*(-cMB*coupl(nGC_196) - cMC* &
                       coupl(nGC_200) - cMD*coupl(nGC_204) - cMS*coupl(nGC_216 &
                       ) - cMT*coupl(nGC_220) - cMU*coupl(nGC_228))/(16d0*pi** &
                       2d0)
    coupl(nGC_13131) = coupl(nGC_208)*(8d0*coupl(nGC_124)*coupl(nGC_128) -     &
                       coupl(nGC_207)**2d0 - coupl(nGC_208)**2d0 - coupl(      &
                       nGC_3565)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
