!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 14:34             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_13130) = coupl(nGC_208)*(8d0*coupl(nGC_124)*coupl(nGC_128) -     &
                       coupl(nGC_206)**2d0 - coupl(nGC_207)**2d0 - coupl(      &
                       nGC_208)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13138) = coupl(nGC_19)**2d0*coupl(nGC_216)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13229) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                       nGC_1113)*coupl(nGC_214) - 4d0*coupl(nGC_122)**2d0 -    &
                       coupl(nGC_213)**2d0 - coupl(nGC_215)**2d0 - coupl(      &
                       nGC_216)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_13228) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                       nGC_1113)*coupl(nGC_214) - 4d0*coupl(nGC_125)**2d0 -    &
                       coupl(nGC_197)**2d0 - coupl(nGC_215)**2d0 - coupl(      &
                       nGC_216)**2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc&
                       )
    coupl(nGC_13227) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                       nGC_122)**2d0 - coupl(nGC_1361)*coupl(nGC_202) - coupl( &
                       nGC_201)**2d0 - coupl(nGC_203)**2d0 - coupl(nGC_204)**  &
                       2d0)/(64d0*pi**2d0)
    coupl(nGC_13226) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                       nGC_125)**2d0 - coupl(nGC_1361)*coupl(nGC_202) - coupl( &
                       nGC_203)**2d0 - coupl(nGC_204)**2d0 - coupl(nGC_225)**  &
                       2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
    coupl(nGC_13225) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                       nGC_122)**2d0 + coupl(nGC_1361)*coupl(nGC_202) + coupl( &
                       nGC_201)**2d0 + coupl(nGC_203)**2d0 + coupl(nGC_204)**  &
                       2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_13224) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                       nGC_125)**2d0 + coupl(nGC_1361)*coupl(nGC_202) + coupl( &
                       nGC_203)**2d0 + coupl(nGC_204)**2d0 + coupl(nGC_225)**  &
                       2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_23189) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_23188) = coupl(nGC_MI)*dZbL_QED2
    coupl(nGC_TS_GC_200_Hh) = -coupl(nGC_200)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_189_Hh) = -coupl(nGC_189)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_189_Hl) = -coupl(nGC_189)*dtHl_QED1/cMHL**2d0
    coupl(nGC_20056) = coupl(nGC_175)*dZZA_QED2/2d0
    coupl(nGC_TS_GC_15_Hl) = -coupl(nGC_15)*dtHl_QED1/cMHL**2d0
    coupl(nGC_21639) = coupl(nGC_1)*dZbL_QED2 + coupl(nGC_125)*dZZA_QED2/2d0
    coupl(nGC_21635) = coupl(nGC_1)*dZbR_QCD2
    coupl(nGC_21632) = coupl(nGC_1)*dZbL_QCD2
    coupl(nGC_TS_GC_145_Hl) = -coupl(nGC_145)*dtHl_QED1/cMHL**2d0
    coupl(nGC_23193) = coupl(nGC_MI)*dZbR_QCD2
    coupl(nGC_20469) = coupl(nGC_19)*dZdL_QCD2
    coupl(nGC_20468) = coupl(nGC_19)*dZdL_QED2
    coupl(nGC_TS_GC_223_Hl) = -coupl(nGC_223)*dtHl_QED1/cMHL**2d0
    coupl(nGC_20512) = coupl(nGC_224)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_TS_GC_96_Hh) = -coupl(nGC_96)*dtHh_QED1/cMHH**2d0
    coupl(nGC_26450) = coupl(nGC_214)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_TS_GC_191_Hl) = -coupl(nGC_191)*dtHl_QED1/cMHL**2d0
    coupl(nGC_13036) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1113)*  &
                       coupl(nGC_214) + 4d0*coupl(nGC_1)*coupl(nGC_122)**2d0 + &
                       coupl(nGC_1)*coupl(nGC_215)**2d0 + coupl(nGC_1)*coupl(  &
                       nGC_216)**2d0 + coupl(nGC_2)*coupl(nGC_213)**2d0)/(32d0*&
                       pi**2d0)
    coupl(nGC_13034) = (coupl(nGC_221)**2d0*coupl(nGC_4) + coupl(nGC_3)*coupl( &
                       nGC_99)**2d0 + 3d0*coupl(nGC_4)*coupl(nGC_99)**2d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_13035) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1113)*  &
                       coupl(nGC_214) + 4d0*coupl(nGC_1)*coupl(nGC_125)**2d0 + &
                       coupl(nGC_1)*coupl(nGC_215)**2d0 + coupl(nGC_1)*coupl(  &
                       nGC_216)**2d0 + coupl(nGC_197)**2d0*coupl(nGC_2) + 4d0* &
                       coupl(nGC_2)*coupl(nGC_99)**2d0 - coupl(nGC_3)*coupl(   &
                       nGC_99)**2d0 + coupl(nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi&
                       **2d0)
    coupl(nGC_13032) = (coupl(nGC_205)**2d0*coupl(nGC_4) + coupl(nGC_3)*coupl( &
                       nGC_99)**2d0 + 3d0*coupl(nGC_4)*coupl(nGC_99)**2d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_13033) = (coupl(nGC_209)**2d0*coupl(nGC_4) + coupl(nGC_3)*coupl( &
                       nGC_99)**2d0 + 3d0*coupl(nGC_4)*coupl(nGC_99)**2d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_13039) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_222)* &
                       coupl(nGC_3111) + coupl(nGC_223)**2d0 + coupl(nGC_224)**&
                       2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_21931) = coupl(nGC_13439) + coupl(nGC_227)*dZHl_QED2/2d0 + coupl(&
                       nGC_228)*dZHhHl_QED2/2d0
    coupl(nGC_13458) = coupl(nGC_12737)*dsw_QED2 + coupl(nGC_12738)*da_QED2 +  &
                       coupl(nGC_12739)*dZee_QED2
    coupl(nGC_13459) = coupl(nGC_12484)*dZee_QED2
    coupl(nGC_13109) = coupl(nGC_19)**2d0*coupl(nGC_218)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_12985) = cima*(-coupl(nGC_123)**2d0 - coupl(nGC_2)**2d0)/(16d0*pi&
                       **2d0)
    coupl(nGC_12984) = cima*(-coupl(nGC_126)**2d0 - coupl(nGC_2)**2d0 - coupl( &
                       nGC_99)**2d0)/(16d0*pi**2d0)
    coupl(nGC_12987) = cMD*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_12986) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(    &
                       nGC_125))/(8d0*pi**2d0)
    coupl(nGC_13102) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_1113) - coupl(nGC_1113 &
                       )**2d0*coupl(nGC_214) + 8d0*coupl(nGC_1113)*coupl(      &
                       nGC_122)*coupl(nGC_125) - coupl(nGC_197)*coupl(nGC_198)*&
                       coupl(nGC_213) - coupl(nGC_214)*coupl(nGC_215)**2d0 -   &
                       coupl(nGC_214)*coupl(nGC_216)**2d0)/(32d0*pi**2d0)
    coupl(nGC_12988) = cME*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4  &
                       )**2d0)/(8d0*pi**2d0)
    coupl(nGC_13452) = coupl(nGC_12714)*dsw_QED2 + coupl(nGC_12715)*dcw_QED2 + &
                       coupl(nGC_12716)*dZee_QED2
    coupl(nGC_13453) = coupl(nGC_12817)*dsw_QED2 + coupl(nGC_12818)*da_QED2 +  &
                       coupl(nGC_12819)*dZee_QED2
    coupl(nGC_13456) = coupl(nGC_12835)*dsw_QED2 + coupl(nGC_12836)*dZee_QED2
    coupl(nGC_13105) = coupl(nGC_19)**2d0*coupl(nGC_214)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13586) = -cima*dMB_QED2
    coupl(nGC_13587) = -cima*dMB_QCD2
    coupl(nGC_13584) = -cima*dMS_QED2
    coupl(nGC_13585) = -cima*dMS_QCD2
    coupl(nGC_13582) = -cima*dMD_QED2
    coupl(nGC_13583) = -cima*dMD_QCD2
    coupl(nGC_13580) = -cima*dMT_QED2
    coupl(nGC_13581) = -cima*dMT_QCD2
    coupl(nGC_13588) = cima*dMZ2_QED2
    coupl(nGC_13589) = cima*dMW2_QED2
    coupl(nGC_20261) = coupl(nGC_19)*dZtR_QED2
    coupl(nGC_20263) = coupl(nGC_19)*dZtL_QED2
    coupl(nGC_20262) = coupl(nGC_19)*dZtR_QCD2
    coupl(nGC_TS_GC_165_Hh) = -coupl(nGC_165)*dtHh_QED1/cMHH**2d0
    coupl(nGC_20264) = coupl(nGC_19)*dZtL_QCD2
    coupl(nGC_13218) = -coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(      &
                       nGC_3423) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
    coupl(nGC_13215) = -coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(       &
                       nGC_3423) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
    coupl(nGC_13212) = (-coupl(nGC_102)*coupl(nGC_99)**2d0 + coupl(nGC_103)*   &
                       coupl(nGC_99)**2d0 + coupl(nGC_1195)*coupl(nGC_123)*    &
                       coupl(nGC_226) + coupl(nGC_122)*coupl(nGC_201)**2d0 +   &
                       coupl(nGC_123)*coupl(nGC_227)**2d0 + coupl(nGC_123)*    &
                       coupl(nGC_228)**2d0 + 4d0*coupl(nGC_125)*coupl(nGC_99)**&
                       2d0 + 4d0*coupl(nGC_126)**3d0 + 4d0*coupl(nGC_126)*coupl&
                       (nGC_2)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13213) = (coupl(nGC_1195)*coupl(nGC_126)*coupl(nGC_226) + 4d0*   &
                       coupl(nGC_123)**3d0 + 4d0*coupl(nGC_123)*coupl(nGC_2)** &
                       2d0 + coupl(nGC_125)*coupl(nGC_225)**2d0 + coupl(nGC_126&
                       )*coupl(nGC_227)**2d0 + coupl(nGC_126)*coupl(nGC_228)** &
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_13210) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(    &
                       nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_222)*coupl(      &
                       nGC_3111) + coupl(nGC_128)*coupl(nGC_223)**2d0 + coupl( &
                       nGC_128)*coupl(nGC_224)**2d0 + coupl(nGC_129)*coupl(    &
                       nGC_221)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13211) = (coupl(nGC_102)*coupl(nGC_99)**2d0 - coupl(nGC_103)*    &
                       coupl(nGC_99)**2d0 + coupl(nGC_124)*coupl(nGC_222)*coupl&
                       (nGC_3111) + coupl(nGC_124)*coupl(nGC_223)**2d0 + coupl(&
                       nGC_124)*coupl(nGC_224)**2d0 + 4d0*coupl(nGC_128)**3d0  &
                        + 4d0*coupl(nGC_128)*coupl(nGC_4)**2d0 + 4d0*coupl(    &
                       nGC_129)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22683) = coupl(nGC_MI)*dZA_QED2
    coupl(nGC_22684) = -coupl(nGC_22683)
    coupl(nGC_22171) = coupl(nGC_178)*dZZA_QED2/2d0
    coupl(nGC_23795) = coupl(nGC_219)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_23796) = coupl(nGC_219)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_TS_GC_178_Hh) = -coupl(nGC_178)*dtHh_QED1/cMHH**2d0
    coupl(nGC_13188) = coupl(nGC_99)*(coupl(nGC_102)*coupl(nGC_128) - coupl(   &
                       nGC_102)*coupl(nGC_129) - coupl(nGC_103)*coupl(nGC_128  &
                       ) + coupl(nGC_103)*coupl(nGC_129) + 4d0*coupl(nGC_128)* &
                       coupl(nGC_129) - coupl(nGC_3)*coupl(nGC_4) + coupl(nGC_4&
                       )**2d0)/(32d0*pi**2d0)
    coupl(nGC_TS_GC_35_Hh) = -coupl(nGC_35)*dtHh_QED1/cMHH**2d0
    coupl(nGC_21480) = coupl(nGC_130)*dZZA_QED2/2d0
    coupl(nGC_21155) = coupl(nGC_100)*dZHlHh_QED2/2d0
    coupl(nGC_21747) = coupl(nGC_134)*dZAZ_QED2 + coupl(nGC_13491) + coupl(    &
                       nGC_141)*dZZ_QED2
    coupl(nGC_12989) = cima*(coupl(nGC_124)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi &
                       **2d0)
    coupl(nGC_TS_GC_208_Hh) = -coupl(nGC_208)*dtHh_QED1/cMHH**2d0
    coupl(nGC_26449) = coupl(nGC_214)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_12977) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(    &
                       nGC_125))/(8d0*pi**2d0)
    coupl(nGC_22811) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*           &
                       dZmuMinusR_QED2 + coupl(nGC_13508)
    coupl(nGC_TS_GC_31_Hl) = -coupl(nGC_31)*dtHl_QED1/cMHL**2d0
    coupl(nGC_19781) = coupl(nGC_13383) + coupl(nGC_5)*dZWMinus_QED2/2d0
    coupl(nGC_TS_GC_211_Hl) = -coupl(nGC_211)*dtHl_QED1/cMHL**2d0
    coupl(nGC_19622) = coupl(nGC_101)*dZHlHh_QED2/2d0 + coupl(nGC_118)*        &
                       dZHh_QED2/2d0 + coupl(nGC_118)*dZWMinus_QED2/2d0 + coupl&
                       (nGC_13458)
    coupl(nGC_21925) = coupl(nGC_227)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_TS_GC_29_Hh) = -coupl(nGC_29)*dtHh_QED1/cMHH**2d0
    coupl(nGC_21926) = coupl(nGC_227)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_TS_GC_148_Hh) = -coupl(nGC_148)*dtHh_QED1/cMHH**2d0
    coupl(nGC_19353) = coupl(nGC_127)*dZZA_QED2/2d0
    coupl(nGC_19352) = coupl(nGC_142)*dZZA_QED2/2d0
    coupl(nGC_TS_GC_148_Hl) = -coupl(nGC_148)*dtHl_QED1/cMHL**2d0
    coupl(nGC_19357) = coupl(nGC_13385) + coupl(nGC_4)*dZA_QED2/2d0
    coupl(nGC_19358) = coupl(nGC_19353) - coupl(nGC_19357)
    coupl(nGC_13314) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_195)*coupl( &
                       nGC_196) + coupl(nGC_199)*coupl(nGC_200) + coupl(nGC_203&
                       )*coupl(nGC_204) + coupl(nGC_215)*coupl(nGC_216) + coupl&
                       (nGC_219)*coupl(nGC_220) + coupl(nGC_227)*coupl(nGC_228 &
                       ))/(16d0*pi**2d0*Nc)
    coupl(nGC_24453) = coupl(nGC_13389) + 2d0*coupl(nGC_21)*dZg_QCD2
    coupl(nGC_13296) = cima*(20d0*Nc*coupl(nGC_195)*coupl(nGC_196)**3d0 + 20d0*&
                       Nc*coupl(nGC_199)*coupl(nGC_200)**3d0 + 20d0*Nc*coupl(  &
                       nGC_203)*coupl(nGC_204)**3d0 + 20d0*Nc*coupl(nGC_215)*  &
                       coupl(nGC_216)**3d0 + 20d0*Nc*coupl(nGC_219)*coupl(     &
                       nGC_220)**3d0 + 20d0*Nc*coupl(nGC_227)*coupl(nGC_228)** &
                       3d0 + 3d0*coupl(nGC_148)*coupl(nGC_151) + 20d0*coupl(   &
                       nGC_207)*coupl(nGC_208)**3d0 + 20d0*coupl(nGC_211)*coupl&
                       (nGC_212)**3d0 + 20d0*coupl(nGC_223)*coupl(nGC_224)**3d0&
                        + 6d0*coupl(nGC_93)*coupl(nGC_96))/(16d0*pi**2d0)
    coupl(nGC_13449) = coupl(nGC_381)*da_QED2 + coupl(nGC_383)*dyt_QED3
    coupl(nGC_13448) = coupl(nGC_12795)*dyc_QED3 + coupl(nGC_12796)*da_QED2
    coupl(nGC_13118) = (12d0*Nc*cMB*coupl(nGC_195)**2d0*coupl(nGC_196) + 12d0* &
                       Nc*cMC*coupl(nGC_199)**2d0*coupl(nGC_200) + 12d0*Nc*cMD*&
                       coupl(nGC_203)**2d0*coupl(nGC_204) + 12d0*Nc*cMS*coupl( &
                       nGC_215)**2d0*coupl(nGC_216) + 12d0*Nc*cMT*coupl(nGC_219&
                       )**2d0*coupl(nGC_220) + 12d0*Nc*cMU*coupl(nGC_227)**2d0*&
                       coupl(nGC_228) + 12d0*cME*coupl(nGC_207)**2d0*coupl(    &
                       nGC_208) + 12d0*cMM*coupl(nGC_211)**2d0*coupl(nGC_212   &
                       ) + 12d0*cMTA*coupl(nGC_223)**2d0*coupl(nGC_224) + cima*&
                       coupl(nGC_145)*coupl(nGC_178) + 2d0*cima*coupl(nGC_148)*&
                       coupl(nGC_175) + 4d0*cima*coupl(nGC_162)*coupl(nGC_93   &
                       ) + 2d0*cima*coupl(nGC_165)*coupl(nGC_82))/(16d0*pi**2d0&
                       )
    coupl(nGC_13290) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(   &
                       nGC_122) + coupl(nGC_1)*coupl(nGC_125) + coupl(nGC_123)*&
                       coupl(nGC_2) + coupl(nGC_126)*coupl(nGC_2))/(32d0*pi**  &
                       2d0)
    coupl(nGC_13291) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(  &
                       nGC_122) - coupl(nGC_1)*coupl(nGC_125) - coupl(nGC_123)*&
                       coupl(nGC_2) - coupl(nGC_126)*coupl(nGC_2))/(32d0*pi**  &
                       2d0*Nc)
    coupl(nGC_13115) = coupl(nGC_19)**2d0*coupl(nGC_226)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13442) = coupl(nGC_12904)*dyc_QED3 + coupl(nGC_12905)*da_QED2
    coupl(nGC_13117) = (12d0*Nc*cMB*coupl(nGC_195)*coupl(nGC_196)**2d0 + 12d0* &
                       Nc*cMC*coupl(nGC_199)*coupl(nGC_200)**2d0 + 12d0*Nc*cMD*&
                       coupl(nGC_203)*coupl(nGC_204)**2d0 + 12d0*Nc*cMS*coupl( &
                       nGC_215)*coupl(nGC_216)**2d0 + 12d0*Nc*cMT*coupl(nGC_219&
                       )*coupl(nGC_220)**2d0 + 12d0*Nc*cMU*coupl(nGC_227)*coupl&
                       (nGC_228)**2d0 + 12d0*cME*coupl(nGC_207)*coupl(nGC_208  &
                       )**2d0 + 12d0*cMM*coupl(nGC_211)*coupl(nGC_212)**2d0 +  &
                       12d0*cMTA*coupl(nGC_223)*coupl(nGC_224)**2d0 + 2d0*cima*&
                       coupl(nGC_148)*coupl(nGC_178) + cima*coupl(nGC_151)*    &
                       coupl(nGC_175) + 2d0*cima*coupl(nGC_162)*coupl(nGC_96   &
                       ) + 4d0*cima*coupl(nGC_165)*coupl(nGC_93))/(16d0*pi**2d0&
                       )
    coupl(nGC_13440) = coupl(nGC_12876)*dyup_QED1_QCD2
    coupl(nGC_13447) = coupl(nGC_12795)*dyc_QED1_QCD2
    coupl(nGC_13110) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_222) -     &
                       coupl(nGC_222)**2d0*coupl(nGC_3111) + 8d0*coupl(nGC_222 &
                       )*coupl(nGC_4)**2d0 - coupl(nGC_223)**2d0*coupl(nGC_3111&
                       ) - coupl(nGC_224)**2d0*coupl(nGC_3111))/(32d0*pi**2d0)
    coupl(nGC_13113) = coupl(nGC_1195)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13112) = (-coupl(nGC_1195)**2d0*coupl(nGC_226) + 8d0*coupl(      &
                       nGC_1195)*coupl(nGC_123)*coupl(nGC_126) + 8d0*coupl(    &
                       nGC_1195)*coupl(nGC_2)**2d0 - coupl(nGC_201)*coupl(     &
                       nGC_202)*coupl(nGC_225) - coupl(nGC_226)*coupl(nGC_227  &
                       )**2d0 - coupl(nGC_226)*coupl(nGC_228)**2d0)/(32d0*pi** &
                       2d0)
    coupl(nGC_21191) = coupl(nGC_13357) + 3d0*coupl(nGC_33)*dZHh_QED2/2d0 +    &
                       coupl(nGC_33)*dZHl_QED2/2d0 + coupl(nGC_35)*dZHhHl_QED2/&
                       2d0 + 3d0*coupl(nGC_36)*dZHlHh_QED2/2d0
    coupl(nGC_TS_GC_135_Hh) = -coupl(nGC_135)*dtHh_QED1/cMHH**2d0
    coupl(nGC_13498) = coupl(nGC_12856)*dsw_QED2 + coupl(nGC_12857)*dcw_QED2 + &
                       coupl(nGC_12858)*dZee_QED2
    coupl(nGC_TS_GC_130_Hl) = -coupl(nGC_130)*dtHl_QED1/cMHL**2d0
    coupl(nGC_13591) = coupl(nGC_513)*dMW2_QED2
    coupl(nGC_13590) = coupl(nGC_509)*dMW2_QED2
    coupl(nGC_22445) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_2)*dZcR_QED2
    coupl(nGC_13592) = coupl(nGC_517)*dMZ2_QED2
    coupl(nGC_TS_GC_207_Hl) = -coupl(nGC_207)*dtHl_QED1/cMHL**2d0
    coupl(nGC_13051) = (-2d0*Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_99) +  &
                       2d0*Nc*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_99) - 2d0&
                       *Nc*coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) - 2d0*Nc&
                       *coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) + 2d0*Nc*  &
                       coupl(nGC_217)*coupl(nGC_219)*coupl(nGC_99) + 2d0*Nc*   &
                       coupl(nGC_225)*coupl(nGC_227)*coupl(nGC_99) + 3d0*cima* &
                       coupl(nGC_102)*coupl(nGC_15) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_15) + 3d0*cima*coupl(nGC_110)*coupl(nGC_3) +  &
                       3d0*cima*coupl(nGC_110)*coupl(nGC_4) - 2d0*coupl(nGC_205&
                       )*coupl(nGC_207)*coupl(nGC_99) - 2d0*coupl(nGC_209)*    &
                       coupl(nGC_211)*coupl(nGC_99) - 2d0*coupl(nGC_221)*coupl(&
                       nGC_223)*coupl(nGC_99))/(48d0*pi**2d0)
    coupl(nGC_13029) = (4d0*coupl(nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_206)* &
                       coupl(nGC_3565)*coupl(nGC_4) + coupl(nGC_207)**2d0*coupl&
                       (nGC_4) + coupl(nGC_208)**2d0*coupl(nGC_4) - coupl(nGC_3&
                       )*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)**3d0 + coupl(   &
                       nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13028) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_206)* &
                       coupl(nGC_3565) + coupl(nGC_207)**2d0 + coupl(nGC_208)**&
                       2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13187) = coupl(nGC_99)*(4d0*coupl(nGC_1)*coupl(nGC_2) - coupl(   &
                       nGC_1)*coupl(nGC_3) + coupl(nGC_1)*coupl(nGC_4) + coupl(&
                       nGC_102)*coupl(nGC_125) - coupl(nGC_102)*coupl(nGC_126  &
                       ) - coupl(nGC_103)*coupl(nGC_125) + coupl(nGC_103)*coupl&
                       (nGC_126) + 4d0*coupl(nGC_125)*coupl(nGC_126) + coupl(  &
                       nGC_2)*coupl(nGC_3) - coupl(nGC_2)*coupl(nGC_4))/(32d0* &
                       pi**2d0)
    coupl(nGC_13022) = coupl(nGC_1)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
    coupl(nGC_13025) = coupl(nGC_19)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
    coupl(nGC_26842) = coupl(nGC_TS_GC_130_Hl) + coupl(nGC_TS_GC_135_Hh)
    coupl(nGC_26841) = coupl(nGC_13592) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
    coupl(nGC_13026) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_125 &
                       )**2d0 + coupl(nGC_1)*coupl(nGC_1361)*coupl(nGC_202) +  &
                       coupl(nGC_1)*coupl(nGC_203)**2d0 + coupl(nGC_1)*coupl(  &
                       nGC_204)**2d0 + coupl(nGC_2)*coupl(nGC_225)**2d0 + 4d0* &
                       coupl(nGC_2)*coupl(nGC_99)**2d0 - coupl(nGC_3)*coupl(   &
                       nGC_99)**2d0 + coupl(nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi&
                       **2d0)
    coupl(nGC_13368) = coupl(nGC_12719)*dsw_QED2 + coupl(nGC_12720)*da_QED2 +  &
                       coupl(nGC_12721)*dZee_QED2
    coupl(nGC_13369) = coupl(nGC_12750)*dsw_QED2 + coupl(nGC_12751)*da_QED2 +  &
                       coupl(nGC_12752)*dZee_QED2
    coupl(nGC_22548) = coupl(nGC_210)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_22549) = -coupl(nGC_13425) - coupl(nGC_22548)
    coupl(nGC_13363) = coupl(nGC_12616)*dsw_QED2 + coupl(nGC_12617)*da_QED2 +  &
                       coupl(nGC_12618)*dZee_QED2
    coupl(nGC_13360) = coupl(nGC_12576)*dsw_QED2 + coupl(nGC_12577)*dcw_QED2 + &
                       coupl(nGC_12578)*da_QED2 + coupl(nGC_12579)*dZee_QED2
    coupl(nGC_13361) = coupl(nGC_12558)*dsw_QED2 + coupl(nGC_12559)*dZee_QED2
    coupl(nGC_13366) = coupl(nGC_12701)*dsw_QED2 + coupl(nGC_12702)*dZee_QED2
    coupl(nGC_13365) = coupl(nGC_12699)*dsw_QED2 + coupl(nGC_12700)*dZee_QED2
    coupl(nGC_13200) = (coupl(nGC_102)*coupl(nGC_99)**2d0 - coupl(nGC_103)*    &
                       coupl(nGC_99)**2d0 + coupl(nGC_124)*coupl(nGC_206)*coupl&
                       (nGC_3565) + coupl(nGC_124)*coupl(nGC_207)**2d0 + coupl(&
                       nGC_124)*coupl(nGC_208)**2d0 + 4d0*coupl(nGC_128)**3d0  &
                        + 4d0*coupl(nGC_128)*coupl(nGC_4)**2d0 + 4d0*coupl(    &
                       nGC_129)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13203) = (-coupl(nGC_102)*coupl(nGC_99)**2d0 + coupl(nGC_103)*   &
                       coupl(nGC_99)**2d0 + coupl(nGC_124)*coupl(nGC_205)**2d0 &
                        + 4d0*coupl(nGC_128)*coupl(nGC_99)**2d0 + 4d0*coupl(   &
                       nGC_129)**3d0)/(32d0*pi**2d0)
    coupl(nGC_13205) = (-coupl(nGC_102)*coupl(nGC_99)**2d0 + coupl(nGC_103)*   &
                       coupl(nGC_99)**2d0 + coupl(nGC_124)*coupl(nGC_221)**2d0 &
                        + 4d0*coupl(nGC_128)*coupl(nGC_99)**2d0 + 4d0*coupl(   &
                       nGC_129)**3d0)/(32d0*pi**2d0)
    coupl(nGC_13204) = (-coupl(nGC_102)*coupl(nGC_99)**2d0 + coupl(nGC_103)*   &
                       coupl(nGC_99)**2d0 + coupl(nGC_124)*coupl(nGC_209)**2d0 &
                        + 4d0*coupl(nGC_128)*coupl(nGC_99)**2d0 + 4d0*coupl(   &
                       nGC_129)**3d0)/(32d0*pi**2d0)
    coupl(nGC_19532) = coupl(nGC_118)*dZHhHl_QED2/2d0
    coupl(nGC_13209) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_122) + coupl(nGC_1113)*&
                       coupl(nGC_125)*coupl(nGC_214) + 4d0*coupl(nGC_122)**3d0 &
                        + coupl(nGC_125)*coupl(nGC_215)**2d0 + coupl(nGC_125)* &
                       coupl(nGC_216)**2d0 + coupl(nGC_126)*coupl(nGC_213)**2d0&
                       )/(32d0*pi**2d0)
    coupl(nGC_13208) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_125) + coupl(nGC_102)* &
                       coupl(nGC_99)**2d0 - coupl(nGC_103)*coupl(nGC_99)**2d0  &
                        + coupl(nGC_1113)*coupl(nGC_122)*coupl(nGC_214) + coupl&
                       (nGC_122)*coupl(nGC_215)**2d0 + coupl(nGC_122)*coupl(   &
                       nGC_216)**2d0 + coupl(nGC_123)*coupl(nGC_197)**2d0 + 4d0&
                       *coupl(nGC_125)**3d0 + 4d0*coupl(nGC_126)*coupl(nGC_99  &
                       )**2d0)/(32d0*pi**2d0)
    coupl(nGC_13162) = coupl(nGC_19)**2d0*sq2**2d0*(cMB*coupl(nGC_195) + cMC*  &
                       coupl(nGC_199) + cMD*coupl(nGC_203) + cMS*coupl(nGC_215 &
                       ) + cMT*coupl(nGC_219) + cMU*coupl(nGC_227))/(16d0*pi** &
                       2d0*Nc)
    coupl(nGC_13163) = coupl(nGC_211)*(8d0*coupl(nGC_124)*coupl(nGC_128) -     &
                       coupl(nGC_210)**2d0 - coupl(nGC_211)**2d0 - coupl(      &
                       nGC_212)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_19539) = coupl(nGC_MI)*dZWMinus_QED2
    coupl(nGC_13165) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_215) - coupl(nGC_1113  &
                       )**2d0*coupl(nGC_215) + 8d0*coupl(nGC_122)*coupl(nGC_125&
                       )*coupl(nGC_215) - coupl(nGC_197)*coupl(nGC_199)*coupl( &
                       nGC_213) - coupl(nGC_215)**3d0 - coupl(nGC_215)*coupl(  &
                       nGC_216)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13166) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_215) + 8d0*coupl(      &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_215) - coupl(nGC_197)*&
                       coupl(nGC_199)*coupl(nGC_213) - coupl(nGC_214)**2d0*    &
                       coupl(nGC_215) - coupl(nGC_215)**3d0 - coupl(nGC_215)*  &
                       coupl(nGC_216)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13167) = coupl(nGC_19)**2d0*coupl(nGC_215)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_19368) = coupl(nGC_114)*dZA_QED2/2d0 + coupl(nGC_114)*           &
                       dZWMinus_QED2/2d0 + coupl(nGC_13452) + coupl(nGC_83)*   &
                       dZZA_QED2/2d0
    coupl(nGC_20765) = coupl(nGC_126)*dZtL_QCD2
    coupl(nGC_20768) = coupl(nGC_123)*dZtR_QCD2
    coupl(nGC_TS_GC_82_Hl) = -coupl(nGC_82)*dtHl_QED1/cMHL**2d0
    coupl(nGC_22067) = coupl(nGC_13575) + coupl(nGC_TS_GC_223_Hl) + coupl(     &
                       nGC_TS_GC_224_Hh)
    coupl(nGC_22068) = coupl(nGC_22062) + coupl(nGC_22067)
    coupl(nGC_21917) = coupl(nGC_104)*dZWMinus_QED2/2d0 + coupl(nGC_13387)
    coupl(nGC_19226) = coupl(nGC_13364) + coupl(nGC_92)*dZHlHh_QED2 + coupl(   &
                       nGC_95)*dZHh_QED2
    coupl(nGC_21042) = coupl(nGC_127)*dZZ_QED2/2d0 + coupl(nGC_13482)
    coupl(nGC_20177) = coupl(nGC_151)*dZZA_QED2/2d0
    coupl(nGC_24528) = coupl(nGC_MI)*dZtL_QCD2
    coupl(nGC_24529) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_23302) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_122)*dZZA_QED2/2d0
    coupl(nGC_23301) = coupl(nGC_1)*dZsL_QED2 + coupl(nGC_125)*dZZA_QED2/2d0
    coupl(nGC_20961) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_TS_GC_29_Hl) = -coupl(nGC_29)*dtHl_QED1/cMHL**2d0
    coupl(nGC_20968) = coupl(nGC_MI)*dZsR_QED2
    coupl(nGC_20969) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_20074) = coupl(nGC_3)*dZAZ_QED2/2d0
    coupl(nGC_13173) = (-coupl(nGC_1195)**2d0*coupl(nGC_227) + 8d0*coupl(      &
                       nGC_123)*coupl(nGC_126)*coupl(nGC_227) + 8d0*coupl(nGC_2&
                       )**2d0*coupl(nGC_227) - coupl(nGC_201)*coupl(nGC_203)*  &
                       coupl(nGC_225) - coupl(nGC_227)**3d0 - coupl(nGC_227)*  &
                       coupl(nGC_228)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13172) = coupl(nGC_223)*(8d0*coupl(nGC_124)*coupl(nGC_128) -     &
                       coupl(nGC_223)**2d0 - coupl(nGC_224)**2d0 - coupl(      &
                       nGC_3111)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_20134) = coupl(nGC_123)*dZuR_QCD2
    coupl(nGC_20136) = coupl(nGC_123)*dZZ_QED2/2d0 + coupl(nGC_123)*dZuR_QED2  &
                        + coupl(nGC_13504)
    coupl(nGC_20131) = coupl(nGC_2)*dZAZ_QED2/2d0
    coupl(nGC_20130) = coupl(nGC_126)*dZuL_QCD2
    coupl(nGC_19096) = coupl(nGC_105)*dZWMinus_QED2/2d0 + coupl(nGC_13386)
    coupl(nGC_20960) = coupl(nGC_MI)*dZsL_QED2
    coupl(nGC_19093) = coupl(nGC_111)*dZHl_QED2/2d0 + coupl(nGC_120)*          &
                       dZHhHl_QED2/2d0 + coupl(nGC_13368)
    coupl(nGC_19312) = coupl(nGC_108)*dZA_QED2/2d0 + coupl(nGC_108)*           &
                       dZWMinus_QED2/2d0 + coupl(nGC_13365) + coupl(nGC_14)*   &
                       dZZA_QED2/2d0
    coupl(nGC_TS_GC_118_Hh) = -coupl(nGC_118)*dtHh_QED1/cMHH**2d0
    coupl(nGC_19354) = coupl(nGC_128)*dZZA_QED2/2d0
    coupl(nGC_13406) = coupl(nGC_12544)*dys_QED3
    coupl(nGC_13405) = coupl(nGC_12544)*dys_QED1_QCD2
    coupl(nGC_13404) = coupl(nGC_12933)*dydo_QED3
    coupl(nGC_13403) = coupl(nGC_12933)*dydo_QED1_QCD2
    coupl(nGC_13016) = (-2d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_196  &
                       ) - 2d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_196&
                       ) - 2d0*Nc*cMC*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_200&
                       ) - 2d0*Nc*cMC*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_200&
                       ) - 2d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_204&
                       ) - 2d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_204&
                       ) - 2d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_216&
                       ) - 2d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_216&
                       ) - 2d0*Nc*cMT*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_220&
                       ) - 2d0*Nc*cMT*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_220&
                       ) - 2d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_228&
                       ) - 2d0*Nc*cMU*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_228&
                       ) - 2d0*cME*coupl(nGC_124)*coupl(nGC_208)*coupl(nGC_4   &
                       ) - 2d0*cME*coupl(nGC_128)*coupl(nGC_208)*coupl(nGC_4   &
                       ) - 2d0*cMM*coupl(nGC_124)*coupl(nGC_212)*coupl(nGC_4   &
                       ) - 2d0*cMM*coupl(nGC_128)*coupl(nGC_212)*coupl(nGC_4   &
                       ) - 2d0*cMTA*coupl(nGC_124)*coupl(nGC_224)*coupl(nGC_4  &
                       ) - 2d0*cMTA*coupl(nGC_128)*coupl(nGC_224)*coupl(nGC_4  &
                       ) + 2d0*cima*coupl(nGC_116)*coupl(nGC_165) - coupl(     &
                       nGC_102)*coupl(nGC_165)*coupl(nGC_3) + coupl(nGC_102)*  &
                       coupl(nGC_165)*coupl(nGC_4) + coupl(nGC_103)*coupl(     &
                       nGC_165)*coupl(nGC_3) - coupl(nGC_103)*coupl(nGC_165)*  &
                       coupl(nGC_4))/(16d0*pi**2d0)
    coupl(nGC_13017) = (-4d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_196) - 4d0*Nc* &
                       cMC*coupl(nGC_2)**2d0*coupl(nGC_200) - 4d0*Nc*cMD*coupl(&
                       nGC_1)**2d0*coupl(nGC_204) - 4d0*Nc*cMS*coupl(nGC_1)**  &
                       2d0*coupl(nGC_216) - 4d0*Nc*cMT*coupl(nGC_2)**2d0*coupl(&
                       nGC_220) - 4d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_228   &
                       ) - 4d0*cME*coupl(nGC_208)*coupl(nGC_4)**2d0 - 4d0*cMM* &
                       coupl(nGC_212)*coupl(nGC_4)**2d0 - 4d0*cMTA*coupl(      &
                       nGC_224)*coupl(nGC_4)**2d0 + 2d0*cima*coupl(nGC_165)*   &
                       coupl(nGC_9) + coupl(nGC_165)*coupl(nGC_3)**2d0 - 2d0*  &
                       coupl(nGC_165)*coupl(nGC_3)*coupl(nGC_4) + coupl(nGC_165&
                       )*coupl(nGC_4)**2d0)/(16d0*pi**2d0)
    coupl(nGC_13239) = coupl(nGC_19)*sq2*(-coupl(nGC_1195)*coupl(nGC_226) - 4d0&
                       *coupl(nGC_123)**2d0 - 4d0*coupl(nGC_2)**2d0 - coupl(   &
                       nGC_225)**2d0 - coupl(nGC_227)**2d0 - coupl(nGC_228)**  &
                       2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_13409) = coupl(nGC_12820)*da_QED2 + coupl(nGC_12821)*dydo_QED3
    coupl(nGC_19405) = coupl(nGC_13449) + coupl(nGC_219)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_220)*dZHh_QED2/2d0
    coupl(nGC_20149) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                       dZeMinusL_QED2
    coupl(nGC_19610) = coupl(nGC_124)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                       dZmuMinusR_QED2
    coupl(nGC_19611) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                       dZmuMinusL_QED2
    coupl(nGC_27756) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_27757) = -coupl(nGC_27756)
    coupl(nGC_13490) = coupl(nGC_12545)*dsw_QED2 + coupl(nGC_12546)*dcw_QED2 + &
                       coupl(nGC_12547)*dZee_QED2
    coupl(nGC_13065) = coupl(nGC_19)**2d0*coupl(nGC_225)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13064) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_225) + 8d0*    &
                       coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_225) - coupl(   &
                       nGC_201)*coupl(nGC_202)*coupl(nGC_226) - coupl(nGC_201)*&
                       coupl(nGC_203)*coupl(nGC_227) - coupl(nGC_201)*coupl(   &
                       nGC_204)*coupl(nGC_228))/(32d0*pi**2d0)
    coupl(nGC_13067) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_209)/(4d0*pi**  &
                       2d0)
    coupl(nGC_13066) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_205)/(4d0*pi**  &
                       2d0)
    coupl(nGC_13061) = coupl(nGC_19)**2d0*coupl(nGC_213)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13063) = coupl(nGC_19)**2d0*coupl(nGC_201)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13062) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_201) - coupl(  &
                       nGC_1195)*coupl(nGC_1361)*coupl(nGC_225) + 8d0*coupl(   &
                       nGC_122)*coupl(nGC_126)*coupl(nGC_201) - coupl(nGC_203)*&
                       coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_204)*coupl(   &
                       nGC_225)*coupl(nGC_228))/(32d0*pi**2d0)
    coupl(nGC_13068) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_221)/(4d0*pi**  &
                       2d0)
    coupl(nGC_13248) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_195)*coupl(   &
                       nGC_196) - 4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_203)*&
                       coupl(nGC_204) - 4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(   &
                       nGC_215)*coupl(nGC_216) - 4d0*Nc*cima*coupl(nGC_199)*   &
                       coupl(nGC_2)**2d0*coupl(nGC_200) - 4d0*Nc*cima*coupl(   &
                       nGC_2)**2d0*coupl(nGC_219)*coupl(nGC_220) - 4d0*Nc*cima*&
                       coupl(nGC_2)**2d0*coupl(nGC_227)*coupl(nGC_228) - 4d0*  &
                       cima*coupl(nGC_207)*coupl(nGC_208)*coupl(nGC_4)**2d0 -  &
                       4d0*cima*coupl(nGC_211)*coupl(nGC_212)*coupl(nGC_4)**2d0&
                        - 4d0*cima*coupl(nGC_223)*coupl(nGC_224)*coupl(nGC_4)**&
                       2d0 + 2d0*cima*coupl(nGC_9)*coupl(nGC_93) + coupl(nGC_3 &
                       )**2d0*coupl(nGC_93) - 2d0*coupl(nGC_3)*coupl(nGC_4)*   &
                       coupl(nGC_93) + coupl(nGC_4)**2d0*coupl(nGC_93))/(16d0* &
                       pi**2d0)
    coupl(nGC_13244) = (-8d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_193)**2d0 -   &
                       8d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_197)**2d0 - 8d0*&
                       Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_201)**2d0 - 8d0*Nc* &
                       cima*coupl(nGC_1)**2d0*coupl(nGC_213)**2d0 - 8d0*Nc*cima&
                       *coupl(nGC_1)**2d0*coupl(nGC_217)**2d0 - 8d0*Nc*cima*   &
                       coupl(nGC_1)**2d0*coupl(nGC_225)**2d0 + 10d0*Nc*cima*   &
                       coupl(nGC_1)*coupl(nGC_193)**2d0*coupl(nGC_2) + 10d0*Nc*&
                       cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl(nGC_2) +    &
                       10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_201)** &
                       2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(     &
                       nGC_213)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)* &
                       coupl(nGC_217)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(  &
                       nGC_2)*coupl(nGC_225)**2d0 - 8d0*Nc*cima*coupl(nGC_193  &
                       )**2d0*coupl(nGC_2)**2d0 - 8d0*Nc*cima*coupl(nGC_197)** &
                       2d0*coupl(nGC_2)**2d0 - 8d0*Nc*cima*coupl(nGC_2)**2d0*  &
                       coupl(nGC_201)**2d0 - 8d0*Nc*cima*coupl(nGC_2)**2d0*    &
                       coupl(nGC_213)**2d0 - 8d0*Nc*cima*coupl(nGC_2)**2d0*    &
                       coupl(nGC_217)**2d0 - 8d0*Nc*cima*coupl(nGC_2)**2d0*    &
                       coupl(nGC_225)**2d0 - 8d0*cima*coupl(nGC_205)**2d0*coupl&
                       (nGC_4)**2d0 - 8d0*cima*coupl(nGC_209)**2d0*coupl(nGC_4 &
                       )**2d0 - 8d0*cima*coupl(nGC_221)**2d0*coupl(nGC_4)**2d0 &
                        + 6d0*cima*coupl(nGC_71)*coupl(nGC_9) + 3d0*coupl(nGC_3&
                       )**2d0*coupl(nGC_71) - 6d0*coupl(nGC_3)*coupl(nGC_4)*   &
                       coupl(nGC_71) + 3d0*coupl(nGC_4)**2d0*coupl(nGC_71))/(  &
                       48d0*pi**2d0)
    coupl(nGC_13247) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_195)**2d0 -   &
                       4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_203)**2d0 - 4d0*&
                       Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_215)**2d0 - 4d0*Nc* &
                       cima*coupl(nGC_199)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima&
                       *coupl(nGC_2)**2d0*coupl(nGC_219)**2d0 - 4d0*Nc*cima*   &
                       coupl(nGC_2)**2d0*coupl(nGC_227)**2d0 - 4d0*cima*coupl( &
                       nGC_207)**2d0*coupl(nGC_4)**2d0 - 4d0*cima*coupl(nGC_211&
                       )**2d0*coupl(nGC_4)**2d0 - 4d0*cima*coupl(nGC_223)**2d0*&
                       coupl(nGC_4)**2d0 + 2d0*cima*coupl(nGC_82)*coupl(nGC_9  &
                       ) + coupl(nGC_3)**2d0*coupl(nGC_82) - 2d0*coupl(nGC_3)* &
                       coupl(nGC_4)*coupl(nGC_82) + coupl(nGC_4)**2d0*coupl(   &
                       nGC_82))/(16d0*pi**2d0)
    coupl(nGC_13246) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_196)**2d0 -   &
                       4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_204)**2d0 - 4d0*&
                       Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_216)**2d0 - 4d0*Nc* &
                       cima*coupl(nGC_2)**2d0*coupl(nGC_200)**2d0 - 4d0*Nc*cima&
                       *coupl(nGC_2)**2d0*coupl(nGC_220)**2d0 - 4d0*Nc*cima*   &
                       coupl(nGC_2)**2d0*coupl(nGC_228)**2d0 - 4d0*cima*coupl( &
                       nGC_208)**2d0*coupl(nGC_4)**2d0 - 4d0*cima*coupl(nGC_212&
                       )**2d0*coupl(nGC_4)**2d0 - 4d0*cima*coupl(nGC_224)**2d0*&
                       coupl(nGC_4)**2d0 + 2d0*cima*coupl(nGC_9)*coupl(nGC_96  &
                       ) + coupl(nGC_3)**2d0*coupl(nGC_96) - 2d0*coupl(nGC_3)* &
                       coupl(nGC_4)*coupl(nGC_96) + coupl(nGC_4)**2d0*coupl(   &
                       nGC_96))/(16d0*pi**2d0)
    coupl(nGC_13241) = coupl(nGC_19)*sq2*(coupl(nGC_1195)*coupl(nGC_226) + 4d0*&
                       coupl(nGC_123)**2d0 + 4d0*coupl(nGC_2)**2d0 + coupl(    &
                       nGC_225)**2d0 + coupl(nGC_227)**2d0 + coupl(nGC_228)**  &
                       2d0)/(64d0*pi**2d0)
    coupl(nGC_13240) = coupl(nGC_19)*sq2*(coupl(nGC_1195)*coupl(nGC_226) + 4d0*&
                       coupl(nGC_126)**2d0 + 4d0*coupl(nGC_2)**2d0 + coupl(    &
                       nGC_201)**2d0 + coupl(nGC_227)**2d0 + coupl(nGC_228)**  &
                       2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
    coupl(nGC_13243) = sq2**3d0*(-Nc*cima*coupl(nGC_3423)**3d0 + 12d0*coupl(   &
                       nGC_19)**3d0)/(192d0*pi**2d0)
    coupl(nGC_13242) = sq2**3d0*(Nc*cima*coupl(nGC_3423)**3d0 - 12d0*coupl(    &
                       nGC_19)**3d0)/(192d0*pi**2d0)
    coupl(nGC_13089) = coupl(nGC_19)**2d0*coupl(nGC_194)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13120) = (-4d0*Nc*cMB*coupl(nGC_122)**2d0*coupl(nGC_196) + 4d0*Nc&
                       *cMB*coupl(nGC_122)*coupl(nGC_125)*coupl(nGC_196) - 4d0*&
                       Nc*cMB*coupl(nGC_125)**2d0*coupl(nGC_196) - 4d0*Nc*cMC* &
                       coupl(nGC_123)**2d0*coupl(nGC_200) + 4d0*Nc*cMC*coupl(  &
                       nGC_123)*coupl(nGC_126)*coupl(nGC_200) - 4d0*Nc*cMC*    &
                       coupl(nGC_126)**2d0*coupl(nGC_200) - 4d0*Nc*cMD*coupl(  &
                       nGC_122)**2d0*coupl(nGC_204) + 4d0*Nc*cMD*coupl(nGC_122 &
                       )*coupl(nGC_125)*coupl(nGC_204) - 4d0*Nc*cMD*coupl(     &
                       nGC_125)**2d0*coupl(nGC_204) - 4d0*Nc*cMS*coupl(nGC_122 &
                       )**2d0*coupl(nGC_216) + 4d0*Nc*cMS*coupl(nGC_122)*coupl(&
                       nGC_125)*coupl(nGC_216) - 4d0*Nc*cMS*coupl(nGC_125)**2d0&
                       *coupl(nGC_216) - 4d0*Nc*cMT*coupl(nGC_123)**2d0*coupl( &
                       nGC_220) + 4d0*Nc*cMT*coupl(nGC_123)*coupl(nGC_126)*    &
                       coupl(nGC_220) - 4d0*Nc*cMT*coupl(nGC_126)**2d0*coupl(  &
                       nGC_220) - 4d0*Nc*cMU*coupl(nGC_123)**2d0*coupl(nGC_228 &
                       ) + 4d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_126)*coupl(     &
                       nGC_228) - 4d0*Nc*cMU*coupl(nGC_126)**2d0*coupl(nGC_228 &
                       ) - 4d0*cME*coupl(nGC_124)**2d0*coupl(nGC_208) + 4d0*cME&
                       *coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_208) - 4d0*cME*&
                       coupl(nGC_128)**2d0*coupl(nGC_208) - 4d0*cMM*coupl(     &
                       nGC_124)**2d0*coupl(nGC_212) + 4d0*cMM*coupl(nGC_124)*  &
                       coupl(nGC_128)*coupl(nGC_212) - 4d0*cMM*coupl(nGC_128)**&
                       2d0*coupl(nGC_212) - 4d0*cMTA*coupl(nGC_124)**2d0*coupl(&
                       nGC_224) + 4d0*cMTA*coupl(nGC_124)*coupl(nGC_128)*coupl(&
                       nGC_224) - 4d0*cMTA*coupl(nGC_128)**2d0*coupl(nGC_224   &
                       ) + 2d0*cima*coupl(nGC_165)*coupl(nGC_85) + coupl(      &
                       nGC_102)**2d0*coupl(nGC_165) - 2d0*coupl(nGC_102)*coupl(&
                       nGC_103)*coupl(nGC_165) + coupl(nGC_103)**2d0*coupl(    &
                       nGC_165))/(16d0*pi**2d0)
    coupl(nGC_13445) = coupl(nGC_12870)*da_QED2 + coupl(nGC_12871)*dyup_QED3
    coupl(nGC_13122) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_196) + 8d0*coupl(      &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_196) - coupl(nGC_193)*&
                       coupl(nGC_217)*coupl(nGC_220) - coupl(nGC_194)**2d0*    &
                       coupl(nGC_196) - coupl(nGC_195)**2d0*coupl(nGC_196) -   &
                       coupl(nGC_196)**3d0)/(32d0*pi**2d0)
    coupl(nGC_13081) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_225) - coupl(  &
                       nGC_1195)*coupl(nGC_1361)*coupl(nGC_201) + 8d0*coupl(   &
                       nGC_123)*coupl(nGC_125)*coupl(nGC_225) - coupl(nGC_201)*&
                       coupl(nGC_203)*coupl(nGC_227) - coupl(nGC_201)*coupl(   &
                       nGC_204)*coupl(nGC_228))/(32d0*pi**2d0)
    coupl(nGC_13080) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_201) + 8d0*    &
                       coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_201) - coupl(   &
                       nGC_202)*coupl(nGC_225)*coupl(nGC_226) - coupl(nGC_203)*&
                       coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_204)*coupl(   &
                       nGC_225)*coupl(nGC_228))/(32d0*pi**2d0)
    coupl(nGC_23125) = coupl(nGC_13573) + coupl(nGC_TS_GC_207_Hl) + coupl(     &
                       nGC_TS_GC_208_Hh)
    coupl(nGC_23124) = coupl(nGC_MI)*dZeMinusR_QED2
    coupl(nGC_19725) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_13382) + coupl(      &
                       nGC_134)*dZZA_QED2
    coupl(nGC_13443) = coupl(nGC_375)*da_QED2 + coupl(nGC_377)*dyt_QED3
    coupl(nGC_TS_GC_220_Hh) = -coupl(nGC_220)*dtHh_QED1/cMHH**2d0
    coupl(nGC_13114) = (-coupl(nGC_1195)*coupl(nGC_226)**2d0 - coupl(nGC_1195)*&
                       coupl(nGC_227)**2d0 - coupl(nGC_1195)*coupl(nGC_228)**  &
                       2d0 + 8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_226   &
                       ) - coupl(nGC_1361)*coupl(nGC_201)*coupl(nGC_225) + 8d0*&
                       coupl(nGC_2)**2d0*coupl(nGC_226))/(32d0*pi**2d0)
    coupl(nGC_13441) = coupl(nGC_12904)*dyc_QED1_QCD2
    coupl(nGC_13340) = coupl(nGC_12533)*dsw_QED2 + coupl(nGC_12534)*dcw_QED2 + &
                       coupl(nGC_12535)*dZee_QED2
    coupl(nGC_22439) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_13116) = 3d0*(4d0*Nc*cMB*coupl(nGC_196)**3d0 + 4d0*Nc*cMC*coupl( &
                       nGC_200)**3d0 + 4d0*Nc*cMD*coupl(nGC_204)**3d0 + 4d0*Nc*&
                       cMS*coupl(nGC_216)**3d0 + 4d0*Nc*cMT*coupl(nGC_220)**3d0&
                        + 4d0*Nc*cMU*coupl(nGC_228)**3d0 + 4d0*cME*coupl(      &
                       nGC_208)**3d0 + 4d0*cMM*coupl(nGC_212)**3d0 + 4d0*cMTA* &
                       coupl(nGC_224)**3d0 + cima*coupl(nGC_151)*coupl(nGC_178 &
                       ) + 2d0*cima*coupl(nGC_165)*coupl(nGC_96))/(16d0*pi**2d0&
                       )
    coupl(nGC_20368) = -coupl(nGC_13403) - coupl(nGC_20365)
    coupl(nGC_20369) = coupl(nGC_13403) + coupl(nGC_20365)
    coupl(nGC_13111) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_3111) -    &
                       coupl(nGC_222)*coupl(nGC_223)**2d0 - coupl(nGC_222)*    &
                       coupl(nGC_224)**2d0 - coupl(nGC_222)*coupl(nGC_3111)**  &
                       2d0 + 8d0*coupl(nGC_3111)*coupl(nGC_4)**2d0)/(32d0*pi** &
                       2d0)
    coupl(nGC_20366) = -coupl(nGC_13404) - coupl(nGC_20364)
    coupl(nGC_20367) = coupl(nGC_13404) + coupl(nGC_20364)
    coupl(nGC_13446) = coupl(nGC_12871)*dyup_QED1_QCD2
    coupl(nGC_13331) = (3d0*Nc*cima*coupl(nGC_20)**2d0 - Nc*cima*coupl(nGC_3423&
                       )**4d0*sq2**4d0 + 3d0*Nc*cima*coupl(nGC_721)**2d0 - 3d0*&
                       Nc*coupl(nGC_20)*coupl(nGC_3423)**2d0*sq2**2d0 - 3d0*Nc*&
                       coupl(nGC_3423)**2d0*coupl(nGC_721)*sq2**2d0 + 9d0*cima*&
                       coupl(nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0)
    coupl(nGC_13330) = cima*sq2**4d0*(-Nc*coupl(nGC_3423)**4d0 - 15d0*coupl(   &
                       nGC_19)**4d0)/(192d0*pi**2d0)
    coupl(nGC_13333) = (cima*coupl(nGC_20)**2d0 + 2d0*cima*coupl(nGC_20)*coupl(&
                       nGC_721) - cima*coupl(nGC_3423)**4d0*sq2**4d0 + cima*   &
                       coupl(nGC_721)**2d0 - 2d0*coupl(nGC_20)*coupl(nGC_3423  &
                       )**2d0*sq2**2d0 - 2d0*coupl(nGC_3423)**2d0*coupl(nGC_721&
                       )*sq2**2d0)/(32d0*pi**2d0)
    coupl(nGC_21006) = coupl(nGC_194)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_21007) = coupl(nGC_194)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_13337) = (6d0*Nc*cima*coupl(nGC_20)*coupl(nGC_721) - Nc*cima*    &
                       coupl(nGC_3423)**4d0*sq2**4d0 - 6d0*Nc*coupl(nGC_3423)**&
                       2d0*coupl(nGC_721)*sq2**2d0 + 9d0*cima*coupl(nGC_19)**  &
                       4d0*sq2**4d0)/(192d0*pi**2d0)
    coupl(nGC_13336) = (3d0*Nc*cima*coupl(nGC_20)**2d0 - Nc*cima*coupl(nGC_3423&
                       )**4d0*sq2**4d0 + 3d0*Nc*cima*coupl(nGC_721)**2d0 - 6d0*&
                       Nc*coupl(nGC_20)*coupl(nGC_3423)**2d0*sq2**2d0 + 9d0*   &
                       cima*coupl(nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0)
    coupl(nGC_13339) = -3d0*cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**&
                       3d0)
    coupl(nGC_13338) = cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
    coupl(nGC_20533) = coupl(nGC_130)*dZHlHh_QED2/2d0 + coupl(nGC_13481) +     &
                       coupl(nGC_135)*dZHh_QED2/2d0 + coupl(nGC_135)*dZZ_QED2/ &
                       2d0
    coupl(nGC_13341) = coupl(nGC_12667)*dcw_QED2 + coupl(nGC_12668)*dZee_QED2
    coupl(nGC_19502) = coupl(nGC_99)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_20430) = coupl(nGC_125)*dZdL_QCD2
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
