!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 14:34             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_20927) = coupl(nGC_105)*dZZA_QED2/2d0 + coupl(nGC_13383) + coupl(&
                       nGC_5)*dZA_QED2/2d0
    coupl(nGC_19465) = coupl(nGC_13399) + coupl(nGC_193)*dZbR_QCD2/2d0 + coupl(&
                       nGC_193)*dZtL_QCD2/2d0
    coupl(nGC_TS_GC_117_Hh) = -coupl(nGC_117)*dtHh_QED1/cMHH**2d0
    coupl(nGC_13287) = (10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(      &
                       nGC_195)*coupl(nGC_99) + 10d0*Nc*cima*coupl(nGC_122)*   &
                       coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + 10d0*Nc*  &
                       cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_215)*coupl(&
                       nGC_99) + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_197)*   &
                       coupl(nGC_199)*coupl(nGC_99) + 10d0*Nc*cima*coupl(      &
                       nGC_123)*coupl(nGC_217)*coupl(nGC_219)*coupl(nGC_99) +  &
                       10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_227&
                       )*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(     &
                       nGC_193)*coupl(nGC_195)*coupl(nGC_99) - 8d0*Nc*cima*    &
                       coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_199)*coupl(     &
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_201)*    &
                       coupl(nGC_203)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125&
                       )*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) - 8d0*Nc* &
                       cima*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_219)*coupl(&
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_225)*    &
                       coupl(nGC_227)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_126&
                       )*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_99) - 8d0*Nc* &
                       cima*coupl(nGC_126)*coupl(nGC_197)*coupl(nGC_199)*coupl(&
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_201)*    &
                       coupl(nGC_203)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_126&
                       )*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) - 8d0*Nc* &
                       cima*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_219)*coupl(&
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_225)*    &
                       coupl(nGC_227)*coupl(nGC_99) + 12d0*cima*coupl(nGC_110)*&
                       coupl(nGC_113) + 10d0*cima*coupl(nGC_124)*coupl(nGC_205 &
                       )*coupl(nGC_207)*coupl(nGC_99) + 10d0*cima*coupl(nGC_124&
                       )*coupl(nGC_209)*coupl(nGC_211)*coupl(nGC_99) + 10d0*   &
                       cima*coupl(nGC_124)*coupl(nGC_221)*coupl(nGC_223)*coupl(&
                       nGC_99) - 8d0*cima*coupl(nGC_128)*coupl(nGC_205)*coupl( &
                       nGC_207)*coupl(nGC_99) - 8d0*cima*coupl(nGC_128)*coupl( &
                       nGC_209)*coupl(nGC_211)*coupl(nGC_99) - 8d0*cima*coupl( &
                       nGC_128)*coupl(nGC_221)*coupl(nGC_223)*coupl(nGC_99) -  &
                       8d0*cima*coupl(nGC_129)*coupl(nGC_205)*coupl(nGC_207)*  &
                       coupl(nGC_99) - 8d0*cima*coupl(nGC_129)*coupl(nGC_209)* &
                       coupl(nGC_211)*coupl(nGC_99) - 8d0*cima*coupl(nGC_129)* &
                       coupl(nGC_221)*coupl(nGC_223)*coupl(nGC_99) + 12d0*cima*&
                       coupl(nGC_15)*coupl(nGC_84) - 3d0*coupl(nGC_102)**2d0*  &
                       coupl(nGC_15) + 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl(&
                       nGC_15) + 6d0*coupl(nGC_102)*coupl(nGC_110)*coupl(nGC_3 &
                       ) - 3d0*coupl(nGC_103)**2d0*coupl(nGC_15) - 6d0*coupl(  &
                       nGC_103)*coupl(nGC_110)*coupl(nGC_3))/(96d0*pi**2d0)
    coupl(nGC_22117) = coupl(nGC_22112) + coupl(nGC_22116)
    coupl(nGC_13286) = (10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(      &
                       nGC_196)*coupl(nGC_99) + 10d0*Nc*cima*coupl(nGC_122)*   &
                       coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + 10d0*Nc*  &
                       cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_216)*coupl(&
                       nGC_99) + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_197)*   &
                       coupl(nGC_200)*coupl(nGC_99) + 10d0*Nc*cima*coupl(      &
                       nGC_123)*coupl(nGC_217)*coupl(nGC_220)*coupl(nGC_99) +  &
                       10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_228&
                       )*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(     &
                       nGC_193)*coupl(nGC_196)*coupl(nGC_99) - 8d0*Nc*cima*    &
                       coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_200)*coupl(     &
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_201)*    &
                       coupl(nGC_204)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125&
                       )*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) - 8d0*Nc* &
                       cima*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_220)*coupl(&
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_225)*    &
                       coupl(nGC_228)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_126&
                       )*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_99) - 8d0*Nc* &
                       cima*coupl(nGC_126)*coupl(nGC_197)*coupl(nGC_200)*coupl(&
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_201)*    &
                       coupl(nGC_204)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_126&
                       )*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) - 8d0*Nc* &
                       cima*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_220)*coupl(&
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_225)*    &
                       coupl(nGC_228)*coupl(nGC_99) + 12d0*cima*coupl(nGC_113)*&
                       coupl(nGC_119) + 10d0*cima*coupl(nGC_124)*coupl(nGC_205 &
                       )*coupl(nGC_208)*coupl(nGC_99) + 10d0*cima*coupl(nGC_124&
                       )*coupl(nGC_209)*coupl(nGC_212)*coupl(nGC_99) + 10d0*   &
                       cima*coupl(nGC_124)*coupl(nGC_221)*coupl(nGC_224)*coupl(&
                       nGC_99) - 8d0*cima*coupl(nGC_128)*coupl(nGC_205)*coupl( &
                       nGC_208)*coupl(nGC_99) - 8d0*cima*coupl(nGC_128)*coupl( &
                       nGC_209)*coupl(nGC_212)*coupl(nGC_99) - 8d0*cima*coupl( &
                       nGC_128)*coupl(nGC_221)*coupl(nGC_224)*coupl(nGC_99) -  &
                       8d0*cima*coupl(nGC_129)*coupl(nGC_205)*coupl(nGC_208)*  &
                       coupl(nGC_99) - 8d0*cima*coupl(nGC_129)*coupl(nGC_209)* &
                       coupl(nGC_212)*coupl(nGC_99) - 8d0*cima*coupl(nGC_129)* &
                       coupl(nGC_221)*coupl(nGC_224)*coupl(nGC_99) + 12d0*cima*&
                       coupl(nGC_27)*coupl(nGC_84) - 3d0*coupl(nGC_102)**2d0*  &
                       coupl(nGC_27) + 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl(&
                       nGC_27) + 6d0*coupl(nGC_102)*coupl(nGC_119)*coupl(nGC_3 &
                       ) - 3d0*coupl(nGC_103)**2d0*coupl(nGC_27) - 6d0*coupl(  &
                       nGC_103)*coupl(nGC_119)*coupl(nGC_3))/(96d0*pi**2d0)
    coupl(nGC_23196) = coupl(nGC_13587) + coupl(nGC_23191)
    coupl(nGC_21563) = coupl(nGC_130)*dZHl_QED2/2d0 + coupl(nGC_130)*dZZ_QED2/ &
                       2d0 + coupl(nGC_13479) + coupl(nGC_135)*dZHhHl_QED2/2d0
    coupl(nGC_21852) = coupl(nGC_13571) + coupl(nGC_MHH)*dZHh_QED2 + coupl(    &
                       nGC_TS_GC_190_Hh) + coupl(nGC_TS_GC_192_Hl)
    coupl(nGC_19827) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_19210) = coupl(nGC_203)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_19211) = coupl(nGC_203)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_19212) = coupl(nGC_13409) + coupl(nGC_203)*dZHl_QED2/2d0 + coupl(&
                       nGC_204)*dZHhHl_QED2/2d0
    coupl(nGC_19213) = coupl(nGC_19210) + coupl(nGC_19212)
    coupl(nGC_13444) = coupl(nGC_377)*dyt_QED1_QCD2
    coupl(nGC_13140) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_220) -     &
                       coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_217) + 8d0*coupl&
                       (nGC_2)**2d0*coupl(nGC_220) - coupl(nGC_218)**2d0*coupl(&
                       nGC_220) - coupl(nGC_219)**2d0*coupl(nGC_220) - coupl(  &
                       nGC_220)**3d0)/(32d0*pi**2d0)
    coupl(nGC_26453) = -coupl(nGC_13405) - coupl(nGC_26450)
    coupl(nGC_24353) = coupl(nGC_13445) + coupl(nGC_227)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_228)*dZHh_QED2/2d0
    coupl(nGC_24354) = coupl(nGC_24351) + coupl(nGC_24353)
    coupl(nGC_20755) = coupl(nGC_13456) + coupl(nGC_98)*dZWMinus_QED2/2d0
    coupl(nGC_19863) = coupl(nGC_19)*dZbL_QCD2
    coupl(nGC_TS_GC_196_Hh) = -coupl(nGC_196)*dtHh_QED1/cMHH**2d0
    coupl(nGC_13128) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_204) + 8d0*coupl(      &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_204) - coupl(nGC_201)*&
                       coupl(nGC_225)*coupl(nGC_228) - coupl(nGC_202)**2d0*    &
                       coupl(nGC_204) - coupl(nGC_203)**2d0*coupl(nGC_204) -   &
                       coupl(nGC_204)**3d0)/(32d0*pi**2d0)
    coupl(nGC_13019) = (-4d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_195) - 4d0*Nc* &
                       cMC*coupl(nGC_199)*coupl(nGC_2)**2d0 - 4d0*Nc*cMD*coupl(&
                       nGC_1)**2d0*coupl(nGC_203) - 4d0*Nc*cMS*coupl(nGC_1)**  &
                       2d0*coupl(nGC_215) - 4d0*Nc*cMT*coupl(nGC_2)**2d0*coupl(&
                       nGC_219) - 4d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_227   &
                       ) - 4d0*cME*coupl(nGC_207)*coupl(nGC_4)**2d0 - 4d0*cMM* &
                       coupl(nGC_211)*coupl(nGC_4)**2d0 - 4d0*cMTA*coupl(      &
                       nGC_223)*coupl(nGC_4)**2d0 + 2d0*cima*coupl(nGC_162)*   &
                       coupl(nGC_9) + coupl(nGC_162)*coupl(nGC_3)**2d0 - 2d0*  &
                       coupl(nGC_162)*coupl(nGC_3)*coupl(nGC_4) + coupl(nGC_162&
                       )*coupl(nGC_4)**2d0)/(16d0*pi**2d0)
    coupl(nGC_27290) = coupl(nGC_13373) + 3d0*coupl(nGC_189)*dZHhHl_QED2/2d0 + &
                       3d0*coupl(nGC_191)*dZHl_QED2/2d0 + coupl(nGC_TS_GC_32_Hh&
                       ) + coupl(nGC_TS_GC_34_Hl)
    coupl(nGC_19289) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*           &
                       dZtauMinusR_QED2 + coupl(nGC_13508)
    coupl(nGC_19327) = coupl(nGC_13358) + coupl(nGC_29)*dZHh_QED2/2d0 + coupl( &
                       nGC_29)*dZHl_QED2/2d0 + coupl(nGC_30)*dZHhHl_QED2/2d0 + &
                       coupl(nGC_31)*dZHlHh_QED2/2d0
    coupl(nGC_22446) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_2)*dZcL_QED2
    coupl(nGC_19284) = coupl(nGC_4)*dZAZ_QED2/2d0
    coupl(nGC_22444) = coupl(nGC_13499) + coupl(nGC_2)*dZA_QED2/2d0
    coupl(nGC_13478) = coupl(nGC_12596)*dsw_QED2 + coupl(nGC_12597)*dcw_QED2 + &
                       coupl(nGC_12598)*da_QED2 + coupl(nGC_12599)*dZee_QED2
    coupl(nGC_13476) = coupl(nGC_12717)*dsw_QED2 + coupl(nGC_12718)*dZee_QED2
    coupl(nGC_13477) = coupl(nGC_12848)*dsw_QED2 + coupl(nGC_12849)*dcw_QED2 + &
                       coupl(nGC_12850)*dZee_QED2
    coupl(nGC_13474) = coupl(nGC_12687)*dsw_QED2 + coupl(nGC_12688)*dcw_QED2 + &
                       coupl(nGC_12689)*dZee_QED2
    coupl(nGC_13475) = coupl(nGC_12846)*dsw_QED2 + coupl(nGC_12847)*dZee_QED2
    coupl(nGC_13472) = coupl(nGC_12493)*dZee_QED2
    coupl(nGC_13473) = coupl(nGC_12679)*dsw_QED2 + coupl(nGC_12680)*dcw_QED2 + &
                       coupl(nGC_12681)*dZee_QED2
    coupl(nGC_13470) = coupl(nGC_12580)*dsw_QED2 + coupl(nGC_12581)*dvev_QED1  &
                        + coupl(nGC_12582)*da_QED2 + coupl(nGC_12583)*dZee_QED2
    coupl(nGC_13471) = coupl(nGC_12913)*dsw_QED2 + coupl(nGC_12914)*dvev_QED1  &
                        + coupl(nGC_12915)*da_QED2 + coupl(nGC_12916)*dZee_QED2
    coupl(nGC_19255) = coupl(nGC_107)*dZA_QED2/2d0 + coupl(nGC_107)*           &
                       dZWMinus_QED2/2d0 + coupl(nGC_13)*dZZA_QED2/2d0 + coupl(&
                       nGC_13366)
    coupl(nGC_19649) = coupl(nGC_113)*dZAZ_QED2 + coupl(nGC_13497) + coupl(    &
                       nGC_84)*dZWMinus_QED2 + coupl(nGC_84)*dZZ_QED2
    coupl(nGC_19648) = coupl(nGC_116)*dZAZ_QED2 + coupl(nGC_13498) + coupl(    &
                       nGC_85)*dZWMinus_QED2 + coupl(nGC_85)*dZZ_QED2
    coupl(nGC_12978) = cMB*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_12979) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0*&
                       pi**2d0*Nc)
    coupl(nGC_TS_GC_101_Hl) = -coupl(nGC_101)*dtHl_QED1/cMHL**2d0
    coupl(nGC_13183) = coupl(nGC_19)**2d0*coupl(nGC_99)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
    coupl(nGC_12974) = cima*(-6d0*Nc*coupl(nGC_122)**2d0 - 6d0*Nc*coupl(nGC_123&
                       )**2d0 - 6d0*Nc*coupl(nGC_125)**2d0 - 6d0*Nc*coupl(     &
                       nGC_126)**2d0 - coupl(nGC_102)**2d0 + 2d0*coupl(nGC_102 &
                       )*coupl(nGC_103) - coupl(nGC_103)**2d0 - 6d0*coupl(     &
                       nGC_124)**2d0 - 6d0*coupl(nGC_128)**2d0 - 6d0*coupl(    &
                       nGC_129)**2d0)/(96d0*pi**2d0)
    coupl(nGC_19250) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_115)*dZZA_QED2 +     &
                       coupl(nGC_13382)
    coupl(nGC_19641) = coupl(nGC_13394) + coupl(nGC_225)*dZdL_QED2/2d0 + coupl(&
                       nGC_225)*dZuR_QED2/2d0
    coupl(nGC_19640) = coupl(nGC_13392) + coupl(nGC_201)*dZdR_QED2/2d0 + coupl(&
                       nGC_201)*dZuL_QED2/2d0
    coupl(nGC_13194) = coupl(nGC_126)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_13197) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_125) + coupl(nGC_102)* &
                       coupl(nGC_99)**2d0 - coupl(nGC_103)*coupl(nGC_99)**2d0  &
                        + coupl(nGC_122)*coupl(nGC_1361)*coupl(nGC_202) + coupl&
                       (nGC_122)*coupl(nGC_203)**2d0 + coupl(nGC_122)*coupl(   &
                       nGC_204)**2d0 + coupl(nGC_123)*coupl(nGC_225)**2d0 + 4d0&
                       *coupl(nGC_125)**3d0 + 4d0*coupl(nGC_126)*coupl(nGC_99  &
                       )**2d0)/(32d0*pi**2d0)
    coupl(nGC_13196) = coupl(nGC_123)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_13058) = (8d0*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_2) + 8d0*    &
                       coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_197) - coupl(   &
                       nGC_198)*coupl(nGC_213)*coupl(nGC_214) - coupl(nGC_199)*&
                       coupl(nGC_213)*coupl(nGC_215) - coupl(nGC_200)*coupl(   &
                       nGC_213)*coupl(nGC_216))/(32d0*pi**2d0)
    coupl(nGC_13190) = coupl(nGC_125)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_13192) = coupl(nGC_122)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_13055) = coupl(nGC_19)**2d0*coupl(nGC_193)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13056) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_217) + 8d0*    &
                       coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_217) - coupl(   &
                       nGC_193)*coupl(nGC_194)*coupl(nGC_218) - coupl(nGC_193)*&
                       coupl(nGC_195)*coupl(nGC_219) - coupl(nGC_193)*coupl(   &
                       nGC_196)*coupl(nGC_220))/(32d0*pi**2d0)
    coupl(nGC_13057) = coupl(nGC_19)**2d0*coupl(nGC_217)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13050) = (2d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_99) -   &
                       2d0*Nc*coupl(nGC_197)*coupl(nGC_200)*coupl(nGC_99) + 2d0&
                       *Nc*coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + 2d0*Nc&
                       *coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) - 2d0*Nc*  &
                       coupl(nGC_217)*coupl(nGC_220)*coupl(nGC_99) - 2d0*Nc*   &
                       coupl(nGC_225)*coupl(nGC_228)*coupl(nGC_99) + 3d0*cima* &
                       coupl(nGC_102)*coupl(nGC_27) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_27) + 3d0*cima*coupl(nGC_119)*coupl(nGC_3) +  &
                       3d0*cima*coupl(nGC_119)*coupl(nGC_4) + 2d0*coupl(nGC_205&
                       )*coupl(nGC_208)*coupl(nGC_99) + 2d0*coupl(nGC_209)*    &
                       coupl(nGC_212)*coupl(nGC_99) + 2d0*coupl(nGC_221)*coupl(&
                       nGC_224)*coupl(nGC_99))/(48d0*pi**2d0)
    coupl(nGC_TS_GC_179_Hh) = -coupl(nGC_179)*dtHh_QED1/cMHH**2d0
    coupl(nGC_13052) = (2d0*Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_99) -   &
                       2d0*Nc*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_99) + 2d0&
                       *Nc*coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + 2d0*Nc&
                       *coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) - 2d0*Nc*  &
                       coupl(nGC_217)*coupl(nGC_219)*coupl(nGC_99) - 2d0*Nc*   &
                       coupl(nGC_225)*coupl(nGC_227)*coupl(nGC_99) + 3d0*cima* &
                       coupl(nGC_102)*coupl(nGC_15) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_15) + 3d0*cima*coupl(nGC_110)*coupl(nGC_3) +  &
                       3d0*cima*coupl(nGC_110)*coupl(nGC_4) + 2d0*coupl(nGC_205&
                       )*coupl(nGC_207)*coupl(nGC_99) + 2d0*coupl(nGC_209)*    &
                       coupl(nGC_211)*coupl(nGC_99) + 2d0*coupl(nGC_221)*coupl(&
                       nGC_223)*coupl(nGC_99))/(48d0*pi**2d0)
    coupl(nGC_13053) = (2d0*Nc*cMB*coupl(nGC_122)*coupl(nGC_193)*coupl(nGC_99  &
                       ) - 2d0*Nc*cMB*coupl(nGC_125)*coupl(nGC_193)*coupl(     &
                       nGC_99) - 2d0*Nc*cMB*coupl(nGC_126)*coupl(nGC_193)*coupl&
                       (nGC_99) + 2d0*Nc*cMC*coupl(nGC_123)*coupl(nGC_197)*    &
                       coupl(nGC_99) - 2d0*Nc*cMC*coupl(nGC_125)*coupl(nGC_197 &
                       )*coupl(nGC_99) - 2d0*Nc*cMC*coupl(nGC_126)*coupl(      &
                       nGC_197)*coupl(nGC_99) + 2d0*Nc*cMD*coupl(nGC_122)*coupl&
                       (nGC_201)*coupl(nGC_99) - 2d0*Nc*cMD*coupl(nGC_125)*    &
                       coupl(nGC_201)*coupl(nGC_99) - 2d0*Nc*cMD*coupl(nGC_126 &
                       )*coupl(nGC_201)*coupl(nGC_99) + 2d0*Nc*cMS*coupl(      &
                       nGC_122)*coupl(nGC_213)*coupl(nGC_99) - 2d0*Nc*cMS*coupl&
                       (nGC_125)*coupl(nGC_213)*coupl(nGC_99) - 2d0*Nc*cMS*    &
                       coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_99) + 2d0*Nc*cMT&
                       *coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_99) - 2d0*Nc*  &
                       cMT*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_99) - 2d0*Nc&
                       *cMT*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_99) + 2d0* &
                       Nc*cMU*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_99) - 2d0&
                       *Nc*cMU*coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_99) -   &
                       2d0*Nc*cMU*coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_99   &
                       ) + 2d0*cME*coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_99  &
                       ) - 2d0*cME*coupl(nGC_128)*coupl(nGC_205)*coupl(nGC_99  &
                       ) - 2d0*cME*coupl(nGC_129)*coupl(nGC_205)*coupl(nGC_99  &
                       ) + 2d0*cMM*coupl(nGC_124)*coupl(nGC_209)*coupl(nGC_99  &
                       ) - 2d0*cMM*coupl(nGC_128)*coupl(nGC_209)*coupl(nGC_99  &
                       ) - 2d0*cMM*coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_99  &
                       ) + 2d0*cMTA*coupl(nGC_124)*coupl(nGC_221)*coupl(nGC_99 &
                       ) - 2d0*cMTA*coupl(nGC_128)*coupl(nGC_221)*coupl(nGC_99 &
                       ) - 2d0*cMTA*coupl(nGC_129)*coupl(nGC_221)*coupl(nGC_99 &
                       ) + 4d0*cima*coupl(nGC_113)*coupl(nGC_166) + 4d0*cima*  &
                       coupl(nGC_154)*coupl(nGC_84) - coupl(nGC_102)**2d0*coupl&
                       (nGC_154) + 2d0*coupl(nGC_102)*coupl(nGC_103)*coupl(    &
                       nGC_154) + coupl(nGC_102)*coupl(nGC_166)*coupl(nGC_3) - &
                       coupl(nGC_102)*coupl(nGC_166)*coupl(nGC_4) - coupl(     &
                       nGC_103)**2d0*coupl(nGC_154) - coupl(nGC_103)*coupl(    &
                       nGC_166)*coupl(nGC_3) + coupl(nGC_103)*coupl(nGC_166)*  &
                       coupl(nGC_4))/(32d0*pi**2d0)
    coupl(nGC_22550) = coupl(nGC_13425) + coupl(nGC_22548)
    coupl(nGC_13379) = coupl(nGC_12937)*dsw_QED2 + coupl(nGC_12938)*dvev_QED1  &
                        + coupl(nGC_12939)*da_QED2 + coupl(nGC_12940)*dZee_QED2
    coupl(nGC_13375) = coupl(nGC_12753)*dsw_QED2 + coupl(nGC_12754)*dvev_QED1  &
                        + coupl(nGC_12755)*dcw_QED2 + coupl(nGC_12756)*da_QED2 &
                        + coupl(nGC_12757)*dZee_QED2
    coupl(nGC_13371) = coupl(nGC_12619)*dsw_QED2 + coupl(nGC_12620)*dvev_QED1  &
                        + coupl(nGC_12621)*dcw_QED2 + coupl(nGC_12622)*da_QED2 &
                        + coupl(nGC_12623)*dZee_QED2
    coupl(nGC_13370) = coupl(nGC_12812)*dcw_QED2 + coupl(nGC_12813)*dvev_QED1  &
                        + coupl(nGC_12814)*dZee_QED2
    coupl(nGC_13274) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -  &
                       coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13275) = cima*(10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_195)*coupl( &
                       nGC_196) + 10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_219)*  &
                       coupl(nGC_220) + 10d0*Nc*coupl(nGC_193)*coupl(nGC_195)* &
                       coupl(nGC_217)*coupl(nGC_220) + 10d0*Nc*coupl(nGC_193)* &
                       coupl(nGC_196)*coupl(nGC_217)*coupl(nGC_219) + 10d0*Nc* &
                       coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_217)**2d0 + 10d0&
                       *Nc*coupl(nGC_197)**2d0*coupl(nGC_199)*coupl(nGC_200) + &
                       10d0*Nc*coupl(nGC_197)**2d0*coupl(nGC_215)*coupl(nGC_216&
                       ) + 10d0*Nc*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_213 &
                       )*coupl(nGC_216) + 10d0*Nc*coupl(nGC_197)*coupl(nGC_200 &
                       )*coupl(nGC_213)*coupl(nGC_215) + 10d0*Nc*coupl(nGC_199 &
                       )*coupl(nGC_200)*coupl(nGC_213)**2d0 + 10d0*Nc*coupl(   &
                       nGC_201)**2d0*coupl(nGC_203)*coupl(nGC_204) + 10d0*Nc*  &
                       coupl(nGC_201)**2d0*coupl(nGC_227)*coupl(nGC_228) + 10d0&
                       *Nc*coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_225)*coupl( &
                       nGC_228) + 10d0*Nc*coupl(nGC_201)*coupl(nGC_204)*coupl( &
                       nGC_225)*coupl(nGC_227) + 10d0*Nc*coupl(nGC_203)*coupl( &
                       nGC_204)*coupl(nGC_225)**2d0 + 10d0*Nc*coupl(nGC_213)** &
                       2d0*coupl(nGC_215)*coupl(nGC_216) + 10d0*Nc*coupl(      &
                       nGC_217)**2d0*coupl(nGC_219)*coupl(nGC_220) + 10d0*Nc*  &
                       coupl(nGC_225)**2d0*coupl(nGC_227)*coupl(nGC_228) + 12d0&
                       *coupl(nGC_110)*coupl(nGC_119) + 3d0*coupl(nGC_141)*    &
                       coupl(nGC_148) + 12d0*coupl(nGC_15)*coupl(nGC_27) + 10d0&
                       *coupl(nGC_205)**2d0*coupl(nGC_207)*coupl(nGC_208) +    &
                       10d0*coupl(nGC_209)**2d0*coupl(nGC_211)*coupl(nGC_212   &
                       ) + 10d0*coupl(nGC_221)**2d0*coupl(nGC_223)*coupl(      &
                       nGC_224) + 6d0*coupl(nGC_71)*coupl(nGC_93))/(48d0*pi**  &
                       2d0)
    coupl(nGC_13276) = cima*(10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_195)**2d0 + &
                       10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_219)**2d0 + 20d0* &
                       Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_217)*coupl(  &
                       nGC_219) + 10d0*Nc*coupl(nGC_195)**2d0*coupl(nGC_217)** &
                       2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(nGC_199)**2d0 + &
                       10d0*Nc*coupl(nGC_197)**2d0*coupl(nGC_215)**2d0 + 20d0* &
                       Nc*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_213)*coupl(  &
                       nGC_215) + 10d0*Nc*coupl(nGC_199)**2d0*coupl(nGC_213)** &
                       2d0 + 10d0*Nc*coupl(nGC_201)**2d0*coupl(nGC_203)**2d0 + &
                       10d0*Nc*coupl(nGC_201)**2d0*coupl(nGC_227)**2d0 + 20d0* &
                       Nc*coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_225)*coupl(  &
                       nGC_227) + 10d0*Nc*coupl(nGC_203)**2d0*coupl(nGC_225)** &
                       2d0 + 10d0*Nc*coupl(nGC_213)**2d0*coupl(nGC_215)**2d0 + &
                       10d0*Nc*coupl(nGC_217)**2d0*coupl(nGC_219)**2d0 + 10d0* &
                       Nc*coupl(nGC_225)**2d0*coupl(nGC_227)**2d0 + 12d0*coupl(&
                       nGC_110)**2d0 + 3d0*coupl(nGC_141)*coupl(nGC_145) + 12d0&
                       *coupl(nGC_15)**2d0 + 10d0*coupl(nGC_205)**2d0*coupl(   &
                       nGC_207)**2d0 + 10d0*coupl(nGC_209)**2d0*coupl(nGC_211  &
                       )**2d0 + 10d0*coupl(nGC_221)**2d0*coupl(nGC_223)**2d0 + &
                       6d0*coupl(nGC_71)*coupl(nGC_82))/(48d0*pi**2d0)
    coupl(nGC_13270) = cima*(5d0*Nc*coupl(nGC_193)**4d0 + 5d0*Nc*coupl(nGC_197 &
                       )**4d0 + 5d0*Nc*coupl(nGC_201)**4d0 + 5d0*Nc*coupl(     &
                       nGC_213)**4d0 + 5d0*Nc*coupl(nGC_217)**4d0 + 5d0*Nc*    &
                       coupl(nGC_225)**4d0 + 3d0*coupl(nGC_10)**2d0 + 6d0*coupl&
                       (nGC_134)**2d0 + 3d0*coupl(nGC_141)**2d0 + 5d0*coupl(   &
                       nGC_205)**4d0 + 5d0*coupl(nGC_209)**4d0 + 5d0*coupl(    &
                       nGC_221)**4d0 + 6d0*coupl(nGC_71)**2d0)/(24d0*pi**2d0)
    coupl(nGC_13272) = cima*(10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_196)**2d0 + &
                       10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_220)**2d0 + 20d0* &
                       Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_217)*coupl(  &
                       nGC_220) + 10d0*Nc*coupl(nGC_196)**2d0*coupl(nGC_217)** &
                       2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(nGC_200)**2d0 + &
                       10d0*Nc*coupl(nGC_197)**2d0*coupl(nGC_216)**2d0 + 20d0* &
                       Nc*coupl(nGC_197)*coupl(nGC_200)*coupl(nGC_213)*coupl(  &
                       nGC_216) + 10d0*Nc*coupl(nGC_200)**2d0*coupl(nGC_213)** &
                       2d0 + 10d0*Nc*coupl(nGC_201)**2d0*coupl(nGC_204)**2d0 + &
                       10d0*Nc*coupl(nGC_201)**2d0*coupl(nGC_228)**2d0 + 20d0* &
                       Nc*coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_225)*coupl(  &
                       nGC_228) + 10d0*Nc*coupl(nGC_204)**2d0*coupl(nGC_225)** &
                       2d0 + 10d0*Nc*coupl(nGC_213)**2d0*coupl(nGC_216)**2d0 + &
                       10d0*Nc*coupl(nGC_217)**2d0*coupl(nGC_220)**2d0 + 10d0* &
                       Nc*coupl(nGC_225)**2d0*coupl(nGC_228)**2d0 + 12d0*coupl(&
                       nGC_119)**2d0 + 3d0*coupl(nGC_141)*coupl(nGC_151) + 10d0&
                       *coupl(nGC_205)**2d0*coupl(nGC_208)**2d0 + 10d0*coupl(  &
                       nGC_209)**2d0*coupl(nGC_212)**2d0 + 10d0*coupl(nGC_221  &
                       )**2d0*coupl(nGC_224)**2d0 + 12d0*coupl(nGC_27)**2d0 +  &
                       6d0*coupl(nGC_71)*coupl(nGC_96))/(48d0*pi**2d0)
    coupl(nGC_13273) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +   &
                       coupl(nGC_2)**2d0)/(16d0*pi**2d0)
    coupl(nGC_19427) = coupl(nGC_129)*dZZA_QED2/2d0
    coupl(nGC_13171) = coupl(nGC_223)*(8d0*coupl(nGC_124)*coupl(nGC_128) -     &
                       coupl(nGC_222)**2d0 - coupl(nGC_223)**2d0 - coupl(      &
                       nGC_224)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13170) = coupl(nGC_19)**2d0*coupl(nGC_219)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13278) = (-8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_193)**2d0 - &
                       8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_201)**2d0 -   &
                       8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_213)**2d0 +   &
                       10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_193&
                       )**2d0 + 10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_126)*    &
                       coupl(nGC_201)**2d0 + 10d0*Nc*cima*coupl(nGC_122)*coupl(&
                       nGC_126)*coupl(nGC_213)**2d0 - 8d0*Nc*cima*coupl(nGC_123&
                       )**2d0*coupl(nGC_197)**2d0 - 8d0*Nc*cima*coupl(nGC_123  &
                       )**2d0*coupl(nGC_217)**2d0 - 8d0*Nc*cima*coupl(nGC_123  &
                       )**2d0*coupl(nGC_225)**2d0 + 10d0*Nc*cima*coupl(nGC_123 &
                       )*coupl(nGC_125)*coupl(nGC_197)**2d0 + 10d0*Nc*cima*    &
                       coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_217)**2d0 + 10d0&
                       *Nc*cima*coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_225)** &
                       2d0 - 8d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_197)**  &
                       2d0 - 8d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_217)**  &
                       2d0 - 8d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_225)**  &
                       2d0 - 8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_193)**  &
                       2d0 - 8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_201)**  &
                       2d0 - 8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_213)**  &
                       2d0 - 8d0*cima*coupl(nGC_124)**2d0*coupl(nGC_205)**2d0  &
                        - 8d0*cima*coupl(nGC_124)**2d0*coupl(nGC_209)**2d0 -   &
                       8d0*cima*coupl(nGC_124)**2d0*coupl(nGC_221)**2d0 + 10d0*&
                       cima*coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_205)**2d0  &
                        + 10d0*cima*coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_209&
                       )**2d0 + 10d0*cima*coupl(nGC_124)*coupl(nGC_129)*coupl( &
                       nGC_221)**2d0 - 8d0*cima*coupl(nGC_129)**2d0*coupl(     &
                       nGC_205)**2d0 - 8d0*cima*coupl(nGC_129)**2d0*coupl(     &
                       nGC_209)**2d0 - 8d0*cima*coupl(nGC_129)**2d0*coupl(     &
                       nGC_221)**2d0 + 6d0*cima*coupl(nGC_71)*coupl(nGC_85) +  &
                       3d0*coupl(nGC_102)**2d0*coupl(nGC_71) - 6d0*coupl(      &
                       nGC_102)*coupl(nGC_103)*coupl(nGC_71) + 3d0*coupl(      &
                       nGC_103)**2d0*coupl(nGC_71))/(48d0*pi**2d0)
    coupl(nGC_13175) = coupl(nGC_19)**2d0*coupl(nGC_227)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13174) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_227) + 8d0*&
                       coupl(nGC_2)**2d0*coupl(nGC_227) - coupl(nGC_201)*coupl(&
                       nGC_203)*coupl(nGC_225) - coupl(nGC_226)**2d0*coupl(    &
                       nGC_227) - coupl(nGC_227)**3d0 - coupl(nGC_227)*coupl(  &
                       nGC_228)**2d0)/(32d0*pi**2d0)
    coupl(nGC_20771) = coupl(nGC_123)*dZZ_QED2/2d0 + coupl(nGC_123)*dZtR_QED2  &
                        + coupl(nGC_13504)
    coupl(nGC_22982) = coupl(nGC_13442) + coupl(nGC_199)*dZHl_QED2/2d0 + coupl(&
                       nGC_200)*dZHhHl_QED2/2d0
    coupl(nGC_22980) = coupl(nGC_199)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_23157) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_2)*dZtR_QED2
    coupl(nGC_23155) = coupl(nGC_2)*dZtL_QCD2
    coupl(nGC_23152) = coupl(nGC_2)*dZtR_QCD2
    coupl(nGC_13027) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_122 &
                       )**2d0 + coupl(nGC_1)*coupl(nGC_1361)*coupl(nGC_202) +  &
                       coupl(nGC_1)*coupl(nGC_203)**2d0 + coupl(nGC_1)*coupl(  &
                       nGC_204)**2d0 + coupl(nGC_2)*coupl(nGC_201)**2d0)/(32d0*&
                       pi**2d0)
    coupl(nGC_13281) = (10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(      &
                       nGC_196)*coupl(nGC_99) + 10d0*Nc*cima*coupl(nGC_122)*   &
                       coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + 10d0*Nc*  &
                       cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_216)*coupl(&
                       nGC_99) + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_197)*   &
                       coupl(nGC_200)*coupl(nGC_99) + 10d0*Nc*cima*coupl(      &
                       nGC_123)*coupl(nGC_217)*coupl(nGC_220)*coupl(nGC_99) +  &
                       10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_228&
                       )*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(     &
                       nGC_193)*coupl(nGC_196)*coupl(nGC_99) - 8d0*Nc*cima*    &
                       coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_200)*coupl(     &
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_201)*    &
                       coupl(nGC_204)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125&
                       )*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) - 8d0*Nc* &
                       cima*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_220)*coupl(&
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_225)*    &
                       coupl(nGC_228)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_126&
                       )*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_99) - 8d0*Nc* &
                       cima*coupl(nGC_126)*coupl(nGC_197)*coupl(nGC_200)*coupl(&
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_201)*    &
                       coupl(nGC_204)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_126&
                       )*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) - 8d0*Nc* &
                       cima*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_220)*coupl(&
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_225)*    &
                       coupl(nGC_228)*coupl(nGC_99) + 12d0*cima*coupl(nGC_113)*&
                       coupl(nGC_119) + 10d0*cima*coupl(nGC_124)*coupl(nGC_205 &
                       )*coupl(nGC_208)*coupl(nGC_99) + 10d0*cima*coupl(nGC_124&
                       )*coupl(nGC_209)*coupl(nGC_212)*coupl(nGC_99) + 10d0*   &
                       cima*coupl(nGC_124)*coupl(nGC_221)*coupl(nGC_224)*coupl(&
                       nGC_99) - 8d0*cima*coupl(nGC_128)*coupl(nGC_205)*coupl( &
                       nGC_208)*coupl(nGC_99) - 8d0*cima*coupl(nGC_128)*coupl( &
                       nGC_209)*coupl(nGC_212)*coupl(nGC_99) - 8d0*cima*coupl( &
                       nGC_128)*coupl(nGC_221)*coupl(nGC_224)*coupl(nGC_99) -  &
                       8d0*cima*coupl(nGC_129)*coupl(nGC_205)*coupl(nGC_208)*  &
                       coupl(nGC_99) - 8d0*cima*coupl(nGC_129)*coupl(nGC_209)* &
                       coupl(nGC_212)*coupl(nGC_99) - 8d0*cima*coupl(nGC_129)* &
                       coupl(nGC_221)*coupl(nGC_224)*coupl(nGC_99) + 12d0*cima*&
                       coupl(nGC_27)*coupl(nGC_84) - 3d0*coupl(nGC_102)**2d0*  &
                       coupl(nGC_27) + 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl(&
                       nGC_27) + 3d0*coupl(nGC_102)*coupl(nGC_119)*coupl(nGC_3 &
                       ) - 3d0*coupl(nGC_102)*coupl(nGC_119)*coupl(nGC_4) - 3d0&
                       *coupl(nGC_103)**2d0*coupl(nGC_27) - 3d0*coupl(nGC_103)*&
                       coupl(nGC_119)*coupl(nGC_3) + 3d0*coupl(nGC_103)*coupl( &
                       nGC_119)*coupl(nGC_4))/(96d0*pi**2d0)
    coupl(nGC_13335) = (6d0*Nc*cima*coupl(nGC_20)*coupl(nGC_721) - Nc*cima*    &
                       coupl(nGC_3423)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_20)*   &
                       coupl(nGC_3423)**2d0*sq2**2d0 - 3d0*Nc*coupl(nGC_3423)**&
                       2d0*coupl(nGC_721)*sq2**2d0 + 9d0*cima*coupl(nGC_19)**  &
                       4d0*sq2**4d0)/(192d0*pi**2d0)
    coupl(nGC_13283) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_193)**2d0 + &
                       coupl(nGC_197)**2d0 + coupl(nGC_201)**2d0 + coupl(      &
                       nGC_213)**2d0 + coupl(nGC_217)**2d0 + coupl(nGC_225)**  &
                       2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_19121) = coupl(nGC_110)*dZA_QED2/2d0 + coupl(nGC_110)*dZHl_QED2/ &
                       2d0 + coupl(nGC_110)*dZWMinus_QED2/2d0 + coupl(nGC_119)*&
                       dZHhHl_QED2/2d0 + coupl(nGC_13453) + coupl(nGC_15)*     &
                       dZZA_QED2/2d0
    coupl(nGC_13285) = (10d0*Nc*cima*coupl(nGC_1113)*coupl(nGC_122)*coupl(     &
                       nGC_213)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1113)*   &
                       coupl(nGC_125)*coupl(nGC_213)*coupl(nGC_99) - 8d0*Nc*   &
                       cima*coupl(nGC_1113)*coupl(nGC_126)*coupl(nGC_213)*coupl&
                       (nGC_99) + 10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_1361)* &
                       coupl(nGC_201)*coupl(nGC_99) + 10d0*Nc*cima*coupl(      &
                       nGC_122)*coupl(nGC_193)*coupl(nGC_2063)*coupl(nGC_99) + &
                       10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_197)*coupl(nGC_198&
                       )*coupl(nGC_99) + 10d0*Nc*cima*coupl(nGC_123)*coupl(    &
                       nGC_217)*coupl(nGC_218)*coupl(nGC_99) + 10d0*Nc*cima*   &
                       coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_226)*coupl(     &
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_1361)*   &
                       coupl(nGC_201)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125&
                       )*coupl(nGC_193)*coupl(nGC_2063)*coupl(nGC_99) - 8d0*Nc*&
                       cima*coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_198)*coupl(&
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_217)*    &
                       coupl(nGC_218)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125&
                       )*coupl(nGC_225)*coupl(nGC_226)*coupl(nGC_99) - 8d0*Nc* &
                       cima*coupl(nGC_126)*coupl(nGC_1361)*coupl(nGC_201)*coupl&
                       (nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_193)*   &
                       coupl(nGC_2063)*coupl(nGC_99) - 8d0*Nc*cima*coupl(      &
                       nGC_126)*coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_99) -  &
                       8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_218 &
                       )*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(     &
                       nGC_225)*coupl(nGC_226)*coupl(nGC_99) + 12d0*cima*coupl(&
                       nGC_108)*coupl(nGC_113) + 10d0*cima*coupl(nGC_124)*coupl&
                       (nGC_205)*coupl(nGC_3565)*coupl(nGC_99) + 10d0*cima*    &
                       coupl(nGC_124)*coupl(nGC_209)*coupl(nGC_901)*coupl(     &
                       nGC_99) + 10d0*cima*coupl(nGC_124)*coupl(nGC_221)*coupl(&
                       nGC_3111)*coupl(nGC_99) - 8d0*cima*coupl(nGC_128)*coupl(&
                       nGC_205)*coupl(nGC_3565)*coupl(nGC_99) - 8d0*cima*coupl(&
                       nGC_128)*coupl(nGC_209)*coupl(nGC_901)*coupl(nGC_99) -  &
                       8d0*cima*coupl(nGC_128)*coupl(nGC_221)*coupl(nGC_3111)* &
                       coupl(nGC_99) - 8d0*cima*coupl(nGC_129)*coupl(nGC_205)* &
                       coupl(nGC_3565)*coupl(nGC_99) - 8d0*cima*coupl(nGC_129)*&
                       coupl(nGC_209)*coupl(nGC_901)*coupl(nGC_99) - 8d0*cima* &
                       coupl(nGC_129)*coupl(nGC_221)*coupl(nGC_3111)*coupl(    &
                       nGC_99) + 12d0*cima*coupl(nGC_14)*coupl(nGC_84) - 3d0*  &
                       coupl(nGC_102)**2d0*coupl(nGC_14) + 6d0*coupl(nGC_102)* &
                       coupl(nGC_103)*coupl(nGC_14) + 6d0*coupl(nGC_102)*coupl(&
                       nGC_108)*coupl(nGC_3) - 3d0*coupl(nGC_103)**2d0*coupl(  &
                       nGC_14) - 6d0*coupl(nGC_103)*coupl(nGC_108)*coupl(nGC_3 &
                       ))/(96d0*pi**2d0)
    coupl(nGC_13284) = (10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(      &
                       nGC_195)*coupl(nGC_99) + 10d0*Nc*cima*coupl(nGC_122)*   &
                       coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + 10d0*Nc*  &
                       cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_215)*coupl(&
                       nGC_99) + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_197)*   &
                       coupl(nGC_199)*coupl(nGC_99) + 10d0*Nc*cima*coupl(      &
                       nGC_123)*coupl(nGC_217)*coupl(nGC_219)*coupl(nGC_99) +  &
                       10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_227&
                       )*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(     &
                       nGC_193)*coupl(nGC_195)*coupl(nGC_99) - 8d0*Nc*cima*    &
                       coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_199)*coupl(     &
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_201)*    &
                       coupl(nGC_203)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125&
                       )*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) - 8d0*Nc* &
                       cima*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_219)*coupl(&
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_225)*    &
                       coupl(nGC_227)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_126&
                       )*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_99) - 8d0*Nc* &
                       cima*coupl(nGC_126)*coupl(nGC_197)*coupl(nGC_199)*coupl(&
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_201)*    &
                       coupl(nGC_203)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_126&
                       )*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) - 8d0*Nc* &
                       cima*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_219)*coupl(&
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_225)*    &
                       coupl(nGC_227)*coupl(nGC_99) + 12d0*cima*coupl(nGC_110)*&
                       coupl(nGC_113) + 10d0*cima*coupl(nGC_124)*coupl(nGC_205 &
                       )*coupl(nGC_207)*coupl(nGC_99) + 10d0*cima*coupl(nGC_124&
                       )*coupl(nGC_209)*coupl(nGC_211)*coupl(nGC_99) + 10d0*   &
                       cima*coupl(nGC_124)*coupl(nGC_221)*coupl(nGC_223)*coupl(&
                       nGC_99) - 8d0*cima*coupl(nGC_128)*coupl(nGC_205)*coupl( &
                       nGC_207)*coupl(nGC_99) - 8d0*cima*coupl(nGC_128)*coupl( &
                       nGC_209)*coupl(nGC_211)*coupl(nGC_99) - 8d0*cima*coupl( &
                       nGC_128)*coupl(nGC_221)*coupl(nGC_223)*coupl(nGC_99) -  &
                       8d0*cima*coupl(nGC_129)*coupl(nGC_205)*coupl(nGC_207)*  &
                       coupl(nGC_99) - 8d0*cima*coupl(nGC_129)*coupl(nGC_209)* &
                       coupl(nGC_211)*coupl(nGC_99) - 8d0*cima*coupl(nGC_129)* &
                       coupl(nGC_221)*coupl(nGC_223)*coupl(nGC_99) + 12d0*cima*&
                       coupl(nGC_15)*coupl(nGC_84) - 3d0*coupl(nGC_102)**2d0*  &
                       coupl(nGC_15) + 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl(&
                       nGC_15) + 3d0*coupl(nGC_102)*coupl(nGC_110)*coupl(nGC_3 &
                       ) - 3d0*coupl(nGC_102)*coupl(nGC_110)*coupl(nGC_4) - 3d0&
                       *coupl(nGC_103)**2d0*coupl(nGC_15) - 3d0*coupl(nGC_103)*&
                       coupl(nGC_110)*coupl(nGC_3) + 3d0*coupl(nGC_103)*coupl( &
                       nGC_110)*coupl(nGC_4))/(96d0*pi**2d0)
    coupl(nGC_23158) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_2)*dZtL_QED2
    coupl(nGC_23159) = coupl(nGC_22444) + coupl(nGC_23157)
    coupl(nGC_19867) = coupl(nGC_19)*dZbR_QCD2
    coupl(nGC_19866) = coupl(nGC_19)*dZbR_QED2
    coupl(nGC_19862) = coupl(nGC_19)*dZbL_QED2
    coupl(nGC_13308) = (-16d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_195)**2d0  &
                        - 16d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_203)**2d0 &
                        - 16d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_215)**2d0 &
                        + 20d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*coupl(    &
                       nGC_195)**2d0 + 20d0*Nc*cima*coupl(nGC_122)*coupl(      &
                       nGC_125)*coupl(nGC_203)**2d0 + 20d0*Nc*cima*coupl(      &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_215)**2d0 - 16d0*Nc*  &
                       cima*coupl(nGC_123)**2d0*coupl(nGC_199)**2d0 - 16d0*Nc* &
                       cima*coupl(nGC_123)**2d0*coupl(nGC_219)**2d0 - 16d0*Nc* &
                       cima*coupl(nGC_123)**2d0*coupl(nGC_227)**2d0 + 20d0*Nc* &
                       cima*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_199)**2d0  &
                        + 20d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*coupl(    &
                       nGC_219)**2d0 + 20d0*Nc*cima*coupl(nGC_123)*coupl(      &
                       nGC_126)*coupl(nGC_227)**2d0 - 16d0*Nc*cima*coupl(      &
                       nGC_125)**2d0*coupl(nGC_195)**2d0 - 16d0*Nc*cima*coupl( &
                       nGC_125)**2d0*coupl(nGC_203)**2d0 - 16d0*Nc*cima*coupl( &
                       nGC_125)**2d0*coupl(nGC_215)**2d0 - 16d0*Nc*cima*coupl( &
                       nGC_126)**2d0*coupl(nGC_199)**2d0 - 16d0*Nc*cima*coupl( &
                       nGC_126)**2d0*coupl(nGC_219)**2d0 - 16d0*Nc*cima*coupl( &
                       nGC_126)**2d0*coupl(nGC_227)**2d0 - 16d0*cima*coupl(    &
                       nGC_124)**2d0*coupl(nGC_207)**2d0 - 16d0*cima*coupl(    &
                       nGC_124)**2d0*coupl(nGC_211)**2d0 - 16d0*cima*coupl(    &
                       nGC_124)**2d0*coupl(nGC_223)**2d0 + 20d0*cima*coupl(    &
                       nGC_124)*coupl(nGC_128)*coupl(nGC_207)**2d0 + 20d0*cima*&
                       coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_211)**2d0 + 20d0&
                       *cima*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_223)**2d0 &
                        - 16d0*cima*coupl(nGC_128)**2d0*coupl(nGC_207)**2d0 -  &
                       16d0*cima*coupl(nGC_128)**2d0*coupl(nGC_211)**2d0 - 16d0&
                       *cima*coupl(nGC_128)**2d0*coupl(nGC_223)**2d0 + 6d0*cima&
                       *coupl(nGC_82)*coupl(nGC_85) + 3d0*coupl(nGC_102)**2d0* &
                       coupl(nGC_82) - 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl(&
                       nGC_82) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_82))/(48d0* &
                       pi**2d0)
    coupl(nGC_13309) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_196)**2d0  &
                        - coupl(nGC_200)**2d0 - coupl(nGC_204)**2d0 - coupl(   &
                       nGC_216)**2d0 - coupl(nGC_220)**2d0 - coupl(nGC_228)**  &
                       2d0)/(16d0*pi**2d0)
    coupl(nGC_13231) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(       &
                       nGC_1113)*coupl(nGC_214) + 4d0*coupl(nGC_125)**2d0 +    &
                       coupl(nGC_197)**2d0 + coupl(nGC_215)**2d0 + coupl(      &
                       nGC_216)**2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
    coupl(nGC_13300) = (-16d0*Nc*cima*coupl(nGC_195)*coupl(nGC_196)*coupl(     &
                       nGC_99)**2d0 - 16d0*Nc*cima*coupl(nGC_199)*coupl(nGC_200&
                       )*coupl(nGC_99)**2d0 - 16d0*Nc*cima*coupl(nGC_203)*coupl&
                       (nGC_204)*coupl(nGC_99)**2d0 - 16d0*Nc*cima*coupl(      &
                       nGC_215)*coupl(nGC_216)*coupl(nGC_99)**2d0 - 16d0*Nc*   &
                       cima*coupl(nGC_219)*coupl(nGC_220)*coupl(nGC_99)**2d0 - &
                       16d0*Nc*cima*coupl(nGC_227)*coupl(nGC_228)*coupl(nGC_99 &
                       )**2d0 + 6d0*cima*coupl(nGC_148)*coupl(nGC_85) - 16d0*  &
                       cima*coupl(nGC_207)*coupl(nGC_208)*coupl(nGC_99)**2d0 - &
                       16d0*cima*coupl(nGC_211)*coupl(nGC_212)*coupl(nGC_99)** &
                       2d0 - 16d0*cima*coupl(nGC_223)*coupl(nGC_224)*coupl(    &
                       nGC_99)**2d0 + 12d0*cima*coupl(nGC_72)*coupl(nGC_93) +  &
                       3d0*coupl(nGC_102)**2d0*coupl(nGC_148) + 3d0*coupl(     &
                       nGC_102)**2d0*coupl(nGC_93) - 6d0*coupl(nGC_102)*coupl( &
                       nGC_103)*coupl(nGC_148) - 6d0*coupl(nGC_102)*coupl(     &
                       nGC_103)*coupl(nGC_93) + 3d0*coupl(nGC_103)**2d0*coupl( &
                       nGC_148) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_93) - 6d0* &
                       coupl(nGC_1253)*coupl(nGC_3)*coupl(nGC_93) + 6d0*coupl( &
                       nGC_1253)*coupl(nGC_4)*coupl(nGC_93))/(96d0*pi**2d0)
    coupl(nGC_13301) = cima*(20d0*Nc*coupl(nGC_195)**3d0*coupl(nGC_196) + 20d0*&
                       Nc*coupl(nGC_199)**3d0*coupl(nGC_200) + 20d0*Nc*coupl(  &
                       nGC_203)**3d0*coupl(nGC_204) + 20d0*Nc*coupl(nGC_215)** &
                       3d0*coupl(nGC_216) + 20d0*Nc*coupl(nGC_219)**3d0*coupl( &
                       nGC_220) + 20d0*Nc*coupl(nGC_227)**3d0*coupl(nGC_228) + &
                       3d0*coupl(nGC_145)*coupl(nGC_148) + 20d0*coupl(nGC_207  &
                       )**3d0*coupl(nGC_208) + 20d0*coupl(nGC_211)**3d0*coupl( &
                       nGC_212) + 20d0*coupl(nGC_223)**3d0*coupl(nGC_224) + 6d0&
                       *coupl(nGC_82)*coupl(nGC_93))/(16d0*pi**2d0)
    coupl(nGC_13302) = (-16d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_196)**2d0  &
                        - 16d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_204)**2d0 &
                        - 16d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_216)**2d0 &
                        + 20d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*coupl(    &
                       nGC_196)**2d0 + 20d0*Nc*cima*coupl(nGC_122)*coupl(      &
                       nGC_125)*coupl(nGC_204)**2d0 + 20d0*Nc*cima*coupl(      &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_216)**2d0 - 16d0*Nc*  &
                       cima*coupl(nGC_123)**2d0*coupl(nGC_200)**2d0 - 16d0*Nc* &
                       cima*coupl(nGC_123)**2d0*coupl(nGC_220)**2d0 - 16d0*Nc* &
                       cima*coupl(nGC_123)**2d0*coupl(nGC_228)**2d0 + 20d0*Nc* &
                       cima*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200)**2d0  &
                        + 20d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*coupl(    &
                       nGC_220)**2d0 + 20d0*Nc*cima*coupl(nGC_123)*coupl(      &
                       nGC_126)*coupl(nGC_228)**2d0 - 16d0*Nc*cima*coupl(      &
                       nGC_125)**2d0*coupl(nGC_196)**2d0 - 16d0*Nc*cima*coupl( &
                       nGC_125)**2d0*coupl(nGC_204)**2d0 - 16d0*Nc*cima*coupl( &
                       nGC_125)**2d0*coupl(nGC_216)**2d0 - 16d0*Nc*cima*coupl( &
                       nGC_126)**2d0*coupl(nGC_200)**2d0 - 16d0*Nc*cima*coupl( &
                       nGC_126)**2d0*coupl(nGC_220)**2d0 - 16d0*Nc*cima*coupl( &
                       nGC_126)**2d0*coupl(nGC_228)**2d0 - 16d0*cima*coupl(    &
                       nGC_124)**2d0*coupl(nGC_208)**2d0 - 16d0*cima*coupl(    &
                       nGC_124)**2d0*coupl(nGC_212)**2d0 - 16d0*cima*coupl(    &
                       nGC_124)**2d0*coupl(nGC_224)**2d0 + 20d0*cima*coupl(    &
                       nGC_124)*coupl(nGC_128)*coupl(nGC_208)**2d0 + 20d0*cima*&
                       coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_212)**2d0 + 20d0&
                       *cima*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_224)**2d0 &
                        - 16d0*cima*coupl(nGC_128)**2d0*coupl(nGC_208)**2d0 -  &
                       16d0*cima*coupl(nGC_128)**2d0*coupl(nGC_212)**2d0 - 16d0&
                       *cima*coupl(nGC_128)**2d0*coupl(nGC_224)**2d0 + 6d0*cima&
                       *coupl(nGC_85)*coupl(nGC_96) + 3d0*coupl(nGC_102)**2d0* &
                       coupl(nGC_96) - 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl(&
                       nGC_96) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_96))/(48d0* &
                       pi**2d0)
    coupl(nGC_13303) = (-16d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_99)**2d0 - &
                       16d0*Nc*cima*coupl(nGC_199)**2d0*coupl(nGC_99)**2d0 -   &
                       16d0*Nc*cima*coupl(nGC_203)**2d0*coupl(nGC_99)**2d0 -   &
                       16d0*Nc*cima*coupl(nGC_215)**2d0*coupl(nGC_99)**2d0 -   &
                       16d0*Nc*cima*coupl(nGC_219)**2d0*coupl(nGC_99)**2d0 -   &
                       16d0*Nc*cima*coupl(nGC_227)**2d0*coupl(nGC_99)**2d0 +   &
                       6d0*cima*coupl(nGC_145)*coupl(nGC_85) - 16d0*cima*coupl(&
                       nGC_207)**2d0*coupl(nGC_99)**2d0 - 16d0*cima*coupl(     &
                       nGC_211)**2d0*coupl(nGC_99)**2d0 - 16d0*cima*coupl(     &
                       nGC_223)**2d0*coupl(nGC_99)**2d0 + 12d0*cima*coupl(     &
                       nGC_72)*coupl(nGC_82) + 3d0*coupl(nGC_102)**2d0*coupl(  &
                       nGC_145) + 3d0*coupl(nGC_102)**2d0*coupl(nGC_82) - 6d0* &
                       coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_145) - 6d0*coupl&
                       (nGC_102)*coupl(nGC_103)*coupl(nGC_82) + 3d0*coupl(     &
                       nGC_103)**2d0*coupl(nGC_145) + 3d0*coupl(nGC_103)**2d0* &
                       coupl(nGC_82) - 6d0*coupl(nGC_1253)*coupl(nGC_3)*coupl( &
                       nGC_82) + 6d0*coupl(nGC_1253)*coupl(nGC_4)*coupl(nGC_82 &
                       ))/(96d0*pi**2d0)
    coupl(nGC_13304) = cima*(20d0*Nc*coupl(nGC_195)**4d0 + 20d0*Nc*coupl(      &
                       nGC_199)**4d0 + 20d0*Nc*coupl(nGC_203)**4d0 + 20d0*Nc*  &
                       coupl(nGC_215)**4d0 + 20d0*Nc*coupl(nGC_219)**4d0 + 20d0&
                       *Nc*coupl(nGC_227)**4d0 + 3d0*coupl(nGC_145)**2d0 + 20d0&
                       *coupl(nGC_207)**4d0 + 20d0*coupl(nGC_211)**4d0 + 20d0* &
                       coupl(nGC_223)**4d0 + 6d0*coupl(nGC_82)**2d0)/(16d0*pi**&
                       2d0)
    coupl(nGC_13307) = (-16d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_195)*coupl(&
                       nGC_196) - 16d0*Nc*cima*coupl(nGC_122)**2d0*coupl(      &
                       nGC_203)*coupl(nGC_204) - 16d0*Nc*cima*coupl(nGC_122)** &
                       2d0*coupl(nGC_215)*coupl(nGC_216) + 20d0*Nc*cima*coupl( &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_195)*coupl(nGC_196) + &
                       20d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*coupl(nGC_203&
                       )*coupl(nGC_204) + 20d0*Nc*cima*coupl(nGC_122)*coupl(   &
                       nGC_125)*coupl(nGC_215)*coupl(nGC_216) - 16d0*Nc*cima*  &
                       coupl(nGC_123)**2d0*coupl(nGC_199)*coupl(nGC_200) - 16d0&
                       *Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_219)*coupl(      &
                       nGC_220) - 16d0*Nc*cima*coupl(nGC_123)**2d0*coupl(      &
                       nGC_227)*coupl(nGC_228) + 20d0*Nc*cima*coupl(nGC_123)*  &
                       coupl(nGC_126)*coupl(nGC_199)*coupl(nGC_200) + 20d0*Nc* &
                       cima*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_219)*coupl(&
                       nGC_220) + 20d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*  &
                       coupl(nGC_227)*coupl(nGC_228) - 16d0*Nc*cima*coupl(     &
                       nGC_125)**2d0*coupl(nGC_195)*coupl(nGC_196) - 16d0*Nc*  &
                       cima*coupl(nGC_125)**2d0*coupl(nGC_203)*coupl(nGC_204   &
                       ) - 16d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_215)*    &
                       coupl(nGC_216) - 16d0*Nc*cima*coupl(nGC_126)**2d0*coupl(&
                       nGC_199)*coupl(nGC_200) - 16d0*Nc*cima*coupl(nGC_126)** &
                       2d0*coupl(nGC_219)*coupl(nGC_220) - 16d0*Nc*cima*coupl( &
                       nGC_126)**2d0*coupl(nGC_227)*coupl(nGC_228) - 16d0*cima*&
                       coupl(nGC_124)**2d0*coupl(nGC_207)*coupl(nGC_208) - 16d0&
                       *cima*coupl(nGC_124)**2d0*coupl(nGC_211)*coupl(nGC_212  &
                       ) - 16d0*cima*coupl(nGC_124)**2d0*coupl(nGC_223)*coupl( &
                       nGC_224) + 20d0*cima*coupl(nGC_124)*coupl(nGC_128)*coupl&
                       (nGC_207)*coupl(nGC_208) + 20d0*cima*coupl(nGC_124)*    &
                       coupl(nGC_128)*coupl(nGC_211)*coupl(nGC_212) + 20d0*cima&
                       *coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_223)*coupl(    &
                       nGC_224) - 16d0*cima*coupl(nGC_128)**2d0*coupl(nGC_207)*&
                       coupl(nGC_208) - 16d0*cima*coupl(nGC_128)**2d0*coupl(   &
                       nGC_211)*coupl(nGC_212) - 16d0*cima*coupl(nGC_128)**2d0*&
                       coupl(nGC_223)*coupl(nGC_224) + 6d0*cima*coupl(nGC_85)* &
                       coupl(nGC_93) + 3d0*coupl(nGC_102)**2d0*coupl(nGC_93) - &
                       6d0*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_93) + 3d0*  &
                       coupl(nGC_103)**2d0*coupl(nGC_93))/(48d0*pi**2d0)
    coupl(nGC_21009) = coupl(nGC_13407) + coupl(nGC_21007)
    coupl(nGC_24531) = coupl(nGC_MI)*dZtR_QED2
    coupl(nGC_24530) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_24533) = coupl(nGC_13580) + coupl(nGC_TS_GC_219_Hl) + coupl(     &
                       nGC_TS_GC_220_Hh)
    coupl(nGC_24532) = coupl(nGC_MI)*dZtR_QCD2
    coupl(nGC_20970) = coupl(nGC_13584) + coupl(nGC_TS_GC_215_Hl) + coupl(     &
                       nGC_TS_GC_216_Hh)
    coupl(nGC_20972) = coupl(nGC_13585) + coupl(nGC_20963)
    coupl(nGC_13071) = (2d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_99) -   &
                       2d0*Nc*coupl(nGC_197)*coupl(nGC_200)*coupl(nGC_99) + 2d0&
                       *Nc*coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + 2d0*Nc&
                       *coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) - 2d0*Nc*  &
                       coupl(nGC_217)*coupl(nGC_220)*coupl(nGC_99) - 2d0*Nc*   &
                       coupl(nGC_225)*coupl(nGC_228)*coupl(nGC_99) + 3d0*cima* &
                       coupl(nGC_102)*coupl(nGC_27) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_27) + 2d0*coupl(nGC_205)*coupl(nGC_208)*coupl(&
                       nGC_99) + 2d0*coupl(nGC_209)*coupl(nGC_212)*coupl(nGC_99&
                       ) + 2d0*coupl(nGC_221)*coupl(nGC_224)*coupl(nGC_99))/(  &
                       48d0*pi**2d0)
    coupl(nGC_20922) = coupl(nGC_13426) + coupl(nGC_20920)
    coupl(nGC_12968) = cima*(-2d0*coupl(nGC_102)*coupl(nGC_3) - coupl(nGC_102)*&
                       coupl(nGC_4) - coupl(nGC_103)*coupl(nGC_3) - 2d0*coupl( &
                       nGC_103)*coupl(nGC_4))/(48d0*pi**2d0)
    coupl(nGC_20431) = coupl(nGC_122)*dZZ_QED2/2d0 + coupl(nGC_122)*dZdR_QED2  &
                        + coupl(nGC_13505)
    coupl(nGC_21410) = coupl(nGC_122)*dZsR_QCD2
    coupl(nGC_21413) = coupl(nGC_125)*dZsL_QCD2
    coupl(nGC_21415) = coupl(nGC_122)*dZZ_QED2/2d0 + coupl(nGC_122)*dZsR_QED2  &
                        + coupl(nGC_13505)
    coupl(nGC_19089) = coupl(nGC_111)*dZHlHh_QED2/2d0 + coupl(nGC_120)*        &
                       dZHh_QED2/2d0 + coupl(nGC_13369)
    coupl(nGC_21551) = coupl(nGC_13492) + coupl(nGC_145)*dZHl_QED2 + coupl(    &
                       nGC_145)*dZZ_QED2 + coupl(nGC_148)*dZHhHl_QED2
    coupl(nGC_13178) = (12d0*Nc*coupl(nGC_125)*coupl(nGC_99)**2d0 - 12d0*Nc*   &
                       coupl(nGC_126)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(     &
                       nGC_102)*coupl(nGC_72) + 6d0*cima*coupl(nGC_103)*coupl( &
                       nGC_72) + 2d0*coupl(nGC_102)**3d0 - 3d0*coupl(nGC_102)**&
                       2d0*coupl(nGC_103) - 4d0*coupl(nGC_102)*coupl(nGC_1253)*&
                       coupl(nGC_3) + 4d0*coupl(nGC_102)*coupl(nGC_1253)*coupl(&
                       nGC_4) + coupl(nGC_103)**3d0 - 2d0*coupl(nGC_103)*coupl(&
                       nGC_1253)*coupl(nGC_3) + 2d0*coupl(nGC_103)*coupl(      &
                       nGC_1253)*coupl(nGC_4) + 12d0*coupl(nGC_128)*coupl(     &
                       nGC_99)**2d0 - 12d0*coupl(nGC_129)*coupl(nGC_99)**2d0)/(&
                       96d0*pi**2d0)
    coupl(nGC_21291) = coupl(nGC_13398) + coupl(nGC_197)*dZcR_QED2/2d0 + coupl(&
                       nGC_197)*dZsL_QED2/2d0
    coupl(nGC_25042) = coupl(nGC_I)*dZHhHl_QED2/2d0
    coupl(nGC_21290) = coupl(nGC_13395) + coupl(nGC_213)*dZcL_QCD2/2d0 + coupl(&
                       nGC_213)*dZsR_QCD2/2d0
    coupl(nGC_13169) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_219) -     &
                       coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_217) + 8d0*coupl&
                       (nGC_2)**2d0*coupl(nGC_219) - coupl(nGC_218)**2d0*coupl(&
                       nGC_219) - coupl(nGC_219)**3d0 - coupl(nGC_219)*coupl(  &
                       nGC_220)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13191) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_122) + 4d0*coupl(      &
                       nGC_122)**3d0 + coupl(nGC_125)*coupl(nGC_194)*coupl(    &
                       nGC_2063) + coupl(nGC_125)*coupl(nGC_195)**2d0 + coupl( &
                       nGC_125)*coupl(nGC_196)**2d0 + coupl(nGC_126)*coupl(    &
                       nGC_193)**2d0)/(32d0*pi**2d0)
    coupl(nGC_19531) = coupl(nGC_117)*dZHhHl_QED2/2d0
    coupl(nGC_25047) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*        &
                       dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_189_Hl) + coupl(      &
                       nGC_TS_GC_192_Hh)
    coupl(nGC_25041) = coupl(nGC_I)*dZHlHh_QED2/2d0
    coupl(nGC_19544) = coupl(nGC_13589) + coupl(nGC_MW)*dZWMinus_QED2 + coupl( &
                       nGC_TS_GC_162_Hl) + coupl(nGC_TS_GC_165_Hh)
    coupl(nGC_22979) = coupl(nGC_199)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_13160) = coupl(nGC_207)*(8d0*coupl(nGC_124)*coupl(nGC_128) -     &
                       coupl(nGC_207)**2d0 - coupl(nGC_208)**2d0 - coupl(      &
                       nGC_3565)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13161) = coupl(nGC_19)**2d0*sq2**2d0*(-cMB*coupl(nGC_195) - cMC* &
                       coupl(nGC_199) - cMD*coupl(nGC_203) - cMS*coupl(nGC_215 &
                       ) - cMT*coupl(nGC_219) - cMU*coupl(nGC_227))/(16d0*pi** &
                       2d0)
    coupl(nGC_20403) = coupl(nGC_124)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                       dZtauMinusR_QED2
    coupl(nGC_20158) = coupl(nGC_13384) + coupl(nGC_6)*dZWMinus_QED2/2d0
    coupl(nGC_13488) = coupl(nGC_12632)*dsw_QED2 + coupl(nGC_12633)*dcw_QED2 + &
                       coupl(nGC_12634)*dZee_QED2
    coupl(nGC_20152) = coupl(nGC_19357) + coupl(nGC_20149)
    coupl(nGC_13484) = coupl(nGC_12826)*dcw_QED2 + coupl(nGC_12827)*da_QED2 +  &
                       coupl(nGC_12828)*dZee_QED2
    coupl(nGC_13298) = cima*(20d0*Nc*coupl(nGC_195)**2d0*coupl(nGC_196)**2d0 + &
                       20d0*Nc*coupl(nGC_199)**2d0*coupl(nGC_200)**2d0 + 20d0* &
                       Nc*coupl(nGC_203)**2d0*coupl(nGC_204)**2d0 + 20d0*Nc*   &
                       coupl(nGC_215)**2d0*coupl(nGC_216)**2d0 + 20d0*Nc*coupl(&
                       nGC_219)**2d0*coupl(nGC_220)**2d0 + 20d0*Nc*coupl(      &
                       nGC_227)**2d0*coupl(nGC_228)**2d0 + coupl(nGC_145)*coupl&
                       (nGC_151) + 2d0*coupl(nGC_148)**2d0 + 20d0*coupl(nGC_207&
                       )**2d0*coupl(nGC_208)**2d0 + 20d0*coupl(nGC_211)**2d0*  &
                       coupl(nGC_212)**2d0 + 20d0*coupl(nGC_223)**2d0*coupl(   &
                       nGC_224)**2d0 + 2d0*coupl(nGC_82)*coupl(nGC_96) + 4d0*  &
                       coupl(nGC_93)**2d0)/(16d0*pi**2d0)
    coupl(nGC_20404) = coupl(nGC_19357) + coupl(nGC_20403)
    coupl(nGC_19076) = coupl(nGC_110)*dZHlHh_QED2/2d0 + coupl(nGC_119)*dZA_QED2&
                       /2d0 + coupl(nGC_119)*dZHh_QED2/2d0 + coupl(nGC_119)*   &
                       dZWMinus_QED2/2d0 + coupl(nGC_13454) + coupl(nGC_27)*   &
                       dZZA_QED2/2d0
    coupl(nGC_19070) = coupl(nGC_13351) + coupl(nGC_29)*dZHhHl_QED2 + coupl(   &
                       nGC_31)*dZHl_QED2
    coupl(nGC_19373) = coupl(nGC_13591) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_19374) = coupl(nGC_TS_GC_101_Hl) + coupl(nGC_TS_GC_118_Hh)
    coupl(nGC_13507) = coupl(nGC_12777)*dsw_QED2 + coupl(nGC_12778)*dcw_QED2 + &
                       coupl(nGC_12779)*dZee_QED2
    coupl(nGC_12995) = cima*coupl(nGC_3423)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_13502) = coupl(nGC_12941)*dsw_QED2 + coupl(nGC_12942)*dZee_QED2
    coupl(nGC_13503) = coupl(nGC_12927)*dsw_QED2 + coupl(nGC_12928)*dcw_QED2 + &
                       coupl(nGC_12929)*dZee_QED2
    coupl(nGC_13501) = coupl(nGC_387)*dZgs_QCD2
    coupl(nGC_13125) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200) -     &
                       coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_216) - coupl(   &
                       nGC_198)**2d0*coupl(nGC_200) - coupl(nGC_199)**2d0*coupl&
                       (nGC_200) + 8d0*coupl(nGC_2)**2d0*coupl(nGC_200) - coupl&
                       (nGC_200)**3d0)/(32d0*pi**2d0)
    coupl(nGC_13135) = coupl(nGC_212)*(8d0*coupl(nGC_124)*coupl(nGC_128) -     &
                       coupl(nGC_211)**2d0 - coupl(nGC_212)**2d0 + 8d0*coupl(  &
                       nGC_4)**2d0 - coupl(nGC_901)**2d0)/(32d0*pi**2d0)
    coupl(nGC_21173) = coupl(nGC_136)*dZZA_QED2/2d0
    coupl(nGC_TS_GC_30_Hh) = -coupl(nGC_30)*dtHh_QED1/cMHH**2d0
    coupl(nGC_21174) = coupl(nGC_135)*dZZA_QED2/2d0
    coupl(nGC_13151) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_195) + 8d0*coupl(      &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_195) - coupl(nGC_193)*&
                       coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_194)**2d0*    &
                       coupl(nGC_195) - coupl(nGC_195)**3d0 - coupl(nGC_195)*  &
                       coupl(nGC_196)**2d0)/(32d0*pi**2d0)
    coupl(nGC_19738) = coupl(nGC_13360) + coupl(nGC_147)*dZHlHh_QED2 + coupl(  &
                       nGC_150)*dZHh_QED2
    coupl(nGC_13150) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_195) + 8d0*coupl(      &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_195) - coupl(nGC_193)*&
                       coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_195)**3d0 -   &
                       coupl(nGC_195)*coupl(nGC_196)**2d0 - coupl(nGC_195)*    &
                       coupl(nGC_2063)**2d0)/(32d0*pi**2d0)
    coupl(nGC_19108) = coupl(nGC_13502) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                       coupl(nGC_99)*dZnu_tauL_QED2/2d0 + coupl(nGC_99)*       &
                       dZtauMinusL_QED2/2d0
    coupl(nGC_13432) = coupl(nGC_369)*da_QED2 + coupl(nGC_371)*dytau_QED3
    coupl(nGC_13433) = coupl(nGC_12825)*dyup_QED1_QCD2
    coupl(nGC_13430) = coupl(nGC_12551)*da_QED2 + coupl(nGC_12552)*dye_QED3
    coupl(nGC_13431) = coupl(nGC_12677)*da_QED2 + coupl(nGC_12678)*dym_QED3
    coupl(nGC_13436) = coupl(nGC_12731)*dyc_QED3
    coupl(nGC_19105) = coupl(nGC_13493) + coupl(nGC_145)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_148)*dZHh_QED2/2d0 + coupl(nGC_148)*dZHl_QED2/&
                       2d0 + coupl(nGC_148)*dZZ_QED2 + coupl(nGC_151)*         &
                       dZHhHl_QED2/2d0
    coupl(nGC_13434) = coupl(nGC_12825)*dyup_QED3
    coupl(nGC_13435) = coupl(nGC_12731)*dyc_QED1_QCD2
    coupl(nGC_20375) = -coupl(nGC_19622)
    coupl(nGC_13156) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_203) + 8d0*coupl(      &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_203) - coupl(nGC_1361 &
                       )**2d0*coupl(nGC_203) - coupl(nGC_201)*coupl(nGC_225)*  &
                       coupl(nGC_227) - coupl(nGC_203)**3d0 - coupl(nGC_203)*  &
                       coupl(nGC_204)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13127) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_204) + 8d0*coupl(      &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_204) - coupl(nGC_1361 &
                       )**2d0*coupl(nGC_204) - coupl(nGC_201)*coupl(nGC_225)*  &
                       coupl(nGC_228) - coupl(nGC_203)**2d0*coupl(nGC_204) -   &
                       coupl(nGC_204)**3d0)/(32d0*pi**2d0)
    coupl(nGC_13344) = coupl(nGC_12851)*dsw_QED2 + coupl(nGC_12852)*dcw_QED2 + &
                       coupl(nGC_12853)*dZee_QED2
    coupl(nGC_13345) = coupl(nGC_12536)*dcw_QED2 + coupl(nGC_12537)*da_QED2 +  &
                       coupl(nGC_12538)*dZee_QED2
    coupl(nGC_13346) = coupl(nGC_12554)*dsw_QED2 + coupl(nGC_12555)*dcw_QED2 + &
                       coupl(nGC_12556)*da_QED2 + coupl(nGC_12557)*dZee_QED2
    coupl(nGC_12982) = cMC*cima*(-coupl(nGC_123)*coupl(nGC_126) - coupl(nGC_2  &
                       )**2d0)/(8d0*pi**2d0)
    coupl(nGC_21011) = coupl(nGC_13408) + coupl(nGC_21006)
    coupl(nGC_21010) = -coupl(nGC_13408) - coupl(nGC_21006)
    coupl(nGC_13342) = coupl(nGC_12829)*dcw_QED2 + coupl(nGC_12830)*dZee_QED2
    coupl(nGC_13343) = coupl(nGC_12494)*dZee_QED2
    coupl(nGC_13348) = coupl(nGC_12508)*dl2_QED4
    coupl(nGC_13349) = coupl(nGC_12553)*dl2_QED4
    coupl(nGC_20420) = coupl(nGC_13435) + coupl(nGC_20414)
    coupl(nGC_20427) = coupl(nGC_122)*dZdR_QCD2
    coupl(nGC_19451) = coupl(nGC_105)*dZZ_QED2/2d0 + coupl(nGC_13386) + coupl( &
                       nGC_5)*dZAZ_QED2/2d0
    coupl(nGC_20835) = coupl(nGC_13494) + coupl(nGC_148)*dZHlHh_QED2 + coupl(  &
                       nGC_151)*dZHh_QED2 + coupl(nGC_151)*dZZ_QED2
    coupl(nGC_19084) = coupl(nGC_114)*dZAZ_QED2/2d0 + coupl(nGC_13486) + coupl(&
                       nGC_83)*dZWMinus_QED2/2d0 + coupl(nGC_83)*dZZ_QED2/2d0
    coupl(nGC_13238) = coupl(nGC_19)*sq2*(-coupl(nGC_1195)*coupl(nGC_226) - 4d0&
                       *coupl(nGC_126)**2d0 - 4d0*coupl(nGC_2)**2d0 - coupl(   &
                       nGC_201)**2d0 - coupl(nGC_227)**2d0 - coupl(nGC_228)**  &
                       2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_13451) = coupl(nGC_12492)*dZee_QED2
    coupl(nGC_22042) = coupl(nGC_13459) + coupl(nGC_3)*dZA_QED2/2d0 + coupl(   &
                       nGC_3)*dZWMinus_QED2
    coupl(nGC_22041) = coupl(nGC_103)*dZZA_QED2/2d0
    coupl(nGC_20756) = -coupl(nGC_20755)
    coupl(nGC_22044) = coupl(nGC_22041) + coupl(nGC_22042)
    coupl(nGC_13334) = (-cima*coupl(nGC_3423)**4d0*sq2**4d0 + cima*coupl(      &
                       nGC_7875)**2d0 - 2d0*coupl(nGC_3423)**2d0*coupl(nGC_7875&
                       )*sq2**2d0)/(32d0*pi**2d0)
    coupl(nGC_19941) = coupl(nGC_13578) + coupl(nGC_TS_GC_199_Hl) + coupl(     &
                       nGC_TS_GC_200_Hh)
    coupl(nGC_21308) = coupl(nGC_123)*dZZ_QED2/2d0 + coupl(nGC_123)*dZcR_QED2  &
                        + coupl(nGC_13504)
    coupl(nGC_19814) = coupl(nGC_122)*dZZ_QED2/2d0 + coupl(nGC_122)*dZbR_QED2  &
                        + coupl(nGC_13505)
    coupl(nGC_19813) = coupl(nGC_125)*dZbL_QCD2
    coupl(nGC_19810) = coupl(nGC_122)*dZbR_QCD2
    coupl(nGC_21302) = coupl(nGC_126)*dZcL_QCD2
    coupl(nGC_21307) = coupl(nGC_126)*dZZ_QED2/2d0 + coupl(nGC_126)*dZcL_QED2  &
                        + coupl(nGC_13503)
    coupl(nGC_21306) = coupl(nGC_123)*dZcR_QCD2
    coupl(nGC_24464) = -2d0*coupl(nGC_24453)
    coupl(nGC_13176) = (-12d0*Nc*coupl(nGC_125)*coupl(nGC_99)**2d0 + 12d0*Nc*  &
                       coupl(nGC_126)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(     &
                       nGC_102)*coupl(nGC_72) + 6d0*cima*coupl(nGC_103)*coupl( &
                       nGC_72) + coupl(nGC_102)**3d0 - 3d0*coupl(nGC_102)*coupl&
                       (nGC_103)**2d0 - 2d0*coupl(nGC_102)*coupl(nGC_1253)*    &
                       coupl(nGC_3) + 2d0*coupl(nGC_102)*coupl(nGC_1253)*coupl(&
                       nGC_4) + 2d0*coupl(nGC_103)**3d0 - 4d0*coupl(nGC_103)*  &
                       coupl(nGC_1253)*coupl(nGC_3) + 4d0*coupl(nGC_103)*coupl(&
                       nGC_1253)*coupl(nGC_4) - 12d0*coupl(nGC_128)*coupl(     &
                       nGC_99)**2d0 + 12d0*coupl(nGC_129)*coupl(nGC_99)**2d0)/(&
                       96d0*pi**2d0)
    coupl(nGC_25962) = coupl(nGC_13574) + coupl(nGC_TS_GC_211_Hl) + coupl(     &
                       nGC_TS_GC_212_Hh)
    coupl(nGC_TS_GC_110_Hl) = -coupl(nGC_110)*dtHl_QED1/cMHL**2d0
    coupl(nGC_20383) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*           &
                       dZnu_eL_QED2 + coupl(nGC_13507)
    coupl(nGC_13280) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)**3d0 + 4d0*Nc* &
                       cima*coupl(nGC_1)*coupl(nGC_125)**3d0 + 4d0*Nc*cima*    &
                       coupl(nGC_123)**3d0*coupl(nGC_2) + 4d0*Nc*cima*coupl(   &
                       nGC_126)**3d0*coupl(nGC_2) + cima*coupl(nGC_102)**3d0*  &
                       coupl(nGC_3) - cima*coupl(nGC_102)**3d0*coupl(nGC_4) -  &
                       3d0*cima*coupl(nGC_102)**2d0*coupl(nGC_103)*coupl(nGC_3 &
                       ) + 3d0*cima*coupl(nGC_102)**2d0*coupl(nGC_103)*coupl(  &
                       nGC_4) + 3d0*cima*coupl(nGC_102)*coupl(nGC_103)**2d0*   &
                       coupl(nGC_3) - 3d0*cima*coupl(nGC_102)*coupl(nGC_103)** &
                       2d0*coupl(nGC_4) - cima*coupl(nGC_103)**3d0*coupl(nGC_3 &
                       ) + cima*coupl(nGC_103)**3d0*coupl(nGC_4) + 4d0*cima*   &
                       coupl(nGC_116)*coupl(nGC_85) + 4d0*cima*coupl(nGC_124)**&
                       3d0*coupl(nGC_4) + 4d0*cima*coupl(nGC_128)**3d0*coupl(  &
                       nGC_4) + 2d0*coupl(nGC_102)**2d0*coupl(nGC_116) - 4d0*  &
                       coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_116) - 2d0*coupl&
                       (nGC_102)*coupl(nGC_3)*coupl(nGC_85) + 2d0*coupl(nGC_102&
                       )*coupl(nGC_4)*coupl(nGC_85) + 2d0*coupl(nGC_103)**2d0* &
                       coupl(nGC_116) + 2d0*coupl(nGC_103)*coupl(nGC_3)*coupl( &
                       nGC_85) - 2d0*coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_85  &
                       ))/(32d0*pi**2d0)
    coupl(nGC_20116) = coupl(nGC_13590) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_19336) = coupl(nGC_208)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_19334) = coupl(nGC_114)*dZZA_QED2/2d0 + coupl(nGC_13451) + coupl(&
                       nGC_7)*dZA_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2/2d0
    coupl(nGC_13483) = coupl(nGC_12499)*dsw_QED2 + coupl(nGC_12500)*dcw_QED2 + &
                       coupl(nGC_12501)*dZee_QED2
    coupl(nGC_19330) = coupl(nGC_13423) + coupl(nGC_221)*dZnu_tauL_QED2/2d0 +  &
                       coupl(nGC_221)*dZtauMinusR_QED2/2d0
    coupl(nGC_13461) = coupl(nGC_12859)*dsw_QED2 + coupl(nGC_12860)*da_QED2 +  &
                       coupl(nGC_12861)*dZee_QED2
    coupl(nGC_13460) = coupl(nGC_12837)*dsw_QED2 + coupl(nGC_12838)*dZee_QED2
    coupl(nGC_13463) = coupl(nGC_12732)*dsw_QED2 + coupl(nGC_12733)*dZee_QED2
    coupl(nGC_13462) = coupl(nGC_12804)*dsw_QED2 + coupl(nGC_12805)*da_QED2 +  &
                       coupl(nGC_12806)*dZee_QED2
    coupl(nGC_13465) = coupl(nGC_12920)*dsw_QED2 + coupl(nGC_12921)*dcw_QED2 + &
                       coupl(nGC_12922)*dZee_QED2
    coupl(nGC_13467) = coupl(nGC_12930)*dsw_QED2 + coupl(nGC_12931)*da_QED2 +  &
                       coupl(nGC_12932)*dZee_QED2
    coupl(nGC_13469) = coupl(nGC_12734)*dsw_QED2 + coupl(nGC_12735)*dcw_QED2 + &
                       coupl(nGC_12736)*dZee_QED2
    coupl(nGC_13468) = coupl(nGC_12647)*dsw_QED2 + coupl(nGC_12648)*da_QED2 +  &
                       coupl(nGC_12649)*dZee_QED2
    coupl(nGC_19134) = coupl(nGC_13389) + coupl(nGC_21)*dZg_QCD2
    coupl(nGC_23942) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
    coupl(nGC_19638) = coupl(nGC_13391) + coupl(nGC_201)*dZdR_QCD2/2d0 + coupl(&
                       nGC_201)*dZuL_QCD2/2d0
    coupl(nGC_19775) = coupl(nGC_104)*dZZ_QED2/2d0 + coupl(nGC_13387) + coupl( &
                       nGC_6)*dZAZ_QED2/2d0
    coupl(nGC_21731) = coupl(nGC_13471) + coupl(nGC_162)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_165)*dZHh_QED2/2d0 + coupl(nGC_165)*          &
                       dZWMinus_QED2 + coupl(nGC_TS_GC_93_Hl) + coupl(         &
                       nGC_TS_GC_96_Hh)
    coupl(nGC_25963) = coupl(nGC_25957) + coupl(nGC_25962)
    coupl(nGC_22462) = coupl(nGC_13375) + coupl(nGC_174)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_177)*dZHh_QED2/2d0
    coupl(nGC_12967) = cima*(-6d0*Nc*coupl(nGC_1)*coupl(nGC_122) - 6d0*Nc*coupl&
                       (nGC_1)*coupl(nGC_125) - 6d0*Nc*coupl(nGC_123)*coupl(   &
                       nGC_2) - 6d0*Nc*coupl(nGC_126)*coupl(nGC_2) + coupl(    &
                       nGC_102)*coupl(nGC_3) - coupl(nGC_102)*coupl(nGC_4) -   &
                       coupl(nGC_103)*coupl(nGC_3) + coupl(nGC_103)*coupl(nGC_4&
                       ) - 6d0*coupl(nGC_124)*coupl(nGC_4) - 6d0*coupl(nGC_128 &
                       )*coupl(nGC_4))/(96d0*pi**2d0)
    coupl(nGC_20602) = coupl(nGC_13388) + 3d0*coupl(nGC_18)*dZg_QCD2/2d0
    coupl(nGC_12965) = cima*(-2d0*coupl(nGC_102)**2d0 - 8d0*coupl(nGC_102)*    &
                       coupl(nGC_103) - 2d0*coupl(nGC_103)**2d0 - coupl(       &
                       nGC_1253)*coupl(nGC_3) + coupl(nGC_1253)*coupl(nGC_4) + &
                       coupl(nGC_3)**2d0 - coupl(nGC_3)*coupl(nGC_4))/(96d0*pi &
                       **2d0)
    coupl(nGC_12964) = cima*(-6d0*Nc*coupl(nGC_99)**2d0 - coupl(nGC_102)**2d0  &
                        + 2d0*coupl(nGC_102)*coupl(nGC_103) - coupl(nGC_103)** &
                       2d0 + coupl(nGC_1253)*coupl(nGC_3) - coupl(nGC_1253)*   &
                       coupl(nGC_4) - coupl(nGC_3)**2d0 + coupl(nGC_3)*coupl(  &
                       nGC_4) - 6d0*coupl(nGC_99)**2d0)/(96d0*pi**2d0)
    coupl(nGC_19673) = coupl(nGC_13372) + coupl(nGC_179)*dZHhHl_QED2/2d0 +     &
                       coupl(nGC_184)*dZHl_QED2/2d0 + coupl(nGC_TS_GC_29_Hh) + &
                       coupl(nGC_TS_GC_31_Hl)
    coupl(nGC_12961) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC**  &
                       2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl(&
                       nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0 +  &
                       4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMU**2d0&
                       *cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima*coupl(nGC_4 &
                       )**2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 4d0*cMTA &
                       **2d0*cima*coupl(nGC_4)**2d0 + cMW**2d0*cima*coupl(nGC_3&
                       )**2d0 - 2d0*cMW**2d0*cima*coupl(nGC_3)*coupl(nGC_4) +  &
                       cMW**2d0*cima*coupl(nGC_4)**2d0 - 2d0*cMW**2d0*coupl(   &
                       nGC_9))/(16d0*pi**2d0)
    coupl(nGC_19137) = 2d0*coupl(nGC_19134)
    coupl(nGC_21289) = coupl(nGC_13397) + coupl(nGC_197)*dZcR_QCD2/2d0 + coupl(&
                       nGC_197)*dZsL_QCD2/2d0
    coupl(nGC_26642) = coupl(nGC_13570) + coupl(nGC_MHL)*dZHl_QED2 + coupl(    &
                       nGC_TS_GC_189_Hh) + coupl(nGC_TS_GC_191_Hl)
    coupl(nGC_13049) = (-2d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_99) +  &
                       2d0*Nc*coupl(nGC_197)*coupl(nGC_200)*coupl(nGC_99) - 2d0&
                       *Nc*coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) - 2d0*Nc&
                       *coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) + 2d0*Nc*  &
                       coupl(nGC_217)*coupl(nGC_220)*coupl(nGC_99) + 2d0*Nc*   &
                       coupl(nGC_225)*coupl(nGC_228)*coupl(nGC_99) + 3d0*cima* &
                       coupl(nGC_102)*coupl(nGC_27) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_27) + 3d0*cima*coupl(nGC_119)*coupl(nGC_3) +  &
                       3d0*cima*coupl(nGC_119)*coupl(nGC_4) - 2d0*coupl(nGC_205&
                       )*coupl(nGC_208)*coupl(nGC_99) - 2d0*coupl(nGC_209)*    &
                       coupl(nGC_212)*coupl(nGC_99) - 2d0*coupl(nGC_221)*coupl(&
                       nGC_224)*coupl(nGC_99))/(48d0*pi**2d0)
    coupl(nGC_13046) = (-2d0*Nc*coupl(nGC_122)*coupl(nGC_193)**2d0 - 2d0*Nc*   &
                       coupl(nGC_122)*coupl(nGC_201)**2d0 - 2d0*Nc*coupl(      &
                       nGC_122)*coupl(nGC_213)**2d0 + 2d0*Nc*coupl(nGC_123)*   &
                       coupl(nGC_197)**2d0 + 2d0*Nc*coupl(nGC_123)*coupl(      &
                       nGC_217)**2d0 + 2d0*Nc*coupl(nGC_123)*coupl(nGC_225)**  &
                       2d0 - 2d0*Nc*coupl(nGC_125)*coupl(nGC_197)**2d0 - 2d0*Nc&
                       *coupl(nGC_125)*coupl(nGC_217)**2d0 - 2d0*Nc*coupl(     &
                       nGC_125)*coupl(nGC_225)**2d0 + 2d0*Nc*coupl(nGC_126)*   &
                       coupl(nGC_193)**2d0 + 2d0*Nc*coupl(nGC_126)*coupl(      &
                       nGC_201)**2d0 + 2d0*Nc*coupl(nGC_126)*coupl(nGC_213)**  &
                       2d0 + 3d0*cima*coupl(nGC_102)*coupl(nGC_71) + 3d0*cima* &
                       coupl(nGC_103)*coupl(nGC_71) - 2d0*coupl(nGC_124)*coupl(&
                       nGC_205)**2d0 - 2d0*coupl(nGC_124)*coupl(nGC_209)**2d0  &
                        - 2d0*coupl(nGC_124)*coupl(nGC_221)**2d0 + 2d0*coupl(  &
                       nGC_129)*coupl(nGC_205)**2d0 + 2d0*coupl(nGC_129)*coupl(&
                       nGC_209)**2d0 + 2d0*coupl(nGC_129)*coupl(nGC_221)**2d0  &
                       )/(48d0*pi**2d0)
    coupl(nGC_13045) = (2d0*Nc*coupl(nGC_122)*coupl(nGC_193)**2d0 + 2d0*Nc*    &
                       coupl(nGC_122)*coupl(nGC_201)**2d0 + 2d0*Nc*coupl(      &
                       nGC_122)*coupl(nGC_213)**2d0 - 2d0*Nc*coupl(nGC_123)*   &
                       coupl(nGC_197)**2d0 - 2d0*Nc*coupl(nGC_123)*coupl(      &
                       nGC_217)**2d0 - 2d0*Nc*coupl(nGC_123)*coupl(nGC_225)**  &
                       2d0 + 2d0*Nc*coupl(nGC_125)*coupl(nGC_197)**2d0 + 2d0*Nc&
                       *coupl(nGC_125)*coupl(nGC_217)**2d0 + 2d0*Nc*coupl(     &
                       nGC_125)*coupl(nGC_225)**2d0 - 2d0*Nc*coupl(nGC_126)*   &
                       coupl(nGC_193)**2d0 - 2d0*Nc*coupl(nGC_126)*coupl(      &
                       nGC_201)**2d0 - 2d0*Nc*coupl(nGC_126)*coupl(nGC_213)**  &
                       2d0 + 3d0*cima*coupl(nGC_102)*coupl(nGC_71) + 3d0*cima* &
                       coupl(nGC_103)*coupl(nGC_71) + 2d0*coupl(nGC_124)*coupl(&
                       nGC_205)**2d0 + 2d0*coupl(nGC_124)*coupl(nGC_209)**2d0  &
                        + 2d0*coupl(nGC_124)*coupl(nGC_221)**2d0 - 2d0*coupl(  &
                       nGC_129)*coupl(nGC_205)**2d0 - 2d0*coupl(nGC_129)*coupl(&
                       nGC_209)**2d0 - 2d0*coupl(nGC_129)*coupl(nGC_221)**2d0  &
                       )/(48d0*pi**2d0)
    coupl(nGC_13044) = (2d0*Nc*cMB*coupl(nGC_193)**2d0*coupl(nGC_195) + 2d0*Nc*&
                       cMB*coupl(nGC_193)*coupl(nGC_217)*coupl(nGC_219) + 2d0* &
                       Nc*cMB*coupl(nGC_195)*coupl(nGC_217)**2d0 + 2d0*Nc*cMC* &
                       coupl(nGC_197)**2d0*coupl(nGC_199) + 2d0*Nc*cMC*coupl(  &
                       nGC_197)*coupl(nGC_213)*coupl(nGC_215) + 2d0*Nc*cMC*    &
                       coupl(nGC_199)*coupl(nGC_213)**2d0 + 2d0*Nc*cMD*coupl(  &
                       nGC_201)**2d0*coupl(nGC_203) + 2d0*Nc*cMD*coupl(nGC_201 &
                       )*coupl(nGC_225)*coupl(nGC_227) + 2d0*Nc*cMD*coupl(     &
                       nGC_203)*coupl(nGC_225)**2d0 + 2d0*Nc*cMS*coupl(nGC_197 &
                       )**2d0*coupl(nGC_215) + 2d0*Nc*cMS*coupl(nGC_197)*coupl(&
                       nGC_199)*coupl(nGC_213) + 2d0*Nc*cMS*coupl(nGC_213)**2d0&
                       *coupl(nGC_215) + 2d0*Nc*cMT*coupl(nGC_193)**2d0*coupl( &
                       nGC_219) + 2d0*Nc*cMT*coupl(nGC_193)*coupl(nGC_195)*    &
                       coupl(nGC_217) + 2d0*Nc*cMT*coupl(nGC_217)**2d0*coupl(  &
                       nGC_219) + 2d0*Nc*cMU*coupl(nGC_201)**2d0*coupl(nGC_227 &
                       ) + 2d0*Nc*cMU*coupl(nGC_201)*coupl(nGC_203)*coupl(     &
                       nGC_225) + 2d0*Nc*cMU*coupl(nGC_225)**2d0*coupl(nGC_227 &
                       ) + 2d0*cME*coupl(nGC_205)**2d0*coupl(nGC_207) + 2d0*cMM&
                       *coupl(nGC_209)**2d0*coupl(nGC_211) + 2d0*cMTA*coupl(   &
                       nGC_221)**2d0*coupl(nGC_223) + 4d0*cima*coupl(nGC_110)* &
                       coupl(nGC_166) + cima*coupl(nGC_141)*coupl(nGC_175) +   &
                       4d0*cima*coupl(nGC_15)*coupl(nGC_154) + 2d0*cima*coupl( &
                       nGC_162)*coupl(nGC_71))/(16d0*pi**2d0)
    coupl(nGC_13043) = (2d0*Nc*cMB*coupl(nGC_193)**2d0*coupl(nGC_196) + 2d0*Nc*&
                       cMB*coupl(nGC_193)*coupl(nGC_217)*coupl(nGC_220) + 2d0* &
                       Nc*cMB*coupl(nGC_196)*coupl(nGC_217)**2d0 + 2d0*Nc*cMC* &
                       coupl(nGC_197)**2d0*coupl(nGC_200) + 2d0*Nc*cMC*coupl(  &
                       nGC_197)*coupl(nGC_213)*coupl(nGC_216) + 2d0*Nc*cMC*    &
                       coupl(nGC_200)*coupl(nGC_213)**2d0 + 2d0*Nc*cMD*coupl(  &
                       nGC_201)**2d0*coupl(nGC_204) + 2d0*Nc*cMD*coupl(nGC_201 &
                       )*coupl(nGC_225)*coupl(nGC_228) + 2d0*Nc*cMD*coupl(     &
                       nGC_204)*coupl(nGC_225)**2d0 + 2d0*Nc*cMS*coupl(nGC_197 &
                       )**2d0*coupl(nGC_216) + 2d0*Nc*cMS*coupl(nGC_197)*coupl(&
                       nGC_200)*coupl(nGC_213) + 2d0*Nc*cMS*coupl(nGC_213)**2d0&
                       *coupl(nGC_216) + 2d0*Nc*cMT*coupl(nGC_193)**2d0*coupl( &
                       nGC_220) + 2d0*Nc*cMT*coupl(nGC_193)*coupl(nGC_196)*    &
                       coupl(nGC_217) + 2d0*Nc*cMT*coupl(nGC_217)**2d0*coupl(  &
                       nGC_220) + 2d0*Nc*cMU*coupl(nGC_201)**2d0*coupl(nGC_228 &
                       ) + 2d0*Nc*cMU*coupl(nGC_201)*coupl(nGC_204)*coupl(     &
                       nGC_225) + 2d0*Nc*cMU*coupl(nGC_225)**2d0*coupl(nGC_228 &
                       ) + 2d0*cME*coupl(nGC_205)**2d0*coupl(nGC_208) + 2d0*cMM&
                       *coupl(nGC_209)**2d0*coupl(nGC_212) + 2d0*cMTA*coupl(   &
                       nGC_221)**2d0*coupl(nGC_224) + 4d0*cima*coupl(nGC_119)* &
                       coupl(nGC_166) + cima*coupl(nGC_141)*coupl(nGC_178) +   &
                       4d0*cima*coupl(nGC_154)*coupl(nGC_27) + 2d0*cima*coupl( &
                       nGC_165)*coupl(nGC_71))/(16d0*pi**2d0)
    coupl(nGC_13042) = (coupl(nGC_1)*coupl(nGC_225)**2d0 + coupl(nGC_1195)*    &
                       coupl(nGC_2)*coupl(nGC_226) + 4d0*coupl(nGC_123)**2d0*  &
                       coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + coupl(nGC_2)*    &
                       coupl(nGC_227)**2d0 + coupl(nGC_2)*coupl(nGC_228)**2d0  &
                       )/(32d0*pi**2d0)
    coupl(nGC_13041) = (coupl(nGC_1)*coupl(nGC_201)**2d0 + 4d0*coupl(nGC_1)*   &
                       coupl(nGC_99)**2d0 + coupl(nGC_1195)*coupl(nGC_2)*coupl(&
                       nGC_226) + 4d0*coupl(nGC_126)**2d0*coupl(nGC_2) + 4d0*  &
                       coupl(nGC_2)**3d0 + coupl(nGC_2)*coupl(nGC_227)**2d0 +  &
                       coupl(nGC_2)*coupl(nGC_228)**2d0 + coupl(nGC_3)*coupl(  &
                       nGC_99)**2d0 - coupl(nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi&
                       **2d0)
    coupl(nGC_13040) = (4d0*coupl(nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_222)* &
                       coupl(nGC_3111)*coupl(nGC_4) + coupl(nGC_223)**2d0*coupl&
                       (nGC_4) + coupl(nGC_224)**2d0*coupl(nGC_4) - coupl(nGC_3&
                       )*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)**3d0 + coupl(   &
                       nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
    coupl(nGC_20232) = coupl(nGC_13464) + coupl(nGC_73)*dZWMinus_QED2
    coupl(nGC_13267) = (36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_99  &
                       )**2d0 - 30d0*Nc*cima*coupl(nGC_1)*coupl(nGC_126)*coupl(&
                       nGC_99)**2d0 - 30d0*Nc*cima*coupl(nGC_125)*coupl(nGC_2)*&
                       coupl(nGC_99)**2d0 + 36d0*Nc*cima*coupl(nGC_126)*coupl( &
                       nGC_2)*coupl(nGC_99)**2d0 + cima*coupl(nGC_102)**3d0*   &
                       coupl(nGC_3) - cima*coupl(nGC_102)**3d0*coupl(nGC_4) -  &
                       3d0*cima*coupl(nGC_102)**2d0*coupl(nGC_103)*coupl(nGC_3 &
                       ) + 3d0*cima*coupl(nGC_102)**2d0*coupl(nGC_103)*coupl(  &
                       nGC_4) + 3d0*cima*coupl(nGC_102)*coupl(nGC_103)**2d0*   &
                       coupl(nGC_3) - 3d0*cima*coupl(nGC_102)*coupl(nGC_103)** &
                       2d0*coupl(nGC_4) - 2d0*cima*coupl(nGC_102)*coupl(       &
                       nGC_1253)*coupl(nGC_3)**2d0 + 4d0*cima*coupl(nGC_102)*  &
                       coupl(nGC_1253)*coupl(nGC_3)*coupl(nGC_4) - 2d0*cima*   &
                       coupl(nGC_102)*coupl(nGC_1253)*coupl(nGC_4)**2d0 - cima*&
                       coupl(nGC_103)**3d0*coupl(nGC_3) + cima*coupl(nGC_103)**&
                       3d0*coupl(nGC_4) + 2d0*cima*coupl(nGC_103)*coupl(       &
                       nGC_1253)*coupl(nGC_3)**2d0 - 4d0*cima*coupl(nGC_103)*  &
                       coupl(nGC_1253)*coupl(nGC_3)*coupl(nGC_4) + 2d0*cima*   &
                       coupl(nGC_103)*coupl(nGC_1253)*coupl(nGC_4)**2d0 + 12d0*&
                       cima*coupl(nGC_116)*coupl(nGC_72) + 36d0*cima*coupl(    &
                       nGC_128)*coupl(nGC_4)*coupl(nGC_99)**2d0 - 30d0*cima*   &
                       coupl(nGC_129)*coupl(nGC_4)*coupl(nGC_99)**2d0 + 3d0*   &
                       coupl(nGC_102)**2d0*coupl(nGC_116) - 6d0*coupl(nGC_102)*&
                       coupl(nGC_103)*coupl(nGC_116) - 6d0*coupl(nGC_102)*coupl&
                       (nGC_3)*coupl(nGC_72) + 6d0*coupl(nGC_102)*coupl(nGC_4)*&
                       coupl(nGC_72) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_116   &
                       ) + 6d0*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_72) - 6d0*&
                       coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_72) - 6d0*coupl(  &
                       nGC_116)*coupl(nGC_1253)*coupl(nGC_3) + 6d0*coupl(      &
                       nGC_116)*coupl(nGC_1253)*coupl(nGC_4))/(96d0*pi**2d0)
    coupl(nGC_13266) = (-2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_195 &
                       )**2d0 - 2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl( &
                       nGC_203)**2d0 - 2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*&
                       coupl(nGC_215)**2d0 - 2d0*Nc*cima*coupl(nGC_1)*coupl(   &
                       nGC_125)*coupl(nGC_195)**2d0 - 2d0*Nc*cima*coupl(nGC_1)*&
                       coupl(nGC_125)*coupl(nGC_203)**2d0 - 2d0*Nc*cima*coupl( &
                       nGC_1)*coupl(nGC_125)*coupl(nGC_215)**2d0 - 2d0*Nc*cima*&
                       coupl(nGC_123)*coupl(nGC_199)**2d0*coupl(nGC_2) - 2d0*Nc&
                       *cima*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_219)**2d0 - &
                       2d0*Nc*cima*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_227)**&
                       2d0 - 2d0*Nc*cima*coupl(nGC_126)*coupl(nGC_199)**2d0*   &
                       coupl(nGC_2) - 2d0*Nc*cima*coupl(nGC_126)*coupl(nGC_2)* &
                       coupl(nGC_219)**2d0 - 2d0*Nc*cima*coupl(nGC_126)*coupl( &
                       nGC_2)*coupl(nGC_227)**2d0 + 2d0*cima*coupl(nGC_116)*   &
                       coupl(nGC_82) - 2d0*cima*coupl(nGC_124)*coupl(nGC_207)**&
                       2d0*coupl(nGC_4) - 2d0*cima*coupl(nGC_124)*coupl(nGC_211&
                       )**2d0*coupl(nGC_4) - 2d0*cima*coupl(nGC_124)*coupl(    &
                       nGC_223)**2d0*coupl(nGC_4) - 2d0*cima*coupl(nGC_128)*   &
                       coupl(nGC_207)**2d0*coupl(nGC_4) - 2d0*cima*coupl(      &
                       nGC_128)*coupl(nGC_211)**2d0*coupl(nGC_4) - 2d0*cima*   &
                       coupl(nGC_128)*coupl(nGC_223)**2d0*coupl(nGC_4) - coupl(&
                       nGC_102)*coupl(nGC_3)*coupl(nGC_82) + coupl(nGC_102)*   &
                       coupl(nGC_4)*coupl(nGC_82) + coupl(nGC_103)*coupl(nGC_3 &
                       )*coupl(nGC_82) - coupl(nGC_103)*coupl(nGC_4)*coupl(    &
                       nGC_82))/(16d0*pi**2d0)
    coupl(nGC_13265) = (-2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_195 &
                       )*coupl(nGC_196) - 2d0*Nc*cima*coupl(nGC_1)*coupl(      &
                       nGC_122)*coupl(nGC_203)*coupl(nGC_204) - 2d0*Nc*cima*   &
                       coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_215)*coupl(nGC_216&
                       ) - 2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(      &
                       nGC_195)*coupl(nGC_196) - 2d0*Nc*cima*coupl(nGC_1)*coupl&
                       (nGC_125)*coupl(nGC_203)*coupl(nGC_204) - 2d0*Nc*cima*  &
                       coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_215)*coupl(nGC_216&
                       ) - 2d0*Nc*cima*coupl(nGC_123)*coupl(nGC_199)*coupl(    &
                       nGC_2)*coupl(nGC_200) - 2d0*Nc*cima*coupl(nGC_123)*coupl&
                       (nGC_2)*coupl(nGC_219)*coupl(nGC_220) - 2d0*Nc*cima*    &
                       coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_227)*coupl(nGC_228&
                       ) - 2d0*Nc*cima*coupl(nGC_126)*coupl(nGC_199)*coupl(    &
                       nGC_2)*coupl(nGC_200) - 2d0*Nc*cima*coupl(nGC_126)*coupl&
                       (nGC_2)*coupl(nGC_219)*coupl(nGC_220) - 2d0*Nc*cima*    &
                       coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_227)*coupl(nGC_228&
                       ) + 2d0*cima*coupl(nGC_116)*coupl(nGC_93) - 2d0*cima*   &
                       coupl(nGC_124)*coupl(nGC_207)*coupl(nGC_208)*coupl(nGC_4&
                       ) - 2d0*cima*coupl(nGC_124)*coupl(nGC_211)*coupl(nGC_212&
                       )*coupl(nGC_4) - 2d0*cima*coupl(nGC_124)*coupl(nGC_223)*&
                       coupl(nGC_224)*coupl(nGC_4) - 2d0*cima*coupl(nGC_128)*  &
                       coupl(nGC_207)*coupl(nGC_208)*coupl(nGC_4) - 2d0*cima*  &
                       coupl(nGC_128)*coupl(nGC_211)*coupl(nGC_212)*coupl(nGC_4&
                       ) - 2d0*cima*coupl(nGC_128)*coupl(nGC_223)*coupl(nGC_224&
                       )*coupl(nGC_4) - coupl(nGC_102)*coupl(nGC_3)*coupl(     &
                       nGC_93) + coupl(nGC_102)*coupl(nGC_4)*coupl(nGC_93) +   &
                       coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_93) - coupl(      &
                       nGC_103)*coupl(nGC_4)*coupl(nGC_93))/(16d0*pi**2d0)
    coupl(nGC_13264) = (-2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_196 &
                       )**2d0 - 2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl( &
                       nGC_204)**2d0 - 2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*&
                       coupl(nGC_216)**2d0 - 2d0*Nc*cima*coupl(nGC_1)*coupl(   &
                       nGC_125)*coupl(nGC_196)**2d0 - 2d0*Nc*cima*coupl(nGC_1)*&
                       coupl(nGC_125)*coupl(nGC_204)**2d0 - 2d0*Nc*cima*coupl( &
                       nGC_1)*coupl(nGC_125)*coupl(nGC_216)**2d0 - 2d0*Nc*cima*&
                       coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_200)**2d0 - 2d0*Nc&
                       *cima*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_220)**2d0 - &
                       2d0*Nc*cima*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_228)**&
                       2d0 - 2d0*Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(    &
                       nGC_200)**2d0 - 2d0*Nc*cima*coupl(nGC_126)*coupl(nGC_2)*&
                       coupl(nGC_220)**2d0 - 2d0*Nc*cima*coupl(nGC_126)*coupl( &
                       nGC_2)*coupl(nGC_228)**2d0 + 2d0*cima*coupl(nGC_116)*   &
                       coupl(nGC_96) - 2d0*cima*coupl(nGC_124)*coupl(nGC_208)**&
                       2d0*coupl(nGC_4) - 2d0*cima*coupl(nGC_124)*coupl(nGC_212&
                       )**2d0*coupl(nGC_4) - 2d0*cima*coupl(nGC_124)*coupl(    &
                       nGC_224)**2d0*coupl(nGC_4) - 2d0*cima*coupl(nGC_128)*   &
                       coupl(nGC_208)**2d0*coupl(nGC_4) - 2d0*cima*coupl(      &
                       nGC_128)*coupl(nGC_212)**2d0*coupl(nGC_4) - 2d0*cima*   &
                       coupl(nGC_128)*coupl(nGC_224)**2d0*coupl(nGC_4) - coupl(&
                       nGC_102)*coupl(nGC_3)*coupl(nGC_96) + coupl(nGC_102)*   &
                       coupl(nGC_4)*coupl(nGC_96) + coupl(nGC_103)*coupl(nGC_3 &
                       )*coupl(nGC_96) - coupl(nGC_103)*coupl(nGC_4)*coupl(    &
                       nGC_96))/(16d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
