!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 14:34             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  implicit none
  contains
  subroutine fill_vertices_mdl10()
    use class_vertices
    use class_couplings
    allocate(vertices(4279)%branchCT(0:0))
    call avCT(4279, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_19781])

    allocate(vertices(4280)%branchCT(0:0))
    call avCT(4280, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19199])

    allocate(vertices(186)%branchCT(0:0))
    call avCT(186, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_19927, nGC_19927])

    allocate(vertices(4281)%branchCT(0:0))
    call avCT(4281, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(2718)%branchCT(0:0))
    call avCT(2718, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19785])

    allocate(vertices(1800)%branchCT(0:0))
    call avCT(1800, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_21203])

    allocate(vertices(1296)%branchCT(0:0))
    call avCT(1296, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(1801)%branchCT(0:0))
    call avCT(1801, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(4285)%branchCT(0:0))
    call avCT(4285, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13341])

    allocate(vertices(4286)%branchCT(0:0))
    call avCT(4286, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19498])

    allocate(vertices(1803)%branchCT(0:0))
    call avCT(1803, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(2997)%branchCT(0:0))
    call avCT(2997, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(5083)%branchCT(0:1))
    call avCT(5083, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_24531, nGC_24527,       &
    nGC_24534, nGC_24534])

    call avCT(5083, 1, 14, 1, 0, FFa1, 0, [2, 0], [nGC_24532, nGC_24528,       &
    nGC_24535, nGC_24535])

    allocate(vertices(4309)%branchCT(0:0))
    call avCT(4309, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19199])

    allocate(vertices(1805)%branchCT(0:0))
    call avCT(1805, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19498])

    allocate(vertices(4290)%branchCT(0:0))
    call avCT(4290, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_19387])

    allocate(vertices(1208)%branchCT(0:0))
    call avCT(1208, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(4851)%branchCT(0:0))
    call avCT(4851, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(4294)%branchCT(0:0))
    call avCT(4294, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(4295)%branchCT(0:1))
    call avCT(4295, 0, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_20417, nGC_20418])

    call avCT(4295, 1, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_20419, nGC_20420])

    allocate(vertices(3672)%branchCT(0:0))
    call avCT(3672, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(2081)%branchCT(0:0))
    call avCT(2081, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(5084)%branchCT(0:1))
    call avCT(5084, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_23735, nGC_23731,       &
    nGC_23738, nGC_23738])

    call avCT(5084, 1, 14, 1, 0, FFa1, 0, [2, 0], [nGC_23736, nGC_23732,       &
    nGC_23739, nGC_23739])

    allocate(vertices(1813)%branchCT(0:0))
    call avCT(1813, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19195])

    allocate(vertices(5085)%branchCT(0:0))
    call avCT(5085, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22171])

    allocate(vertices(2722)%branchCT(0:0))
    call avCT(2722, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13365])

    allocate(vertices(1239)%branchCT(0:0))
    call avCT(1239, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(1074)%branchCT(0:0))
    call avCT(1074, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_19112])

    allocate(vertices(2769)%branchCT(0:0))
    call avCT(2769, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_20232])

    allocate(vertices(4299)%branchCT(0:0))
    call avCT(4299, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(1816)%branchCT(0:0))
    call avCT(1816, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(1817)%branchCT(0:0))
    call avCT(1817, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19347])

    allocate(vertices(2099)%branchCT(0:0))
    call avCT(2099, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13350])

    allocate(vertices(3115)%branchCT(0:0))
    call avCT(3115, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19903])

    allocate(vertices(4485)%branchCT(0:0))
    call avCT(4485, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(4591)%branchCT(0:0))
    call avCT(4591, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20352])

    allocate(vertices(5086)%branchCT(0:0))
    call avCT(5086, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19837])

    allocate(vertices(4303)%branchCT(0:0))
    call avCT(4303, 0, 1, 1, 0, VVV2, 0, [0, 3], [nGC_22044, nGC_22043])

    allocate(vertices(1820)%branchCT(0:0))
    call avCT(1820, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(1821)%branchCT(0:0))
    call avCT(1821, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22813, nGC_22814])

    allocate(vertices(1073)%branchCT(0:3))
    call avCT(1073, 0, 92, 4, 0, FaFV0, 0, [1, 2], [nGC_20472, nGC_20468])

    call avCT(1073, 1, 92, 4, 0, FaFV0, 0, [3, 0], [nGC_20474, nGC_20475])

    call avCT(1073, 2, 93, 5, 0, FaFV0, 0, [1, 2], [nGC_20472, nGC_20468])

    call avCT(1073, 3, 93, 5, 0, FaFV0, 0, [3, 0], [nGC_20474, nGC_20475])

    allocate(vertices(3702)%branchCT(0:0))
    call avCT(3702, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19347])

    allocate(vertices(4306)%branchCT(0:0))
    call avCT(4306, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19148])

    allocate(vertices(4411)%branchCT(0:0))
    call avCT(4411, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(2606)%branchCT(0:3))
    call avCT(2606, 0, 92, 4, 0, FaFV0, 0, [1, 2], [nGC_19866, nGC_19862])

    call avCT(2606, 1, 92, 4, 0, FaFV0, 0, [3, 0], [nGC_19868, nGC_19869])

    call avCT(2606, 2, 93, 5, 0, FaFV0, 0, [1, 2], [nGC_19866, nGC_19862])

    call avCT(2606, 3, 93, 5, 0, FaFV0, 0, [3, 0], [nGC_19868, nGC_19869])

    allocate(vertices(1825)%branchCT(0:0))
    call avCT(1825, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(4496)%branchCT(0:0))
    call avCT(4496, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(1827)%branchCT(0:0))
    call avCT(1827, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(4308)%branchCT(0:0))
    call avCT(4308, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(1829)%branchCT(0:0))
    call avCT(1829, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(694)%branchCT(0:0))
    call avCT(694, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(566)%branchCT(0:0))
    call avCT(566, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_20232])

    allocate(vertices(1831)%branchCT(0:0))
    call avCT(1831, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13341])

    allocate(vertices(4312)%branchCT(0:1))
    call avCT(4312, 0, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_19599, nGC_19599])

    call avCT(4312, 1, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_19600, nGC_19600])

    allocate(vertices(2243)%branchCT(0:0))
    call avCT(2243, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_20158])

    allocate(vertices(1833)%branchCT(0:0))
    call avCT(1833, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_19112])

    allocate(vertices(1920)%branchCT(0:0))
    call avCT(1920, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(4064)%branchCT(0:0))
    call avCT(4064, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(4938)%branchCT(0:0))
    call avCT(4938, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(3143)%branchCT(0:0))
    call avCT(3143, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_21731])

    allocate(vertices(1836)%branchCT(0:0))
    call avCT(1836, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19226])

    allocate(vertices(4315)%branchCT(0:0))
    call avCT(4315, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_21562, nGC_21563])

    allocate(vertices(1837)%branchCT(0:0))
    call avCT(1837, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_19781])

    allocate(vertices(1838)%branchCT(0:0))
    call avCT(1838, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(4319)%branchCT(0:0))
    call avCT(4319, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13343])

    allocate(vertices(4051)%branchCT(0:0))
    call avCT(4051, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(4321)%branchCT(0:0))
    call avCT(4321, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13342])

    allocate(vertices(4322)%branchCT(0:0))
    call avCT(4322, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(1843)%branchCT(0:1))
    call avCT(1843, 0, 87, 1, 0, VFaF1, 0, [2, 1], [nGC_22439, nGC_22442])

    call avCT(1843, 1, 87, 1, 0, VFaF1, 0, [0, 3], [nGC_22447, nGC_22448])

    allocate(vertices(1531)%branchCT(0:0))
    call avCT(1531, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(1844)%branchCT(0:0))
    call avCT(1844, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19379])

    allocate(vertices(1420)%branchCT(0:0))
    call avCT(1420, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_21191])

    allocate(vertices(4327)%branchCT(0:0))
    call avCT(4327, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_21249])

    allocate(vertices(1847)%branchCT(0:0))
    call avCT(1847, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19648, nGC_19649,       &
    nGC_19649])

    allocate(vertices(1436)%branchCT(0:0))
    call avCT(1436, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13342])

    allocate(vertices(1439)%branchCT(0:3))
    call avCT(1439, 0, 88, 4, 0, FVFa0, 0, [1, 2], [nGC_20261, nGC_20263])

    call avCT(1439, 1, 88, 4, 0, FVFa0, 0, [3, 0], [nGC_20265, nGC_20266])

    call avCT(1439, 2, 89, 5, 0, FVFa0, 0, [1, 2], [nGC_20261, nGC_20263])

    call avCT(1439, 3, 89, 5, 0, FVFa0, 0, [3, 0], [nGC_20265, nGC_20266])

    allocate(vertices(4187)%branchCT(0:0))
    call avCT(4187, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19226])

    allocate(vertices(1850)%branchCT(0:0))
    call avCT(1850, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(5087)%branchCT(0:0))
    call avCT(5087, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_19427])

    allocate(vertices(4333)%branchCT(0:0))
    call avCT(4333, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13365])

    allocate(vertices(4334)%branchCT(0:0))
    call avCT(4334, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_22403])

    allocate(vertices(4335)%branchCT(0:0))
    call avCT(4335, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(1853)%branchCT(0:0))
    call avCT(1853, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(1467)%branchCT(0:0))
    call avCT(1467, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19498])

    allocate(vertices(4338)%branchCT(0:0))
    call avCT(4338, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(1856)%branchCT(0:0))
    call avCT(1856, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(4342)%branchCT(0:0))
    call avCT(4342, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_19096])

    allocate(vertices(1857)%branchCT(0:0))
    call avCT(1857, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(1858)%branchCT(0:0))
    call avCT(1858, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(4343)%branchCT(0:0))
    call avCT(4343, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13381])

    allocate(vertices(1128)%branchCT(0:0))
    call avCT(1128, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(1733)%branchCT(0:0))
    call avCT(1733, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13381])

    allocate(vertices(3484)%branchCT(0:0))
    call avCT(3484, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(1861)%branchCT(0:0))
    call avCT(1861, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(4347)%branchCT(0:1))
    call avCT(4347, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_21290, nGC_21289])

    call avCT(4347, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_21292, nGC_21291])

    allocate(vertices(731)%branchCT(0:0))
    call avCT(731, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19255])

    allocate(vertices(4349)%branchCT(0:0))
    call avCT(4349, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19492])

    allocate(vertices(1530)%branchCT(0:0))
    call avCT(1530, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19148])

    allocate(vertices(1865)%branchCT(0:0))
    call avCT(1865, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19105])

    allocate(vertices(1866)%branchCT(0:0))
    call avCT(1866, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(1973)%branchCT(0:1))
    call avCT(1973, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_21008, nGC_21009])

    call avCT(1973, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_21010, nGC_21011])

    allocate(vertices(3542)%branchCT(0:0))
    call avCT(3542, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(4356)%branchCT(0:0))
    call avCT(4356, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(5088)%branchCT(0:0))
    call avCT(5088, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19837])

    allocate(vertices(1869)%branchCT(0:0))
    call avCT(1869, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19368])

    allocate(vertices(4361)%branchCT(0:0))
    call avCT(4361, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_21753])

    allocate(vertices(1871)%branchCT(0:1))
    call avCT(1871, 0, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_19639, nGC_19638])

    call avCT(1871, 1, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_19641, nGC_19640])

    allocate(vertices(1697)%branchCT(0:0))
    call avCT(1697, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(1873)%branchCT(0:0))
    call avCT(1873, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(1576)%branchCT(0:0))
    call avCT(1576, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(5089)%branchCT(0:0))
    call avCT(5089, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19837])

    allocate(vertices(1874)%branchCT(0:0))
    call avCT(1874, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19255])

    allocate(vertices(1875)%branchCT(0:0))
    call avCT(1875, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_20232])

    allocate(vertices(4419)%branchCT(0:0))
    call avCT(4419, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(1598)%branchCT(0:0))
    call avCT(1598, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(4369)%branchCT(0:0))
    call avCT(4369, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_27290])

    allocate(vertices(2445)%branchCT(0:0))
    call avCT(2445, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19148])

    allocate(vertices(1877)%branchCT(0:1))
    call avCT(1877, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_26453, nGC_26454])

    call avCT(1877, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_26451, nGC_26452])

    allocate(vertices(1132)%branchCT(0:0))
    call avCT(1132, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13361])

    allocate(vertices(1881)%branchCT(0:0))
    call avCT(1881, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19379])

    allocate(vertices(1882)%branchCT(0:0))
    call avCT(1882, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_21731])

    allocate(vertices(1883)%branchCT(0:0))
    call avCT(1883, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_25478, nGC_25479])

    allocate(vertices(626)%branchCT(0:0))
    call avCT(626, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(5090)%branchCT(0:0))
    call avCT(5090, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20891])

    allocate(vertices(3984)%branchCT(0:0))
    call avCT(3984, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(4249)%branchCT(0:0))
    call avCT(4249, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19131])

    allocate(vertices(4376)%branchCT(0:0))
    call avCT(4376, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13365])

    allocate(vertices(5091)%branchCT(0:0))
    call avCT(5091, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_19427])

    allocate(vertices(4379)%branchCT(0:0))
    call avCT(4379, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13365])

    allocate(vertices(1887)%branchCT(0:1))
    call avCT(1887, 0, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_24354, nGC_24354])

    call avCT(1887, 1, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_24355, nGC_24355])

    allocate(vertices(3779)%branchCT(0:0))
    call avCT(3779, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(4381)%branchCT(0:0))
    call avCT(4381, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19303])

    allocate(vertices(1932)%branchCT(0:0))
    call avCT(1932, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(1892)%branchCT(0:0))
    call avCT(1892, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13344])

    allocate(vertices(4385)%branchCT(0:0))
    call avCT(4385, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(1692)%branchCT(0:0))
    call avCT(1692, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(1893)%branchCT(0:1))
    call avCT(1893, 0, 84, 1, 0, FaFV1, 0, [0, 3], [nGC_19307])

    call avCT(1893, 1, 84, 1, 0, FaFV1, 0, [2, 1], [nGC_19306])

    allocate(vertices(1702)%branchCT(0:0))
    call avCT(1702, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(2634)%branchCT(0:1))
    call avCT(2634, 0, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_19321, nGC_19322])

    call avCT(2634, 1, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_19319, nGC_19320])

    allocate(vertices(1898)%branchCT(0:0))
    call avCT(1898, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19725])

    allocate(vertices(4390)%branchCT(0:0))
    call avCT(4390, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(1721)%branchCT(0:1))
    call avCT(1721, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_26451, nGC_26452])

    call avCT(1721, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_26453, nGC_26454])

    allocate(vertices(1900)%branchCT(0:0))
    call avCT(1900, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_25478, nGC_25479])

    allocate(vertices(325)%branchCT(0:0))
    call avCT(325, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19903])

    allocate(vertices(4393)%branchCT(0:0))
    call avCT(4393, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13343])

    allocate(vertices(3766)%branchCT(0:0))
    call avCT(3766, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20307])

    allocate(vertices(4395)%branchCT(0:0))
    call avCT(4395, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_20229, nGC_20229])

    allocate(vertices(1903)%branchCT(0:0))
    call avCT(1903, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19070])

    allocate(vertices(4868)%branchCT(0:0))
    call avCT(4868, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(1905)%branchCT(0:0))
    call avCT(1905, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(1756)%branchCT(0:0))
    call avCT(1756, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_20232])

    allocate(vertices(5092)%branchCT(0:0))
    call avCT(5092, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_19427])

    allocate(vertices(4399)%branchCT(0:0))
    call avCT(4399, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13341])

    allocate(vertices(4400)%branchCT(0:0))
    call avCT(4400, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13365])

    allocate(vertices(3913)%branchCT(0:0))
    call avCT(3913, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13361])

    allocate(vertices(4733)%branchCT(0:0))
    call avCT(4733, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3019)%branchCT(0:0))
    call avCT(3019, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(1908)%branchCT(0:0))
    call avCT(1908, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(4404)%branchCT(0:0))
    call avCT(4404, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_19112])

    allocate(vertices(1910)%branchCT(0:0))
    call avCT(1910, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19312])

    allocate(vertices(899)%branchCT(0:0))
    call avCT(899, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20307])

    allocate(vertices(1911)%branchCT(0:0))
    call avCT(1911, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(1912)%branchCT(0:1))
    call avCT(1912, 0, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_19770, nGC_19770])

    call avCT(1912, 1, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_19771, nGC_19771])

    allocate(vertices(4872)%branchCT(0:0))
    call avCT(4872, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_19793])

    allocate(vertices(4406)%branchCT(0:0))
    call avCT(4406, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(4407)%branchCT(0:0))
    call avCT(4407, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(1804)%branchCT(0:0))
    call avCT(1804, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19549])

    allocate(vertices(1914)%branchCT(0:0))
    call avCT(1914, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19707])

    allocate(vertices(1915)%branchCT(0:0))
    call avCT(1915, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(1539)%branchCT(0:0))
    call avCT(1539, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19199])

    allocate(vertices(1917)%branchCT(0:0))
    call avCT(1917, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(4853)%branchCT(0:0))
    call avCT(4853, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13366])

    allocate(vertices(1824)%branchCT(0:0))
    call avCT(1824, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19124])

    allocate(vertices(1919)%branchCT(0:0))
    call avCT(1919, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_20746])

    allocate(vertices(4873)%branchCT(0:0))
    call avCT(4873, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19148])

    allocate(vertices(585)%branchCT(0:0))
    call avCT(585, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19159])

    allocate(vertices(1834)%branchCT(0:0))
    call avCT(1834, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

    allocate(vertices(1921)%branchCT(0:0))
    call avCT(1921, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_19793])

    allocate(vertices(3986)%branchCT(0:0))
    call avCT(3986, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(4415)%branchCT(0:0))
    call avCT(4415, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(1925)%branchCT(0:0))
    call avCT(1925, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_20232])

    allocate(vertices(4416)%branchCT(0:0))
    call avCT(4416, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_20383])

    allocate(vertices(2880)%branchCT(0:0))
    call avCT(2880, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13344])

    allocate(vertices(1016)%branchCT(0:0))
    call avCT(1016, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_19451])

    allocate(vertices(4418)%branchCT(0:0))
    call avCT(4418, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(1928)%branchCT(0:1))
    call avCT(1928, 0, 104, 6, 0, VUUa1, 0, [3, 0], [nGC_23344])

    call avCT(1928, 1, 105, 7, 0, VUUa1, 0, [3, 0], [nGC_23344])

    allocate(vertices(2337)%branchCT(0:0))
    call avCT(2337, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(1929)%branchCT(0:0))
    call avCT(1929, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(4420)%branchCT(0:0))
    call avCT(4420, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_19330])

    allocate(vertices(4421)%branchCT(0:0))
    call avCT(4421, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(169)%branchCT(0:0))
    call avCT(169, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(1931)%branchCT(0:0))
    call avCT(1931, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(4423)%branchCT(0:0))
    call avCT(4423, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(1890)%branchCT(0:0))
    call avCT(1890, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(1934)%branchCT(0:0))
    call avCT(1934, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(3985)%branchCT(0:0))
    call avCT(3985, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13344])

    allocate(vertices(1935)%branchCT(0:0))
    call avCT(1935, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(4425)%branchCT(0:0))
    call avCT(4425, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(1936)%branchCT(0:0))
    call avCT(1936, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20189])

    allocate(vertices(4428)%branchCT(0:0))
    call avCT(4428, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(3751)%branchCT(0:0))
    call avCT(3751, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_19096])

    allocate(vertices(5093)%branchCT(0:0))
    call avCT(5093, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_27538])

    allocate(vertices(137)%branchCT(0:0))
    call avCT(137, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19250])

    allocate(vertices(4430)%branchCT(0:0))
    call avCT(4430, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(1952)%branchCT(0:0))
    call avCT(1952, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19199])

    allocate(vertices(2987)%branchCT(0:0))
    call avCT(2987, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19303])

    allocate(vertices(5094)%branchCT(0:0))
    call avCT(5094, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_19427])

    allocate(vertices(1158)%branchCT(0:0))
    call avCT(1158, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(4952)%branchCT(0:0))
    call avCT(4952, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19195])

    allocate(vertices(3139)%branchCT(0:0))
    call avCT(3139, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13342])

    allocate(vertices(1943)%branchCT(0:0))
    call avCT(1943, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(3166)%branchCT(0:0))
    call avCT(3166, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19131])

    allocate(vertices(1945)%branchCT(0:0))
    call avCT(1945, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(1946)%branchCT(0:0))
    call avCT(1946, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19303])

    allocate(vertices(1947)%branchCT(0:0))
    call avCT(1947, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_20013])

    allocate(vertices(3551)%branchCT(0:0))
    call avCT(3551, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13367])

    allocate(vertices(4045)%branchCT(0:0))
    call avCT(4045, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(2010)%branchCT(0:0))
    call avCT(2010, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(1297)%branchCT(0:0))
    call avCT(1297, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2020)%branchCT(0:0))
    call avCT(2020, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_20755])

    allocate(vertices(1937)%branchCT(0:0))
    call avCT(1937, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(4441)%branchCT(0:0))
    call avCT(4441, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(4442)%branchCT(0:0))
    call avCT(4442, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13361])

    allocate(vertices(2032)%branchCT(0:0))
    call avCT(2032, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19195])

    allocate(vertices(5095)%branchCT(0:0))
    call avCT(5095, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22171])

    allocate(vertices(4444)%branchCT(0:0))
    call avCT(4444, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(2426)%branchCT(0:0))
    call avCT(2426, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(4048)%branchCT(0:0))
    call avCT(4048, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19422])

    allocate(vertices(2067)%branchCT(0:0))
    call avCT(2067, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(1955)%branchCT(0:0))
    call avCT(1955, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(2479)%branchCT(0:0))
    call avCT(2479, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_26808])

    allocate(vertices(1981)%branchCT(0:0))
    call avCT(1981, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(4448)%branchCT(0:0))
    call avCT(4448, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19785])

    allocate(vertices(3968)%branchCT(0:0))
    call avCT(3968, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(1939)%branchCT(0:1))
    call avCT(1939, 0, 85, 1, 0, FaVF0, 0, [0, 3], [nGC_20772, nGC_20773])

    call avCT(1939, 1, 85, 1, 0, FaVF0, 0, [2, 1], [nGC_20768, nGC_20765])

    allocate(vertices(1960)%branchCT(0:1))
    call avCT(1960, 0, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_22625, nGC_22628])

    call avCT(1960, 1, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_22632, nGC_22633])

    allocate(vertices(3996)%branchCT(0:0))
    call avCT(3996, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19226])

    allocate(vertices(1962)%branchCT(0:0))
    call avCT(1962, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_20842])

    allocate(vertices(4450)%branchCT(0:0))
    call avCT(4450, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(85)%branchCT(0:0))
    call avCT(85, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(4452)%branchCT(0:0))
    call avCT(4452, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_25478, nGC_25479])

    allocate(vertices(1965)%branchCT(0:0))
    call avCT(1965, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(1940)%branchCT(0:0))
    call avCT(1940, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19070])

    allocate(vertices(5096)%branchCT(0:0))
    call avCT(5096, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_25961, nGC_25956,       &
    nGC_25963, nGC_25963])

    allocate(vertices(1969)%branchCT(0:0))
    call avCT(1969, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_19166, nGC_19166])

    allocate(vertices(4457)%branchCT(0:0))
    call avCT(4457, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19195])

    allocate(vertices(3998)%branchCT(0:0))
    call avCT(3998, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13366])

    allocate(vertices(4459)%branchCT(0:0))
    call avCT(4459, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(1452)%branchCT(0:0))
    call avCT(1452, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19368])

    allocate(vertices(1971)%branchCT(0:0))
    call avCT(1971, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13370])

    allocate(vertices(1972)%branchCT(0:0))
    call avCT(1972, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(3145)%branchCT(0:0))
    call avCT(3145, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13350])

    allocate(vertices(1974)%branchCT(0:0))
    call avCT(1974, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19549])

    allocate(vertices(1976)%branchCT(0:3))
    call avCT(1976, 0, 88, 4, 0, FVFa0, 0, [1, 2], [nGC_19866, nGC_19862])

    call avCT(1976, 1, 88, 4, 0, FVFa0, 0, [3, 0], [nGC_19868, nGC_19869])

    call avCT(1976, 2, 89, 5, 0, FVFa0, 0, [1, 2], [nGC_19866, nGC_19862])

    call avCT(1976, 3, 89, 5, 0, FVFa0, 0, [3, 0], [nGC_19868, nGC_19869])

    allocate(vertices(1977)%branchCT(0:0))
    call avCT(1977, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(2297)%branchCT(0:0))
    call avCT(2297, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20307])

    allocate(vertices(4464)%branchCT(0:1))
    call avCT(4464, 0, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_22983, nGC_22983])

    call avCT(4464, 1, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_22981, nGC_22981])

    allocate(vertices(4465)%branchCT(0:0))
    call avCT(4465, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(4466)%branchCT(0:0))
    call avCT(4466, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_20383])

    allocate(vertices(4467)%branchCT(0:0))
    call avCT(4467, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13342])

    allocate(vertices(2174)%branchCT(0:0))
    call avCT(2174, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19199])

    allocate(vertices(1366)%branchCT(0:0))
    call avCT(1366, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20211])

    allocate(vertices(5097)%branchCT(0:0))
    call avCT(5097, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_27538])

    allocate(vertices(43)%branchCT(0:0))
    call avCT(43, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19131])

    allocate(vertices(1982)%branchCT(0:0))
    call avCT(1982, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_21191])

    allocate(vertices(3644)%branchCT(0:0))
    call avCT(3644, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19368])

    allocate(vertices(1151)%branchCT(0:0))
    call avCT(1151, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_20198])

    allocate(vertices(4474)%branchCT(0:0))
    call avCT(4474, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19250])

    allocate(vertices(2222)%branchCT(0:0))
    call avCT(2222, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_20514, nGC_20514])

    allocate(vertices(5098)%branchCT(0:1))
    call avCT(5098, 0, 15, 1, 0, VV2, 0, [2, 0], [nGC_27757, nGC_27756])

    call avCT(5098, 1, 16, 8, 0, VV2, 0, [2, 0], [nGC_27757, nGC_27756])

    allocate(vertices(4475)%branchCT(0:0))
    call avCT(4475, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_20013])

    allocate(vertices(2233)%branchCT(0:0))
    call avCT(2233, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20211])

    allocate(vertices(3196)%branchCT(0:0))
    call avCT(3196, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19649, nGC_19649,       &
    nGC_19648])

    allocate(vertices(2242)%branchCT(0:0))
    call avCT(2242, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13361])

    allocate(vertices(2644)%branchCT(0:0))
    call avCT(2644, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13365])

    allocate(vertices(4002)%branchCT(0:1))
    call avCT(4002, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_19464, nGC_19465])

    call avCT(4002, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_19466, nGC_19467])

    allocate(vertices(1993)%branchCT(0:0))
    call avCT(1993, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(4483)%branchCT(0:0))
    call avCT(4483, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(3682)%branchCT(0:0))
    call avCT(3682, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(1997)%branchCT(0:0))
    call avCT(1997, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(1998)%branchCT(0:0))
    call avCT(1998, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13343])

    allocate(vertices(1999)%branchCT(0:0))
    call avCT(1999, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

    allocate(vertices(2000)%branchCT(0:0))
    call avCT(2000, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19124])

    allocate(vertices(2022)%branchCT(0:0))
    call avCT(2022, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(2846)%branchCT(0:0))
    call avCT(2846, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13367])

    allocate(vertices(4491)%branchCT(0:1))
    call avCT(4491, 0, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_19443, nGC_19443])

    call avCT(4491, 1, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_19444, nGC_19444])

    allocate(vertices(5099)%branchCT(0:0))
    call avCT(5099, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19837])

    allocate(vertices(2491)%branchCT(0:0))
    call avCT(2491, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19131])

    allocate(vertices(2003)%branchCT(0:0))
    call avCT(2003, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19124])

    allocate(vertices(4495)%branchCT(0:0))
    call avCT(4495, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_21072])

    allocate(vertices(1772)%branchCT(0:0))
    call avCT(1772, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2006)%branchCT(0:0))
    call avCT(2006, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(1551)%branchCT(0:0))
    call avCT(1551, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_19108])

    allocate(vertices(4500)%branchCT(0:0))
    call avCT(4500, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(1996)%branchCT(0:0))
    call avCT(1996, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19492])

    allocate(vertices(4502)%branchCT(0:0))
    call avCT(4502, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(4503)%branchCT(0:1))
    call avCT(4503, 0, 84, 1, 0, FaFV1, 0, [0, 3], [nGC_19503])

    call avCT(4503, 1, 84, 1, 0, FaFV1, 0, [2, 1], [nGC_19502])

    allocate(vertices(3591)%branchCT(0:0))
    call avCT(3591, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_21747])

    allocate(vertices(4504)%branchCT(0:0))
    call avCT(4504, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(4505)%branchCT(0:0))
    call avCT(4505, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(4506)%branchCT(0:0))
    call avCT(4506, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_22773])

    allocate(vertices(3600)%branchCT(0:0))
    call avCT(3600, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(2011)%branchCT(0:0))
    call avCT(2011, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20352])

    allocate(vertices(4507)%branchCT(0:0))
    call avCT(4507, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_20198])

    allocate(vertices(2014)%branchCT(0:0))
    call avCT(2014, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(1212)%branchCT(0:0))
    call avCT(1212, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19076])

    allocate(vertices(5100)%branchCT(0:0))
    call avCT(5100, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_20056])

    allocate(vertices(4512)%branchCT(0:0))
    call avCT(4512, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19379])

    allocate(vertices(2019)%branchCT(0:1))
    call avCT(2019, 0, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_19213, nGC_19213])

    call avCT(2019, 1, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_19214, nGC_19214])

    allocate(vertices(1951)%branchCT(0:1))
    call avCT(1951, 0, 84, 1, 0, FaFV0, 0, [0, 3], [nGC_20433, nGC_20434])

    call avCT(1951, 1, 84, 1, 0, FaFV0, 0, [2, 1], [nGC_20427, nGC_20430])

    allocate(vertices(4514)%branchCT(0:0))
    call avCT(4514, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_21043, nGC_21044])

    allocate(vertices(339)%branchCT(0:0))
    call avCT(339, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(4515)%branchCT(0:0))
    call avCT(4515, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(2023)%branchCT(0:0))
    call avCT(2023, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_20882, nGC_20882])

    allocate(vertices(5101)%branchCT(0:0))
    call avCT(5101, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_20056])

    allocate(vertices(3974)%branchCT(0:0))
    call avCT(3974, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(4518)%branchCT(0:0))
    call avCT(4518, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19148])

    allocate(vertices(3158)%branchCT(0:0))
    call avCT(3158, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13361])

    allocate(vertices(2025)%branchCT(0:0))
    call avCT(2025, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(2448)%branchCT(0:0))
    call avCT(2448, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13344])

    allocate(vertices(4522)%branchCT(0:0))
    call avCT(4522, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19076])

    allocate(vertices(2461)%branchCT(0:0))
    call avCT(2461, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(4900)%branchCT(0:0))
    call avCT(4900, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(4525)%branchCT(0:0))
    call avCT(4525, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13341])

    allocate(vertices(2470)%branchCT(0:0))
    call avCT(2470, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(2477)%branchCT(0:0))
    call avCT(2477, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19148])

    allocate(vertices(2031)%branchCT(0:0))
    call avCT(2031, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_19291, nGC_19292])

    allocate(vertices(1953)%branchCT(0:0))
    call avCT(1953, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(4529)%branchCT(0:0))
    call avCT(4529, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20307])

    allocate(vertices(2033)%branchCT(0:0))
    call avCT(2033, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22549, nGC_22550])

    allocate(vertices(2034)%branchCT(0:1))
    call avCT(2034, 0, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_19465, nGC_19464])

    call avCT(2034, 1, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_19467, nGC_19466])

    allocate(vertices(2035)%branchCT(0:0))
    call avCT(2035, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(4175)%branchCT(0:0))
    call avCT(4175, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(2036)%branchCT(0:0))
    call avCT(2036, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19903])

    allocate(vertices(4531)%branchCT(0:0))
    call avCT(4531, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3564)%branchCT(0:0))
    call avCT(3564, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19148])

    allocate(vertices(2039)%branchCT(0:0))
    call avCT(2039, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(4903)%branchCT(0:0))
    call avCT(4903, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22813, nGC_22814])

    allocate(vertices(1092)%branchCT(0:0))
    call avCT(1092, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(4534)%branchCT(0:0))
    call avCT(4534, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19124])

    allocate(vertices(4535)%branchCT(0:0))
    call avCT(4535, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(4536)%branchCT(0:0))
    call avCT(4536, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_20383])

    allocate(vertices(2753)%branchCT(0:0))
    call avCT(2753, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19368])

    allocate(vertices(2008)%branchCT(0:0))
    call avCT(2008, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(2544)%branchCT(0:0))
    call avCT(2544, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_20232])

    allocate(vertices(2043)%branchCT(0:1))
    call avCT(2043, 0, 106, 6, 0, VUaU0, 0, [3, 0], [nGC_23344])

    call avCT(2043, 1, 107, 7, 0, VUaU0, 0, [3, 0], [nGC_23344])

    allocate(vertices(2044)%branchCT(0:0))
    call avCT(2044, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(5102)%branchCT(0:0))
    call avCT(5102, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_21174, nGC_21173])

    allocate(vertices(2045)%branchCT(0:0))
    call avCT(2045, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13344])

    allocate(vertices(4587)%branchCT(0:0))
    call avCT(4587, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(2565)%branchCT(0:0))
    call avCT(2565, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(2820)%branchCT(0:0))
    call avCT(2820, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19312])

    allocate(vertices(2050)%branchCT(0:0))
    call avCT(2050, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13342])

    allocate(vertices(2052)%branchCT(0:0))
    call avCT(2052, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19903])

    allocate(vertices(4548)%branchCT(0:0))
    call avCT(4548, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_20882, nGC_20882])

    allocate(vertices(2618)%branchCT(0:0))
    call avCT(2618, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13366])

    allocate(vertices(4013)%branchCT(0:0))
    call avCT(4013, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_20232])

    allocate(vertices(4551)%branchCT(0:0))
    call avCT(4551, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20211])

    allocate(vertices(4552)%branchCT(0:1))
    call avCT(4552, 0, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_20368, nGC_20369])

    call avCT(4552, 1, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_20366, nGC_20367])

    allocate(vertices(4553)%branchCT(0:0))
    call avCT(4553, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19303])

    allocate(vertices(2355)%branchCT(0:0))
    call avCT(2355, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(4555)%branchCT(0:0))
    call avCT(4555, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13341])

    allocate(vertices(456)%branchCT(0:0))
    call avCT(456, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13342])

    allocate(vertices(3164)%branchCT(0:0))
    call avCT(3164, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(2057)%branchCT(0:0))
    call avCT(2057, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19492])

    allocate(vertices(2058)%branchCT(0:0))
    call avCT(2058, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19785])

    allocate(vertices(4558)%branchCT(0:0))
    call avCT(4558, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13343])

    allocate(vertices(2060)%branchCT(0:1))
    call avCT(2060, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_23303, nGC_23304])

    call avCT(2060, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_23297, nGC_23294])

    allocate(vertices(2830)%branchCT(0:1))
    call avCT(2830, 0, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_21271, nGC_21271])

    call avCT(2830, 1, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_21273, nGC_21273])

    allocate(vertices(2673)%branchCT(0:0))
    call avCT(2673, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19199])

    allocate(vertices(2887)%branchCT(0:0))
    call avCT(2887, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(2063)%branchCT(0:0))
    call avCT(2063, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_21203])

    allocate(vertices(4561)%branchCT(0:0))
    call avCT(4561, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20725, nGC_20724,       &
    nGC_20725])

    allocate(vertices(2065)%branchCT(0:0))
    call avCT(2065, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(4562)%branchCT(0:0))
    call avCT(4562, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19105])

    allocate(vertices(2066)%branchCT(0:0))
    call avCT(2066, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19250])

    allocate(vertices(2702)%branchCT(0:0))
    call avCT(2702, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(4566)%branchCT(0:0))
    call avCT(4566, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20835])

    allocate(vertices(4567)%branchCT(0:0))
    call avCT(4567, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(4568)%branchCT(0:0))
    call avCT(4568, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(1229)%branchCT(0:0))
    call avCT(1229, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_20232])

    allocate(vertices(3386)%branchCT(0:0))
    call avCT(3386, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(4573)%branchCT(0:0))
    call avCT(4573, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19265, nGC_19264,       &
    nGC_19264])

    allocate(vertices(3015)%branchCT(0:0))
    call avCT(3015, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(2073)%branchCT(0:1))
    call avCT(2073, 0, 87, 1, 0, VFaF1, 0, [0, 3], [nGC_22632, nGC_22633])

    call avCT(2073, 1, 87, 1, 0, VFaF1, 0, [2, 1], [nGC_22625, nGC_22628])

    allocate(vertices(1560)%branchCT(0:0))
    call avCT(1560, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(4575)%branchCT(0:0))
    call avCT(4575, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(2075)%branchCT(0:0))
    call avCT(2075, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_21731])

    allocate(vertices(4578)%branchCT(0:0))
    call avCT(4578, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_25478, nGC_25479])

    allocate(vertices(4580)%branchCT(0:0))
    call avCT(4580, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19993, nGC_19992,       &
    nGC_19992])

    allocate(vertices(3573)%branchCT(0:1))
    call avCT(3573, 0, 85, 1, 0, FaVF0, 0, [0, 3], [nGC_21641, nGC_21642])

    call avCT(3573, 1, 85, 1, 0, FaVF0, 0, [2, 1], [nGC_21635, nGC_21632])

    allocate(vertices(4583)%branchCT(0:0))
    call avCT(4583, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19785])

    allocate(vertices(3563)%branchCT(0:1))
    call avCT(3563, 0, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_19275, nGC_19275])

    call avCT(3563, 1, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_19276, nGC_19276])

    allocate(vertices(4345)%branchCT(0:0))
    call avCT(4345, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19264, nGC_19264,       &
    nGC_19265])

    allocate(vertices(4585)%branchCT(0:0))
    call avCT(4585, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13366])

    allocate(vertices(5103)%branchCT(0:0))
    call avCT(5103, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22171])

    allocate(vertices(84)%branchCT(0:0))
    call avCT(84, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19785])

    allocate(vertices(4588)%branchCT(0:0))
    call avCT(4588, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_19291, nGC_19292])

    allocate(vertices(1169)%branchCT(0:0))
    call avCT(1169, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20189])

    allocate(vertices(2084)%branchCT(0:0))
    call avCT(2084, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19159])

    allocate(vertices(950)%branchCT(0:0))
    call avCT(950, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(4451)%branchCT(0:0))
    call avCT(4451, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_20232])

    allocate(vertices(2088)%branchCT(0:0))
    call avCT(2088, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19347])

    allocate(vertices(3706)%branchCT(0:0))
    call avCT(3706, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19124])

    allocate(vertices(2089)%branchCT(0:0))
    call avCT(2089, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13344])

    allocate(vertices(4594)%branchCT(0:0))
    call avCT(4594, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_21747])

    allocate(vertices(4596)%branchCT(0:0))
    call avCT(4596, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_19793])

    allocate(vertices(2760)%branchCT(0:0))
    call avCT(2760, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_19096])

    allocate(vertices(2853)%branchCT(0:0))
    call avCT(2853, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(2091)%branchCT(0:0))
    call avCT(2091, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19707])

    allocate(vertices(1709)%branchCT(0:0))
    call avCT(1709, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19131])

    allocate(vertices(5104)%branchCT(0:0))
    call avCT(5104, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_25047, nGC_25042,        &
    nGC_25041])

    allocate(vertices(2867)%branchCT(0:0))
    call avCT(2867, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(2092)%branchCT(0:0))
    call avCT(2092, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2093)%branchCT(0:3))
    call avCT(2093, 0, 96, 4, 0, VFaF1, 0, [1, 2], [nGC_19866, nGC_19862])

    call avCT(2093, 1, 96, 4, 0, VFaF1, 0, [3, 0], [nGC_19868, nGC_19869])

    call avCT(2093, 2, 97, 5, 0, VFaF1, 0, [1, 2], [nGC_19866, nGC_19862])

    call avCT(2093, 3, 97, 5, 0, VFaF1, 0, [3, 0], [nGC_19868, nGC_19869])

    allocate(vertices(2761)%branchCT(0:0))
    call avCT(2761, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(2095)%branchCT(0:0))
    call avCT(2095, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(2886)%branchCT(0:0))
    call avCT(2886, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(4606)%branchCT(0:0))
    call avCT(4606, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_20755])

    allocate(vertices(369)%branchCT(0:0))
    call avCT(369, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(2900)%branchCT(0:0))
    call avCT(2900, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20189])

    allocate(vertices(381)%branchCT(0:0))
    call avCT(381, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13361])

    allocate(vertices(2102)%branchCT(0:0))
    call avCT(2102, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(4610)%branchCT(0:1))
    call avCT(4610, 0, 83, 1, 0, FVFa1, 0, [0, 3], [nGC_19503])

    call avCT(4610, 1, 83, 1, 0, FVFa1, 0, [2, 1], [nGC_19502])

    allocate(vertices(4611)%branchCT(0:0))
    call avCT(4611, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13365])

    allocate(vertices(4614)%branchCT(0:1))
    call avCT(4614, 0, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_23803, nGC_23803])

    call avCT(4614, 1, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_23801, nGC_23801])

    allocate(vertices(1562)%branchCT(0:1))
    call avCT(1562, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_20366, nGC_20367])

    call avCT(1562, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_20368, nGC_20369])

    allocate(vertices(402)%branchCT(0:0))
    call avCT(402, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_21747])

    allocate(vertices(2104)%branchCT(0:0))
    call avCT(2104, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19255])

    allocate(vertices(4616)%branchCT(0:0))
    call avCT(4616, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(4456)%branchCT(0:0))
    call avCT(4456, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13365])

    allocate(vertices(4617)%branchCT(0:0))
    call avCT(4617, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(4620)%branchCT(0:0))
    call avCT(4620, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(4622)%branchCT(0:0))
    call avCT(4622, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19347])

    allocate(vertices(3811)%branchCT(0:0))
    call avCT(3811, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19148])

    allocate(vertices(4268)%branchCT(0:0))
    call avCT(4268, 0, 1, 1, 0, VVV2, 0, [0, 3], [nGC_20077, nGC_20078])

    allocate(vertices(1144)%branchCT(0:0))
    call avCT(1144, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(4626)%branchCT(0:0))
    call avCT(4626, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19903])

    allocate(vertices(2110)%branchCT(0:0))
    call avCT(2110, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_20533, nGC_20534])

    allocate(vertices(2996)%branchCT(0:0))
    call avCT(2996, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(4021)%branchCT(0:0))
    call avCT(4021, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(4628)%branchCT(0:1))
    call avCT(4628, 0, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_21386, nGC_21387])

    call avCT(4628, 1, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_21388, nGC_21389])

    allocate(vertices(2626)%branchCT(0:0))
    call avCT(2626, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13341])

    allocate(vertices(4921)%branchCT(0:0))
    call avCT(4921, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_21483])

    allocate(vertices(4632)%branchCT(0:0))
    call avCT(4632, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19076])

    allocate(vertices(1968)%branchCT(0:0))
    call avCT(1968, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(2114)%branchCT(0:0))
    call avCT(2114, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_20232])

    allocate(vertices(5105)%branchCT(0:0))
    call avCT(5105, 0, 13, 1, 0, SV1, 0, [0, 2], [nGC_23942])

    allocate(vertices(4634)%branchCT(0:0))
    call avCT(4634, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19549])

    allocate(vertices(4635)%branchCT(0:0))
    call avCT(4635, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(3535)%branchCT(0:1))
    call avCT(3535, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_21417, nGC_21418])

    call avCT(3535, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_21410, nGC_21413])

    allocate(vertices(2767)%branchCT(0:0))
    call avCT(2767, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_20232])

    allocate(vertices(2540)%branchCT(0:0))
    call avCT(2540, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(4923)%branchCT(0:0))
    call avCT(4923, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(2306)%branchCT(0:0))
    call avCT(2306, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3063)%branchCT(0:0))
    call avCT(3063, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13342])

    allocate(vertices(4639)%branchCT(0:0))
    call avCT(4639, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13365])

    allocate(vertices(2122)%branchCT(0:1))
    call avCT(2122, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_21089, nGC_21089])

    call avCT(2122, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_21088, nGC_21088])

    allocate(vertices(776)%branchCT(0:1))
    call avCT(776, 0, 100, 6, 0, UUaV1, 0, [3, 0], [nGC_23344])

    call avCT(776, 1, 101, 7, 0, UUaV1, 0, [3, 0], [nGC_23344])

    allocate(vertices(4642)%branchCT(0:0))
    call avCT(4642, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19131])

    allocate(vertices(4643)%branchCT(0:0))
    call avCT(4643, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3582)%branchCT(0:0))
    call avCT(3582, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(3097)%branchCT(0:0))
    call avCT(3097, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(148)%branchCT(0:0))
    call avCT(148, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19707])

    allocate(vertices(4647)%branchCT(0:0))
    call avCT(4647, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(3104)%branchCT(0:0))
    call avCT(3104, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(3762)%branchCT(0:0))
    call avCT(3762, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_19112])

    allocate(vertices(777)%branchCT(0:0))
    call avCT(777, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19159])

    allocate(vertices(3114)%branchCT(0:0))
    call avCT(3114, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19903])

    allocate(vertices(1659)%branchCT(0:0))
    call avCT(1659, 0, 1, 1, 0, VVV2, 0, [0, 3], [nGC_20077, nGC_20078])

    allocate(vertices(2129)%branchCT(0:0))
    call avCT(2129, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(2130)%branchCT(0:0))
    call avCT(2130, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19148])

    allocate(vertices(4651)%branchCT(0:0))
    call avCT(4651, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20211])

    allocate(vertices(2375)%branchCT(0:0))
    call avCT(2375, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20189])

    allocate(vertices(4654)%branchCT(0:0))
    call avCT(4654, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_21753])

    allocate(vertices(5106)%branchCT(0:0))
    call avCT(5106, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_20056])

    allocate(vertices(2133)%branchCT(0:0))
    call avCT(2133, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(3175)%branchCT(0:0))
    call avCT(3175, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(2136)%branchCT(0:0))
    call avCT(2136, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20211])

    allocate(vertices(2137)%branchCT(0:0))
    call avCT(2137, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_21203])

    allocate(vertices(1181)%branchCT(0:0))
    call avCT(1181, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(2140)%branchCT(0:0))
    call avCT(2140, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(2588)%branchCT(0:0))
    call avCT(2588, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_20232])

    allocate(vertices(3201)%branchCT(0:0))
    call avCT(3201, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(4663)%branchCT(0:1))
    call avCT(4663, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22625, nGC_22628])

    call avCT(4663, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22632, nGC_22633])

    allocate(vertices(1930)%branchCT(0:0))
    call avCT(1930, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_19387])

    allocate(vertices(2143)%branchCT(0:0))
    call avCT(2143, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19379])

    allocate(vertices(4665)%branchCT(0:0))
    call avCT(4665, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(3215)%branchCT(0:0))
    call avCT(3215, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(4666)%branchCT(0:0))
    call avCT(4666, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22284])

    allocate(vertices(4130)%branchCT(0:0))
    call avCT(4130, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_21747])

    allocate(vertices(4668)%branchCT(0:1))
    call avCT(4668, 0, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_21289, nGC_21290])

    call avCT(4668, 1, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_21291, nGC_21292])

    allocate(vertices(4669)%branchCT(0:0))
    call avCT(4669, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3587)%branchCT(0:0))
    call avCT(3587, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20307])

    allocate(vertices(3244)%branchCT(0:0))
    call avCT(3244, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19264, nGC_19264,       &
    nGC_19265])

    allocate(vertices(2147)%branchCT(0:0))
    call avCT(2147, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_19166, nGC_19166])

    allocate(vertices(1700)%branchCT(0:0))
    call avCT(1700, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(4673)%branchCT(0:1))
    call avCT(4673, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_19816, nGC_19817])

    call avCT(4673, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_19810, nGC_19813])

    allocate(vertices(4674)%branchCT(0:0))
    call avCT(4674, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13367])

    allocate(vertices(2149)%branchCT(0:0))
    call avCT(2149, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20189])

    allocate(vertices(3261)%branchCT(0:0))
    call avCT(3261, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(4676)%branchCT(0:0))
    call avCT(4676, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13361])

    allocate(vertices(2773)%branchCT(0:0))
    call avCT(2773, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_21747])

    allocate(vertices(2153)%branchCT(0:0))
    call avCT(2153, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_20198])

    allocate(vertices(4680)%branchCT(0:0))
    call avCT(4680, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13344])

    allocate(vertices(4682)%branchCT(0:0))
    call avCT(4682, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(4683)%branchCT(0:0))
    call avCT(4683, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19195])

    allocate(vertices(2157)%branchCT(0:0))
    call avCT(2157, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_26808])

    allocate(vertices(4684)%branchCT(0:0))
    call avCT(4684, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(4685)%branchCT(0:0))
    call avCT(4685, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(3306)%branchCT(0:0))
    call avCT(3306, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(2161)%branchCT(0:1))
    call avCT(2161, 0, 85, 1, 0, FaVF0, 0, [0, 3], [nGC_23303, nGC_23304])

    call avCT(2161, 1, 85, 1, 0, FaVF0, 0, [2, 1], [nGC_23297, nGC_23294])

    allocate(vertices(4686)%branchCT(0:1))
    call avCT(4686, 0, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_26453, nGC_26454])

    call avCT(4686, 1, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_26451, nGC_26452])

    allocate(vertices(4688)%branchCT(0:0))
    call avCT(4688, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19492])

    allocate(vertices(4690)%branchCT(0:0))
    call avCT(4690, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2165)%branchCT(0:0))
    call avCT(2165, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(53)%branchCT(0:1))
    call avCT(53, 0, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_19213, nGC_19213])

    call avCT(53, 1, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_19214, nGC_19214])

    allocate(vertices(3347)%branchCT(0:0))
    call avCT(3347, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(2632)%branchCT(0:0))
    call avCT(2632, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19785])

    allocate(vertices(2169)%branchCT(0:0))
    call avCT(2169, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19492])

    allocate(vertices(1265)%branchCT(0:0))
    call avCT(1265, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(2170)%branchCT(0:0))
    call avCT(2170, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13343])

    allocate(vertices(4693)%branchCT(0:0))
    call avCT(4693, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_21747])

    allocate(vertices(4694)%branchCT(0:0))
    call avCT(4694, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(1979)%branchCT(0:0))
    call avCT(1979, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(2175)%branchCT(0:0))
    call avCT(2175, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20004])

    allocate(vertices(3398)%branchCT(0:0))
    call avCT(3398, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13361])

    allocate(vertices(4209)%branchCT(0:3))
    call avCT(4209, 0, 90, 4, 0, FaVF0, 0, [1, 2], [nGC_19866, nGC_19862])

    call avCT(4209, 1, 90, 4, 0, FaVF0, 0, [3, 0], [nGC_19868, nGC_19869])

    call avCT(4209, 2, 91, 5, 0, FaVF0, 0, [1, 2], [nGC_19866, nGC_19862])

    call avCT(4209, 3, 91, 5, 0, FaVF0, 0, [3, 0], [nGC_19868, nGC_19869])

    allocate(vertices(1188)%branchCT(0:0))
    call avCT(1188, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20189])

    allocate(vertices(4699)%branchCT(0:0))
    call avCT(4699, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19492])

    allocate(vertices(3410)%branchCT(0:0))
    call avCT(3410, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19255])

    allocate(vertices(2178)%branchCT(0:1))
    call avCT(2178, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_19213, nGC_19213])

    call avCT(2178, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_19214, nGC_19214])

    allocate(vertices(4701)%branchCT(0:0))
    call avCT(4701, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(2179)%branchCT(0:0))
    call avCT(2179, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(1341)%branchCT(0:0))
    call avCT(1341, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19379])

    allocate(vertices(3428)%branchCT(0:0))
    call avCT(3428, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(2183)%branchCT(0:0))
    call avCT(2183, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_20404, nGC_20405])

    allocate(vertices(4031)%branchCT(0:0))
    call avCT(4031, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2184)%branchCT(0:0))
    call avCT(2184, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(4707)%branchCT(0:0))
    call avCT(4707, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(3342)%branchCT(0:0))
    call avCT(3342, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19903])

    allocate(vertices(2316)%branchCT(0:0))
    call avCT(2316, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(4101)%branchCT(0:0))
    call avCT(4101, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13366])

    allocate(vertices(4470)%branchCT(0:0))
    call avCT(4470, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19226])

    allocate(vertices(2190)%branchCT(0:0))
    call avCT(2190, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19785])

    allocate(vertices(4712)%branchCT(0:1))
    call avCT(4712, 0, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_19275, nGC_19275])

    call avCT(4712, 1, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_19276, nGC_19276])

    allocate(vertices(3488)%branchCT(0:0))
    call avCT(3488, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19498])

    allocate(vertices(1785)%branchCT(0:0))
    call avCT(1785, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(3503)%branchCT(0:0))
    call avCT(3503, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(3510)%branchCT(0:0))
    call avCT(3510, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13361])

    allocate(vertices(2418)%branchCT(0:0))
    call avCT(2418, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13348])

    allocate(vertices(4720)%branchCT(0:0))
    call avCT(4720, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19492])

    allocate(vertices(2199)%branchCT(0:0))
    call avCT(2199, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(1245)%branchCT(0:0))
    call avCT(1245, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19549])

    allocate(vertices(3110)%branchCT(0:0))
    call avCT(3110, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(2202)%branchCT(0:0))
    call avCT(2202, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(3538)%branchCT(0:0))
    call avCT(3538, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_19330])

    allocate(vertices(2837)%branchCT(0:0))
    call avCT(2837, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(4723)%branchCT(0:0))
    call avCT(4723, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19498])

    allocate(vertices(2108)%branchCT(0:0))
    call avCT(2108, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_22403])

    allocate(vertices(2415)%branchCT(0:0))
    call avCT(2415, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19368])

    allocate(vertices(4937)%branchCT(0:0))
    call avCT(4937, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13381])

    allocate(vertices(4726)%branchCT(0:0))
    call avCT(4726, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_25478, nGC_25479])

    allocate(vertices(1491)%branchCT(0:0))
    call avCT(1491, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(2209)%branchCT(0:0))
    call avCT(2209, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(4728)%branchCT(0:0))
    call avCT(4728, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(4729)%branchCT(0:3))
    call avCT(4729, 0, 90, 4, 0, FaVF0, 0, [1, 2], [nGC_20472, nGC_20468])

    call avCT(4729, 1, 90, 4, 0, FaVF0, 0, [3, 0], [nGC_20474, nGC_20475])

    call avCT(4729, 2, 91, 5, 0, FaVF0, 0, [1, 2], [nGC_20472, nGC_20468])

    call avCT(4729, 3, 91, 5, 0, FaVF0, 0, [3, 0], [nGC_20474, nGC_20475])

    allocate(vertices(2385)%branchCT(0:0))
    call avCT(2385, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(2212)%branchCT(0:0))
    call avCT(2212, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(3566)%branchCT(0:1))
    call avCT(3566, 0, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_21010, nGC_21011])

    call avCT(3566, 1, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_21008, nGC_21009])

    allocate(vertices(783)%branchCT(0:0))
    call avCT(783, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(3601)%branchCT(0:0))
    call avCT(3601, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(4734)%branchCT(0:0))
    call avCT(4734, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(4735)%branchCT(0:0))
    call avCT(4735, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3908)%branchCT(0:0))
    call avCT(3908, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_20842])

    allocate(vertices(4738)%branchCT(0:1))
    call avCT(4738, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_23801, nGC_23801])

    call avCT(4738, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_23803, nGC_23803])

    allocate(vertices(2216)%branchCT(0:0))
    call avCT(2216, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19785])

    allocate(vertices(2217)%branchCT(0:1))
    call avCT(2217, 0, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_19638, nGC_19639])

    call avCT(2217, 1, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_19640, nGC_19641])

    allocate(vertices(3614)%branchCT(0:0))
    call avCT(3614, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(3603)%branchCT(0:0))
    call avCT(3603, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(5107)%branchCT(0:0))
    call avCT(5107, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19837])

    allocate(vertices(2220)%branchCT(0:1))
    call avCT(2220, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22447, nGC_22448])

    call avCT(2220, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22439, nGC_22442])

    allocate(vertices(4745)%branchCT(0:0))
    call avCT(4745, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(4746)%branchCT(0:0))
    call avCT(4746, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_19341, nGC_19341])

    allocate(vertices(4747)%branchCT(0:0))
    call avCT(4747, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(2223)%branchCT(0:0))
    call avCT(2223, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19451])

    allocate(vertices(1563)%branchCT(0:0))
    call avCT(1563, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(4973)%branchCT(0:0))
    call avCT(4973, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(2225)%branchCT(0:0))
    call avCT(2225, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(4749)%branchCT(0:0))
    call avCT(4749, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(1670)%branchCT(0:0))
    call avCT(1670, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(3813)%branchCT(0:0))
    call avCT(3813, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(2228)%branchCT(0:0))
    call avCT(2228, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(5108)%branchCT(0:0))
    call avCT(5108, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20891])

    allocate(vertices(4753)%branchCT(0:0))
    call avCT(4753, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19347])

    allocate(vertices(2800)%branchCT(0:0))
    call avCT(2800, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3701)%branchCT(0:0))
    call avCT(3701, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(4754)%branchCT(0:0))
    call avCT(4754, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_23246])

    allocate(vertices(3708)%branchCT(0:0))
    call avCT(3708, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(2232)%branchCT(0:1))
    call avCT(2232, 0, 84, 1, 0, FaFV1, 0, [0, 3], [nGC_19307])

    call avCT(2232, 1, 84, 1, 0, FaFV1, 0, [2, 1], [nGC_19306])

    allocate(vertices(4080)%branchCT(0:1))
    call avCT(4080, 0, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_26453, nGC_26454])

    call avCT(4080, 1, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_26451, nGC_26452])

    allocate(vertices(798)%branchCT(0:0))
    call avCT(798, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_20842])

    allocate(vertices(2386)%branchCT(0:0))
    call avCT(2386, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13367])

    allocate(vertices(4758)%branchCT(0:1))
    call avCT(4758, 0, 84, 1, 0, FaFV0, 0, [0, 3], [nGC_20137, nGC_20138])

    call avCT(4758, 1, 84, 1, 0, FaFV0, 0, [2, 1], [nGC_20134, nGC_20130])

    allocate(vertices(3193)%branchCT(0:0))
    call avCT(3193, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19785])

    allocate(vertices(2234)%branchCT(0:0))
    call avCT(2234, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2171)%branchCT(0:0))
    call avCT(2171, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(3748)%branchCT(0:0))
    call avCT(3748, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19195])

    allocate(vertices(4762)%branchCT(0:1))
    call avCT(4762, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_21417, nGC_21418])

    call avCT(4762, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_21410, nGC_21413])

    allocate(vertices(2236)%branchCT(0:0))
    call avCT(2236, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19347])

    allocate(vertices(4764)%branchCT(0:0))
    call avCT(4764, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(1105)%branchCT(0:0))
    call avCT(1105, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(4765)%branchCT(0:1))
    call avCT(4765, 0, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_20417, nGC_20418])

    call avCT(4765, 1, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_20419, nGC_20420])

    allocate(vertices(2239)%branchCT(0:0))
    call avCT(2239, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3087)%branchCT(0:0))
    call avCT(3087, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_20842])

    allocate(vertices(4768)%branchCT(0:1))
    call avCT(4768, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_21271, nGC_21271])

    call avCT(4768, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_21273, nGC_21273])

    allocate(vertices(2240)%branchCT(0:0))
    call avCT(2240, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19903])

    allocate(vertices(2749)%branchCT(0:0))
    call avCT(2749, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19199])

    allocate(vertices(4601)%branchCT(0:0))
    call avCT(4601, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19492])

    allocate(vertices(4773)%branchCT(0:0))
    call avCT(4773, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19649, nGC_19648,       &
    nGC_19649])

    allocate(vertices(1991)%branchCT(0:0))
    call avCT(1991, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20004])

    allocate(vertices(4775)%branchCT(0:0))
    call avCT(4775, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_20514, nGC_20514])

    allocate(vertices(4776)%branchCT(0:0))
    call avCT(4776, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(2245)%branchCT(0:0))
    call avCT(2245, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_20404, nGC_20405])

    allocate(vertices(374)%branchCT(0:0))
    call avCT(374, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19148])

    allocate(vertices(1781)%branchCT(0:0))
    call avCT(1781, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19347])

    allocate(vertices(2247)%branchCT(0:0))
    call avCT(2247, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(2158)%branchCT(0:0))
    call avCT(2158, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

    allocate(vertices(2248)%branchCT(0:0))
    call avCT(2248, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_20232])

    allocate(vertices(2250)%branchCT(0:0))
    call avCT(2250, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(2251)%branchCT(0:0))
    call avCT(2251, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19265, nGC_19264,       &
    nGC_19264])

    allocate(vertices(3874)%branchCT(0:1))
    call avCT(3874, 0, 2, 6, 0, UaUV1, 0, [3, 0], [nGC_23344])

    call avCT(3874, 1, 3, 7, 0, UaUV1, 0, [3, 0], [nGC_23344])

    allocate(vertices(4479)%branchCT(0:0))
    call avCT(4479, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20189])

    allocate(vertices(3885)%branchCT(0:0))
    call avCT(3885, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(4784)%branchCT(0:0))
    call avCT(4784, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(2256)%branchCT(0:0))
    call avCT(2256, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13344])

    allocate(vertices(4787)%branchCT(0:0))
    call avCT(4787, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19070])

    allocate(vertices(3919)%branchCT(0:0))
    call avCT(3919, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13366])

    allocate(vertices(5109)%branchCT(0:0))
    call avCT(5109, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_19427])

    allocate(vertices(2258)%branchCT(0:0))
    call avCT(2258, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19498])

    allocate(vertices(4724)%branchCT(0:0))
    call avCT(4724, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_19341, nGC_19341])

    allocate(vertices(2260)%branchCT(0:0))
    call avCT(2260, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(4789)%branchCT(0:0))
    call avCT(4789, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22284])

    allocate(vertices(2261)%branchCT(0:0))
    call avCT(2261, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20211])

    allocate(vertices(4790)%branchCT(0:0))
    call avCT(4790, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3134)%branchCT(0:0))
    call avCT(3134, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_19536, nGC_19537])

    allocate(vertices(2257)%branchCT(0:0))
    call avCT(2257, 0, 1, 1, 0, VVV2, 0, [0, 3], [nGC_22044, nGC_22043])

    allocate(vertices(4792)%branchCT(0:0))
    call avCT(4792, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(4794)%branchCT(0:0))
    call avCT(4794, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(2195)%branchCT(0:0))
    call avCT(2195, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(2264)%branchCT(0:0))
    call avCT(2264, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_19673])

    allocate(vertices(2789)%branchCT(0:0))
    call avCT(2789, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(4796)%branchCT(0:0))
    call avCT(4796, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(4797)%branchCT(0:0))
    call avCT(4797, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_20514, nGC_20514])

    allocate(vertices(2164)%branchCT(0:0))
    call avCT(2164, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(2267)%branchCT(0:1))
    call avCT(2267, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_20433, nGC_20434])

    call avCT(2267, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_20427, nGC_20430])

    allocate(vertices(5110)%branchCT(0:0))
    call avCT(5110, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20891])

    allocate(vertices(4800)%branchCT(0:0))
    call avCT(4800, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_21162, nGC_21163])

    allocate(vertices(4004)%branchCT(0:0))
    call avCT(4004, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(4248)%branchCT(0:1))
    call avCT(4248, 0, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_23152, nGC_23155])

    call avCT(4248, 1, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_23159, nGC_23160])

    allocate(vertices(5111)%branchCT(0:0))
    call avCT(5111, 0, 13, 1, 0, VS1, 0, [0, 2], [nGC_26842, nGC_26841])

    allocate(vertices(4011)%branchCT(0:0))
    call avCT(4011, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(801)%branchCT(0:0))
    call avCT(801, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(3083)%branchCT(0:0))
    call avCT(3083, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19131])

    allocate(vertices(4827)%branchCT(0:0))
    call avCT(4827, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(2272)%branchCT(0:0))
    call avCT(2272, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_19622])

    allocate(vertices(2273)%branchCT(0:0))
    call avCT(2273, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20211])

    allocate(vertices(2275)%branchCT(0:0))
    call avCT(2275, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19265, nGC_19264,       &
    nGC_19264])

    allocate(vertices(2276)%branchCT(0:0))
    call avCT(2276, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19781])

    allocate(vertices(4808)%branchCT(0:0))
    call avCT(4808, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(5112)%branchCT(0:0))
    call avCT(5112, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20891])

    allocate(vertices(4809)%branchCT(0:0))
    call avCT(4809, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_21747])

    allocate(vertices(5113)%branchCT(0:0))
    call avCT(5113, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20891])

    allocate(vertices(4053)%branchCT(0:0))
    call avCT(4053, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(4117)%branchCT(0:0))
    call avCT(4117, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(2319)%branchCT(0:0))
    call avCT(2319, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(380)%branchCT(0:0))
    call avCT(380, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19498])

    allocate(vertices(4814)%branchCT(0:0))
    call avCT(4814, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(1057)%branchCT(0:0))
    call avCT(1057, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20189])

    allocate(vertices(2572)%branchCT(0:0))
    call avCT(2572, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13342])

    allocate(vertices(2283)%branchCT(0:0))
    call avCT(2283, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_20842])

    allocate(vertices(4178)%branchCT(0:0))
    call avCT(4178, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(4816)%branchCT(0:0))
    call avCT(4816, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_21753])

    allocate(vertices(2287)%branchCT(0:0))
    call avCT(2287, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(3061)%branchCT(0:0))
    call avCT(3061, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(4109)%branchCT(0:0))
    call avCT(4109, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20189])

    allocate(vertices(4704)%branchCT(0:5))
    call avCT(4704, 0, 17, 2, 0, UVVUa0, 0, [4, 0], [nGC_19134])

    call avCT(4704, 1, 18, 2, 0, UVVUa0, 0, [4, 0], [nGC_19134])

    call avCT(4704, 2, 19, 2, 0, UVVUa0, 0, [4, 0], [nGC_19134])

    call avCT(4704, 3, 20, 2, 0, UVVUa0, 0, [4, 0], [nGC_19134])

    call avCT(4704, 4, 21, 3, 0, UVVUa0, 0, [4, 0], [nGC_19137])

    call avCT(4704, 5, 22, 3, 0, UVVUa0, 0, [4, 0], [nGC_19137])

    allocate(vertices(5114)%branchCT(0:0))
    call avCT(5114, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19837])

    allocate(vertices(2792)%branchCT(0:0))
    call avCT(2792, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19148])

    allocate(vertices(4822)%branchCT(0:0))
    call avCT(4822, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19379])

    allocate(vertices(166)%branchCT(0:0))
    call avCT(166, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_20158])

    allocate(vertices(1205)%branchCT(0:0))
    call avCT(1205, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(2292)%branchCT(0:0))
    call avCT(2292, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(2484)%branchCT(0:0))
    call avCT(2484, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(2596)%branchCT(0:0))
    call avCT(2596, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(2294)%branchCT(0:0))
    call avCT(2294, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(4828)%branchCT(0:1))
    call avCT(4828, 0, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_26451, nGC_26452])

    call avCT(4828, 1, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_26453, nGC_26454])

    allocate(vertices(4161)%branchCT(0:0))
    call avCT(4161, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13344])

    allocate(vertices(4830)%branchCT(0:0))
    call avCT(4830, 0, 1, 1, 0, VVV2, 0, [0, 3], [nGC_22043, nGC_22044])

    allocate(vertices(4832)%branchCT(0:0))
    call avCT(4832, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19347])

    allocate(vertices(2298)%branchCT(0:1))
    call avCT(2298, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_19222])

    call avCT(2298, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_19221])

    allocate(vertices(2300)%branchCT(0:0))
    call avCT(2300, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13343])

    allocate(vertices(4186)%branchCT(0:0))
    call avCT(4186, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3013)%branchCT(0:0))
    call avCT(3013, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(2303)%branchCT(0:0))
    call avCT(2303, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20211])

    allocate(vertices(2304)%branchCT(0:0))
    call avCT(2304, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(3383)%branchCT(0:0))
    call avCT(3383, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(2305)%branchCT(0:0))
    call avCT(2305, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(4217)%branchCT(0:0))
    call avCT(4217, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13341])

    allocate(vertices(2307)%branchCT(0:0))
    call avCT(2307, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(1209)%branchCT(0:0))
    call avCT(1209, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19498])

    allocate(vertices(845)%branchCT(0:0))
    call avCT(845, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19250])

    allocate(vertices(4232)%branchCT(0:0))
    call avCT(4232, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(2629)%branchCT(0:0))
    call avCT(2629, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(584)%branchCT(0:0))
    call avCT(584, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13367])

    allocate(vertices(4844)%branchCT(0:0))
    call avCT(4844, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_19537, nGC_19536])

    allocate(vertices(4845)%branchCT(0:0))
    call avCT(4845, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19738])

    allocate(vertices(2795)%branchCT(0:0))
    call avCT(2795, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19070])

    allocate(vertices(4847)%branchCT(0:0))
    call avCT(4847, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19264, nGC_19264,       &
    nGC_19265])

    allocate(vertices(2312)%branchCT(0:0))
    call avCT(2312, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(4160)%branchCT(0:0))
    call avCT(4160, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(4848)%branchCT(0:0))
    call avCT(4848, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(4849)%branchCT(0:0))
    call avCT(4849, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_22403])

    allocate(vertices(4293)%branchCT(0:0))
    call avCT(4293, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19264, nGC_19264,       &
    nGC_19265])

    allocate(vertices(5115)%branchCT(0:0))
    call avCT(5115, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19837])

    allocate(vertices(4854)%branchCT(0:0))
    call avCT(4854, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(5116)%branchCT(0:0))
    call avCT(5116, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20177])

    allocate(vertices(4855)%branchCT(0:0))
    call avCT(4855, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19255])

    allocate(vertices(4317)%branchCT(0:0))
    call avCT(4317, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(2320)%branchCT(0:0))
    call avCT(2320, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_21203])

    allocate(vertices(2321)%branchCT(0:0))
    call avCT(2321, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19195])

    allocate(vertices(2322)%branchCT(0:0))
    call avCT(2322, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19649, nGC_19649,       &
    nGC_19648])

    allocate(vertices(3792)%branchCT(0:0))
    call avCT(3792, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(809)%branchCT(0:0))
    call avCT(809, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_19387])

    allocate(vertices(4857)%branchCT(0:0))
    call avCT(4857, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13370])

    allocate(vertices(2326)%branchCT(0:0))
    call avCT(2326, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19498])

    allocate(vertices(4443)%branchCT(0:0))
    call avCT(4443, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(4354)%branchCT(0:0))
    call avCT(4354, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(2797)%branchCT(0:0))
    call avCT(2797, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_20229, nGC_20229])

    allocate(vertices(4861)%branchCT(0:0))
    call avCT(4861, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_21162, nGC_21163])

    allocate(vertices(147)%branchCT(0:1))
    call avCT(147, 0, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_23803, nGC_23803])

    call avCT(147, 1, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_23801, nGC_23801])

    allocate(vertices(4862)%branchCT(0:0))
    call avCT(4862, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13340])

    allocate(vertices(4864)%branchCT(0:0))
    call avCT(4864, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(3207)%branchCT(0:0))
    call avCT(3207, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13341])

    allocate(vertices(5117)%branchCT(0:0))
    call avCT(5117, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_22066, nGC_22061,       &
    nGC_22068, nGC_22068])

    allocate(vertices(2331)%branchCT(0:0))
    call avCT(2331, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19422])

    allocate(vertices(5118)%branchCT(0:0))
    call avCT(5118, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19837])

    allocate(vertices(4396)%branchCT(0:0))
    call avCT(4396, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13366])

    allocate(vertices(922)%branchCT(0:1))
    call avCT(922, 0, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_19639, nGC_19638])

    call avCT(922, 1, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_19641, nGC_19640])

    allocate(vertices(4871)%branchCT(0:0))
    call avCT(4871, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19070])

    allocate(vertices(2335)%branchCT(0:0))
    call avCT(2335, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_20882, nGC_20882])

    allocate(vertices(5119)%branchCT(0:0))
    call avCT(5119, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_19427])

    allocate(vertices(4875)%branchCT(0:0))
    call avCT(4875, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(4877)%branchCT(0:0))
    call avCT(4877, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19159])

    allocate(vertices(4253)%branchCT(0:0))
    call avCT(4253, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19379])

    allocate(vertices(4883)%branchCT(0:0))
    call avCT(4883, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(4884)%branchCT(0:1))
    call avCT(4884, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_19465, nGC_19464])

    call avCT(4884, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_19467, nGC_19466])

    allocate(vertices(4885)%branchCT(0:0))
    call avCT(4885, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(4886)%branchCT(0:0))
    call avCT(4886, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19070])

    allocate(vertices(2863)%branchCT(0:0))
    call avCT(2863, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13342])

    allocate(vertices(2341)%branchCT(0:0))
    call avCT(2341, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13361])

    allocate(vertices(4888)%branchCT(0:0))
    call avCT(4888, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_21988])

    allocate(vertices(2342)%branchCT(0:0))
    call avCT(2342, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(4236)%branchCT(0:0))
    call avCT(4236, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(2343)%branchCT(0:0))
    call avCT(2343, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(262)%branchCT(0:0))
    call avCT(262, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(1411)%branchCT(0:0))
    call avCT(1411, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(4893)%branchCT(0:0))
    call avCT(4893, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_19108])

    allocate(vertices(4480)%branchCT(0:0))
    call avCT(4480, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_20232])

    allocate(vertices(3749)%branchCT(0:0))
    call avCT(3749, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2346)%branchCT(0:0))
    call avCT(2346, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19303])

    allocate(vertices(1215)%branchCT(0:0))
    call avCT(1215, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(2349)%branchCT(0:0))
    call avCT(2349, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19379])

    allocate(vertices(4897)%branchCT(0:1))
    call avCT(4897, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_20419, nGC_20420])

    call avCT(4897, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_20417, nGC_20418])

    allocate(vertices(1216)%branchCT(0:1))
    call avCT(1216, 0, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_19599, nGC_19599])

    call avCT(1216, 1, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_19600, nGC_19600])

    allocate(vertices(4524)%branchCT(0:0))
    call avCT(4524, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(5120)%branchCT(0:0))
    call avCT(5120, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_25972, nGC_25971,        &
    nGC_25972, nGC_25971, nGC_25973])

    allocate(vertices(2801)%branchCT(0:0))
    call avCT(2801, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_20198])

    allocate(vertices(4905)%branchCT(0:0))
    call avCT(4905, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(4906)%branchCT(0:1))
    call avCT(4906, 0, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_24354, nGC_24354])

    call avCT(4906, 1, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_24355, nGC_24355])

    allocate(vertices(4545)%branchCT(0:0))
    call avCT(4545, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13366])

    allocate(vertices(4908)%branchCT(0:3))
    call avCT(4908, 0, 94, 4, 0, VFFa1, 0, [1, 2], [nGC_19866, nGC_19862])

    call avCT(4908, 1, 94, 4, 0, VFFa1, 0, [3, 0], [nGC_19868, nGC_19869])

    call avCT(4908, 2, 95, 5, 0, VFFa1, 0, [1, 2], [nGC_19866, nGC_19862])

    call avCT(4908, 3, 95, 5, 0, VFFa1, 0, [3, 0], [nGC_19868, nGC_19869])

    allocate(vertices(2074)%branchCT(0:0))
    call avCT(2074, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(4910)%branchCT(0:0))
    call avCT(4910, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(2356)%branchCT(0:0))
    call avCT(2356, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2357)%branchCT(0:1))
    call avCT(2357, 0, 87, 1, 0, VFaF1, 0, [0, 3], [nGC_19816, nGC_19817])

    call avCT(2357, 1, 87, 1, 0, VFaF1, 0, [2, 1], [nGC_19810, nGC_19813])

    allocate(vertices(2358)%branchCT(0:0))
    call avCT(2358, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(4912)%branchCT(0:0))
    call avCT(4912, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13365])

    allocate(vertices(1604)%branchCT(0:5))
    call avCT(1604, 0, 29, 2, 0, UUaVV0, 0, [4, 0], [nGC_19134])

    call avCT(1604, 1, 30, 2, 0, UUaVV0, 0, [4, 0], [nGC_19134])

    call avCT(1604, 2, 31, 2, 0, UUaVV0, 0, [4, 0], [nGC_19134])

    call avCT(1604, 3, 32, 2, 0, UUaVV0, 0, [4, 0], [nGC_19134])

    call avCT(1604, 4, 33, 3, 0, UUaVV0, 0, [4, 0], [nGC_19137])

    call avCT(1604, 5, 34, 3, 0, UUaVV0, 0, [4, 0], [nGC_19137])

    allocate(vertices(4916)%branchCT(0:0))
    call avCT(4916, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(4917)%branchCT(0:0))
    call avCT(4917, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_19166, nGC_19166])

    allocate(vertices(4918)%branchCT(0:1))
    call avCT(4918, 0, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_21290, nGC_21289])

    call avCT(4918, 1, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_21292, nGC_21291])

    allocate(vertices(2906)%branchCT(0:0))
    call avCT(2906, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(2360)%branchCT(0:0))
    call avCT(2360, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(4920)%branchCT(0:0))
    call avCT(4920, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(3540)%branchCT(0:0))
    call avCT(3540, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(2363)%branchCT(0:0))
    call avCT(2363, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(2866)%branchCT(0:0))
    call avCT(2866, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(4922)%branchCT(0:1))
    call avCT(4922, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_19465, nGC_19464])

    call avCT(4922, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_19467, nGC_19466])

    allocate(vertices(4638)%branchCT(0:0))
    call avCT(4638, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19250])

  end subroutine fill_vertices_mdl10
end module vertices_info10
