!******************************************************************************!
!                                                                              !
!    vertices_info7.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info7.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 14:34             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info7
  implicit none
  contains
  subroutine fill_vertices_mdl7()
    use class_vertices
    use class_couplings
    allocate(vertices(4800)%branch(0:0))
    call av(4800, 0, 1, 1, 0, VSS2, 0, [0, 1], [nGC_118, nGC_117])

    allocate(vertices(4801)%branch(0:0))
    call av(4801, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_85, nGC_84, nGC_84])

    allocate(vertices(4802)%branch(0:0))
    call av(4802, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_8])

    allocate(vertices(4803)%branch(0:0))
    call av(4803, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_112])

    allocate(vertices(4804)%branch(0:0))
    call av(4804, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_185])

    allocate(vertices(4805)%branch(0:0))
    call av(4805, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_14])

    allocate(vertices(4806)%branch(0:0))
    call av(4806, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_93])

    allocate(vertices(4807)%branch(0:0))
    call av(4807, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_132])

    allocate(vertices(4808)%branch(0:0))
    call av(4808, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_16])

    allocate(vertices(4809)%branch(0:0))
    call av(4809, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_141])

    allocate(vertices(4810)%branch(0:0))
    call av(4810, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_53])

    allocate(vertices(4811)%branch(0:0))
    call av(4811, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_151])

    allocate(vertices(4812)%branch(0:0))
    call av(4812, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_53])

    allocate(vertices(4813)%branch(0:0))
    call av(4813, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_82])

    allocate(vertices(4814)%branch(0:0))
    call av(4814, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_110])

    allocate(vertices(4815)%branch(0:0))
    call av(4815, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_78])

    allocate(vertices(4816)%branch(0:0))
    call av(4816, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_162])

    allocate(vertices(4817)%branch(0:0))
    call av(4817, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_13])

    allocate(vertices(4818)%branch(0:0))
    call av(4818, 0, 84, 1, 0, FaFS0, 0, [0, 1], [nGC_195, nGC_195])

    allocate(vertices(4819)%branch(0:0))
    call av(4819, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_48])

    allocate(vertices(4820)%branch(0:0))
    call av(4820, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_134])

    allocate(vertices(4821)%branch(0:0))
    call av(4821, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_124, nGC_128])

    allocate(vertices(4822)%branch(0:0))
    call av(4822, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_115])

    allocate(vertices(4823)%branch(0:0))
    call av(4823, 0, 84, 1, 0, FaFV0, 0, [0, 1], [nGC_2, nGC_2])

    allocate(vertices(4824)%branch(0:0))
    call av(4824, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_113])

    allocate(vertices(4825)%branch(0:0))
    call av(4825, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_158])

    allocate(vertices(4826)%branch(0:0))
    call av(4826, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_7])

    allocate(vertices(4827)%branch(0:0))
    call av(4827, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_107])

    allocate(vertices(4828)%branch(0:0))
    call av(4828, 0, 87, 1, 0, SFaF0, 0, [0, 1], [nGC_1113, nGC_214])

    allocate(vertices(4829)%branch(0:0))
    call av(4829, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_132])

    allocate(vertices(4830)%branch(0:0))
    call av(4830, 0, 1, 1, 0, VVV0, 0, [0, 1], [nGC_1253])

    allocate(vertices(4831)%branch(0:0))
    call av(4831, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_50])

    allocate(vertices(4832)%branch(0:0))
    call av(4832, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_147])

    allocate(vertices(4833)%branch(0:0))
    call av(4833, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_114])

    allocate(vertices(4834)%branch(0:0))
    call av(4834, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_115])

    allocate(vertices(4835)%branch(0:0))
    call av(4835, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_77])

    allocate(vertices(4836)%branch(0:0))
    call av(4836, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_72])

    allocate(vertices(4837)%branch(0:0))
    call av(4837, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_83])

    allocate(vertices(4838)%branch(0:0))
    call av(4838, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_107])

    allocate(vertices(4839)%branch(0:0))
    call av(4839, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_91])

    allocate(vertices(4840)%branch(0:0))
    call av(4840, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_13])

    allocate(vertices(4841)%branch(0:0))
    call av(4841, 0, 1, 1, 0, VFFa0, 0, [0, 1], [nGC_129])

    allocate(vertices(4842)%branch(0:0))
    call av(4842, 0, 1, 1, 0, VUaU1, 0, [0, 1], [nGC_751])

    allocate(vertices(4843)%branch(0:0))
    call av(4843, 0, 84, 1, 0, FaFS0, 0, [0, 1], [nGC_204, nGC_204])

    allocate(vertices(4844)%branch(0:0))
    call av(4844, 0, 1, 1, 0, SSV1, 0, [0, 1], [nGC_4727])

    allocate(vertices(4845)%branch(0:0))
    call av(4845, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_150])

    allocate(vertices(4846)%branch(0:0))
    call av(4846, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_47])

    allocate(vertices(4847)%branch(0:0))
    call av(4847, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_113, nGC_113, nGC_116])

    allocate(vertices(4848)%branch(0:0))
    call av(4848, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_15])

    allocate(vertices(4849)%branch(0:0))
    call av(4849, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_164])

    allocate(vertices(4850)%branch(0:0))
    call av(4850, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_113])

    allocate(vertices(4851)%branch(0:0))
    call av(4851, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_16])

    allocate(vertices(4852)%branch(0:0))
    call av(4852, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_47])

    allocate(vertices(4853)%branch(0:0))
    call av(4853, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_107])

    allocate(vertices(4854)%branch(0:0))
    call av(4854, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_16])

    allocate(vertices(4855)%branch(0:0))
    call av(4855, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_107])

    allocate(vertices(4856)%branch(0:0))
    call av(4856, 0, 1, 1, 0, UVUa0, 0, [0, 1], [nGC_6])

    allocate(vertices(4857)%branch(0:0))
    call av(4857, 0, 1, 1, 0, USUa0, 0, [0, 1], [nGC_155])

    allocate(vertices(4858)%branch(0:0))
    call av(4858, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_29])

    allocate(vertices(4859)%branch(0:0))
    call av(4859, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_114])

    allocate(vertices(4860)%branch(0:0))
    call av(4860, 0, 1, 1, 0, VSS1, 0, [0, 1], [nGC_98])

    allocate(vertices(4861)%branch(0:0))
    call av(4861, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_118, nGC_117])

    allocate(vertices(4862)%branch(0:0))
    call av(4862, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_139])

    allocate(vertices(4863)%branch(0:0))
    call av(4863, 0, 87, 1, 0, VFaF1, 0, [0, 1], [nGC_122, nGC_125])

    allocate(vertices(4864)%branch(0:0))
    call av(4864, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_16])

    allocate(vertices(4865)%branch(0:0))
    call av(4865, 0, 84, 1, 0, FaFS0, 0, [0, 1], [nGC_196, nGC_196])

    allocate(vertices(4866)%branch(0:0))
    call av(4866, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_114])

    allocate(vertices(4867)%branch(0:0))
    call av(4867, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_120])

    allocate(vertices(4868)%branch(0:0))
    call av(4868, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_7])

    allocate(vertices(4869)%branch(0:0))
    call av(4869, 0, 1, 1, 0, FFaV0, 0, [0, 1], [nGC_124, nGC_128])

    allocate(vertices(4870)%branch(0:0))
    call av(4870, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_10])

    allocate(vertices(4871)%branch(0:0))
    call av(4871, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_31])

    allocate(vertices(4872)%branch(0:0))
    call av(4872, 0, 1, 1, 0, UaSU0, 0, [0, 1], [nGC_161])

    allocate(vertices(4873)%branch(0:0))
    call av(4873, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_86])

    allocate(vertices(4874)%branch(0:0))
    call av(4874, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_114])

    allocate(vertices(4875)%branch(0:0))
    call av(4875, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_92])

    allocate(vertices(4876)%branch(0:0))
    call av(4876, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_70])

    allocate(vertices(4877)%branch(0:0))
    call av(4877, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_92])

    allocate(vertices(4878)%branch(0:0))
    call av(4878, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_89])

    allocate(vertices(4879)%branch(0:0))
    call av(4879, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_71])

    allocate(vertices(4880)%branch(0:0))
    call av(4880, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_111])

    allocate(vertices(4881)%branch(0:0))
    call av(4881, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_83])

    allocate(vertices(4882)%branch(0:0))
    call av(4882, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_165])

    allocate(vertices(4883)%branch(0:0))
    call av(4883, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_133])

    allocate(vertices(4884)%branch(0:0))
    call av(4884, 0, 87, 1, 0, SFaF0, 0, [0, 1], [nGC_193, nGC_217])

    allocate(vertices(4885)%branch(0:0))
    call av(4885, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_29])

    allocate(vertices(4886)%branch(0:0))
    call av(4886, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_31])

    allocate(vertices(4887)%branch(0:0))
    call av(4887, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_65])

    allocate(vertices(4888)%branch(0:0))
    call av(4888, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_101])

    allocate(vertices(4889)%branch(0:0))
    call av(4889, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_113])

    allocate(vertices(4890)%branch(0:0))
    call av(4890, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_9])

    allocate(vertices(4891)%branch(0:0))
    call av(4891, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_63])

    allocate(vertices(4892)%branch(0:0))
    call av(4892, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_50])

    allocate(vertices(4893)%branch(0:0))
    call av(4893, 0, 1, 1, 0, VFaF0, 0, [0, 1], [nGC_99])

    allocate(vertices(4894)%branch(0:0))
    call av(4894, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_25])

    allocate(vertices(4895)%branch(0:0))
    call av(4895, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_120])

    allocate(vertices(4896)%branch(0:0))
    call av(4896, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_111])

    allocate(vertices(4897)%branch(0:0))
    call av(4897, 0, 86, 1, 0, SFFa0, 0, [0, 1], [nGC_2353, nGC_198])

    allocate(vertices(4898)%branch(0:0))
    call av(4898, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_94])

    allocate(vertices(4899)%branch(0:0))
    call av(4899, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_111])

    allocate(vertices(4900)%branch(0:0))
    call av(4900, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_119])

    allocate(vertices(4901)%branch(0:0))
    call av(4901, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_31])

    allocate(vertices(4902)%branch(0:0))
    call av(4902, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_79])

    allocate(vertices(4903)%branch(0:0))
    call av(4903, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_124, nGC_128])

    allocate(vertices(4904)%branch(0:0))
    call av(4904, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_94])

    allocate(vertices(4905)%branch(0:0))
    call av(4905, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_27])

    allocate(vertices(4906)%branch(0:0))
    call av(4906, 0, 83, 1, 0, FSFa1, 0, [0, 1], [nGC_228, nGC_228])

    allocate(vertices(4907)%branch(0:0))
    call av(4907, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_64])

    allocate(vertices(4908)%branch(0:1))
    call av(4908, 0, 94, 4, 0, VFFa1, 0, [1, 0], [nGC_19, nGC_19])

    call av(4908, 1, 95, 5, 0, VFFa1, 0, [1, 0], [nGC_19, nGC_19])

    allocate(vertices(4909)%branch(0:0))
    call av(4909, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_30])

    allocate(vertices(4910)%branch(0:0))
    call av(4910, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_119])

    allocate(vertices(4911)%branch(0:0))
    call av(4911, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_57])

    allocate(vertices(4912)%branch(0:0))
    call av(4912, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_108])

    allocate(vertices(4913)%branch(0:0))
    call av(4913, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_70])

    allocate(vertices(4914)%branch(0:0))
    call av(4914, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_35])

    allocate(vertices(4915)%branch(0:0))
    call av(4915, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_9])

    allocate(vertices(4916)%branch(0:0))
    call av(4916, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_29])

    allocate(vertices(4917)%branch(0:0))
    call av(4917, 0, 1, 1, 0, SFaF0, 0, [0, 1], [nGC_207, nGC_207])

    allocate(vertices(4918)%branch(0:0))
    call av(4918, 0, 84, 1, 0, FaFS0, 0, [0, 1], [nGC_213, nGC_197])

    allocate(vertices(4919)%branch(0:0))
    call av(4919, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_52])

    allocate(vertices(4920)%branch(0:0))
    call av(4920, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_115])

    allocate(vertices(4921)%branch(0:0))
    call av(4921, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_142])

    allocate(vertices(4922)%branch(0:0))
    call av(4922, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_193, nGC_217])

    allocate(vertices(4923)%branch(0:0))
    call av(4923, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_120])

    allocate(vertices(4924)%branch(0:0))
    call av(4924, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_114])

    allocate(vertices(4925)%branch(0:0))
    call av(4925, 0, 1, 1, 0, SFaF0, 0, [0, 1], [nGC_212, nGC_212])

    allocate(vertices(4926)%branch(0:0))
    call av(4926, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_114])

    allocate(vertices(4927)%branch(0:0))
    call av(4927, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_83])

    allocate(vertices(4928)%branch(0:0))
    call av(4928, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_13])

    allocate(vertices(4929)%branch(0:0))
    call av(4929, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_7])

    allocate(vertices(4930)%branch(0:0))
    call av(4930, 0, 1, 1, 0, VUUa1, 0, [0, 1], [nGC_105])

    allocate(vertices(4931)%branch(0:0))
    call av(4931, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_27])

    allocate(vertices(4932)%branch(0:0))
    call av(4932, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_16])

    allocate(vertices(4933)%branch(0:0))
    call av(4933, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_28])

    allocate(vertices(4934)%branch(0:0))
    call av(4934, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_27])

    allocate(vertices(4935)%branch(0:0))
    call av(4935, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_61])

    allocate(vertices(4936)%branch(0:0))
    call av(4936, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_10])

    allocate(vertices(4937)%branch(0:0))
    call av(4937, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_167])

    allocate(vertices(4938)%branch(0:0))
    call av(4938, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_7])

    allocate(vertices(4939)%branch(0:0))
    call av(4939, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_25])

    allocate(vertices(4940)%branch(0:0))
    call av(4940, 0, 1, 1, 0, VFaF0, 0, [0, 1], [nGC_129])

    allocate(vertices(4941)%branch(0:0))
    call av(4941, 0, 1, 1, 0, FaSF1, 0, [0, 1], [nGC_211, nGC_211])

    allocate(vertices(4942)%branch(0:0))
    call av(4942, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_114])

    allocate(vertices(4943)%branch(0:0))
    call av(4943, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_149])

    allocate(vertices(4944)%branch(0:0))
    call av(4944, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_70])

    allocate(vertices(4945)%branch(0:0))
    call av(4945, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_111])

    allocate(vertices(4946)%branch(0:0))
    call av(4946, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_184])

    allocate(vertices(4947)%branch(0:0))
    call av(4947, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_71])

    allocate(vertices(4948)%branch(0:0))
    call av(4948, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_28])

    allocate(vertices(4949)%branch(0:0))
    call av(4949, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32])

    allocate(vertices(4950)%branch(0:0))
    call av(4950, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_73])

    allocate(vertices(4951)%branch(0:0))
    call av(4951, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_95])

    allocate(vertices(4952)%branch(0:0))
    call av(4952, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_115])

    allocate(vertices(4953)%branch(0:0))
    call av(4953, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_14])

    allocate(vertices(4954)%branch(0:0))
    call av(4954, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_166])

    allocate(vertices(4955)%branch(0:0))
    call av(4955, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_99])

    allocate(vertices(4956)%branch(0:0))
    call av(4956, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_69])

    allocate(vertices(4957)%branch(0:0))
    call av(4957, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_70])

    allocate(vertices(4958)%branch(0:1))
    call av(4958, 0, 11, 4, 0, FFaV0, 0, [1, 0], [nGC_19, nGC_19])

    call av(4958, 1, 12, 5, 0, FFaV0, 0, [1, 0], [nGC_19, nGC_19])

    allocate(vertices(4959)%branch(0:0))
    call av(4959, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_12])

    allocate(vertices(4960)%branch(0:0))
    call av(4960, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_54])

    allocate(vertices(4961)%branch(0:0))
    call av(4961, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_120])

    allocate(vertices(4962)%branch(0:0))
    call av(4962, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_158])

    allocate(vertices(4963)%branch(0:0))
    call av(4963, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_165])

    allocate(vertices(4964)%branch(0:0))
    call av(4964, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_73])

    allocate(vertices(4965)%branch(0:0))
    call av(4965, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_53])

    allocate(vertices(4966)%branch(0:0))
    call av(4966, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_147])

    allocate(vertices(4967)%branch(0:0))
    call av(4967, 0, 1, 1, 0, UUaV1, 0, [0, 1], [nGC_5])

    allocate(vertices(4968)%branch(0:0))
    call av(4968, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

    allocate(vertices(4969)%branch(0:0))
    call av(4969, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_28])

    allocate(vertices(4970)%branch(0:0))
    call av(4970, 0, 86, 1, 0, SFFa0, 0, [0, 1], [nGC_225, nGC_201])

    allocate(vertices(4971)%branch(0:0))
    call av(4971, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_25])

    allocate(vertices(4972)%branch(0:0))
    call av(4972, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_192])

    allocate(vertices(4973)%branch(0:0))
    call av(4973, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_114])

    allocate(vertices(4974)%branch(0:0))
    call av(4974, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_108])

    allocate(vertices(4975)%branch(0:0))
    call av(4975, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_114])

    allocate(vertices(4901)%branchCT(0:0))
    call avCT(4901, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19070])

    allocate(vertices(1)%branchCT(0:0))
    call avCT(1, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(0)%branchCT(0:0))
    call avCT(0, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19076])

    allocate(vertices(4)%branchCT(0:0))
    call avCT(4, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19070])

    allocate(vertices(2419)%branchCT(0:0))
    call avCT(2419, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(2420)%branchCT(0:0))
    call avCT(2420, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(2421)%branchCT(0:0))
    call avCT(2421, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13367])

    allocate(vertices(2814)%branchCT(0:0))
    call avCT(2814, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(6)%branchCT(0:0))
    call avCT(6, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(7)%branchCT(0:0))
    call avCT(7, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19096])

    allocate(vertices(2244)%branchCT(0:0))
    call avCT(2244, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(2423)%branchCT(0:0))
    call avCT(2423, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19105])

    allocate(vertices(8)%branchCT(0:0))
    call avCT(8, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_19108])

    allocate(vertices(2416)%branchCT(0:0))
    call avCT(2416, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(2424)%branchCT(0:0))
    call avCT(2424, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_19112])

    allocate(vertices(4287)%branchCT(0:0))
    call avCT(4287, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(3)%branchCT(0:0))
    call avCT(3, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(2425)%branchCT(0:0))
    call avCT(2425, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19124])

    allocate(vertices(12)%branchCT(0:0))
    call avCT(12, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_19127])

    allocate(vertices(3234)%branchCT(0:0))
    call avCT(3234, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19131])

    allocate(vertices(13)%branchCT(0:5))
    call avCT(13, 0, 53, 2, 0, VVUaU0, 0, [4, 0], [nGC_19134])

    call avCT(13, 1, 54, 2, 0, VVUaU0, 0, [4, 0], [nGC_19134])

    call avCT(13, 2, 55, 2, 0, VVUaU0, 0, [4, 0], [nGC_19134])

    call avCT(13, 3, 56, 2, 0, VVUaU0, 0, [4, 0], [nGC_19134])

    call avCT(13, 4, 57, 3, 0, VVUaU0, 0, [4, 0], [nGC_19137])

    call avCT(13, 5, 58, 3, 0, VVUaU0, 0, [4, 0], [nGC_19137])

    allocate(vertices(88)%branchCT(0:0))
    call avCT(88, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19148])

    allocate(vertices(2428)%branchCT(0:0))
    call avCT(2428, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(3641)%branchCT(0:0))
    call avCT(3641, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(2431)%branchCT(0:0))
    call avCT(2431, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19159])

    allocate(vertices(22)%branchCT(0:0))
    call avCT(22, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_19166, nGC_19166])

    allocate(vertices(2816)%branchCT(0:0))
    call avCT(2816, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(143)%branchCT(0:0))
    call avCT(143, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(2436)%branchCT(0:3))
    call avCT(2436, 0, 92, 4, 0, FaFV0, 0, [1, 2], [nGC_19178, nGC_19176])

    call avCT(2436, 1, 92, 4, 0, FaFV0, 0, [3, 0], [nGC_19181, nGC_19182])

    call avCT(2436, 2, 93, 5, 0, FaFV0, 0, [1, 2], [nGC_19178, nGC_19176])

    call avCT(2436, 3, 93, 5, 0, FaFV0, 0, [3, 0], [nGC_19181, nGC_19182])

    allocate(vertices(2438)%branchCT(0:0))
    call avCT(2438, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(165)%branchCT(0:0))
    call avCT(165, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(826)%branchCT(0:0))
    call avCT(826, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19199])

    allocate(vertices(2440)%branchCT(0:0))
    call avCT(2440, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(28)%branchCT(0:1))
    call avCT(28, 0, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_19213, nGC_19213])

    call avCT(28, 1, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_19214, nGC_19214])

    allocate(vertices(181)%branchCT(0:0))
    call avCT(181, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(30)%branchCT(0:1))
    call avCT(30, 0, 86, 1, 0, VFFa0, 0, [0, 3], [nGC_19222])

    call avCT(30, 1, 86, 1, 0, VFFa0, 0, [2, 1], [nGC_19221])

    allocate(vertices(2444)%branchCT(0:0))
    call avCT(2444, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19226])

    allocate(vertices(2934)%branchCT(0:0))
    call avCT(2934, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13343])

    allocate(vertices(2446)%branchCT(0:3))
    call avCT(2446, 0, 88, 4, 0, FVFa0, 0, [1, 2], [nGC_19178, nGC_19176])

    call avCT(2446, 1, 88, 4, 0, FVFa0, 0, [3, 0], [nGC_19181, nGC_19182])

    call avCT(2446, 2, 89, 5, 0, FVFa0, 0, [1, 2], [nGC_19178, nGC_19176])

    call avCT(2446, 3, 89, 5, 0, FVFa0, 0, [3, 0], [nGC_19181, nGC_19182])

    allocate(vertices(2447)%branchCT(0:0))
    call avCT(2447, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19226])

    allocate(vertices(2029)%branchCT(0:0))
    call avCT(2029, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2026)%branchCT(0:0))
    call avCT(2026, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13361])

    allocate(vertices(2449)%branchCT(0:0))
    call avCT(2449, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19250])

    allocate(vertices(2450)%branchCT(0:0))
    call avCT(2450, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13381])

    allocate(vertices(1611)%branchCT(0:0))
    call avCT(1611, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19255])

    allocate(vertices(36)%branchCT(0:0))
    call avCT(36, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19264, nGC_19265,         &
    nGC_19264])

    allocate(vertices(37)%branchCT(0:1))
    call avCT(37, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_19275, nGC_19275])

    call avCT(37, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_19276, nGC_19276])

    allocate(vertices(233)%branchCT(0:0))
    call avCT(233, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(40)%branchCT(0:0))
    call avCT(40, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(41)%branchCT(0:0))
    call avCT(41, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13381])

    allocate(vertices(42)%branchCT(0:0))
    call avCT(42, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_19291, nGC_19292])

    allocate(vertices(44)%branchCT(0:0))
    call avCT(44, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(46)%branchCT(0:0))
    call avCT(46, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19195])

    allocate(vertices(48)%branchCT(0:0))
    call avCT(48, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(272)%branchCT(0:0))
    call avCT(272, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19303])

    allocate(vertices(2455)%branchCT(0:1))
    call avCT(2455, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_19307])

    call avCT(2455, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_19306])

    allocate(vertices(1228)%branchCT(0:0))
    call avCT(1228, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

    allocate(vertices(2457)%branchCT(0:0))
    call avCT(2457, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19312])

    allocate(vertices(51)%branchCT(0:1))
    call avCT(51, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_19319, nGC_19320])

    call avCT(51, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_19321, nGC_19322])

    allocate(vertices(2459)%branchCT(0:0))
    call avCT(2459, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(2460)%branchCT(0:0))
    call avCT(2460, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_19330])

    allocate(vertices(296)%branchCT(0:0))
    call avCT(296, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(2463)%branchCT(0:0))
    call avCT(2463, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_19341, nGC_19341])

    allocate(vertices(4075)%branchCT(0:0))
    call avCT(4075, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13340])

    allocate(vertices(311)%branchCT(0:0))
    call avCT(311, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19347])

    allocate(vertices(2577)%branchCT(0:0))
    call avCT(2577, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(4976)%branchCT(0:0))
    call avCT(4976, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19352])

    allocate(vertices(57)%branchCT(0:0))
    call avCT(57, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_19358, nGC_19359])

    allocate(vertices(59)%branchCT(0:0))
    call avCT(59, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(4526)%branchCT(0:0))
    call avCT(4526, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(2471)%branchCT(0:0))
    call avCT(2471, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(4977)%branchCT(0:0))
    call avCT(4977, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_19373, nGC_19374])

    allocate(vertices(1862)%branchCT(0:0))
    call avCT(1862, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(64)%branchCT(0:0))
    call avCT(64, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_19166, nGC_19166])

    allocate(vertices(1617)%branchCT(0:0))
    call avCT(1617, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_19387])

    allocate(vertices(66)%branchCT(0:0))
    call avCT(66, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19265, nGC_19264,         &
    nGC_19264])

    allocate(vertices(1899)%branchCT(0:1))
    call avCT(1899, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_19404, nGC_19404])

    call avCT(1899, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_19406, nGC_19406])

    allocate(vertices(67)%branchCT(0:0))
    call avCT(67, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(2476)%branchCT(0:0))
    call avCT(2476, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19096])

    allocate(vertices(3058)%branchCT(0:0))
    call avCT(3058, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19250])

    allocate(vertices(2478)%branchCT(0:0))
    call avCT(2478, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(385)%branchCT(0:0))
    call avCT(385, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(2481)%branchCT(0:0))
    call avCT(2481, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_19422])

    allocate(vertices(396)%branchCT(0:0))
    call avCT(396, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13343])

    allocate(vertices(2483)%branchCT(0:0))
    call avCT(2483, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(4978)%branchCT(0:0))
    call avCT(4978, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_19427])

    allocate(vertices(3519)%branchCT(0:0))
    call avCT(3519, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(2485)%branchCT(0:0))
    call avCT(2485, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(78)%branchCT(0:1))
    call avCT(78, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_19443, nGC_19443])

    call avCT(78, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_19444, nGC_19444])

    allocate(vertices(2486)%branchCT(0:0))
    call avCT(2486, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(79)%branchCT(0:0))
    call avCT(79, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19451])

    allocate(vertices(2488)%branchCT(0:0))
    call avCT(2488, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19159])

    allocate(vertices(81)%branchCT(0:1))
    call avCT(81, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_19464, nGC_19465])

    call avCT(81, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_19466, nGC_19467])

    allocate(vertices(2489)%branchCT(0:0))
    call avCT(2489, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(1232)%branchCT(0:0))
    call avCT(1232, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(2492)%branchCT(0:5))
    call avCT(2492, 0, 77, 2, 0, VUUaV0, 0, [4, 0], [nGC_19134])

    call avCT(2492, 1, 78, 2, 0, VUUaV0, 0, [4, 0], [nGC_19134])

    call avCT(2492, 2, 79, 2, 0, VUUaV0, 0, [4, 0], [nGC_19134])

    call avCT(2492, 3, 80, 2, 0, VUUaV0, 0, [4, 0], [nGC_19134])

    call avCT(2492, 4, 81, 3, 0, VUUaV0, 0, [4, 0], [nGC_19137])

    call avCT(2492, 5, 82, 3, 0, VUUaV0, 0, [4, 0], [nGC_19137])

    allocate(vertices(2046)%branchCT(0:0))
    call avCT(2046, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19492])

    allocate(vertices(2496)%branchCT(0:0))
    call avCT(2496, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13361])

    allocate(vertices(1623)%branchCT(0:0))
    call avCT(1623, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(2497)%branchCT(0:0))
    call avCT(2497, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19498])

    allocate(vertices(4979)%branchCT(0:0))
    call avCT(4979, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19352])

    allocate(vertices(2499)%branchCT(0:1))
    call avCT(2499, 0, 83, 1, 0, FVFa1, 0, [0, 3], [nGC_19503])

    call avCT(2499, 1, 83, 1, 0, FVFa1, 0, [2, 1], [nGC_19502])

    allocate(vertices(2500)%branchCT(0:0))
    call avCT(2500, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(92)%branchCT(0:0))
    call avCT(92, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19096])

    allocate(vertices(4980)%branchCT(0:0))
    call avCT(4980, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_19509])

    allocate(vertices(93)%branchCT(0:0))
    call avCT(93, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(2829)%branchCT(0:0))
    call avCT(2829, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13361])

    allocate(vertices(94)%branchCT(0:0))
    call avCT(94, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(2504)%branchCT(0:0))
    call avCT(2504, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_19341, nGC_19341])

    allocate(vertices(1236)%branchCT(0:0))
    call avCT(1236, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2506)%branchCT(0:0))
    call avCT(2506, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19124])

    allocate(vertices(97)%branchCT(0:0))
    call avCT(97, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(98)%branchCT(0:0))
    call avCT(98, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_19536, nGC_19537])

    allocate(vertices(2037)%branchCT(0:0))
    call avCT(2037, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(4981)%branchCT(0:0))
    call avCT(4981, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_19545, nGC_19539,        &
    nGC_19544])

    allocate(vertices(314)%branchCT(0:0))
    call avCT(314, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19549])

    allocate(vertices(2509)%branchCT(0:0))
    call avCT(2509, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(2513)%branchCT(0:0))
    call avCT(2513, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(2510)%branchCT(0:0))
    call avCT(2510, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(18)%branchCT(0:0))
    call avCT(18, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(107)%branchCT(0:0))
    call avCT(107, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13341])

    allocate(vertices(2512)%branchCT(0:0))
    call avCT(2512, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13370])

    allocate(vertices(4788)%branchCT(0:0))
    call avCT(4788, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(4533)%branchCT(0:0))
    call avCT(4533, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19265, nGC_19264,       &
    nGC_19264])

    allocate(vertices(433)%branchCT(0:0))
    call avCT(433, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13367])

    allocate(vertices(110)%branchCT(0:5))
    call avCT(110, 0, 71, 2, 0, VUVUa0, 0, [4, 0], [nGC_19134])

    call avCT(110, 1, 72, 2, 0, VUVUa0, 0, [4, 0], [nGC_19134])

    call avCT(110, 2, 73, 2, 0, VUVUa0, 0, [4, 0], [nGC_19134])

    call avCT(110, 3, 74, 2, 0, VUVUa0, 0, [4, 0], [nGC_19134])

    call avCT(110, 4, 75, 3, 0, VUVUa0, 0, [4, 0], [nGC_19137])

    call avCT(110, 5, 76, 3, 0, VUVUa0, 0, [4, 0], [nGC_19137])

    allocate(vertices(112)%branchCT(0:0))
    call avCT(112, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19379])

    allocate(vertices(4096)%branchCT(0:1))
    call avCT(4096, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_19599, nGC_19599])

    call avCT(4096, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_19600, nGC_19600])

    allocate(vertices(115)%branchCT(0:0))
    call avCT(115, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19124])

    allocate(vertices(2520)%branchCT(0:0))
    call avCT(2520, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13367])

    allocate(vertices(2521)%branchCT(0:0))
    call avCT(2521, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_19612, nGC_19613])

    allocate(vertices(116)%branchCT(0:0))
    call avCT(116, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19347])

    allocate(vertices(3790)%branchCT(0:0))
    call avCT(3790, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13370])

    allocate(vertices(117)%branchCT(0:0))
    call avCT(117, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_19622])

    allocate(vertices(2524)%branchCT(0:0))
    call avCT(2524, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(119)%branchCT(0:0))
    call avCT(119, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(2525)%branchCT(0:1))
    call avCT(2525, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_19639, nGC_19638])

    call avCT(2525, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_19641, nGC_19640])

    allocate(vertices(2919)%branchCT(0:0))
    call avCT(2919, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19649, nGC_19649,       &
    nGC_19648])

    allocate(vertices(121)%branchCT(0:0))
    call avCT(121, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(122)%branchCT(0:0))
    call avCT(122, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_19330])

    allocate(vertices(175)%branchCT(0:0))
    call avCT(175, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19368])

    allocate(vertices(1626)%branchCT(0:0))
    call avCT(1626, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(2529)%branchCT(0:0))
    call avCT(2529, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13370])

    allocate(vertices(2530)%branchCT(0:0))
    call avCT(2530, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19195])

    allocate(vertices(3657)%branchCT(0:0))
    call avCT(3657, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19070])

    allocate(vertices(1559)%branchCT(0:0))
    call avCT(1559, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_19673])

    allocate(vertices(128)%branchCT(0:0))
    call avCT(128, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(3257)%branchCT(0:0))
    call avCT(3257, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(129)%branchCT(0:0))
    call avCT(129, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13344])

    allocate(vertices(4982)%branchCT(0:0))
    call avCT(4982, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_19688, nGC_19682,        &
    nGC_19687])

    allocate(vertices(1026)%branchCT(0:0))
    call avCT(1026, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13361])

    allocate(vertices(2042)%branchCT(0:0))
    call avCT(2042, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(130)%branchCT(0:0))
    call avCT(130, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(131)%branchCT(0:1))
    call avCT(131, 0, 85, 1, 0, FaVF1, 0, [0, 3], [nGC_19307])

    call avCT(131, 1, 85, 1, 0, FaVF1, 0, [2, 1], [nGC_19306])

    allocate(vertices(1627)%branchCT(0:0))
    call avCT(1627, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19312])

    allocate(vertices(133)%branchCT(0:0))
    call avCT(133, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19707])

    allocate(vertices(2535)%branchCT(0:0))
    call avCT(2535, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(135)%branchCT(0:1))
    call avCT(135, 0, 86, 1, 0, VFFa0, 0, [0, 3], [nGC_19503])

    call avCT(135, 1, 86, 1, 0, VFFa0, 0, [2, 1], [nGC_19502])

    allocate(vertices(2238)%branchCT(0:0))
    call avCT(2238, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(2537)%branchCT(0:0))
    call avCT(2537, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(763)%branchCT(0:0))
    call avCT(763, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19148])

    allocate(vertices(3253)%branchCT(0:0))
    call avCT(3253, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19725])

    allocate(vertices(138)%branchCT(0:0))
    call avCT(138, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(2538)%branchCT(0:0))
    call avCT(2538, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13366])

    allocate(vertices(1348)%branchCT(0:0))
    call avCT(1348, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(792)%branchCT(0:0))
    call avCT(792, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19303])

    allocate(vertices(142)%branchCT(0:0))
    call avCT(142, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13370])

    allocate(vertices(23)%branchCT(0:0))
    call avCT(23, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19738])

    allocate(vertices(2541)%branchCT(0:0))
    call avCT(2541, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19255])

    allocate(vertices(144)%branchCT(0:0))
    call avCT(144, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19422])

    allocate(vertices(146)%branchCT(0:0))
    call avCT(146, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(2545)%branchCT(0:1))
    call avCT(2545, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_19503])

    call avCT(2545, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_19502])

    allocate(vertices(149)%branchCT(0:0))
    call avCT(149, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19303])

    allocate(vertices(1630)%branchCT(0:0))
    call avCT(1630, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(153)%branchCT(0:0))
    call avCT(153, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19124])

    allocate(vertices(2546)%branchCT(0:1))
    call avCT(2546, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_19770, nGC_19770])

    call avCT(2546, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_19771, nGC_19771])

    allocate(vertices(2547)%branchCT(0:0))
    call avCT(2547, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_19775])

    allocate(vertices(2548)%branchCT(0:0))
    call avCT(2548, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19255])

    allocate(vertices(2549)%branchCT(0:0))
    call avCT(2549, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_19781])

    allocate(vertices(4539)%branchCT(0:0))
    call avCT(4539, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19785])

    allocate(vertices(2550)%branchCT(0:0))
    call avCT(2550, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_19127])

    allocate(vertices(1776)%branchCT(0:0))
    call avCT(1776, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13361])

    allocate(vertices(157)%branchCT(0:0))
    call avCT(157, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(158)%branchCT(0:0))
    call avCT(158, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_19793])

    allocate(vertices(2553)%branchCT(0:0))
    call avCT(2553, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19105])

    allocate(vertices(880)%branchCT(0:1))
    call avCT(880, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_19222])

    call avCT(880, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_19221])

    allocate(vertices(1851)%branchCT(0:0))
    call avCT(1851, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13361])

    allocate(vertices(2556)%branchCT(0:0))
    call avCT(2556, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19195])

    allocate(vertices(160)%branchCT(0:0))
    call avCT(160, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(161)%branchCT(0:1))
    call avCT(161, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_19816, nGC_19817])

    call avCT(161, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_19810, nGC_19813])

    allocate(vertices(441)%branchCT(0:0))
    call avCT(441, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19725])

    allocate(vertices(2559)%branchCT(0:0))
    call avCT(2559, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(2560)%branchCT(0:1))
    call avCT(2560, 0, 84, 1, 0, FaFV0, 0, [0, 3], [nGC_19835, nGC_19836])

    call avCT(2560, 1, 84, 1, 0, FaFV0, 0, [2, 1], [nGC_19830, nGC_19827])

    allocate(vertices(4983)%branchCT(0:0))
    call avCT(4983, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19837])

    allocate(vertices(2562)%branchCT(0:0))
    call avCT(2562, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(2563)%branchCT(0:0))
    call avCT(2563, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_19127])

    allocate(vertices(168)%branchCT(0:1))
    call avCT(168, 0, 84, 1, 0, FaFV0, 0, [0, 3], [nGC_19816, nGC_19817])

    call avCT(168, 1, 84, 1, 0, FaFV0, 0, [2, 1], [nGC_19810, nGC_19813])

    allocate(vertices(4984)%branchCT(0:0))
    call avCT(4984, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_19509])

    allocate(vertices(938)%branchCT(0:0))
    call avCT(938, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19159])

    allocate(vertices(2568)%branchCT(0:0))
    call avCT(2568, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19492])

    allocate(vertices(172)%branchCT(0:0))
    call avCT(172, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19195])

    allocate(vertices(960)%branchCT(0:3))
    call avCT(960, 0, 11, 4, 0, FFaV0, 0, [1, 2], [nGC_19866, nGC_19862])

    call avCT(960, 1, 11, 4, 0, FFaV0, 0, [3, 0], [nGC_19868, nGC_19869])

    call avCT(960, 2, 12, 5, 0, FFaV0, 0, [1, 2], [nGC_19866, nGC_19862])

    call avCT(960, 3, 12, 5, 0, FFaV0, 0, [3, 0], [nGC_19868, nGC_19869])

    allocate(vertices(2097)%branchCT(0:0))
    call avCT(2097, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(174)%branchCT(0:1))
    call avCT(174, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_19319, nGC_19320])

    call avCT(174, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_19321, nGC_19322])

    allocate(vertices(971)%branchCT(0:0))
    call avCT(971, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(3259)%branchCT(0:0))
    call avCT(3259, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13350])

    allocate(vertices(178)%branchCT(0:0))
    call avCT(178, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(978)%branchCT(0:0))
    call avCT(978, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_19341, nGC_19341])

    allocate(vertices(2574)%branchCT(0:0))
    call avCT(2574, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19738])

    allocate(vertices(989)%branchCT(0:0))
    call avCT(989, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19903])

    allocate(vertices(29)%branchCT(0:0))
    call avCT(29, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(2576)%branchCT(0:0))
    call avCT(2576, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19492])

    allocate(vertices(182)%branchCT(0:0))
    call avCT(182, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(3262)%branchCT(0:0))
    call avCT(3262, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19903])

    allocate(vertices(184)%branchCT(0:0))
    call avCT(184, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(1020)%branchCT(0:0))
    call avCT(1020, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19303])

    allocate(vertices(2580)%branchCT(0:0))
    call avCT(2580, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(2582)%branchCT(0:0))
    call avCT(2582, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_19927, nGC_19927])

    allocate(vertices(2583)%branchCT(0:0))
    call avCT(2583, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(4985)%branchCT(0:1))
    call avCT(4985, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_19939, nGC_19931,       &
    nGC_19942, nGC_19942])

    call avCT(4985, 1, 14, 1, 0, FFa1, 0, [2, 0], [nGC_19940, nGC_19932,       &
    nGC_19943, nGC_19943])

    allocate(vertices(2585)%branchCT(0:0))
    call avCT(2585, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19124])

    allocate(vertices(4986)%branchCT(0:0))
    call avCT(4986, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19837])

    allocate(vertices(848)%branchCT(0:0))
    call avCT(848, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(190)%branchCT(0:0))
    call avCT(190, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19738])

    allocate(vertices(4895)%branchCT(0:0))
    call avCT(4895, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(191)%branchCT(0:0))
    call avCT(191, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(2592)%branchCT(0:0))
    call avCT(2592, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(2593)%branchCT(0:0))
    call avCT(2593, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_19422])

    allocate(vertices(2594)%branchCT(0:0))
    call avCT(2594, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13366])

    allocate(vertices(2595)%branchCT(0:1))
    call avCT(2595, 0, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_19639, nGC_19638])

    call avCT(2595, 1, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_19641, nGC_19640])

    allocate(vertices(195)%branchCT(0:0))
    call avCT(195, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13344])

    allocate(vertices(2597)%branchCT(0:1))
    call avCT(2597, 0, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_19443, nGC_19443])

    call avCT(2597, 1, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_19444, nGC_19444])

    allocate(vertices(1450)%branchCT(0:0))
    call avCT(1450, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(2599)%branchCT(0:0))
    call avCT(2599, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19993, nGC_19992,       &
    nGC_19992])

    allocate(vertices(2600)%branchCT(0:0))
    call avCT(2600, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(1406)%branchCT(0:0))
    call avCT(1406, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19105])

    allocate(vertices(2602)%branchCT(0:0))
    call avCT(2602, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20004])

    allocate(vertices(1072)%branchCT(0:0))
    call avCT(1072, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19124])

    allocate(vertices(448)%branchCT(0:0))
    call avCT(448, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_20013])

    allocate(vertices(200)%branchCT(0:0))
    call avCT(200, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13381])

    allocate(vertices(201)%branchCT(0:0))
    call avCT(201, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(202)%branchCT(0:1))
    call avCT(202, 0, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_19599, nGC_19599])

    call avCT(202, 1, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_19600, nGC_19600])

    allocate(vertices(1139)%branchCT(0:0))
    call avCT(1139, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19368])

    allocate(vertices(204)%branchCT(0:0))
    call avCT(204, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(2607)%branchCT(0:0))
    call avCT(2607, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19368])

    allocate(vertices(2610)%branchCT(0:0))
    call avCT(2610, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(206)%branchCT(0:0))
    call avCT(206, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19312])

    allocate(vertices(3368)%branchCT(0:0))
    call avCT(3368, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(1256)%branchCT(0:0))
    call avCT(1256, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19105])

    allocate(vertices(208)%branchCT(0:0))
    call avCT(208, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(2612)%branchCT(0:0))
    call avCT(2612, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(4987)%branchCT(0:0))
    call avCT(4987, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_20056])

    allocate(vertices(2852)%branchCT(0:0))
    call avCT(2852, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2614)%branchCT(0:1))
    call avCT(2614, 0, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_19406, nGC_19406])

    call avCT(2614, 1, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_19404, nGC_19404])

    allocate(vertices(212)%branchCT(0:0))
    call avCT(212, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19303])

    allocate(vertices(2615)%branchCT(0:0))
    call avCT(2615, 0, 1, 1, 0, VVV2, 0, [0, 3], [nGC_20077, nGC_20078])

    allocate(vertices(2616)%branchCT(0:0))
    call avCT(2616, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13340])

    allocate(vertices(2053)%branchCT(0:0))
    call avCT(2053, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(216)%branchCT(0:0))
    call avCT(216, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19903])

    allocate(vertices(2620)%branchCT(0:0))
    call avCT(2620, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(219)%branchCT(0:0))
    call avCT(219, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(4357)%branchCT(0:0))
    call avCT(4357, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(221)%branchCT(0:0))
    call avCT(221, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_19673])

    allocate(vertices(1273)%branchCT(0:0))
    call avCT(1273, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13366])

    allocate(vertices(2625)%branchCT(0:0))
    call avCT(2625, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(2627)%branchCT(0:0))
    call avCT(2627, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19195])

    allocate(vertices(2628)%branchCT(0:0))
    call avCT(2628, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19775])

    allocate(vertices(1295)%branchCT(0:0))
    call avCT(1295, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19250])

    allocate(vertices(4988)%branchCT(0:0))
    call avCT(4988, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_20116, nGC_20117])

    allocate(vertices(3679)%branchCT(0:0))
    call avCT(3679, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19648, nGC_19649,       &
    nGC_19649])

    allocate(vertices(224)%branchCT(0:0))
    call avCT(224, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19255])

    allocate(vertices(4043)%branchCT(0:0))
    call avCT(4043, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13343])

    allocate(vertices(226)%branchCT(0:1))
    call avCT(226, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_20137, nGC_20138])

    call avCT(226, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_20134, nGC_20130])

    allocate(vertices(228)%branchCT(0:0))
    call avCT(228, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

    allocate(vertices(2637)%branchCT(0:0))
    call avCT(2637, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(2638)%branchCT(0:0))
    call avCT(2638, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_20151, nGC_20152])

    allocate(vertices(1642)%branchCT(0:0))
    call avCT(1642, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19199])

    allocate(vertices(232)%branchCT(0:0))
    call avCT(232, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_20158])

    allocate(vertices(822)%branchCT(0:0))
    call avCT(822, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(4970)%branchCT(0:1))
    call avCT(4970, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_19639, nGC_19638])

    call avCT(4970, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_19641, nGC_19640])

    allocate(vertices(858)%branchCT(0:0))
    call avCT(858, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19903])

    allocate(vertices(1369)%branchCT(0:0))
    call avCT(1369, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(4989)%branchCT(0:0))
    call avCT(4989, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20177])

    allocate(vertices(2647)%branchCT(0:0))
    call avCT(2647, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_19673])

    allocate(vertices(2648)%branchCT(0:0))
    call avCT(2648, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(1380)%branchCT(0:0))
    call avCT(1380, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20189])

    allocate(vertices(239)%branchCT(0:0))
    call avCT(239, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_19127])

    allocate(vertices(1388)%branchCT(0:0))
    call avCT(1388, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(241)%branchCT(0:0))
    call avCT(241, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_20198])

    allocate(vertices(1401)%branchCT(0:0))
    call avCT(1401, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13343])

    allocate(vertices(4071)%branchCT(0:0))
    call avCT(4071, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19379])

    allocate(vertices(1413)%branchCT(0:0))
    call avCT(1413, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(2654)%branchCT(0:0))
    call avCT(2654, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(2828)%branchCT(0:0))
    call avCT(2828, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(246)%branchCT(0:0))
    call avCT(246, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_19127])

    allocate(vertices(4323)%branchCT(0:0))
    call avCT(4323, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_19612, nGC_19613])

    allocate(vertices(248)%branchCT(0:0))
    call avCT(248, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_20229, nGC_20229])

    allocate(vertices(249)%branchCT(0:0))
    call avCT(249, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_20232])

    allocate(vertices(250)%branchCT(0:0))
    call avCT(250, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13340])

    allocate(vertices(251)%branchCT(0:0))
    call avCT(251, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(2662)%branchCT(0:0))
    call avCT(2662, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19124])

    allocate(vertices(254)%branchCT(0:0))
    call avCT(254, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19492])

    allocate(vertices(2663)%branchCT(0:0))
    call avCT(2663, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_19330])

    allocate(vertices(1483)%branchCT(0:0))
    call avCT(1483, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13361])

    allocate(vertices(4541)%branchCT(0:0))
    call avCT(4541, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13367])

    allocate(vertices(257)%branchCT(0:0))
    call avCT(257, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(258)%branchCT(0:0))
    call avCT(258, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(2667)%branchCT(0:0))
    call avCT(2667, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_19108])

    allocate(vertices(259)%branchCT(0:0))
    call avCT(259, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20258])

    allocate(vertices(2669)%branchCT(0:3))
    call avCT(2669, 0, 90, 4, 0, FaVF0, 0, [1, 2], [nGC_20261, nGC_20263])

    call avCT(2669, 1, 90, 4, 0, FaVF0, 0, [3, 0], [nGC_20265, nGC_20266])

    call avCT(2669, 2, 91, 5, 0, FaVF0, 0, [1, 2], [nGC_20261, nGC_20263])

    call avCT(2669, 3, 91, 5, 0, FaVF0, 0, [3, 0], [nGC_20265, nGC_20266])

    allocate(vertices(261)%branchCT(0:0))
    call avCT(261, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19992, nGC_19992,        &
    nGC_19993])

    allocate(vertices(4990)%branchCT(0:0))
    call avCT(4990, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20177])

    allocate(vertices(2674)%branchCT(0:0))
    call avCT(2674, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19076])

    allocate(vertices(2675)%branchCT(0:0))
    call avCT(2675, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2676)%branchCT(0:0))
    call avCT(2676, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13343])

    allocate(vertices(265)%branchCT(0:3))
    call avCT(265, 0, 11, 4, 0, FFaV0, 0, [1, 2], [nGC_19178, nGC_19176])

    call avCT(265, 1, 11, 4, 0, FFaV0, 0, [3, 0], [nGC_19181, nGC_19182])

    call avCT(265, 2, 12, 5, 0, FFaV0, 0, [1, 2], [nGC_19178, nGC_19176])

    call avCT(265, 3, 12, 5, 0, FFaV0, 0, [3, 0], [nGC_19181, nGC_19182])

    allocate(vertices(2678)%branchCT(0:0))
    call avCT(2678, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(2679)%branchCT(0:0))
    call avCT(2679, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20307])

    allocate(vertices(2680)%branchCT(0:0))
    call avCT(2680, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_20232])

    allocate(vertices(866)%branchCT(0:0))
    call avCT(866, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13361])

    allocate(vertices(267)%branchCT(0:5))
    call avCT(267, 0, 4, 3, 0, UaUVV0, 0, [4, 0], [nGC_19137])

    call avCT(267, 1, 5, 3, 0, UaUVV0, 0, [4, 0], [nGC_19137])

    call avCT(267, 2, 6, 2, 0, UaUVV0, 0, [4, 0], [nGC_19134])

    call avCT(267, 3, 7, 2, 0, UaUVV0, 0, [4, 0], [nGC_19134])

    call avCT(267, 4, 8, 2, 0, UaUVV0, 0, [4, 0], [nGC_19134])

    call avCT(267, 5, 9, 2, 0, UaUVV0, 0, [4, 0], [nGC_19134])

    allocate(vertices(2861)%branchCT(0:0))
    call avCT(2861, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19199])

    allocate(vertices(2684)%branchCT(0:0))
    call avCT(2684, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(4328)%branchCT(0:0))
    call avCT(4328, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(2687)%branchCT(0:0))
    call avCT(2687, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(2688)%branchCT(0:0))
    call avCT(2688, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_20158])

    allocate(vertices(2689)%branchCT(0:0))
    call avCT(2689, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(868)%branchCT(0:0))
    call avCT(868, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19264, nGC_19265,        &
    nGC_19264])

    allocate(vertices(2690)%branchCT(0:0))
    call avCT(2690, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19148])

    allocate(vertices(2691)%branchCT(0:0))
    call avCT(2691, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20352])

    allocate(vertices(276)%branchCT(0:0))
    call avCT(276, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20004])

    allocate(vertices(50)%branchCT(0:0))
    call avCT(50, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(279)%branchCT(0:1))
    call avCT(279, 0, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_20366, nGC_20367])

    call avCT(279, 1, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_20368, nGC_20369])

    allocate(vertices(2694)%branchCT(0:0))
    call avCT(2694, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(281)%branchCT(0:0))
    call avCT(281, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_20375])

    allocate(vertices(1641)%branchCT(0:0))
    call avCT(1641, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_20229, nGC_20229])

    allocate(vertices(283)%branchCT(0:0))
    call avCT(283, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_20383])

    allocate(vertices(284)%branchCT(0:0))
    call avCT(284, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13341])

    allocate(vertices(2697)%branchCT(0:0))
    call avCT(2697, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2700)%branchCT(0:0))
    call avCT(2700, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20307])

    allocate(vertices(287)%branchCT(0:0))
    call avCT(287, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(288)%branchCT(0:0))
    call avCT(288, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13341])

    allocate(vertices(2703)%branchCT(0:0))
    call avCT(2703, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_20232])

    allocate(vertices(290)%branchCT(0:0))
    call avCT(290, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_20404, nGC_20405])

    allocate(vertices(1649)%branchCT(0:0))
    call avCT(1649, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(3056)%branchCT(0:0))
    call avCT(3056, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20211])

    allocate(vertices(293)%branchCT(0:1))
    call avCT(293, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_20417, nGC_20418])

    call avCT(293, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_20419, nGC_20420])

    allocate(vertices(2705)%branchCT(0:0))
    call avCT(2705, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(295)%branchCT(0:1))
    call avCT(295, 0, 85, 1, 0, FaVF0, 0, [0, 3], [nGC_20433, nGC_20434])

    call avCT(295, 1, 85, 1, 0, FaVF0, 0, [2, 1], [nGC_20427, nGC_20430])

    allocate(vertices(52)%branchCT(0:0))
    call avCT(52, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(297)%branchCT(0:0))
    call avCT(297, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19250])

    allocate(vertices(2708)%branchCT(0:0))
    call avCT(2708, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(2068)%branchCT(0:0))
    call avCT(2068, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19195])

    allocate(vertices(300)%branchCT(0:0))
    call avCT(300, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2711)%branchCT(0:0))
    call avCT(2711, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_20232])

    allocate(vertices(2713)%branchCT(0:0))
    call avCT(2713, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(302)%branchCT(0:1))
    call avCT(302, 0, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_19275, nGC_19275])

    call avCT(302, 1, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_19276, nGC_19276])

    allocate(vertices(303)%branchCT(0:0))
    call avCT(303, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13343])

    allocate(vertices(3693)%branchCT(0:0))
    call avCT(3693, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19303])

    allocate(vertices(1759)%branchCT(0:0))
    call avCT(1759, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(2715)%branchCT(0:3))
    call avCT(2715, 0, 11, 4, 0, FFaV0, 0, [1, 2], [nGC_20472, nGC_20468])

    call avCT(2715, 1, 11, 4, 0, FFaV0, 0, [3, 0], [nGC_20474, nGC_20475])

    call avCT(2715, 2, 12, 5, 0, FFaV0, 0, [1, 2], [nGC_20472, nGC_20468])

    call avCT(2715, 3, 12, 5, 0, FFaV0, 0, [3, 0], [nGC_20474, nGC_20475])

    allocate(vertices(2716)%branchCT(0:0))
    call avCT(2716, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20307])

    allocate(vertices(2909)%branchCT(0:0))
    call avCT(2909, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_19108])

    allocate(vertices(4258)%branchCT(0:0))
    call avCT(4258, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_19108])

    allocate(vertices(309)%branchCT(0:0))
    call avCT(309, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(55)%branchCT(0:5))
    call avCT(55, 0, 65, 2, 0, VUaVU0, 0, [4, 0], [nGC_19134])

    call avCT(55, 1, 66, 2, 0, VUaVU0, 0, [4, 0], [nGC_19134])

    call avCT(55, 2, 67, 2, 0, VUaVU0, 0, [4, 0], [nGC_19134])

    call avCT(55, 3, 68, 2, 0, VUaVU0, 0, [4, 0], [nGC_19134])

    call avCT(55, 4, 69, 3, 0, VUaVU0, 0, [4, 0], [nGC_19137])

    call avCT(55, 5, 70, 3, 0, VUaVU0, 0, [4, 0], [nGC_19137])

    allocate(vertices(1799)%branchCT(0:0))
    call avCT(1799, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(4991)%branchCT(0:0))
    call avCT(4991, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20177])

    allocate(vertices(312)%branchCT(0:0))
    call avCT(312, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19368])

    allocate(vertices(313)%branchCT(0:0))
    call avCT(313, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_20514, nGC_20514])

    allocate(vertices(2724)%branchCT(0:0))
    call avCT(2724, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(2725)%branchCT(0:0))
    call avCT(2725, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(1835)%branchCT(0:0))
    call avCT(1835, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(316)%branchCT(0:0))
    call avCT(316, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_20533, nGC_20534])

    allocate(vertices(4992)%branchCT(0:0))
    call avCT(4992, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_20056])

    allocate(vertices(318)%branchCT(0:0))
    call avCT(318, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19379])

    allocate(vertices(45)%branchCT(0:0))
    call avCT(45, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(320)%branchCT(0:0))
    call avCT(320, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13361])

    allocate(vertices(1872)%branchCT(0:0))
    call avCT(1872, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(2468)%branchCT(0:0))
    call avCT(2468, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(322)%branchCT(0:0))
    call avCT(322, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(2730)%branchCT(0:0))
    call avCT(2730, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13370])

    allocate(vertices(2731)%branchCT(0:0))
    call avCT(2731, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19070])

    allocate(vertices(4966)%branchCT(0:0))
    call avCT(4966, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19347])

    allocate(vertices(326)%branchCT(0:0))
    call avCT(326, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(327)%branchCT(0:0))
    call avCT(327, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19549])

    allocate(vertices(3816)%branchCT(0:0))
    call avCT(3816, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(1653)%branchCT(0:0))
    call avCT(1653, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19124])

    allocate(vertices(2737)%branchCT(0:0))
    call avCT(2737, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13361])

    allocate(vertices(2739)%branchCT(0:0))
    call avCT(2739, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_19108])

    allocate(vertices(4993)%branchCT(0:0))
    call avCT(4993, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19352])

    allocate(vertices(2740)%branchCT(0:5))
    call avCT(2740, 0, 47, 2, 0, VVUUa0, 0, [4, 0], [nGC_19134])

    call avCT(2740, 1, 48, 2, 0, VVUUa0, 0, [4, 0], [nGC_19134])

    call avCT(2740, 2, 49, 2, 0, VVUUa0, 0, [4, 0], [nGC_19134])

    call avCT(2740, 3, 50, 2, 0, VVUUa0, 0, [4, 0], [nGC_19134])

    call avCT(2740, 4, 51, 3, 0, VVUUa0, 0, [4, 0], [nGC_19137])

    call avCT(2740, 5, 52, 3, 0, VVUUa0, 0, [4, 0], [nGC_19137])

    allocate(vertices(4192)%branchCT(0:0))
    call avCT(4192, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(333)%branchCT(0:0))
    call avCT(333, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(2742)%branchCT(0:0))
    call avCT(2742, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(334)%branchCT(0:1))
    call avCT(334, 0, 2, 6, 0, VVV0, 0, [3, 0], [nGC_20602])

    call avCT(334, 1, 3, 7, 0, VVV0, 0, [3, 0], [nGC_20602])

    allocate(vertices(335)%branchCT(0:0))
    call avCT(335, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(737)%branchCT(0:0))
    call avCT(737, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19131])

    allocate(vertices(1990)%branchCT(0:0))
    call avCT(1990, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19785])

    allocate(vertices(2748)%branchCT(0:0))
    call avCT(2748, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_20151, nGC_20152])

    allocate(vertices(337)%branchCT(0:0))
    call avCT(337, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19498])

    allocate(vertices(2750)%branchCT(0:0))
    call avCT(2750, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(61)%branchCT(0:0))
    call avCT(61, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20189])

    allocate(vertices(2751)%branchCT(0:0))
    call avCT(2751, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19124])

    allocate(vertices(2752)%branchCT(0:0))
    call avCT(2752, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3282)%branchCT(0:0))
    call avCT(3282, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(342)%branchCT(0:5))
    call avCT(342, 0, 59, 2, 0, VUaUV0, 0, [4, 0], [nGC_19134])

    call avCT(342, 1, 60, 2, 0, VUaUV0, 0, [4, 0], [nGC_19134])

    call avCT(342, 2, 61, 2, 0, VUaUV0, 0, [4, 0], [nGC_19134])

    call avCT(342, 3, 62, 2, 0, VUaUV0, 0, [4, 0], [nGC_19134])

    call avCT(342, 4, 63, 3, 0, VUaUV0, 0, [4, 0], [nGC_19137])

    call avCT(342, 5, 64, 3, 0, VUaUV0, 0, [4, 0], [nGC_19137])

    allocate(vertices(343)%branchCT(0:0))
    call avCT(343, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(1655)%branchCT(0:0))
    call avCT(1655, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(2755)%branchCT(0:0))
    call avCT(2755, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19368])

    allocate(vertices(2054)%branchCT(0:0))
    call avCT(2054, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(2474)%branchCT(0:0))
    call avCT(2474, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(2757)%branchCT(0:0))
    call avCT(2757, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19131])

    allocate(vertices(2758)%branchCT(0:0))
    call avCT(2758, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(347)%branchCT(0:0))
    call avCT(347, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(349)%branchCT(0:0))
    call avCT(349, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19492])

    allocate(vertices(350)%branchCT(0:0))
    call avCT(350, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_19096])

    allocate(vertices(2586)%branchCT(0:0))
    call avCT(2586, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(351)%branchCT(0:0))
    call avCT(351, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(2763)%branchCT(0:0))
    call avCT(2763, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(4994)%branchCT(0:0))
    call avCT(4994, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_19427])

    allocate(vertices(2076)%branchCT(0:0))
    call avCT(2076, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20004])

    allocate(vertices(2766)%branchCT(0:0))
    call avCT(2766, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20307])

    allocate(vertices(4995)%branchCT(0:0))
    call avCT(4995, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19837])

    allocate(vertices(4139)%branchCT(0:0))
    call avCT(4139, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(2875)%branchCT(0:0))
    call avCT(2875, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13381])

    allocate(vertices(3705)%branchCT(0:0))
    call avCT(3705, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(2771)%branchCT(0:0))
    call avCT(2771, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_19330])

    allocate(vertices(2772)%branchCT(0:0))
    call avCT(2772, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(356)%branchCT(0:0))
    call avCT(356, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2152)%branchCT(0:0))
    call avCT(2152, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19498])

    allocate(vertices(357)%branchCT(0:0))
    call avCT(357, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(358)%branchCT(0:0))
    call avCT(358, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(359)%branchCT(0:0))
    call avCT(359, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20724, nGC_20725,        &
    nGC_20725])

    allocate(vertices(1284)%branchCT(0:0))
    call avCT(1284, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19195])

    allocate(vertices(361)%branchCT(0:0))
    call avCT(361, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19199])

    allocate(vertices(2776)%branchCT(0:0))
    call avCT(2776, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(888)%branchCT(0:0))
    call avCT(888, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(2778)%branchCT(0:0))
    call avCT(2778, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19250])

    allocate(vertices(364)%branchCT(0:0))
    call avCT(364, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(2779)%branchCT(0:0))
    call avCT(2779, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_20746])

    allocate(vertices(365)%branchCT(0:0))
    call avCT(365, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(4996)%branchCT(0:0))
    call avCT(4996, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19837])

    allocate(vertices(366)%branchCT(0:0))
    call avCT(366, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19195])

    allocate(vertices(2780)%branchCT(0:0))
    call avCT(2780, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_20756])

    allocate(vertices(367)%branchCT(0:0))
    call avCT(367, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2782)%branchCT(0:0))
    call avCT(2782, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19368])

    allocate(vertices(2783)%branchCT(0:1))
    call avCT(2783, 0, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_20772, nGC_20773])

    call avCT(2783, 1, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_20768, nGC_20765])

    allocate(vertices(2080)%branchCT(0:0))
    call avCT(2080, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19195])

    allocate(vertices(373)%branchCT(0:0))
    call avCT(373, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19725])

    allocate(vertices(4037)%branchCT(0:0))
    call avCT(4037, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(2786)%branchCT(0:0))
    call avCT(2786, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(2787)%branchCT(0:0))
    call avCT(2787, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(377)%branchCT(0:0))
    call avCT(377, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(3707)%branchCT(0:1))
    call avCT(3707, 0, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_19465, nGC_19464])

    call avCT(3707, 1, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_19467, nGC_19466])

    allocate(vertices(379)%branchCT(0:0))
    call avCT(379, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19076])

    allocate(vertices(2280)%branchCT(0:0))
    call avCT(2280, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(2791)%branchCT(0:0))
    call avCT(2791, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_19793])

    allocate(vertices(2290)%branchCT(0:0))
    call avCT(2290, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20814])

    allocate(vertices(4143)%branchCT(0:0))
    call avCT(4143, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(384)%branchCT(0:0))
    call avCT(384, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(2311)%branchCT(0:0))
    call avCT(2311, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19492])

    allocate(vertices(386)%branchCT(0:1))
    call avCT(386, 0, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_20366, nGC_20367])

    call avCT(386, 1, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_20368, nGC_20369])

    allocate(vertices(2692)%branchCT(0:0))
    call avCT(2692, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(3290)%branchCT(0:0))
    call avCT(3290, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20835])

    allocate(vertices(389)%branchCT(0:0))
    call avCT(389, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(2327)%branchCT(0:0))
    call avCT(2327, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_20842])

    allocate(vertices(391)%branchCT(0:0))
    call avCT(391, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19303])

    allocate(vertices(392)%branchCT(0:0))
    call avCT(392, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_20383])

    allocate(vertices(393)%branchCT(0:0))
    call avCT(393, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20307])

    allocate(vertices(394)%branchCT(0:0))
    call avCT(394, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_13370])

    allocate(vertices(3605)%branchCT(0:0))
    call avCT(3605, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_19359, nGC_19358])

    allocate(vertices(3631)%branchCT(0:0))
    call avCT(3631, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19124])

    allocate(vertices(2354)%branchCT(0:0))
    call avCT(2354, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(4997)%branchCT(0:0))
    call avCT(4997, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_19427])

    allocate(vertices(893)%branchCT(0:0))
    call avCT(893, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(398)%branchCT(0:0))
    call avCT(398, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19250])

    allocate(vertices(399)%branchCT(0:0))
    call avCT(399, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19422])

    allocate(vertices(2803)%branchCT(0:0))
    call avCT(2803, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13343])

    allocate(vertices(2805)%branchCT(0:0))
    call avCT(2805, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13341])

    allocate(vertices(403)%branchCT(0:0))
    call avCT(403, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_20882, nGC_20882])

    allocate(vertices(447)%branchCT(0:0))
    call avCT(447, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(2808)%branchCT(0:0))
    call avCT(2808, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(2395)%branchCT(0:0))
    call avCT(2395, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19549])

    allocate(vertices(4998)%branchCT(0:0))
    call avCT(4998, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20891])

    allocate(vertices(2085)%branchCT(0:0))
    call avCT(2085, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19124])

    allocate(vertices(407)%branchCT(0:0))
    call avCT(407, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19312])

    allocate(vertices(408)%branchCT(0:0))
    call avCT(408, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19781])

    allocate(vertices(3457)%branchCT(0:0))
    call avCT(3457, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20189])

    allocate(vertices(4662)%branchCT(0:0))
    call avCT(4662, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(411)%branchCT(0:0))
    call avCT(411, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20211])

    allocate(vertices(412)%branchCT(0:0))
    call avCT(412, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_20232])

    allocate(vertices(414)%branchCT(0:0))
    call avCT(414, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20835])

    allocate(vertices(2433)%branchCT(0:0))
    call avCT(2433, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(2817)%branchCT(0:0))
    call avCT(2817, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_20921, nGC_20922])

    allocate(vertices(2818)%branchCT(0:0))
    call avCT(2818, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13344])

    allocate(vertices(418)%branchCT(0:0))
    call avCT(418, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_20927])

    allocate(vertices(895)%branchCT(0:0))
    call avCT(895, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(2822)%branchCT(0:0))
    call avCT(2822, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19255])

    allocate(vertices(422)%branchCT(0:0))
    call avCT(422, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(423)%branchCT(0:1))
    call avCT(423, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_19465, nGC_19464])

    call avCT(423, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_19467, nGC_19466])

    allocate(vertices(77)%branchCT(0:0))
    call avCT(77, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(819)%branchCT(0:0))
    call avCT(819, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19124])

    allocate(vertices(2824)%branchCT(0:0))
    call avCT(2824, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19076])

    allocate(vertices(2487)%branchCT(0:0))
    call avCT(2487, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(896)%branchCT(0:0))
    call avCT(896, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_20232])

    allocate(vertices(4999)%branchCT(0:1))
    call avCT(4999, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_20968, nGC_20960,       &
    nGC_20971, nGC_20971])

    call avCT(4999, 1, 14, 1, 0, FFa1, 0, [2, 0], [nGC_20969, nGC_20961,       &
    nGC_20972, nGC_20972])

    allocate(vertices(428)%branchCT(0:1))
    call avCT(428, 0, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_19770, nGC_19770])

    call avCT(428, 1, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_19771, nGC_19771])

    allocate(vertices(429)%branchCT(0:0))
    call avCT(429, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(1673)%branchCT(0:0))
    call avCT(1673, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(431)%branchCT(0:0))
    call avCT(431, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19498])

    allocate(vertices(4565)%branchCT(0:0))
    call avCT(4565, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2514)%branchCT(0:0))
    call avCT(2514, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(3715)%branchCT(0:0))
    call avCT(3715, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(2528)%branchCT(0:0))
    call avCT(2528, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(2205)%branchCT(0:0))
    call avCT(2205, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(2838)%branchCT(0:1))
    call avCT(2838, 0, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_21008, nGC_21009])

    call avCT(2838, 1, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_21010, nGC_21011])

    allocate(vertices(2839)%branchCT(0:1))
    call avCT(2839, 0, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_21010, nGC_21011])

    call avCT(2839, 1, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_21008, nGC_21009])

    allocate(vertices(436)%branchCT(0:0))
    call avCT(436, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_19612, nGC_19613])

    allocate(vertices(437)%branchCT(0:0))
    call avCT(437, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(438)%branchCT(0:1))
    call avCT(438, 0, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_19406, nGC_19406])

    call avCT(438, 1, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_19404, nGC_19404])

    allocate(vertices(3527)%branchCT(0:0))
    call avCT(3527, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(440)%branchCT(0:0))
    call avCT(440, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_21043, nGC_21044])

    allocate(vertices(3718)%branchCT(0:0))
    call avCT(3718, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(2558)%branchCT(0:0))
    call avCT(2558, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19076])

    allocate(vertices(2567)%branchCT(0:0))
    call avCT(2567, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(2844)%branchCT(0:0))
    call avCT(2844, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(444)%branchCT(0:0))
    call avCT(444, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19992, nGC_19993,        &
    nGC_19992])

    allocate(vertices(445)%branchCT(0:0))
    call avCT(445, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(2847)%branchCT(0:0))
    call avCT(2847, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(2850)%branchCT(0:0))
    call avCT(2850, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_21072])

    allocate(vertices(449)%branchCT(0:0))
    call avCT(449, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(450)%branchCT(0:0))
    call avCT(450, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(451)%branchCT(0:1))
    call avCT(451, 0, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_21088, nGC_21088])

    call avCT(451, 1, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_21089, nGC_21089])

    allocate(vertices(452)%branchCT(0:0))
    call avCT(452, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19195])

    allocate(vertices(1964)%branchCT(0:0))
    call avCT(1964, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(2854)%branchCT(0:0))
    call avCT(2854, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20004])

    allocate(vertices(453)%branchCT(0:3))
    call avCT(453, 0, 90, 4, 0, FaVF0, 0, [1, 2], [nGC_19178, nGC_19176])

    call avCT(453, 1, 90, 4, 0, FaVF0, 0, [3, 0], [nGC_19181, nGC_19182])

    call avCT(453, 2, 91, 5, 0, FaVF0, 0, [1, 2], [nGC_19178, nGC_19176])

    call avCT(453, 3, 91, 5, 0, FaVF0, 0, [3, 0], [nGC_19181, nGC_19182])

    allocate(vertices(4154)%branchCT(0:0))
    call avCT(4154, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(2856)%branchCT(0:0))
    call avCT(2856, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13361])

    allocate(vertices(455)%branchCT(0:1))
    call avCT(455, 0, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_21010, nGC_21011])

    call avCT(455, 1, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_21008, nGC_21009])

    allocate(vertices(2857)%branchCT(0:0))
    call avCT(2857, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(2858)%branchCT(0:0))
    call avCT(2858, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_19127])

    allocate(vertices(83)%branchCT(0:0))
    call avCT(83, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(2465)%branchCT(0:0))
    call avCT(2465, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(4266)%branchCT(0:0))
    call avCT(4266, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(2661)%branchCT(0:0))
    call avCT(2661, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(4599)%branchCT(0:0))
    call avCT(4599, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(2668)%branchCT(0:0))
    call avCT(2668, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(4598)%branchCT(0:0))
    call avCT(4598, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19199])

    allocate(vertices(5000)%branchCT(0:0))
    call avCT(5000, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_19427])

    allocate(vertices(2683)%branchCT(0:0))
    call avCT(2683, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20211])

    allocate(vertices(4454)%branchCT(0:0))
    call avCT(4454, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19303])

    allocate(vertices(2864)%branchCT(0:0))
    call avCT(2864, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_21162, nGC_21163])

    allocate(vertices(2865)%branchCT(0:0))
    call avCT(2865, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(465)%branchCT(0:0))
    call avCT(465, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(305)%branchCT(0:0))
    call avCT(305, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19131])

    allocate(vertices(5001)%branchCT(0:0))
    call avCT(5001, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_21173, nGC_21174])

    allocate(vertices(468)%branchCT(0:0))
    call avCT(468, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(470)%branchCT(0:0))
    call avCT(470, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_19775])

    allocate(vertices(2871)%branchCT(0:0))
    call avCT(2871, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_19927, nGC_19927])

    allocate(vertices(4603)%branchCT(0:0))
    call avCT(4603, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_21191])

    allocate(vertices(2872)%branchCT(0:0))
    call avCT(2872, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(2894)%branchCT(0:0))
    call avCT(2894, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19250])

    allocate(vertices(475)%branchCT(0:0))
    call avCT(475, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_21203])

    allocate(vertices(2774)%branchCT(0:0))
    call avCT(2774, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19312])

    allocate(vertices(477)%branchCT(0:0))
    call avCT(477, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19422])

    allocate(vertices(2878)%branchCT(0:0))
    call avCT(2878, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2879)%branchCT(0:0))
    call avCT(2879, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_20534, nGC_20533])

    allocate(vertices(4708)%branchCT(0:0))
    call avCT(4708, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(2793)%branchCT(0:0))
    call avCT(2793, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(2882)%branchCT(0:0))
    call avCT(2882, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13367])

    allocate(vertices(480)%branchCT(0:0))
    call avCT(480, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19707])

    allocate(vertices(2804)%branchCT(0:0))
    call avCT(2804, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19148])

    allocate(vertices(3726)%branchCT(0:0))
    call avCT(3726, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19264, nGC_19264,       &
    nGC_19265])

    allocate(vertices(483)%branchCT(0:0))
    call avCT(483, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(3524)%branchCT(0:0))
    call avCT(3524, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(2888)%branchCT(0:0))
    call avCT(2888, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_21249])

    allocate(vertices(2889)%branchCT(0:0))
    call avCT(2889, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(486)%branchCT(0:0))
    call avCT(486, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19226])

    allocate(vertices(5002)%branchCT(0:0))
    call avCT(5002, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19837])

    allocate(vertices(2893)%branchCT(0:0))
    call avCT(2893, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19199])

    allocate(vertices(2874)%branchCT(0:0))
    call avCT(2874, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19250])

    allocate(vertices(490)%branchCT(0:1))
    call avCT(490, 0, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_21271, nGC_21271])

    call avCT(490, 1, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_21273, nGC_21273])

    allocate(vertices(492)%branchCT(0:0))
    call avCT(492, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19105])

    allocate(vertices(493)%branchCT(0:0))
    call avCT(493, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19312])

    allocate(vertices(494)%branchCT(0:1))
    call avCT(494, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_21290, nGC_21289])

    call avCT(494, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_21292, nGC_21291])

    allocate(vertices(2896)%branchCT(0:0))
    call avCT(2896, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13370])

    allocate(vertices(495)%branchCT(0:0))
    call avCT(495, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19785])

    allocate(vertices(2898)%branchCT(0:0))
    call avCT(2898, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(496)%branchCT(0:1))
    call avCT(496, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_21309, nGC_21310])

    call avCT(496, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_21306, nGC_21302])

    allocate(vertices(3310)%branchCT(0:0))
    call avCT(3310, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13361])

    allocate(vertices(2901)%branchCT(0:5))
    call avCT(2901, 0, 41, 2, 0, UaVUV0, 0, [4, 0], [nGC_19134])

    call avCT(2901, 1, 42, 2, 0, UaVUV0, 0, [4, 0], [nGC_19134])

    call avCT(2901, 2, 43, 2, 0, UaVUV0, 0, [4, 0], [nGC_19134])

    call avCT(2901, 3, 44, 2, 0, UaVUV0, 0, [4, 0], [nGC_19134])

    call avCT(2901, 4, 45, 3, 0, UaVUV0, 0, [4, 0], [nGC_19137])

    call avCT(2901, 5, 46, 3, 0, UaVUV0, 0, [4, 0], [nGC_19137])

    allocate(vertices(2902)%branchCT(0:0))
    call avCT(2902, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(2903)%branchCT(0:0))
    call avCT(2903, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(1686)%branchCT(0:0))
    call avCT(1686, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19785])

    allocate(vertices(5003)%branchCT(0:1))
    call avCT(5003, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_19939, nGC_19931,      &
    nGC_19942, nGC_19942])

    call avCT(5003, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_19940, nGC_19932,      &
    nGC_19943, nGC_19943])

    allocate(vertices(499)%branchCT(0:1))
    call avCT(499, 0, 85, 1, 0, FaVF1, 0, [0, 3], [nGC_19307])

    call avCT(499, 1, 85, 1, 0, FaVF1, 0, [2, 1], [nGC_19306])

    allocate(vertices(91)%branchCT(0:0))
    call avCT(91, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(2946)%branchCT(0:0))
    call avCT(2946, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(2953)%branchCT(0:0))
    call avCT(2953, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(2960)%branchCT(0:0))
    call avCT(2960, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19076])

    allocate(vertices(505)%branchCT(0:0))
    call avCT(505, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(506)%branchCT(0:0))
    call avCT(506, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_20232])

    allocate(vertices(507)%branchCT(0:0))
    call avCT(507, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(508)%branchCT(0:0))
    call avCT(508, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(1269)%branchCT(0:0))
    call avCT(1269, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(2913)%branchCT(0:0))
    call avCT(2913, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(510)%branchCT(0:1))
    call avCT(510, 0, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_21386, nGC_21387])

    call avCT(510, 1, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_21388, nGC_21389])

    allocate(vertices(2914)%branchCT(0:0))
    call avCT(2914, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(513)%branchCT(0:0))
    call avCT(513, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(2916)%branchCT(0:0))
    call avCT(2916, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19312])

    allocate(vertices(515)%branchCT(0:1))
    call avCT(515, 0, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_19464, nGC_19465])

    call avCT(515, 1, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_19466, nGC_19467])

    allocate(vertices(516)%branchCT(0:0))
    call avCT(516, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19124])

    allocate(vertices(2918)%branchCT(0:1))
    call avCT(2918, 0, 87, 1, 0, VFaF1, 0, [0, 3], [nGC_21417, nGC_21418])

    call avCT(2918, 1, 87, 1, 0, VFaF1, 0, [2, 1], [nGC_21410, nGC_21413])

    allocate(vertices(1688)%branchCT(0:0))
    call avCT(1688, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(3544)%branchCT(0:0))
    call avCT(3544, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(518)%branchCT(0:0))
    call avCT(518, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13370])

    allocate(vertices(520)%branchCT(0:0))
    call avCT(520, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19131])

    allocate(vertices(521)%branchCT(0:0))
    call avCT(521, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(2925)%branchCT(0:0))
    call avCT(2925, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(404)%branchCT(0:0))
    call avCT(404, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13340])

    allocate(vertices(2926)%branchCT(0:0))
    call avCT(2926, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19264, nGC_19264,       &
    nGC_19265])

    allocate(vertices(526)%branchCT(0:0))
    call avCT(526, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_20882, nGC_20882])

  end subroutine fill_vertices_mdl7
end module vertices_info7
