!******************************************************************************!
!                                                                              !
!    vertices_info8.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info8.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 14:34             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info8
  implicit none
  contains
  subroutine fill_vertices_mdl8()
    use class_vertices
    use class_couplings
    allocate(vertices(527)%branchCT(0:0))
    call avCT(527, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2928)%branchCT(0:0))
    call avCT(2928, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_20755])

    allocate(vertices(2503)%branchCT(0:0))
    call avCT(2503, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19725])

    allocate(vertices(3066)%branchCT(0:0))
    call avCT(3066, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19076])

    allocate(vertices(531)%branchCT(0:3))
    call avCT(531, 0, 92, 4, 0, FaFV0, 0, [1, 2], [nGC_21465, nGC_21463])

    call avCT(531, 1, 92, 4, 0, FaFV0, 0, [3, 0], [nGC_21467, nGC_21468])

    call avCT(531, 2, 93, 5, 0, FaFV0, 0, [1, 2], [nGC_21465, nGC_21463])

    call avCT(531, 3, 93, 5, 0, FaFV0, 0, [3, 0], [nGC_21467, nGC_21468])

    allocate(vertices(1237)%branchCT(0:0))
    call avCT(1237, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13366])

    allocate(vertices(534)%branchCT(0:0))
    call avCT(534, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19725])

    allocate(vertices(5004)%branchCT(0:0))
    call avCT(5004, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_21479, nGC_21480])

    allocate(vertices(2932)%branchCT(0:0))
    call avCT(2932, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_21483])

    allocate(vertices(2933)%branchCT(0:0))
    call avCT(2933, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13370])

    allocate(vertices(3734)%branchCT(0:0))
    call avCT(3734, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(2935)%branchCT(0:0))
    call avCT(2935, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19226])

    allocate(vertices(3735)%branchCT(0:1))
    call avCT(3735, 0, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_21290, nGC_21289])

    call avCT(3735, 1, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_21292, nGC_21291])

    allocate(vertices(538)%branchCT(0:0))
    call avCT(538, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_20927])

    allocate(vertices(539)%branchCT(0:0))
    call avCT(539, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19250])

    allocate(vertices(540)%branchCT(0:0))
    call avCT(540, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2937)%branchCT(0:1))
    call avCT(2937, 0, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_19406, nGC_19406])

    call avCT(2937, 1, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_19404, nGC_19404])

    allocate(vertices(2938)%branchCT(0:0))
    call avCT(2938, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(2059)%branchCT(0:0))
    call avCT(2059, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3144)%branchCT(0:0))
    call avCT(3144, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(96)%branchCT(0:0))
    call avCT(96, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(3162)%branchCT(0:0))
    call avCT(3162, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(545)%branchCT(0:1))
    call avCT(545, 0, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_19599, nGC_19599])

    call avCT(545, 1, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_19600, nGC_19600])

    allocate(vertices(2943)%branchCT(0:0))
    call avCT(2943, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(2944)%branchCT(0:0))
    call avCT(2944, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(2945)%branchCT(0:0))
    call avCT(2945, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(548)%branchCT(0:0))
    call avCT(548, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_21551])

    allocate(vertices(502)%branchCT(0:0))
    call avCT(502, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(549)%branchCT(0:0))
    call avCT(549, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_21562, nGC_21563])

    allocate(vertices(1631)%branchCT(0:0))
    call avCT(1631, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19250])

    allocate(vertices(3317)%branchCT(0:0))
    call avCT(3317, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19250])

    allocate(vertices(2950)%branchCT(0:0))
    call avCT(2950, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(2951)%branchCT(0:0))
    call avCT(2951, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_20921, nGC_20922])

    allocate(vertices(3233)%branchCT(0:0))
    call avCT(3233, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(553)%branchCT(0:0))
    call avCT(553, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(554)%branchCT(0:0))
    call avCT(554, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_19387])

    allocate(vertices(2507)%branchCT(0:0))
    call avCT(2507, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19738])

    allocate(vertices(2955)%branchCT(0:0))
    call avCT(2955, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(2956)%branchCT(0:1))
    call avCT(2956, 0, 85, 1, 0, FaVF1, 0, [0, 3], [nGC_19503])

    call avCT(2956, 1, 85, 1, 0, FaVF1, 0, [2, 1], [nGC_19502])

    allocate(vertices(555)%branchCT(0:0))
    call avCT(555, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(2958)%branchCT(0:0))
    call avCT(2958, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19264, nGC_19265,       &
    nGC_19264])

    allocate(vertices(2959)%branchCT(0:0))
    call avCT(2959, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_21562, nGC_21563])

    allocate(vertices(556)%branchCT(0:0))
    call avCT(556, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19303])

    allocate(vertices(557)%branchCT(0:0))
    call avCT(557, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_20756])

    allocate(vertices(4177)%branchCT(0:0))
    call avCT(4177, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19549])

    allocate(vertices(559)%branchCT(0:0))
    call avCT(559, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2961)%branchCT(0:1))
    call avCT(2961, 0, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_19638, nGC_19639])

    call avCT(2961, 1, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_19640, nGC_19641])

    allocate(vertices(560)%branchCT(0:0))
    call avCT(560, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(2962)%branchCT(0:1))
    call avCT(2962, 0, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_21635, nGC_21632])

    call avCT(2962, 1, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_21641, nGC_21642])

    allocate(vertices(561)%branchCT(0:0))
    call avCT(561, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(1301)%branchCT(0:0))
    call avCT(1301, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3319)%branchCT(0:0))
    call avCT(3319, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

    allocate(vertices(2907)%branchCT(0:0))
    call avCT(2907, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20814])

    allocate(vertices(1043)%branchCT(0:0))
    call avCT(1043, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19255])

    allocate(vertices(568)%branchCT(0:1))
    call avCT(568, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_21088, nGC_21088])

    call avCT(568, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_21089, nGC_21089])

    allocate(vertices(3330)%branchCT(0:0))
    call avCT(3330, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(572)%branchCT(0:0))
    call avCT(572, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(3349)%branchCT(0:0))
    call avCT(3349, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(574)%branchCT(0:0))
    call avCT(574, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19148])

    allocate(vertices(5005)%branchCT(0:0))
    call avCT(5005, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_19427])

    allocate(vertices(578)%branchCT(0:0))
    call avCT(578, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13342])

    allocate(vertices(579)%branchCT(0:0))
    call avCT(579, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19070])

    allocate(vertices(581)%branchCT(0:0))
    call avCT(581, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(2107)%branchCT(0:0))
    call avCT(2107, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(582)%branchCT(0:0))
    call avCT(582, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(2976)%branchCT(0:0))
    call avCT(2976, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(2977)%branchCT(0:0))
    call avCT(2977, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(3414)%branchCT(0:0))
    call avCT(3414, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20835])

    allocate(vertices(588)%branchCT(0:0))
    call avCT(588, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20211])

    allocate(vertices(589)%branchCT(0:0))
    call avCT(589, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19379])

    allocate(vertices(2979)%branchCT(0:0))
    call avCT(2979, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19195])

    allocate(vertices(591)%branchCT(0:0))
    call avCT(591, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19347])

    allocate(vertices(592)%branchCT(0:0))
    call avCT(592, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(2983)%branchCT(0:0))
    call avCT(2983, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19992, nGC_19992,       &
    nGC_19993])

    allocate(vertices(3453)%branchCT(0:0))
    call avCT(3453, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3464)%branchCT(0:0))
    call avCT(3464, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(2986)%branchCT(0:0))
    call avCT(2986, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_21731])

    allocate(vertices(3473)%branchCT(0:0))
    call avCT(3473, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13344])

    allocate(vertices(2989)%branchCT(0:0))
    call avCT(2989, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13370])

    allocate(vertices(4528)%branchCT(0:0))
    call avCT(4528, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(2991)%branchCT(0:0))
    call avCT(2991, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_20755])

    allocate(vertices(3499)%branchCT(0:0))
    call avCT(3499, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19725])

    allocate(vertices(4909)%branchCT(0:0))
    call avCT(4909, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20189])

    allocate(vertices(4036)%branchCT(0:0))
    call avCT(4036, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_21747])

    allocate(vertices(603)%branchCT(0:0))
    call avCT(603, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_21753])

    allocate(vertices(514)%branchCT(0:0))
    call avCT(514, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(604)%branchCT(0:0))
    call avCT(604, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19725])

    allocate(vertices(2917)%branchCT(0:0))
    call avCT(2917, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_20514, nGC_20514])

    allocate(vertices(3747)%branchCT(0:0))
    call avCT(3747, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3548)%branchCT(0:0))
    call avCT(3548, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20307])

    allocate(vertices(3558)%branchCT(0:0))
    call avCT(3558, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(5006)%branchCT(0:0))
    call avCT(5006, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_21480, nGC_21479])

    allocate(vertices(608)%branchCT(0:0))
    call avCT(608, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(4185)%branchCT(0:0))
    call avCT(4185, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_20232])

    allocate(vertices(609)%branchCT(0:0))
    call avCT(609, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(3584)%branchCT(0:0))
    call avCT(3584, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(3007)%branchCT(0:0))
    call avCT(3007, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_20755])

    allocate(vertices(2515)%branchCT(0:0))
    call avCT(2515, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19250])

    allocate(vertices(3009)%branchCT(0:0))
    call avCT(3009, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19347])

    allocate(vertices(612)%branchCT(0:1))
    call avCT(612, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_19444, nGC_19444])

    call avCT(612, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_19443, nGC_19443])

    allocate(vertices(3011)%branchCT(0:1))
    call avCT(3011, 0, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_20433, nGC_20434])

    call avCT(3011, 1, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_20427, nGC_20430])

    allocate(vertices(615)%branchCT(0:0))
    call avCT(615, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19131])

    allocate(vertices(616)%branchCT(0:1))
    call avCT(616, 0, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_21289, nGC_21290])

    call avCT(616, 1, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_21291, nGC_21292])

    allocate(vertices(617)%branchCT(0:0))
    call avCT(617, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(517)%branchCT(0:0))
    call avCT(517, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19492])

    allocate(vertices(3621)%branchCT(0:0))
    call avCT(3621, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19785])

    allocate(vertices(620)%branchCT(0:0))
    call avCT(620, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_19387])

    allocate(vertices(1517)%branchCT(0:0))
    call avCT(1517, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13344])

    allocate(vertices(3014)%branchCT(0:0))
    call avCT(3014, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(2681)%branchCT(0:0))
    call avCT(2681, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_20232])

    allocate(vertices(2747)%branchCT(0:0))
    call avCT(2747, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19076])

    allocate(vertices(5007)%branchCT(0:0))
    call avCT(5007, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_21852, nGC_21847])

    allocate(vertices(623)%branchCT(0:0))
    call avCT(623, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_19451])

    allocate(vertices(3331)%branchCT(0:0))
    call avCT(3331, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19131])

    allocate(vertices(2150)%branchCT(0:0))
    call avCT(2150, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19226])

    allocate(vertices(3017)%branchCT(0:0))
    call avCT(3017, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19199])

    allocate(vertices(5008)%branchCT(0:0))
    call avCT(5008, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20177])

    allocate(vertices(630)%branchCT(0:0))
    call avCT(630, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(3020)%branchCT(0:1))
    call avCT(3020, 0, 86, 1, 0, VFFa0, 0, [0, 3], [nGC_19307])

    call avCT(3020, 1, 86, 1, 0, VFFa0, 0, [2, 1], [nGC_19306])

    allocate(vertices(3023)%branchCT(0:0))
    call avCT(3023, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(634)%branchCT(0:1))
    call avCT(634, 0, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_21386, nGC_21387])

    call avCT(634, 1, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_21388, nGC_21389])

    allocate(vertices(635)%branchCT(0:0))
    call avCT(635, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19785])

    allocate(vertices(636)%branchCT(0:0))
    call avCT(636, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(3024)%branchCT(0:0))
    call avCT(3024, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_20514, nGC_20514])

    allocate(vertices(639)%branchCT(0:0))
    call avCT(639, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(1005)%branchCT(0:0))
    call avCT(1005, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19264, nGC_19264,       &
    nGC_19265])

    allocate(vertices(643)%branchCT(0:0))
    call avCT(643, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19347])

    allocate(vertices(1625)%branchCT(0:1))
    call avCT(1625, 0, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_19599, nGC_19599])

    call avCT(1625, 1, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_19600, nGC_19600])

    allocate(vertices(645)%branchCT(0:0))
    call avCT(645, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_21917])

    allocate(vertices(646)%branchCT(0:0))
    call avCT(646, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3032)%branchCT(0:0))
    call avCT(3032, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13342])

    allocate(vertices(4409)%branchCT(0:0))
    call avCT(4409, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(649)%branchCT(0:1))
    call avCT(649, 0, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_21932, nGC_21932])

    call avCT(649, 1, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_21933, nGC_21933])

    allocate(vertices(651)%branchCT(0:0))
    call avCT(651, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19255])

    allocate(vertices(2116)%branchCT(0:0))
    call avCT(2116, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(652)%branchCT(0:0))
    call avCT(652, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19738])

    allocate(vertices(4490)%branchCT(0:0))
    call avCT(4490, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19347])

    allocate(vertices(2117)%branchCT(0:0))
    call avCT(2117, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19096])

    allocate(vertices(3040)%branchCT(0:0))
    call avCT(3040, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3808)%branchCT(0:1))
    call avCT(3808, 0, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_19275, nGC_19275])

    call avCT(3808, 1, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_19276, nGC_19276])

    allocate(vertices(3042)%branchCT(0:0))
    call avCT(3042, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(657)%branchCT(0:0))
    call avCT(657, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_21072])

    allocate(vertices(658)%branchCT(0:0))
    call avCT(658, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19250])

    allocate(vertices(3853)%branchCT(0:0))
    call avCT(3853, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_19775])

    allocate(vertices(522)%branchCT(0:0))
    call avCT(522, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13361])

    allocate(vertices(661)%branchCT(0:0))
    call avCT(661, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19379])

    allocate(vertices(662)%branchCT(0:0))
    call avCT(662, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_20232])

    allocate(vertices(2522)%branchCT(0:0))
    call avCT(2522, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(3048)%branchCT(0:0))
    call avCT(3048, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(665)%branchCT(0:0))
    call avCT(665, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_21982, nGC_21983])

    allocate(vertices(3049)%branchCT(0:0))
    call avCT(3049, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13344])

    allocate(vertices(3050)%branchCT(0:0))
    call avCT(3050, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_21989])

    allocate(vertices(3899)%branchCT(0:0))
    call avCT(3899, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(668)%branchCT(0:0))
    call avCT(668, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19775])

    allocate(vertices(525)%branchCT(0:0))
    call avCT(525, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(670)%branchCT(0:0))
    call avCT(670, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20211])

    allocate(vertices(3924)%branchCT(0:0))
    call avCT(3924, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_20198])

    allocate(vertices(5009)%branchCT(0:0))
    call avCT(5009, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19837])

    allocate(vertices(3054)%branchCT(0:1))
    call avCT(3054, 0, 83, 1, 0, FVFa1, 0, [0, 3], [nGC_19307])

    call avCT(3054, 1, 83, 1, 0, FVFa1, 0, [2, 1], [nGC_19306])

    allocate(vertices(2927)%branchCT(0:0))
    call avCT(2927, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19105])

    allocate(vertices(674)%branchCT(0:0))
    call avCT(674, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(3798)%branchCT(0:0))
    call avCT(3798, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13365])

    allocate(vertices(3059)%branchCT(0:0))
    call avCT(3059, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20725, nGC_20724,       &
    nGC_20725])

    allocate(vertices(676)%branchCT(0:0))
    call avCT(676, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(3971)%branchCT(0:0))
    call avCT(3971, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(63)%branchCT(0:0))
    call avCT(63, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(3062)%branchCT(0:0))
    call avCT(3062, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3336)%branchCT(0:0))
    call avCT(3336, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(3337)%branchCT(0:0))
    call avCT(3337, 0, 1, 1, 0, VVV2, 0, [0, 3], [nGC_22043, nGC_22044])

    allocate(vertices(529)%branchCT(0:5))
    call avCT(529, 0, 23, 2, 0, UVUaV0, 0, [4, 0], [nGC_19134])

    call avCT(529, 1, 24, 2, 0, UVUaV0, 0, [4, 0], [nGC_19134])

    call avCT(529, 2, 25, 2, 0, UVUaV0, 0, [4, 0], [nGC_19134])

    call avCT(529, 3, 26, 2, 0, UVUaV0, 0, [4, 0], [nGC_19134])

    call avCT(529, 4, 27, 3, 0, UVUaV0, 0, [4, 0], [nGC_19137])

    call avCT(529, 5, 28, 3, 0, UVUaV0, 0, [4, 0], [nGC_19137])

    allocate(vertices(681)%branchCT(0:0))
    call avCT(681, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19312])

    allocate(vertices(5010)%branchCT(0:0))
    call avCT(5010, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_22066, nGC_22061,       &
    nGC_22068, nGC_22068])

    allocate(vertices(686)%branchCT(0:0))
    call avCT(686, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_21753])

    allocate(vertices(1021)%branchCT(0:0))
    call avCT(1021, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19255])

    allocate(vertices(931)%branchCT(0:0))
    call avCT(931, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13365])

    allocate(vertices(3070)%branchCT(0:0))
    call avCT(3070, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13340])

    allocate(vertices(689)%branchCT(0:0))
    call avCT(689, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(690)%branchCT(0:3))
    call avCT(690, 0, 92, 4, 0, FaFV0, 0, [1, 2], [nGC_20261, nGC_20263])

    call avCT(690, 1, 92, 4, 0, FaFV0, 0, [3, 0], [nGC_20265, nGC_20266])

    call avCT(690, 2, 93, 5, 0, FaFV0, 0, [1, 2], [nGC_20261, nGC_20263])

    call avCT(690, 3, 93, 5, 0, FaFV0, 0, [3, 0], [nGC_20265, nGC_20266])

    allocate(vertices(691)%branchCT(0:0))
    call avCT(691, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(4038)%branchCT(0:1))
    call avCT(4038, 0, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_19319, nGC_19320])

    call avCT(4038, 1, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_19321, nGC_19322])

    allocate(vertices(1830)%branchCT(0:0))
    call avCT(1830, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(5011)%branchCT(0:1))
    call avCT(5011, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_22114, nGC_22110,      &
    nGC_22117, nGC_22117])

    call avCT(5011, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_22115, nGC_22111,      &
    nGC_22118, nGC_22118])

    allocate(vertices(2404)%branchCT(0:0))
    call avCT(2404, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19422])

    allocate(vertices(1537)%branchCT(0:0))
    call avCT(1537, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(4641)%branchCT(0:0))
    call avCT(4641, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19148])

    allocate(vertices(3077)%branchCT(0:0))
    call avCT(3077, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20835])

    allocate(vertices(4201)%branchCT(0:0))
    call avCT(4201, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20307])

    allocate(vertices(3079)%branchCT(0:0))
    call avCT(3079, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3080)%branchCT(0:0))
    call avCT(3080, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(699)%branchCT(0:0))
    call avCT(699, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(5012)%branchCT(0:1))
    call avCT(5012, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_22114, nGC_22110,       &
    nGC_22117, nGC_22117])

    call avCT(5012, 1, 14, 1, 0, FFa1, 0, [2, 0], [nGC_22115, nGC_22111,       &
    nGC_22118, nGC_22118])

    allocate(vertices(3081)%branchCT(0:0))
    call avCT(3081, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_21917])

    allocate(vertices(3082)%branchCT(0:0))
    call avCT(3082, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13366])

    allocate(vertices(2123)%branchCT(0:0))
    call avCT(2123, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(5013)%branchCT(0:0))
    call avCT(5013, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19352])

    allocate(vertices(704)%branchCT(0:1))
    call avCT(704, 0, 85, 1, 0, FaVF0, 0, [0, 3], [nGC_19835, nGC_19836])

    call avCT(704, 1, 85, 1, 0, FaVF0, 0, [2, 1], [nGC_19830, nGC_19827])

    allocate(vertices(706)%branchCT(0:0))
    call avCT(706, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(5014)%branchCT(0:0))
    call avCT(5014, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22171])

    allocate(vertices(4145)%branchCT(0:0))
    call avCT(4145, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19159])

    allocate(vertices(5015)%branchCT(0:0))
    call avCT(5015, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19352])

    allocate(vertices(3746)%branchCT(0:0))
    call avCT(3746, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(3091)%branchCT(0:0))
    call avCT(3091, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2252)%branchCT(0:0))
    call avCT(2252, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_19108])

    allocate(vertices(2931)%branchCT(0:1))
    call avCT(2931, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_19307])

    call avCT(2931, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_19306])

    allocate(vertices(3092)%branchCT(0:0))
    call avCT(3092, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_19127])

    allocate(vertices(126)%branchCT(0:0))
    call avCT(126, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13342])

    allocate(vertices(3094)%branchCT(0:0))
    call avCT(3094, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(715)%branchCT(0:0))
    call avCT(715, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_19112])

    allocate(vertices(4204)%branchCT(0:0))
    call avCT(4204, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19303])

    allocate(vertices(3096)%branchCT(0:1))
    call avCT(3096, 0, 85, 1, 0, FaVF1, 0, [0, 3], [nGC_19222])

    call avCT(3096, 1, 85, 1, 0, FaVF1, 0, [2, 1], [nGC_19221])

    allocate(vertices(2126)%branchCT(0:0))
    call avCT(2126, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(718)%branchCT(0:0))
    call avCT(718, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(3098)%branchCT(0:0))
    call avCT(3098, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(1680)%branchCT(0:0))
    call avCT(1680, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19368])

    allocate(vertices(720)%branchCT(0:0))
    call avCT(720, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19903])

    allocate(vertices(106)%branchCT(0:0))
    call avCT(106, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19148])

    allocate(vertices(3102)%branchCT(0:0))
    call avCT(3102, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(2649)%branchCT(0:0))
    call avCT(2649, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19498])

    allocate(vertices(724)%branchCT(0:0))
    call avCT(724, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20211])

    allocate(vertices(3106)%branchCT(0:0))
    call avCT(3106, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(4274)%branchCT(0:0))
    call avCT(4274, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(727)%branchCT(0:0))
    call avCT(727, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19781])

    allocate(vertices(4667)%branchCT(0:0))
    call avCT(4667, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3111)%branchCT(0:0))
    call avCT(3111, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(729)%branchCT(0:0))
    call avCT(729, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(4300)%branchCT(0:0))
    call avCT(4300, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(4557)%branchCT(0:0))
    call avCT(4557, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_20927])

    allocate(vertices(3120)%branchCT(0:1))
    call avCT(3120, 0, 87, 1, 0, VFaF1, 0, [0, 3], [nGC_20433, nGC_20434])

    call avCT(3120, 1, 87, 1, 0, VFaF1, 0, [2, 1], [nGC_20427, nGC_20430])

    allocate(vertices(3346)%branchCT(0:0))
    call avCT(3346, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13343])

    allocate(vertices(3122)%branchCT(0:0))
    call avCT(3122, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(4359)%branchCT(0:0))
    call avCT(4359, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19148])

    allocate(vertices(732)%branchCT(0:0))
    call avCT(732, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(4677)%branchCT(0:0))
    call avCT(4677, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13361])

    allocate(vertices(735)%branchCT(0:0))
    call avCT(735, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(467)%branchCT(0:0))
    call avCT(467, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_19387])

    allocate(vertices(3130)%branchCT(0:0))
    call avCT(3130, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(3131)%branchCT(0:0))
    call avCT(3131, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(4859)%branchCT(0:0))
    call avCT(4859, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3133)%branchCT(0:0))
    call avCT(3133, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(739)%branchCT(0:0))
    call avCT(739, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22284])

    allocate(vertices(542)%branchCT(0:0))
    call avCT(542, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(740)%branchCT(0:0))
    call avCT(740, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(741)%branchCT(0:0))
    call avCT(741, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_21917])

    allocate(vertices(5016)%branchCT(0:0))
    call avCT(5016, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19837])

    allocate(vertices(3137)%branchCT(0:0))
    call avCT(3137, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19076])

    allocate(vertices(2744)%branchCT(0:0))
    call avCT(2744, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_21982, nGC_21983])

    allocate(vertices(3138)%branchCT(0:0))
    call avCT(3138, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3237)%branchCT(0:0))
    call avCT(3237, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3828)%branchCT(0:0))
    call avCT(3828, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19124])

    allocate(vertices(457)%branchCT(0:0))
    call avCT(457, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(4615)%branchCT(0:1))
    call avCT(4615, 0, 86, 1, 0, VFFa0, 0, [0, 3], [nGC_19222])

    call avCT(4615, 1, 86, 1, 0, VFFa0, 0, [2, 1], [nGC_19221])

    allocate(vertices(751)%branchCT(0:0))
    call avCT(751, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13341])

    allocate(vertices(5017)%branchCT(0:0))
    call avCT(5017, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19837])

    allocate(vertices(3146)%branchCT(0:0))
    call avCT(3146, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13370])

    allocate(vertices(3148)%branchCT(0:0))
    call avCT(3148, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19992, nGC_19992,       &
    nGC_19993])

    allocate(vertices(2132)%branchCT(0:0))
    call avCT(2132, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(753)%branchCT(0:0))
    call avCT(753, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3154)%branchCT(0:0))
    call avCT(3154, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_21551])

    allocate(vertices(3155)%branchCT(0:0))
    call avCT(3155, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(756)%branchCT(0:1))
    call avCT(756, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_21933, nGC_21933])

    call avCT(756, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_21932, nGC_21932])

    allocate(vertices(3156)%branchCT(0:0))
    call avCT(3156, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19303])

    allocate(vertices(3767)%branchCT(0:0))
    call avCT(3767, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(4519)%branchCT(0:0))
    call avCT(4519, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19226])

    allocate(vertices(758)%branchCT(0:0))
    call avCT(758, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(760)%branchCT(0:0))
    call avCT(760, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(4913)%branchCT(0:0))
    call avCT(4913, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(3108)%branchCT(0:0))
    call avCT(3108, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19738])

    allocate(vertices(4564)%branchCT(0:0))
    call avCT(4564, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(4640)%branchCT(0:0))
    call avCT(4640, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_19387])

    allocate(vertices(3167)%branchCT(0:0))
    call avCT(3167, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13342])

    allocate(vertices(766)%branchCT(0:0))
    call avCT(766, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_21072])

    allocate(vertices(767)%branchCT(0:0))
    call avCT(767, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3168)%branchCT(0:0))
    call avCT(3168, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19903])

    allocate(vertices(768)%branchCT(0:1))
    call avCT(768, 0, 84, 1, 0, FaFV1, 0, [0, 3], [nGC_19222])

    call avCT(768, 1, 84, 1, 0, FaFV1, 0, [2, 1], [nGC_19221])

    allocate(vertices(769)%branchCT(0:0))
    call avCT(769, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19195])

    allocate(vertices(2430)%branchCT(0:0))
    call avCT(2430, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13381])

    allocate(vertices(3171)%branchCT(0:0))
    call avCT(3171, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(772)%branchCT(0:0))
    call avCT(772, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19148])

    allocate(vertices(773)%branchCT(0:1))
    call avCT(773, 0, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_21386, nGC_21387])

    call avCT(773, 1, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_21388, nGC_21389])

    allocate(vertices(774)%branchCT(0:0))
    call avCT(774, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(3354)%branchCT(0:0))
    call avCT(3354, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(3177)%branchCT(0:0))
    call avCT(3177, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_22403])

    allocate(vertices(3178)%branchCT(0:0))
    call avCT(3178, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3355)%branchCT(0:0))
    call avCT(3355, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_19330])

    allocate(vertices(4649)%branchCT(0:0))
    call avCT(4649, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19264, nGC_19265,       &
    nGC_19264])

    allocate(vertices(4374)%branchCT(0:0))
    call avCT(4374, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20004])

    allocate(vertices(2318)%branchCT(0:0))
    call avCT(2318, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(5018)%branchCT(0:0))
    call avCT(5018, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20177])

    allocate(vertices(3182)%branchCT(0:0))
    call avCT(3182, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(1684)%branchCT(0:0))
    call avCT(1684, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(3183)%branchCT(0:0))
    call avCT(3183, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19992, nGC_19993,       &
    nGC_19992])

    allocate(vertices(3185)%branchCT(0:1))
    call avCT(3185, 0, 85, 1, 0, FaVF0, 0, [0, 3], [nGC_22447, nGC_22448])

    call avCT(3185, 1, 85, 1, 0, FaVF0, 0, [2, 1], [nGC_22439, nGC_22442])

    allocate(vertices(3186)%branchCT(0:0))
    call avCT(3186, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_20232])

    allocate(vertices(4703)%branchCT(0:0))
    call avCT(4703, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_20232])

    allocate(vertices(784)%branchCT(0:0))
    call avCT(784, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_19622])

    allocate(vertices(1361)%branchCT(0:0))
    call avCT(1361, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19725])

    allocate(vertices(785)%branchCT(0:0))
    call avCT(785, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_22462])

    allocate(vertices(3190)%branchCT(0:0))
    call avCT(3190, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(3191)%branchCT(0:0))
    call avCT(3191, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_20232])

    allocate(vertices(2077)%branchCT(0:0))
    call avCT(2077, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(3192)%branchCT(0:0))
    call avCT(3192, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(791)%branchCT(0:1))
    call avCT(791, 0, 84, 1, 0, FaFV0, 0, [0, 3], [nGC_21641, nGC_21642])

    call avCT(791, 1, 84, 1, 0, FaFV0, 0, [2, 1], [nGC_21635, nGC_21632])

    allocate(vertices(793)%branchCT(0:0))
    call avCT(793, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(3194)%branchCT(0:0))
    call avCT(3194, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_19096])

    allocate(vertices(795)%branchCT(0:0))
    call avCT(795, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(796)%branchCT(0:0))
    call avCT(796, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_19793])

    allocate(vertices(797)%branchCT(0:0))
    call avCT(797, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(3197)%branchCT(0:3))
    call avCT(3197, 0, 90, 4, 0, FaVF0, 0, [1, 2], [nGC_21465, nGC_21463])

    call avCT(3197, 1, 90, 4, 0, FaVF0, 0, [3, 0], [nGC_21467, nGC_21468])

    call avCT(3197, 2, 91, 5, 0, FaVF0, 0, [1, 2], [nGC_21465, nGC_21463])

    call avCT(3197, 3, 91, 5, 0, FaVF0, 0, [3, 0], [nGC_21467, nGC_21468])

    allocate(vertices(4805)%branchCT(0:0))
    call avCT(4805, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(803)%branchCT(0:0))
    call avCT(803, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(805)%branchCT(0:0))
    call avCT(805, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13381])

    allocate(vertices(806)%branchCT(0:0))
    call avCT(806, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_21551])

    allocate(vertices(3202)%branchCT(0:0))
    call avCT(3202, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_20755])

    allocate(vertices(3203)%branchCT(0:0))
    call avCT(3203, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(1557)%branchCT(0:0))
    call avCT(1557, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(1362)%branchCT(0:0))
    call avCT(1362, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13342])

    allocate(vertices(807)%branchCT(0:1))
    call avCT(807, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_19464, nGC_19465])

    call avCT(807, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_19466, nGC_19467])

    allocate(vertices(808)%branchCT(0:0))
    call avCT(808, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19148])

    allocate(vertices(4856)%branchCT(0:0))
    call avCT(4856, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_21072])

    allocate(vertices(4936)%branchCT(0:0))
    call avCT(4936, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19250])

    allocate(vertices(4866)%branchCT(0:0))
    call avCT(4866, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3208)%branchCT(0:0))
    call avCT(3208, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22549, nGC_22550])

    allocate(vertices(3209)%branchCT(0:0))
    call avCT(3209, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13367])

    allocate(vertices(3520)%branchCT(0:0))
    call avCT(3520, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(812)%branchCT(0:0))
    call avCT(812, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_19108])

    allocate(vertices(3211)%branchCT(0:0))
    call avCT(3211, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(3213)%branchCT(0:0))
    call avCT(3213, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22563])

    allocate(vertices(3214)%branchCT(0:0))
    call avCT(3214, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19124])

    allocate(vertices(3216)%branchCT(0:0))
    call avCT(3216, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(3217)%branchCT(0:0))
    call avCT(3217, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_21917])

    allocate(vertices(1740)%branchCT(0:0))
    call avCT(1740, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(3221)%branchCT(0:0))
    call avCT(3221, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(3222)%branchCT(0:0))
    call avCT(3222, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_20882, nGC_20882])

    allocate(vertices(3240)%branchCT(0:0))
    call avCT(3240, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13366])

    allocate(vertices(3225)%branchCT(0:0))
    call avCT(3225, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(2734)%branchCT(0:0))
    call avCT(2734, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20307])

    allocate(vertices(4964)%branchCT(0:0))
    call avCT(4964, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_20232])

    allocate(vertices(3228)%branchCT(0:1))
    call avCT(3228, 0, 84, 1, 0, FaFV0, 0, [0, 3], [nGC_21309, nGC_21310])

    call avCT(3228, 1, 84, 1, 0, FaFV0, 0, [2, 1], [nGC_21306, nGC_21302])

    allocate(vertices(3362)%branchCT(0:0))
    call avCT(3362, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19549])

    allocate(vertices(3229)%branchCT(0:0))
    call avCT(3229, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(3230)%branchCT(0:0))
    call avCT(3230, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19226])

    allocate(vertices(5019)%branchCT(0:0))
    call avCT(5019, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19352])

    allocate(vertices(821)%branchCT(0:0))
    call avCT(821, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_19387])

    allocate(vertices(823)%branchCT(0:0))
    call avCT(823, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(825)%branchCT(0:0))
    call avCT(825, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(27)%branchCT(0:0))
    call avCT(27, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19255])

    allocate(vertices(827)%branchCT(0:0))
    call avCT(827, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13361])

    allocate(vertices(828)%branchCT(0:1))
    call avCT(828, 0, 85, 1, 0, FaVF0, 0, [0, 3], [nGC_22632, nGC_22633])

    call avCT(828, 1, 85, 1, 0, FaVF0, 0, [2, 1], [nGC_22625, nGC_22628])

    allocate(vertices(2145)%branchCT(0:0))
    call avCT(2145, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13342])

    allocate(vertices(3241)%branchCT(0:0))
    call avCT(3241, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(1748)%branchCT(0:0))
    call avCT(1748, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20211])

    allocate(vertices(832)%branchCT(0:0))
    call avCT(832, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_20842])

    allocate(vertices(5020)%branchCT(0:0))
    call avCT(5020, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19837])

    allocate(vertices(3242)%branchCT(0:0))
    call avCT(3242, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(3243)%branchCT(0:0))
    call avCT(3243, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19707])

    allocate(vertices(2146)%branchCT(0:0))
    call avCT(2146, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19312])

    allocate(vertices(3245)%branchCT(0:0))
    call avCT(3245, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19265, nGC_19264,       &
    nGC_19264])

    allocate(vertices(837)%branchCT(0:0))
    call avCT(837, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(3248)%branchCT(0:0))
    call avCT(3248, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19250])

    allocate(vertices(154)%branchCT(0:0))
    call avCT(154, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20307])

    allocate(vertices(839)%branchCT(0:0))
    call avCT(839, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(3251)%branchCT(0:1))
    call avCT(3251, 0, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_20137, nGC_20138])

    call avCT(3251, 1, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_20134, nGC_20130])

    allocate(vertices(5021)%branchCT(0:0))
    call avCT(5021, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_22684, nGC_22683])

    allocate(vertices(841)%branchCT(0:0))
    call avCT(841, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13361])

    allocate(vertices(3254)%branchCT(0:0))
    call avCT(3254, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(4717)%branchCT(0:0))
    call avCT(4717, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3256)%branchCT(0:0))
    call avCT(3256, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(2843)%branchCT(0:0))
    call avCT(2843, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3258)%branchCT(0:0))
    call avCT(3258, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13365])

    allocate(vertices(844)%branchCT(0:0))
    call avCT(844, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19303])

    allocate(vertices(3260)%branchCT(0:0))
    call avCT(3260, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_19330])

    allocate(vertices(4675)%branchCT(0:0))
    call avCT(4675, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(183)%branchCT(0:0))
    call avCT(183, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20211])

    allocate(vertices(3263)%branchCT(0:0))
    call avCT(3263, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13370])

    allocate(vertices(4608)%branchCT(0:0))
    call avCT(4608, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(3264)%branchCT(0:0))
    call avCT(3264, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_20232])

    allocate(vertices(851)%branchCT(0:0))
    call avCT(851, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20004])

    allocate(vertices(852)%branchCT(0:0))
    call avCT(852, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3267)%branchCT(0:0))
    call avCT(3267, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19992, nGC_19993,       &
    nGC_19992])

    allocate(vertices(853)%branchCT(0:0))
    call avCT(853, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_21982, nGC_21983])

    allocate(vertices(215)%branchCT(0:0))
    call avCT(215, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3269)%branchCT(0:0))
    call avCT(3269, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_21249])

    allocate(vertices(2151)%branchCT(0:0))
    call avCT(2151, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13361])

    allocate(vertices(139)%branchCT(0:0))
    call avCT(139, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19148])

    allocate(vertices(2241)%branchCT(0:0))
    call avCT(2241, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(857)%branchCT(0:1))
    call avCT(857, 0, 84, 1, 0, FaFV0, 0, [0, 3], [nGC_21417, nGC_21418])

    call avCT(857, 1, 84, 1, 0, FaFV0, 0, [2, 1], [nGC_21410, nGC_21413])

    allocate(vertices(3271)%branchCT(0:0))
    call avCT(3271, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20307])

    allocate(vertices(859)%branchCT(0:0))
    call avCT(859, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_22462])

    allocate(vertices(861)%branchCT(0:0))
    call avCT(861, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_20198])

    allocate(vertices(256)%branchCT(0:0))
    call avCT(256, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(4678)%branchCT(0:0))
    call avCT(4678, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19199])

    allocate(vertices(266)%branchCT(0:0))
    call avCT(266, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13361])

    allocate(vertices(2365)%branchCT(0:0))
    call avCT(2365, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19312])

    allocate(vertices(1752)%branchCT(0:0))
    call avCT(1752, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(3273)%branchCT(0:0))
    call avCT(3273, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(869)%branchCT(0:0))
    call avCT(869, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_22773])

    allocate(vertices(4661)%branchCT(0:0))
    call avCT(4661, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19312])

    allocate(vertices(871)%branchCT(0:0))
    call avCT(871, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(872)%branchCT(0:0))
    call avCT(872, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19148])

    allocate(vertices(873)%branchCT(0:0))
    call avCT(873, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_20842])

    allocate(vertices(874)%branchCT(0:0))
    call avCT(874, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22549, nGC_22550])

    allocate(vertices(963)%branchCT(0:0))
    call avCT(963, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22284])

    allocate(vertices(1438)%branchCT(0:1))
    call avCT(1438, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_19214, nGC_19214])

    call avCT(1438, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_19213, nGC_19213])

    allocate(vertices(876)%branchCT(0:0))
    call avCT(876, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19725])

    allocate(vertices(3278)%branchCT(0:0))
    call avCT(3278, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_20158])

    allocate(vertices(877)%branchCT(0:0))
    call avCT(877, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(2226)%branchCT(0:0))
    call avCT(2226, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22813, nGC_22814])

    allocate(vertices(34)%branchCT(0:0))
    call avCT(34, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19124])

    allocate(vertices(3281)%branchCT(0:0))
    call avCT(3281, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(2554)%branchCT(0:3))
    call avCT(2554, 0, 88, 4, 0, FVFa0, 0, [1, 2], [nGC_20472, nGC_20468])

    call avCT(2554, 1, 88, 4, 0, FVFa0, 0, [3, 0], [nGC_20474, nGC_20475])

    call avCT(2554, 2, 89, 5, 0, FVFa0, 0, [1, 2], [nGC_20472, nGC_20468])

    call avCT(2554, 3, 89, 5, 0, FVFa0, 0, [3, 0], [nGC_20474, nGC_20475])

    allocate(vertices(881)%branchCT(0:0))
    call avCT(881, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(882)%branchCT(0:0))
    call avCT(882, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19781])

    allocate(vertices(5022)%branchCT(0:0))
    call avCT(5022, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19837])

    allocate(vertices(884)%branchCT(0:0))
    call avCT(884, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_21163, nGC_21162])

    allocate(vertices(885)%branchCT(0:0))
    call avCT(885, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3284)%branchCT(0:0))
    call avCT(3284, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(3285)%branchCT(0:0))
    call avCT(3285, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(887)%branchCT(0:3))
    call avCT(887, 0, 11, 4, 0, FFaV0, 0, [1, 2], [nGC_20261, nGC_20263])

    call avCT(887, 1, 11, 4, 0, FFaV0, 0, [3, 0], [nGC_20265, nGC_20266])

    call avCT(887, 2, 12, 5, 0, FFaV0, 0, [1, 2], [nGC_20261, nGC_20263])

    call avCT(887, 3, 12, 5, 0, FFaV0, 0, [3, 0], [nGC_20265, nGC_20266])

    allocate(vertices(1372)%branchCT(0:0))
    call avCT(1372, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(363)%branchCT(0:0))
    call avCT(363, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13341])

    allocate(vertices(3287)%branchCT(0:1))
    call avCT(3287, 0, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_21088, nGC_21088])

    call avCT(3287, 1, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_21089, nGC_21089])

    allocate(vertices(372)%branchCT(0:0))
    call avCT(372, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19124])

    allocate(vertices(890)%branchCT(0:0))
    call avCT(890, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(892)%branchCT(0:0))
    call avCT(892, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(2963)%branchCT(0:0))
    call avCT(2963, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(3292)%branchCT(0:0))
    call avCT(3292, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_20198])

    allocate(vertices(3293)%branchCT(0:1))
    call avCT(3293, 0, 86, 1, 0, VFFa0, 0, [0, 3], [nGC_19503])

    call avCT(3293, 1, 86, 1, 0, VFFa0, 0, [2, 1], [nGC_19502])

    allocate(vertices(159)%branchCT(0:0))
    call avCT(159, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(415)%branchCT(0:0))
    call avCT(415, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(3295)%branchCT(0:0))
    call avCT(3295, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13366])

    allocate(vertices(2159)%branchCT(0:0))
    call avCT(2159, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(3297)%branchCT(0:0))
    call avCT(3297, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3298)%branchCT(0:0))
    call avCT(3298, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3299)%branchCT(0:0))
    call avCT(3299, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_21249])

    allocate(vertices(898)%branchCT(0:0))
    call avCT(898, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19379])

    allocate(vertices(460)%branchCT(0:0))
    call avCT(460, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_20375])

    allocate(vertices(2557)%branchCT(0:0))
    call avCT(2557, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(466)%branchCT(0:0))
    call avCT(466, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20307])

    allocate(vertices(3304)%branchCT(0:0))
    call avCT(3304, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3305)%branchCT(0:0))
    call avCT(3305, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_19387])

    allocate(vertices(2160)%branchCT(0:0))
    call avCT(2160, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(900)%branchCT(0:0))
    call avCT(900, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(1465)%branchCT(0:0))
    call avCT(1465, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(902)%branchCT(0:3))
    call avCT(902, 0, 88, 4, 0, FVFa0, 0, [1, 2], [nGC_22945, nGC_22947])

    call avCT(902, 1, 88, 4, 0, FVFa0, 0, [3, 0], [nGC_22949, nGC_22950])

    call avCT(902, 2, 89, 5, 0, FVFa0, 0, [1, 2], [nGC_22945, nGC_22947])

    call avCT(902, 3, 89, 5, 0, FVFa0, 0, [3, 0], [nGC_22949, nGC_22950])

    allocate(vertices(4237)%branchCT(0:0))
    call avCT(4237, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(497)%branchCT(0:0))
    call avCT(497, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19124])

    allocate(vertices(3311)%branchCT(0:1))
    call avCT(3311, 0, 87, 1, 0, VFaF1, 0, [2, 1], [nGC_21635, nGC_21632])

    call avCT(3311, 1, 87, 1, 0, VFaF1, 0, [0, 3], [nGC_21641, nGC_21642])

    allocate(vertices(904)%branchCT(0:0))
    call avCT(904, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19785])

    allocate(vertices(905)%branchCT(0:1))
    call avCT(905, 0, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_22981, nGC_22981])

    call avCT(905, 1, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_22983, nGC_22983])

    allocate(vertices(906)%branchCT(0:0))
    call avCT(906, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(3313)%branchCT(0:1))
    call avCT(3313, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_19639, nGC_19638])

    call avCT(3313, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_19641, nGC_19640])

    allocate(vertices(967)%branchCT(0:0))
    call avCT(967, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(2162)%branchCT(0:0))
    call avCT(2162, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_21731])

    allocate(vertices(3314)%branchCT(0:0))
    call avCT(3314, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(546)%branchCT(0:0))
    call avCT(546, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3316)%branchCT(0:0))
    call avCT(3316, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(911)%branchCT(0:0))
    call avCT(911, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(912)%branchCT(0:0))
    call avCT(912, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_19127])

    allocate(vertices(3318)%branchCT(0:0))
    call avCT(3318, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19070])

    allocate(vertices(914)%branchCT(0:0))
    call avCT(914, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(915)%branchCT(0:0))
    call avCT(915, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13370])

    allocate(vertices(916)%branchCT(0:1))
    call avCT(916, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_22632, nGC_22633])

    call avCT(916, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_22625, nGC_22628])

    allocate(vertices(567)%branchCT(0:0))
    call avCT(567, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19250])

    allocate(vertices(3512)%branchCT(0:0))
    call avCT(3512, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(3324)%branchCT(0:0))
    call avCT(3324, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13344])

    allocate(vertices(3325)%branchCT(0:0))
    call avCT(3325, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(918)%branchCT(0:1))
    call avCT(918, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_21289, nGC_21290])

    call avCT(918, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_21291, nGC_21292])

    allocate(vertices(3326)%branchCT(0:0))
    call avCT(3326, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(3327)%branchCT(0:0))
    call avCT(3327, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(920)%branchCT(0:0))
    call avCT(920, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13365])

    allocate(vertices(921)%branchCT(0:1))
    call avCT(921, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22981, nGC_22981])

    call avCT(921, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22983, nGC_22983])

    allocate(vertices(569)%branchCT(0:0))
    call avCT(569, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(923)%branchCT(0:0))
    call avCT(923, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(637)%branchCT(0:0))
    call avCT(637, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3332)%branchCT(0:0))
    call avCT(3332, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(3333)%branchCT(0:0))
    call avCT(3333, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_22773])

    allocate(vertices(926)%branchCT(0:0))
    call avCT(926, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(4243)%branchCT(0:0))
    call avCT(4243, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19255])

    allocate(vertices(679)%branchCT(0:0))
    call avCT(679, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(930)%branchCT(0:1))
    call avCT(930, 0, 87, 1, 0, VFaF0, 0, [0, 3], [nGC_19503])

    call avCT(930, 1, 87, 1, 0, VFaF0, 0, [2, 1], [nGC_19502])

    allocate(vertices(3339)%branchCT(0:0))
    call avCT(3339, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19498])

    allocate(vertices(3340)%branchCT(0:0))
    call avCT(3340, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_22462])

    allocate(vertices(932)%branchCT(0:1))
    call avCT(932, 0, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_21417, nGC_21418])

    call avCT(932, 1, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_21410, nGC_21413])

    allocate(vertices(933)%branchCT(0:0))
    call avCT(933, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

    allocate(vertices(390)%branchCT(0:1))
    call avCT(390, 0, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_19275, nGC_19275])

    call avCT(390, 1, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_19276, nGC_19276])

    allocate(vertices(4311)%branchCT(0:0))
    call avCT(4311, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(3344)%branchCT(0:0))
    call avCT(3344, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13344])

    allocate(vertices(934)%branchCT(0:0))
    call avCT(934, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(5023)%branchCT(0:0))
    call avCT(5023, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_23124, nGC_23119,       &
    nGC_23126, nGC_23126])

    allocate(vertices(937)%branchCT(0:0))
    call avCT(937, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(170)%branchCT(0:0))
    call avCT(170, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19785])

    allocate(vertices(939)%branchCT(0:0))
    call avCT(939, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(4692)%branchCT(0:0))
    call avCT(4692, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(940)%branchCT(0:0))
    call avCT(940, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(3348)%branchCT(0:1))
    call avCT(3348, 0, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_20417, nGC_20418])

    call avCT(3348, 1, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_20419, nGC_20420])

    allocate(vertices(4392)%branchCT(0:1))
    call avCT(4392, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_23159, nGC_23160])

    call avCT(4392, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_23152, nGC_23155])

    allocate(vertices(573)%branchCT(0:0))
    call avCT(573, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19649, nGC_19648,        &
    nGC_19649])

    allocate(vertices(942)%branchCT(0:0))
    call avCT(942, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(757)%branchCT(0:0))
    call avCT(757, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3351)%branchCT(0:0))
    call avCT(3351, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_21163, nGC_21162])

    allocate(vertices(3353)%branchCT(0:0))
    call avCT(3353, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19199])

    allocate(vertices(5024)%branchCT(0:0))
    call avCT(5024, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19352])

    allocate(vertices(5025)%branchCT(0:1))
    call avCT(5025, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_23192, nGC_23188,      &
    nGC_23195, nGC_23195])

    call avCT(5025, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_23193, nGC_23189,      &
    nGC_23196, nGC_23196])

    allocate(vertices(1569)%branchCT(0:0))
    call avCT(1569, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(4405)%branchCT(0:0))
    call avCT(4405, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(945)%branchCT(0:0))
    call avCT(945, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(947)%branchCT(0:0))
    call avCT(947, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(3279)%branchCT(0:0))
    call avCT(3279, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_13370])

    allocate(vertices(949)%branchCT(0:0))
    call avCT(949, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_20756])

    allocate(vertices(3802)%branchCT(0:0))
    call avCT(3802, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(3359)%branchCT(0:0))
    call avCT(3359, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(952)%branchCT(0:1))
    call avCT(952, 0, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_19443, nGC_19443])

    call avCT(952, 1, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_19444, nGC_19444])

    allocate(vertices(3360)%branchCT(0:0))
    call avCT(3360, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(3361)%branchCT(0:1))
    call avCT(3361, 0, 87, 1, 0, VFaF1, 0, [0, 3], [nGC_20137, nGC_20138])

    call avCT(3361, 1, 87, 1, 0, VFaF1, 0, [2, 1], [nGC_20134, nGC_20130])

    allocate(vertices(953)%branchCT(0:0))
    call avCT(953, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(4432)%branchCT(0:0))
    call avCT(4432, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13340])

    allocate(vertices(954)%branchCT(0:0))
    call avCT(954, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(3364)%branchCT(0:0))
    call avCT(3364, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_23246])

    allocate(vertices(956)%branchCT(0:0))
    call avCT(956, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_19387])

    allocate(vertices(957)%branchCT(0:0))
    call avCT(957, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(3804)%branchCT(0:0))
    call avCT(3804, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13367])

    allocate(vertices(3367)%branchCT(0:0))
    call avCT(3367, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19226])

    allocate(vertices(5026)%branchCT(0:0))
    call avCT(5026, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19837])

    allocate(vertices(1755)%branchCT(0:0))
    call avCT(1755, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19070])

    allocate(vertices(962)%branchCT(0:0))
    call avCT(962, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19076])

    allocate(vertices(875)%branchCT(0:1))
    call avCT(875, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_19503])

    call avCT(875, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_19502])

    allocate(vertices(964)%branchCT(0:1))
    call avCT(964, 0, 87, 1, 0, VFaF0, 0, [0, 3], [nGC_19307])

    call avCT(964, 1, 87, 1, 0, VFaF0, 0, [2, 1], [nGC_19306])

    allocate(vertices(3372)%branchCT(0:0))
    call avCT(3372, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(975)%branchCT(0:0))
    call avCT(975, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(907)%branchCT(0:0))
    call avCT(907, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3378)%branchCT(0:1))
    call avCT(3378, 0, 84, 1, 0, FaFV0, 0, [0, 3], [nGC_20772, nGC_20773])

    call avCT(3378, 1, 84, 1, 0, FaFV0, 0, [2, 1], [nGC_20768, nGC_20765])

    allocate(vertices(1771)%branchCT(0:0))
    call avCT(1771, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19549])

    allocate(vertices(969)%branchCT(0:0))
    call avCT(969, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_21747])

    allocate(vertices(3382)%branchCT(0:1))
    call avCT(3382, 0, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_23303, nGC_23304])

    call avCT(3382, 1, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_23297, nGC_23294])

    allocate(vertices(3933)%branchCT(0:0))
    call avCT(3933, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(972)%branchCT(0:0))
    call avCT(972, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(5027)%branchCT(0:0))
    call avCT(5027, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_21173, nGC_21174])

    allocate(vertices(4497)%branchCT(0:0))
    call avCT(4497, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(973)%branchCT(0:0))
    call avCT(973, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(974)%branchCT(0:1))
    call avCT(974, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_22981, nGC_22981])

    call avCT(974, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_22983, nGC_22983])

    allocate(vertices(564)%branchCT(0:0))
    call avCT(564, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(966)%branchCT(0:0))
    call avCT(966, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_20232])

    allocate(vertices(977)%branchCT(0:0))
    call avCT(977, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13365])

    allocate(vertices(3388)%branchCT(0:0))
    call avCT(3388, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(2573)%branchCT(0:0))
    call avCT(2573, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_20229, nGC_20229])

    allocate(vertices(3389)%branchCT(0:1))
    call avCT(3389, 0, 102, 6, 0, UaVU0, 0, [3, 0], [nGC_23344])

    call avCT(3389, 1, 103, 7, 0, UaVU0, 0, [3, 0], [nGC_23344])

    allocate(vertices(979)%branchCT(0:0))
    call avCT(979, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_19781])

    allocate(vertices(980)%branchCT(0:0))
    call avCT(980, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3226)%branchCT(0:0))
    call avCT(3226, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3393)%branchCT(0:1))
    call avCT(3393, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_21271, nGC_21271])

    call avCT(3393, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_21273, nGC_21273])

    allocate(vertices(982)%branchCT(0:0))
    call avCT(982, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13366])

    allocate(vertices(1390)%branchCT(0:0))
    call avCT(1390, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_20232])

    allocate(vertices(1812)%branchCT(0:0))
    call avCT(1812, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13365])

    allocate(vertices(5028)%branchCT(0:0))
    call avCT(5028, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19352])

    allocate(vertices(3397)%branchCT(0:1))
    call avCT(3397, 0, 83, 1, 0, FVFa1, 0, [0, 3], [nGC_19222])

    call avCT(3397, 1, 83, 1, 0, FVFa1, 0, [2, 1], [nGC_19221])

    allocate(vertices(4542)%branchCT(0:0))
    call avCT(4542, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(1720)%branchCT(0:0))
    call avCT(1720, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(278)%branchCT(0:0))
    call avCT(278, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19785])

    allocate(vertices(1058)%branchCT(0:0))
    call avCT(1058, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(991)%branchCT(0:0))
    call avCT(991, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(1067)%branchCT(0:0))
    call avCT(1067, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19131])

    allocate(vertices(1075)%branchCT(0:0))
    call avCT(1075, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(992)%branchCT(0:0))
    call avCT(992, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_13381])

    allocate(vertices(4255)%branchCT(0:0))
    call avCT(4255, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19226])

    allocate(vertices(3405)%branchCT(0:0))
    call avCT(3405, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19131])

    allocate(vertices(688)%branchCT(0:0))
    call avCT(688, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(2079)%branchCT(0:0))
    call avCT(2079, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(996)%branchCT(0:0))
    call avCT(996, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19124])

    allocate(vertices(3409)%branchCT(0:1))
    call avCT(3409, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_21388, nGC_21389])

    call avCT(3409, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_21386, nGC_21387])

    allocate(vertices(1104)%branchCT(0:0))
    call avCT(1104, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13342])

    allocate(vertices(4826)%branchCT(0:0))
    call avCT(4826, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(999)%branchCT(0:0))
    call avCT(999, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_21747])

    allocate(vertices(3412)%branchCT(0:0))
    call avCT(3412, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(3413)%branchCT(0:0))
    call avCT(3413, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_19359, nGC_19358])

    allocate(vertices(1002)%branchCT(0:0))
    call avCT(1002, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_19707])

    allocate(vertices(5029)%branchCT(0:0))
    call avCT(5029, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20891])

    allocate(vertices(3416)%branchCT(0:0))
    call avCT(3416, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3231)%branchCT(0:0))
    call avCT(3231, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(860)%branchCT(0:0))
    call avCT(860, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3419)%branchCT(0:0))
    call avCT(3419, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19738])

    allocate(vertices(1006)%branchCT(0:0))
    call avCT(1006, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(3421)%branchCT(0:0))
    call avCT(3421, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(3422)%branchCT(0:0))
    call avCT(3422, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(3572)%branchCT(0:0))
    call avCT(3572, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_21203])

    allocate(vertices(4098)%branchCT(0:0))
    call avCT(4098, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_19108])

    allocate(vertices(5030)%branchCT(0:0))
    call avCT(5030, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20891])

    allocate(vertices(1010)%branchCT(0:0))
    call avCT(1010, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3427)%branchCT(0:0))
    call avCT(3427, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_21249])

    allocate(vertices(2434)%branchCT(0:0))
    call avCT(2434, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(3429)%branchCT(0:0))
    call avCT(3429, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(1012)%branchCT(0:0))
    call avCT(1012, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(3430)%branchCT(0:0))
    call avCT(3430, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_20232])

    allocate(vertices(4383)%branchCT(0:0))
    call avCT(4383, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20814])

    allocate(vertices(2578)%branchCT(0:0))
    call avCT(2578, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(3433)%branchCT(0:0))
    call avCT(3433, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19312])

    allocate(vertices(1015)%branchCT(0:0))
    call avCT(1015, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(3434)%branchCT(0:0))
    call avCT(3434, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_20746])

    allocate(vertices(3436)%branchCT(0:0))
    call avCT(3436, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19738])

    allocate(vertices(1244)%branchCT(0:0))
    call avCT(1244, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19785])

    allocate(vertices(2981)%branchCT(0:0))
    call avCT(2981, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(1019)%branchCT(0:0))
    call avCT(1019, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(1397)%branchCT(0:0))
    call avCT(1397, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13342])

    allocate(vertices(1280)%branchCT(0:0))
    call avCT(1280, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(3441)%branchCT(0:0))
    call avCT(3441, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_19330])

    allocate(vertices(1024)%branchCT(0:0))
    call avCT(1024, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20189])

    allocate(vertices(4355)%branchCT(0:0))
    call avCT(4355, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13366])

    allocate(vertices(3446)%branchCT(0:0))
    call avCT(3446, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(4069)%branchCT(0:0))
    call avCT(4069, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(1027)%branchCT(0:0))
    call avCT(1027, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(3447)%branchCT(0:0))
    call avCT(3447, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(3448)%branchCT(0:0))
    call avCT(3448, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13381])

    allocate(vertices(3449)%branchCT(0:0))
    call avCT(3449, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_20232])

    allocate(vertices(3450)%branchCT(0:0))
    call avCT(3450, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19159])

    allocate(vertices(5031)%branchCT(0:0))
    call avCT(5031, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_21479, nGC_21480])

    allocate(vertices(1030)%branchCT(0:0))
    call avCT(1030, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19368])

    allocate(vertices(1031)%branchCT(0:0))
    call avCT(1031, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19379])

    allocate(vertices(1032)%branchCT(0:0))
    call avCT(1032, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19785])

    allocate(vertices(1033)%branchCT(0:0))
    call avCT(1033, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(1034)%branchCT(0:0))
    call avCT(1034, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19725])

    allocate(vertices(1035)%branchCT(0:0))
    call avCT(1035, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_21203])

    allocate(vertices(1037)%branchCT(0:0))
    call avCT(1037, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(5032)%branchCT(0:0))
    call avCT(5032, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_19427])

    allocate(vertices(3456)%branchCT(0:0))
    call avCT(3456, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(1038)%branchCT(0:0))
    call avCT(1038, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19649, nGC_19649,       &
    nGC_19648])

    allocate(vertices(3458)%branchCT(0:0))
    call avCT(3458, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13342])

    allocate(vertices(1784)%branchCT(0:0))
    call avCT(1784, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(1040)%branchCT(0:0))
    call avCT(1040, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20725, nGC_20725,       &
    nGC_20724])

    allocate(vertices(1399)%branchCT(0:3))
    call avCT(1399, 0, 11, 4, 0, FFaV0, 0, [1, 2], [nGC_22945, nGC_22947])

    call avCT(1399, 1, 11, 4, 0, FFaV0, 0, [3, 0], [nGC_22949, nGC_22950])

    call avCT(1399, 2, 12, 5, 0, FFaV0, 0, [1, 2], [nGC_22945, nGC_22947])

    call avCT(1399, 3, 12, 5, 0, FFaV0, 0, [3, 0], [nGC_22949, nGC_22950])

    allocate(vertices(1041)%branchCT(0:0))
    call avCT(1041, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19903])

    allocate(vertices(1894)%branchCT(0:0))
    call avCT(1894, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

    allocate(vertices(1042)%branchCT(0:0))
    call avCT(1042, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19124])

    allocate(vertices(3462)%branchCT(0:0))
    call avCT(3462, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(3463)%branchCT(0:0))
    call avCT(3463, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_22773])

    allocate(vertices(1426)%branchCT(0:0))
    call avCT(1426, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(594)%branchCT(0:0))
    call avCT(594, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(3465)%branchCT(0:0))
    call avCT(3465, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_21753])

    allocate(vertices(3467)%branchCT(0:0))
    call avCT(3467, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_20232])

    allocate(vertices(3468)%branchCT(0:0))
    call avCT(3468, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19303])

    allocate(vertices(1047)%branchCT(0:0))
    call avCT(1047, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19549])

    allocate(vertices(3469)%branchCT(0:0))
    call avCT(3469, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(1049)%branchCT(0:1))
    call avCT(1049, 0, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_19465, nGC_19464])

    call avCT(1049, 1, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_19467, nGC_19466])

    allocate(vertices(3470)%branchCT(0:0))
    call avCT(3470, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19070])

    allocate(vertices(4336)%branchCT(0:0))
    call avCT(4336, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19379])

    allocate(vertices(1050)%branchCT(0:0))
    call avCT(1050, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19265, nGC_19264,       &
    nGC_19264])

    allocate(vertices(5033)%branchCT(0:0))
    call avCT(5033, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19837])

    allocate(vertices(1466)%branchCT(0:1))
    call avCT(1466, 0, 87, 1, 0, VFaF0, 0, [0, 3], [nGC_19307])

    call avCT(1466, 1, 87, 1, 0, VFaF0, 0, [2, 1], [nGC_19306])

    allocate(vertices(4095)%branchCT(0:0))
    call avCT(4095, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3474)%branchCT(0:0))
    call avCT(3474, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(4954)%branchCT(0:0))
    call avCT(4954, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19707])

    allocate(vertices(1055)%branchCT(0:0))
    call avCT(1055, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_19612, nGC_19613])

    allocate(vertices(1056)%branchCT(0:0))
    call avCT(1056, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(3477)%branchCT(0:1))
    call avCT(3477, 0, 85, 1, 0, FaVF1, 0, [0, 3], [nGC_19222])

    call avCT(3477, 1, 85, 1, 0, FaVF1, 0, [2, 1], [nGC_19221])

    allocate(vertices(3479)%branchCT(0:0))
    call avCT(3479, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(3480)%branchCT(0:1))
    call avCT(3480, 0, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_21309, nGC_21310])

    call avCT(3480, 1, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_21306, nGC_21302])

    allocate(vertices(5034)%branchCT(0:0))
    call avCT(5034, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19352])

    allocate(vertices(1059)%branchCT(0:0))
    call avCT(1059, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19255])

    allocate(vertices(3482)%branchCT(0:3))
    call avCT(3482, 0, 94, 4, 0, VFFa1, 0, [1, 2], [nGC_21465, nGC_21463])

    call avCT(3482, 1, 94, 4, 0, VFFa1, 0, [3, 0], [nGC_21467, nGC_21468])

    call avCT(3482, 2, 95, 5, 0, VFFa1, 0, [1, 2], [nGC_21465, nGC_21463])

    call avCT(3482, 3, 95, 5, 0, VFFa1, 0, [3, 0], [nGC_21467, nGC_21468])

    allocate(vertices(1515)%branchCT(0:0))
    call avCT(1515, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(1063)%branchCT(0:0))
    call avCT(1063, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(3486)%branchCT(0:0))
    call avCT(3486, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3487)%branchCT(0:0))
    call avCT(3487, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13381])

    allocate(vertices(1066)%branchCT(0:0))
    call avCT(1066, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3403)%branchCT(0:0))
    call avCT(3403, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(1068)%branchCT(0:0))
    call avCT(1068, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(1070)%branchCT(0:0))
    call avCT(1070, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_20232])

    allocate(vertices(1550)%branchCT(0:0))
    call avCT(1550, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(3493)%branchCT(0:0))
    call avCT(3493, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(4782)%branchCT(0:0))
    call avCT(4782, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_21043, nGC_21044])

    allocate(vertices(5035)%branchCT(0:1))
    call avCT(5035, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_23735, nGC_23731,      &
    nGC_23738, nGC_23738])

    call avCT(5035, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_23736, nGC_23732,      &
    nGC_23739, nGC_23739])

    allocate(vertices(3498)%branchCT(0:0))
    call avCT(3498, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19264, nGC_19265,       &
    nGC_19264])

    allocate(vertices(1791)%branchCT(0:0))
    call avCT(1791, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19738])

    allocate(vertices(3500)%branchCT(0:0))
    call avCT(3500, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19312])

    allocate(vertices(3501)%branchCT(0:0))
    call avCT(3501, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19124])

    allocate(vertices(1078)%branchCT(0:0))
    call avCT(1078, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_21191])

    allocate(vertices(1079)%branchCT(0:0))
    call avCT(1079, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(3502)%branchCT(0:0))
    call avCT(3502, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2204)%branchCT(0:1))
    call avCT(2204, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_20772, nGC_20773])

    call avCT(2204, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_20768, nGC_20765])

    allocate(vertices(1080)%branchCT(0:1))
    call avCT(1080, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_19835, nGC_19836])

    call avCT(1080, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_19830, nGC_19827])

    allocate(vertices(1454)%branchCT(0:0))
    call avCT(1454, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(1081)%branchCT(0:0))
    call avCT(1081, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(2848)%branchCT(0:0))
    call avCT(2848, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_23791])

    allocate(vertices(3506)%branchCT(0:0))
    call avCT(3506, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13341])

    allocate(vertices(1085)%branchCT(0:1))
    call avCT(1085, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_23801, nGC_23801])

    call avCT(1085, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_23803, nGC_23803])

    allocate(vertices(1404)%branchCT(0:0))
    call avCT(1404, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(3377)%branchCT(0:0))
    call avCT(3377, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(1568)%branchCT(0:0))
    call avCT(1568, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(1088)%branchCT(0:0))
    call avCT(1088, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_19108])

    allocate(vertices(1089)%branchCT(0:0))
    call avCT(1089, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(1090)%branchCT(0:0))
    call avCT(1090, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19379])

    allocate(vertices(1091)%branchCT(0:0))
    call avCT(1091, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(1656)%branchCT(0:0))
    call avCT(1656, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19993, nGC_19992,       &
    nGC_19992])

    allocate(vertices(4876)%branchCT(0:0))
    call avCT(4876, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13361])

    allocate(vertices(986)%branchCT(0:0))
    call avCT(986, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(1597)%branchCT(0:0))
    call avCT(1597, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3516)%branchCT(0:0))
    call avCT(3516, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13343])

    allocate(vertices(3517)%branchCT(0:0))
    call avCT(3517, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(1099)%branchCT(0:0))
    call avCT(1099, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_21163, nGC_21162])

    allocate(vertices(770)%branchCT(0:0))
    call avCT(770, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19775])

    allocate(vertices(3518)%branchCT(0:0))
    call avCT(3518, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20307])

    allocate(vertices(345)%branchCT(0:0))
    call avCT(345, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19368])

    allocate(vertices(1983)%branchCT(0:0))
    call avCT(1983, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(3836)%branchCT(0:0))
    call avCT(3836, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3379)%branchCT(0:0))
    call avCT(3379, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3521)%branchCT(0:0))
    call avCT(3521, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_19673])

    allocate(vertices(3522)%branchCT(0:0))
    call avCT(3522, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13366])

    allocate(vertices(5036)%branchCT(0:0))
    call avCT(5036, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_19427])

    allocate(vertices(2912)%branchCT(0:0))
    call avCT(2912, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(1107)%branchCT(0:0))
    call avCT(1107, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(1108)%branchCT(0:1))
    call avCT(1108, 0, 85, 1, 0, FaVF1, 0, [0, 3], [nGC_19503])

    call avCT(1108, 1, 85, 1, 0, FaVF1, 0, [2, 1], [nGC_19502])

    allocate(vertices(602)%branchCT(0:0))
    call avCT(602, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(1109)%branchCT(0:0))
    call avCT(1109, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19159])

    allocate(vertices(3528)%branchCT(0:0))
    call avCT(3528, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(3530)%branchCT(0:0))
    call avCT(3530, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(1112)%branchCT(0:0))
    call avCT(1112, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13367])

    allocate(vertices(3533)%branchCT(0:0))
    call avCT(3533, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19265, nGC_19264,       &
    nGC_19264])

    allocate(vertices(1409)%branchCT(0:0))
    call avCT(1409, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13344])

    allocate(vertices(5037)%branchCT(0:0))
    call avCT(5037, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_21173, nGC_21174])

    allocate(vertices(1115)%branchCT(0:1))
    call avCT(1115, 0, 87, 1, 0, VFaF1, 0, [0, 3], [nGC_20772, nGC_20773])

    call avCT(1115, 1, 87, 1, 0, VFaF1, 0, [2, 1], [nGC_20768, nGC_20765])

    allocate(vertices(1116)%branchCT(0:0))
    call avCT(1116, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(1117)%branchCT(0:1))
    call avCT(1117, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_20772, nGC_20773])

    call avCT(1117, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_20768, nGC_20765])

    allocate(vertices(1119)%branchCT(0:0))
    call avCT(1119, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(1901)%branchCT(0:0))
    call avCT(1901, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(1120)%branchCT(0:0))
    call avCT(1120, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13343])

    allocate(vertices(1121)%branchCT(0:0))
    call avCT(1121, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(1122)%branchCT(0:0))
    call avCT(1122, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(3537)%branchCT(0:0))
    call avCT(3537, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(4722)%branchCT(0:0))
    call avCT(4722, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_21203])

    allocate(vertices(5038)%branchCT(0:0))
    call avCT(5038, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_23942])

    allocate(vertices(3539)%branchCT(0:0))
    call avCT(3539, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(1125)%branchCT(0:0))
    call avCT(1125, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_22403])

    allocate(vertices(2966)%branchCT(0:0))
    call avCT(2966, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(260)%branchCT(0:0))
    call avCT(260, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(1127)%branchCT(0:0))
    call avCT(1127, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20189])

    allocate(vertices(717)%branchCT(0:0))
    call avCT(717, 0, 1, 1, 0, VVV2, 0, [0, 3], [nGC_22043, nGC_22044])

    allocate(vertices(3010)%branchCT(0:0))
    call avCT(3010, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_20404, nGC_20405])

    allocate(vertices(2206)%branchCT(0:0))
    call avCT(2206, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19312])

    allocate(vertices(2015)%branchCT(0:0))
    call avCT(2015, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19076])

    allocate(vertices(1867)%branchCT(0:0))
    call avCT(1867, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20004])

    allocate(vertices(3543)%branchCT(0:0))
    call avCT(3543, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13367])

    allocate(vertices(605)%branchCT(0:0))
    call avCT(605, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13367])

    allocate(vertices(1880)%branchCT(0:0))
    call avCT(1880, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(1133)%branchCT(0:0))
    call avCT(1133, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19124])

    allocate(vertices(1134)%branchCT(0:1))
    call avCT(1134, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_22447, nGC_22448])

    call avCT(1134, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_22439, nGC_22442])

    allocate(vertices(1136)%branchCT(0:0))
    call avCT(1136, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(2208)%branchCT(0:1))
    call avCT(2208, 0, 85, 1, 0, FaVF0, 0, [0, 3], [nGC_21417, nGC_21418])

    call avCT(2208, 1, 85, 1, 0, FaVF0, 0, [2, 1], [nGC_21410, nGC_21413])

    allocate(vertices(3001)%branchCT(0:0))
    call avCT(3001, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(1137)%branchCT(0:0))
    call avCT(1137, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13381])

    allocate(vertices(3549)%branchCT(0:0))
    call avCT(3549, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(203)%branchCT(0:0))
    call avCT(203, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(1140)%branchCT(0:0))
    call avCT(1140, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(3552)%branchCT(0:0))
    call avCT(3552, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_19330])

    allocate(vertices(1143)%branchCT(0:0))
    call avCT(1143, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(1147)%branchCT(0:0))
    call avCT(1147, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(1148)%branchCT(0:0))
    call avCT(1148, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13381])

    allocate(vertices(4834)%branchCT(0:0))
    call avCT(4834, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19379])

    allocate(vertices(1150)%branchCT(0:3))
    call avCT(1150, 0, 88, 4, 0, FVFa0, 0, [1, 2], [nGC_21465, nGC_21463])

    call avCT(1150, 1, 88, 4, 0, FVFa0, 0, [3, 0], [nGC_21467, nGC_21468])

    call avCT(1150, 2, 89, 5, 0, FVFa0, 0, [1, 2], [nGC_21465, nGC_21463])

    call avCT(1150, 3, 89, 5, 0, FVFa0, 0, [3, 0], [nGC_21467, nGC_21468])

    allocate(vertices(3554)%branchCT(0:0))
    call avCT(3554, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_20198])

    allocate(vertices(1152)%branchCT(0:0))
    call avCT(1152, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(3008)%branchCT(0:0))
    call avCT(3008, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19312])

    allocate(vertices(1004)%branchCT(0:0))
    call avCT(1004, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(3557)%branchCT(0:0))
    call avCT(3557, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(4772)%branchCT(0:0))
    call avCT(4772, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(3560)%branchCT(0:0))
    call avCT(3560, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19076])

    allocate(vertices(3561)%branchCT(0:1))
    call avCT(3561, 0, 85, 1, 0, FaVF0, 0, [0, 3], [nGC_23159, nGC_23160])

    call avCT(3561, 1, 85, 1, 0, FaVF0, 0, [2, 1], [nGC_23152, nGC_23155])

    allocate(vertices(2211)%branchCT(0:0))
    call avCT(2211, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13361])

    allocate(vertices(1156)%branchCT(0:0))
    call avCT(1156, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20211])

    allocate(vertices(1157)%branchCT(0:0))
    call avCT(1157, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_22462])

    allocate(vertices(2038)%branchCT(0:0))
    call avCT(2038, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_20232])

    allocate(vertices(1160)%branchCT(0:0))
    call avCT(1160, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_19112])

    allocate(vertices(3418)%branchCT(0:0))
    call avCT(3418, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19347])

    allocate(vertices(3565)%branchCT(0:0))
    call avCT(3565, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

    allocate(vertices(1162)%branchCT(0:0))
    call avCT(1162, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_22403])

    allocate(vertices(3567)%branchCT(0:0))
    call avCT(3567, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_21563, nGC_21562])

    allocate(vertices(3848)%branchCT(0:0))
    call avCT(3848, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(3570)%branchCT(0:0))
    call avCT(3570, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(5039)%branchCT(0:0))
    call avCT(5039, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_21479, nGC_21480])

    allocate(vertices(1168)%branchCT(0:0))
    call avCT(1168, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_13381])

    allocate(vertices(3575)%branchCT(0:0))
    call avCT(3575, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13341])

    allocate(vertices(3576)%branchCT(0:0))
    call avCT(3576, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_22773])

    allocate(vertices(3577)%branchCT(0:0))
    call avCT(3577, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13366])

    allocate(vertices(3578)%branchCT(0:0))
    call avCT(3578, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22284])

    allocate(vertices(3005)%branchCT(0:0))
    call avCT(3005, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(1172)%branchCT(0:0))
    call avCT(1172, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20814])

    allocate(vertices(1175)%branchCT(0:0))
    call avCT(1175, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20307])

    allocate(vertices(1176)%branchCT(0:1))
    call avCT(1176, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_19321, nGC_19322])

    call avCT(1176, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_19319, nGC_19320])

    allocate(vertices(1177)%branchCT(0:0))
    call avCT(1177, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3581)%branchCT(0:0))
    call avCT(3581, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19250])

    allocate(vertices(2196)%branchCT(0:1))
    call avCT(2196, 0, 83, 1, 0, FVFa1, 0, [0, 3], [nGC_19307])

    call avCT(2196, 1, 83, 1, 0, FVFa1, 0, [2, 1], [nGC_19306])

    allocate(vertices(1007)%branchCT(0:0))
    call avCT(1007, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_20158])

    allocate(vertices(3583)%branchCT(0:1))
    call avCT(3583, 0, 86, 1, 0, VFFa0, 0, [0, 3], [nGC_19307])

    call avCT(3583, 1, 86, 1, 0, VFFa0, 0, [2, 1], [nGC_19306])

    allocate(vertices(1180)%branchCT(0:0))
    call avCT(1180, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(3585)%branchCT(0:0))
    call avCT(3585, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13350])

    allocate(vertices(3586)%branchCT(0:0))
    call avCT(3586, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(1182)%branchCT(0:0))
    call avCT(1182, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19368])

    allocate(vertices(1183)%branchCT(0:0))
    call avCT(1183, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13381])

    allocate(vertices(1184)%branchCT(0:0))
    call avCT(1184, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(2156)%branchCT(0:1))
    call avCT(2156, 0, 87, 1, 0, VFaF1, 0, [0, 3], [nGC_21309, nGC_21310])

    call avCT(2156, 1, 87, 1, 0, VFaF1, 0, [2, 1], [nGC_21306, nGC_21302])

    allocate(vertices(1185)%branchCT(0:0))
    call avCT(1185, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19124])

    allocate(vertices(3592)%branchCT(0:0))
    call avCT(3592, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(1476)%branchCT(0:3))
    call avCT(1476, 0, 96, 4, 0, VFaF1, 0, [1, 2], [nGC_21465, nGC_21463])

    call avCT(1476, 1, 96, 4, 0, VFaF1, 0, [3, 0], [nGC_21467, nGC_21468])

    call avCT(1476, 2, 97, 5, 0, VFaF1, 0, [1, 2], [nGC_21465, nGC_21463])

    call avCT(1476, 3, 97, 5, 0, VFaF1, 0, [3, 0], [nGC_21467, nGC_21468])

  end subroutine fill_vertices_mdl8
end module vertices_info8
