!******************************************************************************!
!                                                                              !
!    vertices_info9.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info9.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 14:34             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info9
  implicit none
  contains
  subroutine fill_vertices_mdl9()
    use class_vertices
    use class_couplings
    allocate(vertices(4289)%branchCT(0:0))
    call avCT(4289, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(3594)%branchCT(0:0))
    call avCT(3594, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(3595)%branchCT(0:0))
    call avCT(3595, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13341])

    allocate(vertices(1422)%branchCT(0:0))
    call avCT(1422, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(1191)%branchCT(0:0))
    call avCT(1191, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19492])

    allocate(vertices(3598)%branchCT(0:0))
    call avCT(3598, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_19330])

    allocate(vertices(3424)%branchCT(0:0))
    call avCT(3424, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19492])

    allocate(vertices(2214)%branchCT(0:0))
    call avCT(2214, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19199])

    allocate(vertices(5040)%branchCT(0:0))
    call avCT(5040, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20177])

    allocate(vertices(1302)%branchCT(0:0))
    call avCT(1302, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20307])

    allocate(vertices(3604)%branchCT(0:0))
    call avCT(3604, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19903])

    allocate(vertices(1807)%branchCT(0:3))
    call avCT(1807, 0, 92, 4, 0, FaFV0, 0, [1, 2], [nGC_22945, nGC_22947])

    call avCT(1807, 1, 92, 4, 0, FaFV0, 0, [3, 0], [nGC_22949, nGC_22950])

    call avCT(1807, 2, 93, 5, 0, FaFV0, 0, [1, 2], [nGC_22945, nGC_22947])

    call avCT(1807, 3, 93, 5, 0, FaFV0, 0, [3, 0], [nGC_22949, nGC_22950])

    allocate(vertices(1197)%branchCT(0:0))
    call avCT(1197, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(1198)%branchCT(0:0))
    call avCT(1198, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_20921, nGC_20922])

    allocate(vertices(1736)%branchCT(0:0))
    call avCT(1736, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13340])

    allocate(vertices(2194)%branchCT(0:0))
    call avCT(2194, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13341])

    allocate(vertices(3607)%branchCT(0:0))
    call avCT(3607, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19498])

    allocate(vertices(719)%branchCT(0:0))
    call avCT(719, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(3608)%branchCT(0:0))
    call avCT(3608, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(1200)%branchCT(0:0))
    call avCT(1200, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_21044, nGC_21043])

    allocate(vertices(3610)%branchCT(0:1))
    call avCT(3610, 0, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_21289, nGC_21290])

    call avCT(3610, 1, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_21291, nGC_21292])

    allocate(vertices(3611)%branchCT(0:0))
    call avCT(3611, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_20158])

    allocate(vertices(1204)%branchCT(0:0))
    call avCT(1204, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19492])

    allocate(vertices(4741)%branchCT(0:0))
    call avCT(4741, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19076])

    allocate(vertices(2291)%branchCT(0:0))
    call avCT(2291, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19312])

    allocate(vertices(1207)%branchCT(0:3))
    call avCT(1207, 0, 94, 4, 0, VFFa1, 0, [1, 2], [nGC_19178, nGC_19176])

    call avCT(1207, 1, 94, 4, 0, VFFa1, 0, [3, 0], [nGC_19181, nGC_19182])

    call avCT(1207, 2, 95, 5, 0, VFFa1, 0, [1, 2], [nGC_19178, nGC_19176])

    call avCT(1207, 3, 95, 5, 0, VFFa1, 0, [3, 0], [nGC_19181, nGC_19182])

    allocate(vertices(2308)%branchCT(0:0))
    call avCT(2308, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19159])

    allocate(vertices(1210)%branchCT(0:0))
    call avCT(1210, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13370])

    allocate(vertices(4948)%branchCT(0:0))
    call avCT(4948, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(2974)%branchCT(0:0))
    call avCT(2974, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(3220)%branchCT(0:0))
    call avCT(3220, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_20151, nGC_20152])

    allocate(vertices(619)%branchCT(0:0))
    call avCT(619, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13341])

    allocate(vertices(3622)%branchCT(0:0))
    call avCT(3622, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19076])

    allocate(vertices(5041)%branchCT(0:0))
    call avCT(5041, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_19427])

    allocate(vertices(3623)%branchCT(0:0))
    call avCT(3623, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13344])

    allocate(vertices(3625)%branchCT(0:0))
    call avCT(3625, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(1218)%branchCT(0:0))
    call avCT(1218, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13350])

    allocate(vertices(3628)%branchCT(0:0))
    call avCT(3628, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19226])

    allocate(vertices(1219)%branchCT(0:1))
    call avCT(1219, 0, 83, 1, 0, FVFa1, 0, [0, 3], [nGC_19222])

    call avCT(1219, 1, 83, 1, 0, FVFa1, 0, [2, 1], [nGC_19221])

    allocate(vertices(1810)%branchCT(0:0))
    call avCT(1810, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19124])

    allocate(vertices(3630)%branchCT(0:0))
    call avCT(3630, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19549])

    allocate(vertices(4801)%branchCT(0:0))
    call avCT(4801, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19648, nGC_19649,       &
    nGC_19649])

    allocate(vertices(3632)%branchCT(0:0))
    call avCT(3632, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(3633)%branchCT(0:0))
    call avCT(3633, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_20404, nGC_20405])

    allocate(vertices(5042)%branchCT(0:0))
    call avCT(5042, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_23124, nGC_23119,       &
    nGC_23126, nGC_23126])

    allocate(vertices(3859)%branchCT(0:1))
    call avCT(3859, 0, 84, 1, 0, FaFV1, 0, [0, 3], [nGC_19503])

    call avCT(3859, 1, 84, 1, 0, FaFV1, 0, [2, 1], [nGC_19502])

    allocate(vertices(3637)%branchCT(0:0))
    call avCT(3637, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(4179)%branchCT(0:1))
    call avCT(4179, 0, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_24354, nGC_24354])

    call avCT(4179, 1, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_24355, nGC_24355])

    allocate(vertices(618)%branchCT(0:0))
    call avCT(618, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(3638)%branchCT(0:1))
    call avCT(3638, 0, 85, 1, 0, FaVF0, 0, [0, 3], [nGC_19816, nGC_19817])

    call avCT(3638, 1, 85, 1, 0, FaVF0, 0, [2, 1], [nGC_19810, nGC_19813])

    allocate(vertices(3639)%branchCT(0:0))
    call avCT(3639, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13341])

    allocate(vertices(2429)%branchCT(0:0))
    call avCT(2429, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(3642)%branchCT(0:0))
    call avCT(3642, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_19793])

    allocate(vertices(3643)%branchCT(0:0))
    call avCT(3643, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13343])

    allocate(vertices(3954)%branchCT(0:0))
    call avCT(3954, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(3646)%branchCT(0:0))
    call avCT(3646, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(666)%branchCT(0:0))
    call avCT(666, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13381])

    allocate(vertices(3648)%branchCT(0:0))
    call avCT(3648, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_21483])

    allocate(vertices(3649)%branchCT(0:0))
    call avCT(3649, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_21731])

    allocate(vertices(5043)%branchCT(0:0))
    call avCT(5043, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19352])

    allocate(vertices(1231)%branchCT(0:0))
    call avCT(1231, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_21044, nGC_21043])

    allocate(vertices(3650)%branchCT(0:0))
    call avCT(3650, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(1233)%branchCT(0:0))
    call avCT(1233, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_22403])

    allocate(vertices(1142)%branchCT(0:0))
    call avCT(1142, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(3652)%branchCT(0:0))
    call avCT(3652, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(3653)%branchCT(0:0))
    call avCT(3653, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19707])

    allocate(vertices(2511)%branchCT(0:0))
    call avCT(2511, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(625)%branchCT(0:0))
    call avCT(625, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19131])

    allocate(vertices(2842)%branchCT(0:0))
    call avCT(2842, 0, 1, 1, 0, VVV2, 0, [0, 3], [nGC_20078, nGC_20077])

    allocate(vertices(1240)%branchCT(0:0))
    call avCT(1240, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(1241)%branchCT(0:0))
    call avCT(1241, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_20927])

    allocate(vertices(217)%branchCT(0:0))
    call avCT(217, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(1242)%branchCT(0:0))
    call avCT(1242, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(1243)%branchCT(0:0))
    call avCT(1243, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_19166, nGC_19166])

    allocate(vertices(3658)%branchCT(0:0))
    call avCT(3658, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(1017)%branchCT(0:0))
    call avCT(1017, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19070])

    allocate(vertices(3660)%branchCT(0:0))
    call avCT(3660, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(4748)%branchCT(0:0))
    call avCT(4748, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19226])

    allocate(vertices(3661)%branchCT(0:0))
    call avCT(3661, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(1247)%branchCT(0:5))
    call avCT(1247, 0, 4, 3, 0, VVVV0, 0, [4, 0], [nGC_24453, nGC_24453,       &
    nGC_24464])

    call avCT(1247, 1, 5, 3, 0, VVVV0, 0, [4, 0], [nGC_24453, nGC_24453,       &
    nGC_24464])

    call avCT(1247, 2, 6, 2, 0, VVVV0, 0, [4, 0], [nGC_24455, nGC_24454,       &
    nGC_24454])

    call avCT(1247, 3, 7, 2, 0, VVVV0, 0, [4, 0], [nGC_24454, nGC_24455,       &
    nGC_24454])

    call avCT(1247, 4, 8, 2, 0, VVVV0, 0, [4, 0], [nGC_24455, nGC_24454,       &
    nGC_24454])

    call avCT(1247, 5, 9, 2, 0, VVVV0, 0, [4, 0], [nGC_24454, nGC_24455,       &
    nGC_24454])

    allocate(vertices(3663)%branchCT(0:0))
    call avCT(3663, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19199])

    allocate(vertices(1248)%branchCT(0:0))
    call avCT(1248, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_21747])

    allocate(vertices(2561)%branchCT(0:0))
    call avCT(2561, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19368])

    allocate(vertices(1250)%branchCT(0:0))
    call avCT(1250, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_20158])

    allocate(vertices(1913)%branchCT(0:0))
    call avCT(1913, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19070])

    allocate(vertices(2570)%branchCT(0:0))
    call avCT(2570, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19903])

    allocate(vertices(1251)%branchCT(0:0))
    call avCT(1251, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13381])

    allocate(vertices(3667)%branchCT(0:0))
    call avCT(3667, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13366])

    allocate(vertices(2227)%branchCT(0:0))
    call avCT(2227, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19148])

    allocate(vertices(1252)%branchCT(0:0))
    call avCT(1252, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(3670)%branchCT(0:0))
    call avCT(3670, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19379])

    allocate(vertices(631)%branchCT(0:0))
    call avCT(631, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_20534, nGC_20533])

    allocate(vertices(1253)%branchCT(0:0))
    call avCT(1253, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13366])

    allocate(vertices(3671)%branchCT(0:0))
    call avCT(3671, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19159])

    allocate(vertices(1254)%branchCT(0:0))
    call avCT(1254, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(1255)%branchCT(0:0))
    call avCT(1255, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_20842])

    allocate(vertices(3579)%branchCT(0:0))
    call avCT(3579, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(1257)%branchCT(0:0))
    call avCT(1257, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_20158])

    allocate(vertices(3676)%branchCT(0:0))
    call avCT(3676, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(3678)%branchCT(0:0))
    call avCT(3678, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_21917])

    allocate(vertices(5044)%branchCT(0:1))
    call avCT(5044, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_24531, nGC_24527,      &
    nGC_24534, nGC_24534])

    call avCT(5044, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_24532, nGC_24528,      &
    nGC_24535, nGC_24535])

    allocate(vertices(3680)%branchCT(0:0))
    call avCT(3680, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13344])

    allocate(vertices(5045)%branchCT(0:0))
    call avCT(5045, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19837])

    allocate(vertices(1437)%branchCT(0:0))
    call avCT(1437, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(1266)%branchCT(0:0))
    call avCT(1266, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(2670)%branchCT(0:0))
    call avCT(2670, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(1267)%branchCT(0:0))
    call avCT(1267, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(3687)%branchCT(0:0))
    call avCT(3687, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(3688)%branchCT(0:1))
    call avCT(3688, 0, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_21386, nGC_21387])

    call avCT(3688, 1, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_21388, nGC_21389])

    allocate(vertices(2686)%branchCT(0:0))
    call avCT(2686, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(633)%branchCT(0:0))
    call avCT(633, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_21747])

    allocate(vertices(1271)%branchCT(0:0))
    call avCT(1271, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19096])

    allocate(vertices(113)%branchCT(0:0))
    call avCT(113, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_20158])

    allocate(vertices(1272)%branchCT(0:0))
    call avCT(1272, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_20151, nGC_20152])

    allocate(vertices(2706)%branchCT(0:0))
    call avCT(2706, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19498])

    allocate(vertices(1274)%branchCT(0:0))
    call avCT(1274, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_22462])

    allocate(vertices(2714)%branchCT(0:0))
    call avCT(2714, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_20232])

    allocate(vertices(1276)%branchCT(0:1))
    call avCT(1276, 0, 84, 1, 0, FaFV1, 0, [0, 3], [nGC_19222])

    call avCT(1276, 1, 84, 1, 0, FaFV1, 0, [2, 1], [nGC_19221])

    allocate(vertices(3696)%branchCT(0:0))
    call avCT(3696, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19124])

    allocate(vertices(3698)%branchCT(0:1))
    call avCT(3698, 0, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_19816, nGC_19817])

    call avCT(3698, 1, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_19810, nGC_19813])

    allocate(vertices(1187)%branchCT(0:0))
    call avCT(1187, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_21917])

    allocate(vertices(3700)%branchCT(0:1))
    call avCT(3700, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_19638, nGC_19639])

    call avCT(3700, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_19640, nGC_19641])

    allocate(vertices(2230)%branchCT(0:0))
    call avCT(2230, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(1281)%branchCT(0:0))
    call avCT(1281, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19785])

    allocate(vertices(3703)%branchCT(0:1))
    call avCT(3703, 0, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_23803, nGC_23803])

    call avCT(3703, 1, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_23801, nGC_23801])

    allocate(vertices(3704)%branchCT(0:0))
    call avCT(3704, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22284])

    allocate(vertices(590)%branchCT(0:0))
    call avCT(590, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(2775)%branchCT(0:0))
    call avCT(2775, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20814])

    allocate(vertices(1285)%branchCT(0:0))
    call avCT(1285, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19124])

    allocate(vertices(1286)%branchCT(0:0))
    call avCT(1286, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19226])

    allocate(vertices(1288)%branchCT(0:0))
    call avCT(1288, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_19127])

    allocate(vertices(5046)%branchCT(0:0))
    call avCT(5046, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_19545, nGC_19539,        &
    nGC_19544])

    allocate(vertices(4388)%branchCT(0:1))
    call avCT(4388, 0, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_19319, nGC_19320])

    call avCT(4388, 1, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_19321, nGC_19322])

    allocate(vertices(3709)%branchCT(0:0))
    call avCT(3709, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(3710)%branchCT(0:1))
    call avCT(3710, 0, 87, 1, 0, VFaF0, 0, [0, 3], [nGC_19222])

    call avCT(3710, 1, 87, 1, 0, VFaF0, 0, [2, 1], [nGC_19221])

    allocate(vertices(1292)%branchCT(0:0))
    call avCT(1292, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3712)%branchCT(0:1))
    call avCT(3712, 0, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_21932, nGC_21932])

    call avCT(3712, 1, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_21933, nGC_21933])

    allocate(vertices(2815)%branchCT(0:0))
    call avCT(2815, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(1294)%branchCT(0:1))
    call avCT(1294, 0, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_19830, nGC_19827])

    call avCT(1294, 1, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_19835, nGC_19836])

    allocate(vertices(222)%branchCT(0:0))
    call avCT(222, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19255])

    allocate(vertices(3714)%branchCT(0:0))
    call avCT(3714, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(2407)%branchCT(0:0))
    call avCT(2407, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(1013)%branchCT(0:0))
    call avCT(1013, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(3716)%branchCT(0:0))
    call avCT(3716, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22813, nGC_22814])

    allocate(vertices(1300)%branchCT(0:0))
    call avCT(1300, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19903])

    allocate(vertices(2851)%branchCT(0:0))
    call avCT(2851, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3720)%branchCT(0:3))
    call avCT(3720, 0, 94, 4, 0, VFFa1, 0, [1, 2], [nGC_22945, nGC_22947])

    call avCT(3720, 1, 94, 4, 0, VFFa1, 0, [3, 0], [nGC_22949, nGC_22950])

    call avCT(3720, 2, 95, 5, 0, VFFa1, 0, [1, 2], [nGC_22945, nGC_22947])

    call avCT(3720, 3, 95, 5, 0, VFFa1, 0, [3, 0], [nGC_22949, nGC_22950])

    allocate(vertices(4305)%branchCT(0:0))
    call avCT(4305, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19649, nGC_19648,       &
    nGC_19649])

    allocate(vertices(3722)%branchCT(0:0))
    call avCT(3722, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19648, nGC_19649,       &
    nGC_19649])

    allocate(vertices(1303)%branchCT(0:1))
    call avCT(1303, 0, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_20419, nGC_20420])

    call avCT(1303, 1, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_20417, nGC_20418])

    allocate(vertices(5047)%branchCT(0:0))
    call avCT(5047, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_19427])

    allocate(vertices(3724)%branchCT(0:0))
    call avCT(3724, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13365])

    allocate(vertices(3725)%branchCT(0:0))
    call avCT(3725, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13381])

    allocate(vertices(3529)%branchCT(0:0))
    call avCT(3529, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(1307)%branchCT(0:0))
    call avCT(1307, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(1308)%branchCT(0:0))
    call avCT(1308, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_19112])

    allocate(vertices(3559)%branchCT(0:0))
    call avCT(3559, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(3730)%branchCT(0:0))
    call avCT(3730, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(2633)%branchCT(0:0))
    call avCT(2633, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(1312)%branchCT(0:0))
    call avCT(1312, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20189])

    allocate(vertices(1313)%branchCT(0:0))
    call avCT(1313, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_20921, nGC_20922])

    allocate(vertices(2921)%branchCT(0:0))
    call avCT(2921, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3732)%branchCT(0:1))
    call avCT(3732, 0, 84, 1, 0, FaFV0, 0, [0, 3], [nGC_22447, nGC_22448])

    call avCT(3732, 1, 84, 1, 0, FaFV0, 0, [2, 1], [nGC_22439, nGC_22442])

    allocate(vertices(3733)%branchCT(0:0))
    call avCT(3733, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13365])

    allocate(vertices(4120)%branchCT(0:0))
    call avCT(4120, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(1316)%branchCT(0:0))
    call avCT(1316, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(1317)%branchCT(0:0))
    call avCT(1317, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_19127])

    allocate(vertices(1318)%branchCT(0:0))
    call avCT(1318, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20307])

    allocate(vertices(2526)%branchCT(0:0))
    call avCT(2526, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(3737)%branchCT(0:0))
    call avCT(3737, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(3738)%branchCT(0:1))
    call avCT(3738, 0, 87, 1, 0, VFaF1, 0, [0, 3], [nGC_23303, nGC_23304])

    call avCT(3738, 1, 87, 1, 0, VFaF1, 0, [2, 1], [nGC_23297, nGC_23294])

    allocate(vertices(225)%branchCT(0:0))
    call avCT(225, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(1322)%branchCT(0:0))
    call avCT(1322, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_20198])

    allocate(vertices(4760)%branchCT(0:0))
    call avCT(4760, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_20198])

    allocate(vertices(1325)%branchCT(0:0))
    call avCT(1325, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(1326)%branchCT(0:0))
    call avCT(1326, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_23246])

    allocate(vertices(3742)%branchCT(0:0))
    call avCT(3742, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(1327)%branchCT(0:1))
    call avCT(1327, 0, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_19213, nGC_19213])

    call avCT(1327, 1, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_19214, nGC_19214])

    allocate(vertices(3743)%branchCT(0:0))
    call avCT(3743, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(1328)%branchCT(0:0))
    call avCT(1328, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19131])

    allocate(vertices(3745)%branchCT(0:0))
    call avCT(3745, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(3943)%branchCT(0:0))
    call avCT(3943, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(2611)%branchCT(0:0))
    call avCT(2611, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(1332)%branchCT(0:0))
    call avCT(1332, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(1334)%branchCT(0:0))
    call avCT(1334, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(1335)%branchCT(0:0))
    call avCT(1335, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(1337)%branchCT(0:0))
    call avCT(1337, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(1338)%branchCT(0:1))
    call avCT(1338, 0, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_19464, nGC_19465])

    call avCT(1338, 1, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_19466, nGC_19467])

    allocate(vertices(3043)%branchCT(0:0))
    call avCT(3043, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(1340)%branchCT(0:0))
    call avCT(1340, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13340])

    allocate(vertices(3756)%branchCT(0:0))
    call avCT(3756, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(1342)%branchCT(0:0))
    call avCT(1342, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_20842])

    allocate(vertices(1345)%branchCT(0:0))
    call avCT(1345, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(3075)%branchCT(0:0))
    call avCT(3075, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(156)%branchCT(0:1))
    call avCT(156, 0, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_22981, nGC_22981])

    call avCT(156, 1, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_22983, nGC_22983])

    allocate(vertices(3759)%branchCT(0:0))
    call avCT(3759, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(1350)%branchCT(0:0))
    call avCT(1350, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(2277)%branchCT(0:0))
    call avCT(2277, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19226])

    allocate(vertices(1351)%branchCT(0:0))
    call avCT(1351, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_19108])

    allocate(vertices(3093)%branchCT(0:0))
    call avCT(3093, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13342])

    allocate(vertices(1353)%branchCT(0:1))
    call avCT(1353, 0, 98, 6, 0, UVUa0, 0, [3, 0], [nGC_23344])

    call avCT(1353, 1, 99, 7, 0, UVUa0, 0, [3, 0], [nGC_23344])

    allocate(vertices(1354)%branchCT(0:0))
    call avCT(1354, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(3760)%branchCT(0:0))
    call avCT(3760, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19498])

    allocate(vertices(4546)%branchCT(0:0))
    call avCT(4546, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13342])

    allocate(vertices(4292)%branchCT(0:0))
    call avCT(4292, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_21989])

    allocate(vertices(2235)%branchCT(0:0))
    call avCT(2235, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_21917])

    allocate(vertices(5048)%branchCT(0:0))
    call avCT(5048, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_21174, nGC_21173])

    allocate(vertices(1359)%branchCT(0:1))
    call avCT(1359, 0, 84, 1, 0, FaFV0, 0, [0, 3], [nGC_23303, nGC_23304])

    call avCT(1359, 1, 84, 1, 0, FaFV0, 0, [2, 1], [nGC_23297, nGC_23294])

    allocate(vertices(3157)%branchCT(0:0))
    call avCT(3157, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(1360)%branchCT(0:1))
    call avCT(1360, 0, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_24354, nGC_24354])

    call avCT(1360, 1, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_24355, nGC_24355])

    allocate(vertices(2189)%branchCT(0:0))
    call avCT(2189, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(1451)%branchCT(0:0))
    call avCT(1451, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(3769)%branchCT(0:0))
    call avCT(3769, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19347])

    allocate(vertices(3771)%branchCT(0:0))
    call avCT(3771, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13366])

    allocate(vertices(3772)%branchCT(0:0))
    call avCT(3772, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13370])

    allocate(vertices(3188)%branchCT(0:0))
    call avCT(3188, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3774)%branchCT(0:0))
    call avCT(3774, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3204)%branchCT(0:0))
    call avCT(3204, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(1365)%branchCT(0:1))
    call avCT(1365, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_21641, nGC_21642])

    call avCT(1365, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_21635, nGC_21632])

    allocate(vertices(3236)%branchCT(0:0))
    call avCT(3236, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(5049)%branchCT(0:0))
    call avCT(5049, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19837])

    allocate(vertices(4313)%branchCT(0:0))
    call avCT(4313, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(3781)%branchCT(0:0))
    call avCT(3781, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19199])

    allocate(vertices(4469)%branchCT(0:0))
    call avCT(4469, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(1368)%branchCT(0:0))
    call avCT(1368, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(3782)%branchCT(0:0))
    call avCT(3782, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_20158])

    allocate(vertices(235)%branchCT(0:0))
    call avCT(235, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(3783)%branchCT(0:0))
    call avCT(3783, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(1370)%branchCT(0:0))
    call avCT(1370, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19422])

    allocate(vertices(3785)%branchCT(0:0))
    call avCT(3785, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19303])

    allocate(vertices(3280)%branchCT(0:0))
    call avCT(3280, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19105])

    allocate(vertices(3286)%branchCT(0:0))
    call avCT(3286, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(1373)%branchCT(0:0))
    call avCT(1373, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_19387])

    allocate(vertices(1375)%branchCT(0:0))
    call avCT(1375, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19131])

    allocate(vertices(1376)%branchCT(0:0))
    call avCT(1376, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19903])

    allocate(vertices(1377)%branchCT(0:0))
    call avCT(1377, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(1379)%branchCT(0:0))
    call avCT(1379, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(238)%branchCT(0:0))
    call avCT(238, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(2219)%branchCT(0:0))
    call avCT(2219, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(3345)%branchCT(0:0))
    call avCT(3345, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19379])

    allocate(vertices(1382)%branchCT(0:0))
    call avCT(1382, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_21563, nGC_21562])

    allocate(vertices(3352)%branchCT(0:0))
    call avCT(3352, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(3800)%branchCT(0:0))
    call avCT(3800, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_19536, nGC_19537])

    allocate(vertices(5050)%branchCT(0:1))
    call avCT(5050, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_23192, nGC_23188,       &
    nGC_23195, nGC_23195])

    call avCT(5050, 1, 14, 1, 0, FFa1, 0, [2, 0], [nGC_23193, nGC_23189,       &
    nGC_23196, nGC_23196])

    allocate(vertices(1385)%branchCT(0:0))
    call avCT(1385, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(1386)%branchCT(0:0))
    call avCT(1386, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(3806)%branchCT(0:0))
    call avCT(3806, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_19673])

    allocate(vertices(653)%branchCT(0:0))
    call avCT(653, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_21917])

    allocate(vertices(1389)%branchCT(0:0))
    call avCT(1389, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_22403])

    allocate(vertices(5051)%branchCT(0:0))
    call avCT(5051, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_25047, nGC_25041,        &
    nGC_25042])

    allocate(vertices(3812)%branchCT(0:0))
    call avCT(3812, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_19781])

    allocate(vertices(1391)%branchCT(0:0))
    call avCT(1391, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(1393)%branchCT(0:0))
    call avCT(1393, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(1394)%branchCT(0:0))
    call avCT(1394, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(2764)%branchCT(0:0))
    call avCT(2764, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(3439)%branchCT(0:0))
    call avCT(3439, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19070])

    allocate(vertices(5052)%branchCT(0:0))
    call avCT(5052, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20177])

    allocate(vertices(3618)%branchCT(0:1))
    call avCT(3618, 0, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_22981, nGC_22981])

    call avCT(3618, 1, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_22983, nGC_22983])

    allocate(vertices(3822)%branchCT(0:0))
    call avCT(3822, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_19793])

    allocate(vertices(3459)%branchCT(0:1))
    call avCT(3459, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_19835, nGC_19836])

    call avCT(3459, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_19830, nGC_19827])

    allocate(vertices(1400)%branchCT(0:0))
    call avCT(1400, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_21989])

    allocate(vertices(3824)%branchCT(0:0))
    call avCT(3824, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3301)%branchCT(0:0))
    call avCT(3301, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(3830)%branchCT(0:0))
    call avCT(3830, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19379])

    allocate(vertices(3832)%branchCT(0:0))
    call avCT(3832, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3833)%branchCT(0:0))
    call avCT(3833, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(1405)%branchCT(0:0))
    call avCT(1405, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13381])

    allocate(vertices(3179)%branchCT(0:0))
    call avCT(3179, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3514)%branchCT(0:0))
    call avCT(3514, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(1407)%branchCT(0:1))
    call avCT(1407, 0, 87, 1, 0, VFaF1, 0, [2, 1], [nGC_19830, nGC_19827])

    call avCT(1407, 1, 87, 1, 0, VFaF1, 0, [0, 3], [nGC_19835, nGC_19836])

    allocate(vertices(3890)%branchCT(0:0))
    call avCT(3890, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(1408)%branchCT(0:0))
    call avCT(1408, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(782)%branchCT(0:0))
    call avCT(782, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_20375])

    allocate(vertices(3460)%branchCT(0:0))
    call avCT(3460, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20835])

    allocate(vertices(3840)%branchCT(0:0))
    call avCT(3840, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19903])

    allocate(vertices(5053)%branchCT(0:0))
    call avCT(5053, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20891])

    allocate(vertices(3842)%branchCT(0:3))
    call avCT(3842, 0, 96, 4, 0, VFaF1, 0, [1, 2], [nGC_22945, nGC_22947])

    call avCT(3842, 1, 96, 4, 0, VFaF1, 0, [3, 0], [nGC_22949, nGC_22950])

    call avCT(3842, 2, 97, 5, 0, VFaF1, 0, [1, 2], [nGC_22945, nGC_22947])

    call avCT(3842, 3, 97, 5, 0, VFaF1, 0, [3, 0], [nGC_22949, nGC_22950])

    allocate(vertices(4325)%branchCT(0:0))
    call avCT(4325, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(754)%branchCT(0:0))
    call avCT(754, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3838)%branchCT(0:0))
    call avCT(3838, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22813, nGC_22814])

    allocate(vertices(243)%branchCT(0:0))
    call avCT(243, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13367])

    allocate(vertices(1414)%branchCT(0:1))
    call avCT(1414, 0, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_19770, nGC_19770])

    call avCT(1414, 1, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_19771, nGC_19771])

    allocate(vertices(1415)%branchCT(0:0))
    call avCT(1415, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(1416)%branchCT(0:0))
    call avCT(1416, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13381])

    allocate(vertices(1417)%branchCT(0:0))
    call avCT(1417, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13343])

    allocate(vertices(4890)%branchCT(0:0))
    call avCT(4890, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13343])

    allocate(vertices(3195)%branchCT(0:0))
    call avCT(3195, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_19112])

    allocate(vertices(4348)%branchCT(0:0))
    call avCT(4348, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19312])

    allocate(vertices(1421)%branchCT(0:0))
    call avCT(1421, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_20198])

    allocate(vertices(5054)%branchCT(0:0))
    call avCT(5054, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_21480, nGC_21479])

    allocate(vertices(850)%branchCT(0:0))
    call avCT(850, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(1423)%branchCT(0:0))
    call avCT(1423, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22549, nGC_22550])

    allocate(vertices(1044)%branchCT(0:0))
    call avCT(1044, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(3857)%branchCT(0:0))
    call avCT(3857, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3858)%branchCT(0:0))
    call avCT(3858, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(3636)%branchCT(0:0))
    call avCT(3636, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_20229, nGC_20229])

    allocate(vertices(1430)%branchCT(0:0))
    call avCT(1430, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(1714)%branchCT(0:0))
    call avCT(1714, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19738])

    allocate(vertices(4438)%branchCT(0:0))
    call avCT(4438, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(3864)%branchCT(0:0))
    call avCT(3864, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(1432)%branchCT(0:0))
    call avCT(1432, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13365])

    allocate(vertices(3865)%branchCT(0:0))
    call avCT(3865, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_22403])

    allocate(vertices(1435)%branchCT(0:0))
    call avCT(1435, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_20927])

    allocate(vertices(1848)%branchCT(0:0))
    call avCT(1848, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13367])

    allocate(vertices(3867)%branchCT(0:0))
    call avCT(3867, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20211])

    allocate(vertices(3868)%branchCT(0:0))
    call avCT(3868, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19096])

    allocate(vertices(4329)%branchCT(0:3))
    call avCT(4329, 0, 96, 4, 0, VFaF1, 0, [1, 2], [nGC_20261, nGC_20263])

    call avCT(4329, 1, 96, 4, 0, VFaF1, 0, [3, 0], [nGC_20265, nGC_20266])

    call avCT(4329, 2, 97, 5, 0, VFaF1, 0, [1, 2], [nGC_20261, nGC_20263])

    call avCT(4329, 3, 97, 5, 0, VFaF1, 0, [3, 0], [nGC_20265, nGC_20266])

    allocate(vertices(1463)%branchCT(0:0))
    call avCT(1463, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19076])

    allocate(vertices(1440)%branchCT(0:0))
    call avCT(1440, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19738])

    allocate(vertices(3723)%branchCT(0:0))
    call avCT(3723, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(4934)%branchCT(0:0))
    call avCT(4934, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(3876)%branchCT(0:0))
    call avCT(3876, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3877)%branchCT(0:0))
    call avCT(3877, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19131])

    allocate(vertices(3878)%branchCT(0:0))
    call avCT(3878, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_20921, nGC_20922])

    allocate(vertices(1446)%branchCT(0:0))
    call avCT(1446, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(1447)%branchCT(0:1))
    call avCT(1447, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_21290, nGC_21289])

    call avCT(1447, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_21292, nGC_21291])

    allocate(vertices(1448)%branchCT(0:0))
    call avCT(1448, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19255])

    allocate(vertices(2403)%branchCT(0:0))
    call avCT(2403, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13342])

    allocate(vertices(2296)%branchCT(0:0))
    call avCT(2296, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_20404, nGC_20405])

    allocate(vertices(3881)%branchCT(0:0))
    call avCT(3881, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(4482)%branchCT(0:0))
    call avCT(4482, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13366])

    allocate(vertices(2658)%branchCT(0:0))
    call avCT(2658, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(1453)%branchCT(0:0))
    call avCT(1453, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(3883)%branchCT(0:0))
    call avCT(3883, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_19673])

    allocate(vertices(3744)%branchCT(0:0))
    call avCT(3744, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19121])

    allocate(vertices(1455)%branchCT(0:0))
    call avCT(1455, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(1456)%branchCT(0:0))
    call avCT(1456, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(3886)%branchCT(0:3))
    call avCT(3886, 0, 11, 4, 0, FFaV0, 0, [1, 2], [nGC_21465, nGC_21463])

    call avCT(3886, 1, 11, 4, 0, FFaV0, 0, [3, 0], [nGC_21467, nGC_21468])

    call avCT(3886, 2, 12, 5, 0, FFaV0, 0, [1, 2], [nGC_21465, nGC_21463])

    call avCT(3886, 3, 12, 5, 0, FFaV0, 0, [3, 0], [nGC_21467, nGC_21468])

    allocate(vertices(1457)%branchCT(0:0))
    call avCT(1457, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19131])

    allocate(vertices(3887)%branchCT(0:1))
    call avCT(3887, 0, 87, 1, 0, VFaF0, 0, [0, 3], [nGC_19503])

    call avCT(3887, 1, 87, 1, 0, VFaF0, 0, [2, 1], [nGC_19502])

    allocate(vertices(3888)%branchCT(0:0))
    call avCT(3888, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13365])

    allocate(vertices(5055)%branchCT(0:0))
    call avCT(5055, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19352])

    allocate(vertices(3889)%branchCT(0:0))
    call avCT(3889, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_21917])

    allocate(vertices(3835)%branchCT(0:0))
    call avCT(3835, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3895)%branchCT(0:0))
    call avCT(3895, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(3172)%branchCT(0:0))
    call avCT(3172, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19159])

    allocate(vertices(3898)%branchCT(0:1))
    call avCT(3898, 0, 84, 1, 0, FaFV0, 0, [0, 3], [nGC_23159, nGC_23160])

    call avCT(3898, 1, 84, 1, 0, FaFV0, 0, [2, 1], [nGC_23152, nGC_23155])

    allocate(vertices(3051)%branchCT(0:0))
    call avCT(3051, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(3871)%branchCT(0:0))
    call avCT(3871, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19199])

    allocate(vertices(1464)%branchCT(0:1))
    call avCT(1464, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_24355, nGC_24355])

    call avCT(1464, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_24354, nGC_24354])

    allocate(vertices(3901)%branchCT(0:0))
    call avCT(3901, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_19112])

    allocate(vertices(252)%branchCT(0:0))
    call avCT(252, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19903])

    allocate(vertices(3903)%branchCT(0:0))
    call avCT(3903, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(3904)%branchCT(0:0))
    call avCT(3904, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13370])

    allocate(vertices(1051)%branchCT(0:0))
    call avCT(1051, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(3902)%branchCT(0:0))
    call avCT(3902, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19347])

    allocate(vertices(4079)%branchCT(0:0))
    call avCT(4079, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_19673])

    allocate(vertices(162)%branchCT(0:0))
    call avCT(162, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19159])

    allocate(vertices(1468)%branchCT(0:0))
    call avCT(1468, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19199])

    allocate(vertices(3911)%branchCT(0:0))
    call avCT(3911, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(4033)%branchCT(0:0))
    call avCT(4033, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(1470)%branchCT(0:5))
    call avCT(1470, 0, 35, 2, 0, UaVVU0, 0, [4, 0], [nGC_19134])

    call avCT(1470, 1, 36, 2, 0, UaVVU0, 0, [4, 0], [nGC_19134])

    call avCT(1470, 2, 37, 2, 0, UaVVU0, 0, [4, 0], [nGC_19134])

    call avCT(1470, 3, 38, 2, 0, UaVVU0, 0, [4, 0], [nGC_19134])

    call avCT(1470, 4, 39, 3, 0, UaVVU0, 0, [4, 0], [nGC_19137])

    call avCT(1470, 5, 40, 3, 0, UaVVU0, 0, [4, 0], [nGC_19137])

    allocate(vertices(1471)%branchCT(0:1))
    call avCT(1471, 0, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_21290, nGC_21289])

    call avCT(1471, 1, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_21292, nGC_21291])

    allocate(vertices(3914)%branchCT(0:0))
    call avCT(3914, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19255])

    allocate(vertices(1474)%branchCT(0:0))
    call avCT(1474, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_19112])

    allocate(vertices(3475)%branchCT(0:1))
    call avCT(3475, 0, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_21932, nGC_21932])

    call avCT(3475, 1, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_21933, nGC_21933])

    allocate(vertices(2371)%branchCT(0:0))
    call avCT(2371, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19226])

    allocate(vertices(4869)%branchCT(0:0))
    call avCT(4869, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22813, nGC_22814])

    allocate(vertices(3972)%branchCT(0:0))
    call avCT(3972, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3979)%branchCT(0:0))
    call avCT(3979, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(1648)%branchCT(0:1))
    call avCT(1648, 0, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_19638, nGC_19639])

    call avCT(1648, 1, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_19640, nGC_19641])

    allocate(vertices(5056)%branchCT(0:0))
    call avCT(5056, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19352])

    allocate(vertices(1480)%branchCT(0:0))
    call avCT(1480, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

    allocate(vertices(3921)%branchCT(0:1))
    call avCT(3921, 0, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_19443, nGC_19443])

    call avCT(3921, 1, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_19444, nGC_19444])

    allocate(vertices(1481)%branchCT(0:0))
    call avCT(1481, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(5057)%branchCT(0:0))
    call avCT(5057, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_20056])

    allocate(vertices(3052)%branchCT(0:0))
    call avCT(3052, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19159])

    allocate(vertices(4007)%branchCT(0:0))
    call avCT(4007, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(1482)%branchCT(0:0))
    call avCT(1482, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19422])

    allocate(vertices(3927)%branchCT(0:0))
    call avCT(3927, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_25478, nGC_25479])

    allocate(vertices(3929)%branchCT(0:0))
    call avCT(3929, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(1485)%branchCT(0:1))
    call avCT(1485, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_21289, nGC_21290])

    call avCT(1485, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_21291, nGC_21292])

    allocate(vertices(925)%branchCT(0:0))
    call avCT(925, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(5058)%branchCT(0:0))
    call avCT(5058, 0, 13, 1, 0, VS1, 0, [0, 2], [nGC_20117, nGC_20116])

    allocate(vertices(3580)%branchCT(0:0))
    call avCT(3580, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3476)%branchCT(0:0))
    call avCT(3476, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3053)%branchCT(0:0))
    call avCT(3053, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13367])

    allocate(vertices(3935)%branchCT(0:1))
    call avCT(3935, 0, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_19770, nGC_19770])

    call avCT(3935, 1, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_19771, nGC_19771])

    allocate(vertices(1488)%branchCT(0:0))
    call avCT(1488, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19159])

    allocate(vertices(1489)%branchCT(0:0))
    call avCT(1489, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19100])

    allocate(vertices(3937)%branchCT(0:0))
    call avCT(3937, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(1490)%branchCT(0:0))
    call avCT(1490, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_19927, nGC_19927])

    allocate(vertices(4065)%branchCT(0:0))
    call avCT(4065, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13361])

    allocate(vertices(400)%branchCT(0:0))
    call avCT(400, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20724, nGC_20725,        &
    nGC_20725])

    allocate(vertices(5059)%branchCT(0:0))
    call avCT(5059, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_25533])

    allocate(vertices(5060)%branchCT(0:0))
    call avCT(5060, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19837])

    allocate(vertices(1494)%branchCT(0:0))
    call avCT(1494, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13344])

    allocate(vertices(1495)%branchCT(0:0))
    call avCT(1495, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(1497)%branchCT(0:0))
    call avCT(1497, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_19793])

    allocate(vertices(3944)%branchCT(0:0))
    call avCT(3944, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(3443)%branchCT(0:0))
    call avCT(3443, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(1499)%branchCT(0:0))
    call avCT(1499, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19089])

    allocate(vertices(1500)%branchCT(0:0))
    call avCT(1500, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_22403])

    allocate(vertices(1381)%branchCT(0:0))
    call avCT(1381, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19070])

    allocate(vertices(1501)%branchCT(0:0))
    call avCT(1501, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(1502)%branchCT(0:0))
    call avCT(1502, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19903])

    allocate(vertices(5061)%branchCT(0:0))
    call avCT(5061, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20891])

    allocate(vertices(1504)%branchCT(0:0))
    call avCT(1504, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(4612)%branchCT(0:0))
    call avCT(4612, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_20232])

    allocate(vertices(3949)%branchCT(0:0))
    call avCT(3949, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13370])

    allocate(vertices(3950)%branchCT(0:0))
    call avCT(3950, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13361])

    allocate(vertices(1506)%branchCT(0:0))
    call avCT(1506, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_19127])

    allocate(vertices(1580)%branchCT(0:0))
    call avCT(1580, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(4169)%branchCT(0:0))
    call avCT(4169, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13361])

    allocate(vertices(2604)%branchCT(0:0))
    call avCT(2604, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(3952)%branchCT(0:0))
    call avCT(3952, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_19793])

    allocate(vertices(3057)%branchCT(0:0))
    call avCT(3057, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20211])

    allocate(vertices(4191)%branchCT(0:0))
    call avCT(4191, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19250])

    allocate(vertices(3956)%branchCT(0:0))
    call avCT(3956, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(5062)%branchCT(0:0))
    call avCT(5062, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22171])

    allocate(vertices(3957)%branchCT(0:0))
    call avCT(3957, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(1511)%branchCT(0:0))
    call avCT(1511, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19785])

    allocate(vertices(1512)%branchCT(0:0))
    call avCT(1512, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19781])

    allocate(vertices(1514)%branchCT(0:0))
    call avCT(1514, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19781])

    allocate(vertices(1062)%branchCT(0:0))
    call avCT(1062, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13341])

    allocate(vertices(3960)%branchCT(0:0))
    call avCT(3960, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_20232])

    allocate(vertices(3961)%branchCT(0:0))
    call avCT(3961, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_20232])

    allocate(vertices(1518)%branchCT(0:0))
    call avCT(1518, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19785])

    allocate(vertices(1520)%branchCT(0:0))
    call avCT(1520, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_20927])

    allocate(vertices(2671)%branchCT(0:0))
    call avCT(2671, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(4881)%branchCT(0:0))
    call avCT(4881, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3966)%branchCT(0:0))
    call avCT(3966, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_19291, nGC_19292])

    allocate(vertices(1521)%branchCT(0:0))
    call avCT(1521, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(4267)%branchCT(0:0))
    call avCT(4267, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19226])

    allocate(vertices(3969)%branchCT(0:1))
    call avCT(3969, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_21289, nGC_21290])

    call avCT(3969, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_21291, nGC_21292])

    allocate(vertices(4571)%branchCT(0:0))
    call avCT(4571, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(3970)%branchCT(0:3))
    call avCT(3970, 0, 94, 4, 0, VFFa1, 0, [1, 2], [nGC_20472, nGC_20468])

    call avCT(3970, 1, 94, 4, 0, VFFa1, 0, [3, 0], [nGC_20474, nGC_20475])

    call avCT(3970, 2, 95, 5, 0, VFFa1, 0, [1, 2], [nGC_20472, nGC_20468])

    call avCT(3970, 3, 95, 5, 0, VFFa1, 0, [3, 0], [nGC_20474, nGC_20475])

    allocate(vertices(677)%branchCT(0:0))
    call avCT(677, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

    allocate(vertices(4767)%branchCT(0:0))
    call avCT(4767, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_20232])

    allocate(vertices(5063)%branchCT(0:0))
    call avCT(5063, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20177])

    allocate(vertices(3973)%branchCT(0:0))
    call avCT(3973, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(298)%branchCT(0:1))
    call avCT(298, 0, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_21271, nGC_21271])

    call avCT(298, 1, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_21273, nGC_21273])

    allocate(vertices(4307)%branchCT(0:0))
    call avCT(4307, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(1529)%branchCT(0:1))
    call avCT(1529, 0, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_21932, nGC_21932])

    call avCT(1529, 1, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_21933, nGC_21933])

    allocate(vertices(4314)%branchCT(0:0))
    call avCT(4314, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(3370)%branchCT(0:0))
    call avCT(3370, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_21988])

    allocate(vertices(4324)%branchCT(0:0))
    call avCT(4324, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19159])

    allocate(vertices(1283)%branchCT(0:0))
    call avCT(1283, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19255])

    allocate(vertices(3981)%branchCT(0:0))
    call avCT(3981, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_20383])

    allocate(vertices(4798)%branchCT(0:0))
    call avCT(4798, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_21483])

    allocate(vertices(3982)%branchCT(0:0))
    call avCT(3982, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20211])

    allocate(vertices(1534)%branchCT(0:0))
    call avCT(1534, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20307])

    allocate(vertices(4150)%branchCT(0:0))
    call avCT(4150, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13341])

    allocate(vertices(1535)%branchCT(0:0))
    call avCT(1535, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(3918)%branchCT(0:0))
    call avCT(3918, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19334])

    allocate(vertices(1536)%branchCT(0:0))
    call avCT(1536, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19492])

    allocate(vertices(4089)%branchCT(0:0))
    call avCT(4089, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(3988)%branchCT(0:0))
    call avCT(3988, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(5064)%branchCT(0:0))
    call avCT(5064, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_21480, nGC_21479])

    allocate(vertices(1441)%branchCT(0:0))
    call avCT(1441, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19124])

    allocate(vertices(1540)%branchCT(0:3))
    call avCT(1540, 0, 96, 4, 0, VFaF1, 0, [1, 2], [nGC_19178, nGC_19176])

    call avCT(1540, 1, 96, 4, 0, VFaF1, 0, [3, 0], [nGC_19181, nGC_19182])

    call avCT(1540, 2, 97, 5, 0, VFaF1, 0, [1, 2], [nGC_19178, nGC_19176])

    call avCT(1540, 3, 97, 5, 0, VFaF1, 0, [3, 0], [nGC_19181, nGC_19182])

    allocate(vertices(1541)%branchCT(0:0))
    call avCT(1541, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_21982, nGC_21983])

    allocate(vertices(1542)%branchCT(0:0))
    call avCT(1542, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(3991)%branchCT(0:1))
    call avCT(3991, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_21641, nGC_21642])

    call avCT(3991, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_21635, nGC_21632])

    allocate(vertices(383)%branchCT(0:0))
    call avCT(383, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13366])

    allocate(vertices(3992)%branchCT(0:0))
    call avCT(3992, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19312])

    allocate(vertices(3993)%branchCT(0:0))
    call avCT(3993, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13342])

    allocate(vertices(3994)%branchCT(0:0))
    call avCT(3994, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(3995)%branchCT(0:0))
    call avCT(3995, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_21044, nGC_21043])

    allocate(vertices(3673)%branchCT(0:0))
    call avCT(3673, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(4449)%branchCT(0:0))
    call avCT(4449, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20307])

    allocate(vertices(3997)%branchCT(0:1))
    call avCT(3997, 0, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_21010, nGC_21011])

    call avCT(3997, 1, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_21008, nGC_21009])

    allocate(vertices(1547)%branchCT(0:0))
    call avCT(1547, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_21483])

    allocate(vertices(3067)%branchCT(0:0))
    call avCT(3067, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(1548)%branchCT(0:0))
    call avCT(1548, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19195])

    allocate(vertices(3922)%branchCT(0:0))
    call avCT(3922, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(3294)%branchCT(0:0))
    call avCT(3294, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(1549)%branchCT(0:0))
    call avCT(1549, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20189])

    allocate(vertices(3773)%branchCT(0:0))
    call avCT(3773, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19264, nGC_19264,       &
    nGC_19265])

    allocate(vertices(621)%branchCT(0:0))
    call avCT(621, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(4003)%branchCT(0:0))
    call avCT(4003, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(2269)%branchCT(0:0))
    call avCT(2269, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(4005)%branchCT(0:0))
    call avCT(4005, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19255])

    allocate(vertices(4498)%branchCT(0:1))
    call avCT(4498, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_19406, nGC_19406])

    call avCT(4498, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_19404, nGC_19404])

    allocate(vertices(1552)%branchCT(0:0))
    call avCT(1552, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19347])

    allocate(vertices(3925)%branchCT(0:0))
    call avCT(3925, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(4008)%branchCT(0:0))
    call avCT(4008, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19498])

    allocate(vertices(4009)%branchCT(0:0))
    call avCT(4009, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19379])

    allocate(vertices(1553)%branchCT(0:0))
    call avCT(1553, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(5065)%branchCT(0:0))
    call avCT(5065, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_19427])

    allocate(vertices(4012)%branchCT(0:0))
    call avCT(4012, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13341])

    allocate(vertices(1444)%branchCT(0:0))
    call avCT(1444, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13361])

    allocate(vertices(1556)%branchCT(0:0))
    call avCT(1556, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_20232])

    allocate(vertices(4360)%branchCT(0:0))
    call avCT(4360, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(1558)%branchCT(0:0))
    call avCT(1558, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19159])

    allocate(vertices(5066)%branchCT(0:0))
    call avCT(5066, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20177])

    allocate(vertices(4014)%branchCT(0:0))
    call avCT(4014, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19159])

    allocate(vertices(3541)%branchCT(0:0))
    call avCT(3541, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19105])

    allocate(vertices(1384)%branchCT(0:0))
    call avCT(1384, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(4586)%branchCT(0:0))
    call avCT(4586, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(4016)%branchCT(0:0))
    call avCT(4016, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19992, nGC_19992,       &
    nGC_19993])

    allocate(vertices(1561)%branchCT(0:0))
    call avCT(1561, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(4017)%branchCT(0:0))
    call avCT(4017, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20211])

    allocate(vertices(4018)%branchCT(0:0))
    call avCT(4018, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_19422])

    allocate(vertices(4619)%branchCT(0:0))
    call avCT(4619, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(4194)%branchCT(0:0))
    call avCT(4194, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19347])

    allocate(vertices(4627)%branchCT(0:0))
    call avCT(4627, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(1565)%branchCT(0:0))
    call avCT(1565, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13342])

    allocate(vertices(1567)%branchCT(0:0))
    call avCT(1567, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(4024)%branchCT(0:0))
    call avCT(4024, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(4025)%branchCT(0:1))
    call avCT(4025, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_23297, nGC_23294])

    call avCT(4025, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_23303, nGC_23304])

    allocate(vertices(4363)%branchCT(0:0))
    call avCT(4363, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19226])

    allocate(vertices(1570)%branchCT(0:0))
    call avCT(1570, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(3321)%branchCT(0:0))
    call avCT(3321, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19992, nGC_19993,       &
    nGC_19992])

    allocate(vertices(4026)%branchCT(0:0))
    call avCT(4026, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(1571)%branchCT(0:0))
    call avCT(1571, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19492])

    allocate(vertices(1572)%branchCT(0:0))
    call avCT(1572, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_21982, nGC_21983])

    allocate(vertices(1573)%branchCT(0:0))
    call avCT(1573, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13366])

    allocate(vertices(1574)%branchCT(0:0))
    call avCT(1574, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_21988])

    allocate(vertices(1575)%branchCT(0:0))
    call avCT(1575, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19312])

    allocate(vertices(4029)%branchCT(0:0))
    call avCT(4029, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20814])

    allocate(vertices(4364)%branchCT(0:0))
    call avCT(4364, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13367])

    allocate(vertices(1577)%branchCT(0:0))
    call avCT(1577, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19131])

    allocate(vertices(5067)%branchCT(0:0))
    call avCT(5067, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_25936])

    allocate(vertices(1581)%branchCT(0:0))
    call avCT(1581, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(2328)%branchCT(0:0))
    call avCT(2328, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(1582)%branchCT(0:0))
    call avCT(1582, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13343])

    allocate(vertices(4740)%branchCT(0:0))
    call avCT(4740, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(5068)%branchCT(0:0))
    call avCT(5068, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_25533])

    allocate(vertices(4039)%branchCT(0:1))
    call avCT(4039, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_21309, nGC_21310])

    call avCT(4039, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_21306, nGC_21302])

    allocate(vertices(5069)%branchCT(0:0))
    call avCT(5069, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_25961, nGC_25956,       &
    nGC_25963, nGC_25963])

    allocate(vertices(4298)%branchCT(0:0))
    call avCT(4298, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_13381])

    allocate(vertices(3384)%branchCT(0:0))
    call avCT(3384, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13367])

    allocate(vertices(4501)%branchCT(0:0))
    call avCT(4501, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(1587)%branchCT(0:0))
    call avCT(1587, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(5070)%branchCT(0:0))
    call avCT(5070, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_25971, nGC_25972,        &
    nGC_25971, nGC_25972, nGC_25973])

    allocate(vertices(4042)%branchCT(0:0))
    call avCT(4042, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19121])

    allocate(vertices(1588)%branchCT(0:0))
    call avCT(1588, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_22403])

    allocate(vertices(3556)%branchCT(0:0))
    call avCT(3556, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(4560)%branchCT(0:0))
    call avCT(4560, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19124])

    allocate(vertices(273)%branchCT(0:0))
    call avCT(273, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13365])

    allocate(vertices(1589)%branchCT(0:0))
    call avCT(1589, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13365])

    allocate(vertices(5071)%branchCT(0:0))
    call avCT(5071, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20177])

    allocate(vertices(1591)%branchCT(0:0))
    call avCT(1591, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19492])

    allocate(vertices(4837)%branchCT(0:0))
    call avCT(4837, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(4047)%branchCT(0:0))
    call avCT(4047, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(695)%branchCT(0:1))
    call avCT(695, 0, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_20366, nGC_20367])

    call avCT(695, 1, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_20368, nGC_20369])

    allocate(vertices(3936)%branchCT(0:0))
    call avCT(3936, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(4858)%branchCT(0:0))
    call avCT(4858, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(1596)%branchCT(0:1))
    call avCT(1596, 0, 85, 1, 0, FaSF1, 0, [2, 1], [nGC_19464, nGC_19465])

    call avCT(1596, 1, 85, 1, 0, FaSF1, 0, [0, 3], [nGC_19466, nGC_19467])

    allocate(vertices(4870)%branchCT(0:0))
    call avCT(4870, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19303])

    allocate(vertices(2278)%branchCT(0:0))
    call avCT(2278, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19903])

    allocate(vertices(944)%branchCT(0:0))
    call avCT(944, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(4054)%branchCT(0:0))
    call avCT(4054, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_20533, nGC_20534])

    allocate(vertices(2187)%branchCT(0:0))
    call avCT(2187, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(5072)%branchCT(0:0))
    call avCT(5072, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20891])

    allocate(vertices(1599)%branchCT(0:0))
    call avCT(1599, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_19707])

    allocate(vertices(4915)%branchCT(0:0))
    call avCT(4915, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13343])

    allocate(vertices(3951)%branchCT(0:0))
    call avCT(3951, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13344])

    allocate(vertices(4057)%branchCT(0:0))
    call avCT(4057, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22549, nGC_22550])

    allocate(vertices(4058)%branchCT(0:0))
    call avCT(4058, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(4059)%branchCT(0:0))
    call avCT(4059, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(4060)%branchCT(0:0))
    call avCT(4060, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_19793])

    allocate(vertices(4951)%branchCT(0:0))
    call avCT(4951, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19226])

    allocate(vertices(4063)%branchCT(0:1))
    call avCT(4063, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_23803, nGC_23803])

    call avCT(4063, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_23801, nGC_23801])

    allocate(vertices(275)%branchCT(0:0))
    call avCT(275, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(4066)%branchCT(0:0))
    call avCT(4066, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19255])

    allocate(vertices(4067)%branchCT(0:0))
    call avCT(4067, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(4068)%branchCT(0:0))
    call avCT(4068, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_20151, nGC_20152])

    allocate(vertices(2281)%branchCT(0:0))
    call avCT(2281, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19199])

    allocate(vertices(1605)%branchCT(0:0))
    call avCT(1605, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(1606)%branchCT(0:0))
    call avCT(1606, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13343])

    allocate(vertices(1607)%branchCT(0:1))
    call avCT(1607, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_20137, nGC_20138])

    call avCT(1607, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_20134, nGC_20130])

    allocate(vertices(1608)%branchCT(0:0))
    call avCT(1608, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(1610)%branchCT(0:1))
    call avCT(1610, 0, 87, 1, 0, VFaF1, 0, [0, 3], [nGC_23159, nGC_23160])

    call avCT(1610, 1, 87, 1, 0, VFaF1, 0, [2, 1], [nGC_23152, nGC_23155])

    allocate(vertices(35)%branchCT(0:0))
    call avCT(35, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19347])

    allocate(vertices(4073)%branchCT(0:0))
    call avCT(4073, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_19291, nGC_19292])

    allocate(vertices(1461)%branchCT(0:0))
    call avCT(1461, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(54)%branchCT(0:0))
    call avCT(54, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19312])

    allocate(vertices(1615)%branchCT(0:0))
    call avCT(1615, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_21917])

    allocate(vertices(1083)%branchCT(0:0))
    call avCT(1083, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_21072])

    allocate(vertices(4078)%branchCT(0:3))
    call avCT(4078, 0, 96, 4, 0, VFaF1, 0, [1, 2], [nGC_20472, nGC_20468])

    call avCT(4078, 1, 96, 4, 0, VFaF1, 0, [3, 0], [nGC_20474, nGC_20475])

    call avCT(4078, 2, 97, 5, 0, VFaF1, 0, [1, 2], [nGC_20472, nGC_20468])

    call avCT(4078, 3, 97, 5, 0, VFaF1, 0, [3, 0], [nGC_20474, nGC_20475])

    allocate(vertices(4371)%branchCT(0:0))
    call avCT(4371, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19347])

    allocate(vertices(1619)%branchCT(0:0))
    call avCT(1619, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19076])

    allocate(vertices(1620)%branchCT(0:0))
    call avCT(1620, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_21982, nGC_21983])

    allocate(vertices(4458)%branchCT(0:0))
    call avCT(4458, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19334])

    allocate(vertices(2201)%branchCT(0:0))
    call avCT(2201, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13342])

    allocate(vertices(4084)%branchCT(0:0))
    call avCT(4084, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19084])

    allocate(vertices(4085)%branchCT(0:0))
    call avCT(4085, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_13381])

    allocate(vertices(1624)%branchCT(0:0))
    call avCT(1624, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13350])

    allocate(vertices(341)%branchCT(0:0))
    call avCT(341, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19368])

    allocate(vertices(1870)%branchCT(0:1))
    call avCT(1870, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_19638, nGC_19639])

    call avCT(1870, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_19640, nGC_19641])

    allocate(vertices(4087)%branchCT(0:0))
    call avCT(4087, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19159])

    allocate(vertices(4436)%branchCT(0:0))
    call avCT(4436, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(3819)%branchCT(0:0))
    call avCT(3819, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(4090)%branchCT(0:1))
    call avCT(4090, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_20433, nGC_20434])

    call avCT(4090, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_20427, nGC_20430])

    allocate(vertices(4092)%branchCT(0:0))
    call avCT(4092, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19159])

    allocate(vertices(124)%branchCT(0:0))
    call avCT(124, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(132)%branchCT(0:0))
    call avCT(132, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19492])

    allocate(vertices(1628)%branchCT(0:0))
    call avCT(1628, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(1629)%branchCT(0:0))
    call avCT(1629, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_19612, nGC_19613])

    allocate(vertices(151)%branchCT(0:0))
    call avCT(151, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(1885)%branchCT(0:0))
    call avCT(1885, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19255])

    allocate(vertices(4103)%branchCT(0:0))
    call avCT(4103, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(5073)%branchCT(0:0))
    call avCT(5073, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_21174, nGC_21173])

    allocate(vertices(1635)%branchCT(0:0))
    call avCT(1635, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_20151, nGC_20152])

    allocate(vertices(1087)%branchCT(0:0))
    call avCT(1087, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20004])

    allocate(vertices(4110)%branchCT(0:0))
    call avCT(4110, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13365])

    allocate(vertices(1637)%branchCT(0:0))
    call avCT(1637, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_19127])

    allocate(vertices(205)%branchCT(0:0))
    call avCT(205, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(535)%branchCT(0:0))
    call avCT(535, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_19341, nGC_19341])

    allocate(vertices(1640)%branchCT(0:0))
    call avCT(1640, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(4115)%branchCT(0:0))
    call avCT(4115, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(230)%branchCT(0:0))
    call avCT(230, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19255])

    allocate(vertices(152)%branchCT(0:0))
    call avCT(152, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19124])

    allocate(vertices(1644)%branchCT(0:0))
    call avCT(1644, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(4121)%branchCT(0:0))
    call avCT(4121, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19195])

    allocate(vertices(1645)%branchCT(0:0))
    call avCT(1645, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20189])

    allocate(vertices(189)%branchCT(0:0))
    call avCT(189, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19218])

    allocate(vertices(4122)%branchCT(0:0))
    call avCT(4122, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13367])

    allocate(vertices(2923)%branchCT(0:0))
    call avCT(2923, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19199])

    allocate(vertices(268)%branchCT(0:0))
    call avCT(268, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(4125)%branchCT(0:0))
    call avCT(4125, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_19422])

    allocate(vertices(4127)%branchCT(0:0))
    call avCT(4127, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20307])

    allocate(vertices(4128)%branchCT(0:0))
    call avCT(4128, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_20534, nGC_20533])

    allocate(vertices(291)%branchCT(0:0))
    call avCT(291, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13361])

    allocate(vertices(4129)%branchCT(0:0))
    call avCT(4129, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_19358, nGC_19359])

    allocate(vertices(264)%branchCT(0:0))
    call avCT(264, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19195])

    allocate(vertices(5074)%branchCT(0:1))
    call avCT(5074, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_20968, nGC_20960,      &
    nGC_20971, nGC_20971])

    call avCT(5074, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_20969, nGC_20961,      &
    nGC_20972, nGC_20972])

    allocate(vertices(3511)%branchCT(0:0))
    call avCT(3511, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(24)%branchCT(0:0))
    call avCT(24, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_20232])

    allocate(vertices(3086)%branchCT(0:0))
    call avCT(3086, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(1652)%branchCT(0:0))
    call avCT(1652, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(332)%branchCT(0:0))
    call avCT(332, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13344])

    allocate(vertices(3947)%branchCT(0:0))
    call avCT(3947, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19105])

    allocate(vertices(1654)%branchCT(0:0))
    call avCT(1654, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20004])

    allocate(vertices(4136)%branchCT(0:0))
    call avCT(4136, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(4137)%branchCT(0:0))
    call avCT(4137, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(1052)%branchCT(0:0))
    call avCT(1052, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_20232])

    allocate(vertices(4138)%branchCT(0:0))
    call avCT(4138, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_20921, nGC_20922])

    allocate(vertices(1658)%branchCT(0:0))
    call avCT(1658, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(353)%branchCT(0:0))
    call avCT(353, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(354)%branchCT(0:0))
    call avCT(354, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_19358, nGC_19359])

    allocate(vertices(4142)%branchCT(0:0))
    call avCT(4142, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19159])

    allocate(vertices(1662)%branchCT(0:1))
    call avCT(1662, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_21271, nGC_21271])

    call avCT(1662, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_21273, nGC_21273])

    allocate(vertices(707)%branchCT(0:0))
    call avCT(707, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_20842])

    allocate(vertices(1665)%branchCT(0:0))
    call avCT(1665, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_20232])

    allocate(vertices(3513)%branchCT(0:0))
    call avCT(3513, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(4144)%branchCT(0:0))
    call avCT(4144, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13340])

    allocate(vertices(4146)%branchCT(0:0))
    call avCT(4146, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(4147)%branchCT(0:0))
    call avCT(4147, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(458)%branchCT(0:0))
    call avCT(458, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19093])

    allocate(vertices(5075)%branchCT(0:0))
    call avCT(5075, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_25533])

    allocate(vertices(1546)%branchCT(0:0))
    call avCT(1546, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_21563, nGC_21562])

    allocate(vertices(1674)%branchCT(0:0))
    call avCT(1674, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19195])

    allocate(vertices(4208)%branchCT(0:0))
    call avCT(4208, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13370])

    allocate(vertices(1676)%branchCT(0:0))
    call avCT(1676, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3571)%branchCT(0:1))
    call avCT(3571, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_19638, nGC_19639])

    call avCT(3571, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_19640, nGC_19641])

    allocate(vertices(5076)%branchCT(0:0))
    call avCT(5076, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20891])

    allocate(vertices(710)%branchCT(0:0))
    call avCT(710, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19195])

    allocate(vertices(1678)%branchCT(0:0))
    call avCT(1678, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(1679)%branchCT(0:0))
    call avCT(1679, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(4657)%branchCT(0:0))
    call avCT(4657, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19192])

    allocate(vertices(1681)%branchCT(0:0))
    call avCT(1681, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(479)%branchCT(0:0))
    call avCT(479, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(2295)%branchCT(0:0))
    call avCT(2295, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_21551])

    allocate(vertices(485)%branchCT(0:0))
    call avCT(485, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(4162)%branchCT(0:0))
    call avCT(4162, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_19707])

    allocate(vertices(3135)%branchCT(0:0))
    call avCT(3135, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13344])

    allocate(vertices(3089)%branchCT(0:0))
    call avCT(3089, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19218])

    allocate(vertices(4165)%branchCT(0:0))
    call avCT(4165, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(4167)%branchCT(0:0))
    call avCT(4167, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19303])

    allocate(vertices(4168)%branchCT(0:0))
    call avCT(4168, 0, 1, 1, 0, VVV2, 0, [0, 3], [nGC_20078, nGC_20077])

    allocate(vertices(1507)%branchCT(0:0))
    call avCT(1507, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(4170)%branchCT(0:0))
    call avCT(4170, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13340])

    allocate(vertices(4172)%branchCT(0:0))
    call avCT(4172, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(1690)%branchCT(0:0))
    call avCT(1690, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_19359, nGC_19358])

    allocate(vertices(2603)%branchCT(0:1))
    call avCT(2603, 0, 84, 1, 0, FaFV0, 0, [0, 3], [nGC_22632, nGC_22633])

    call avCT(2603, 1, 84, 1, 0, FaFV0, 0, [2, 1], [nGC_22625, nGC_22628])

    allocate(vertices(1691)%branchCT(0:1))
    call avCT(1691, 0, 84, 1, 0, FaFS0, 0, [0, 3], [nGC_26451, nGC_26452])

    call avCT(1691, 1, 84, 1, 0, FaFS0, 0, [2, 1], [nGC_26453, nGC_26454])

    allocate(vertices(1693)%branchCT(0:0))
    call avCT(1693, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19368])

    allocate(vertices(1694)%branchCT(0:0))
    call avCT(1694, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_22403])

    allocate(vertices(2345)%branchCT(0:0))
    call avCT(2345, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19195])

    allocate(vertices(1695)%branchCT(0:0))
    call avCT(1695, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(558)%branchCT(0:0))
    call avCT(558, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19498])

    allocate(vertices(1699)%branchCT(0:0))
    call avCT(1699, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_19927, nGC_19927])

    allocate(vertices(4050)%branchCT(0:0))
    call avCT(4050, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19498])

    allocate(vertices(4180)%branchCT(0:0))
    call avCT(4180, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19131])

    allocate(vertices(1701)%branchCT(0:0))
    call avCT(1701, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(4387)%branchCT(0:0))
    call avCT(4387, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19725])

    allocate(vertices(1703)%branchCT(0:0))
    call avCT(1703, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19379])

    allocate(vertices(1895)%branchCT(0:0))
    call avCT(1895, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_19707])

    allocate(vertices(1706)%branchCT(0:0))
    call avCT(1706, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_20232])

    allocate(vertices(4184)%branchCT(0:0))
    call avCT(4184, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_22462])

    allocate(vertices(1707)%branchCT(0:0))
    call avCT(1707, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13343])

    allocate(vertices(1708)%branchCT(0:1))
    call avCT(1708, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_23152, nGC_23155])

    call avCT(1708, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_23159, nGC_23160])

    allocate(vertices(2301)%branchCT(0:0))
    call avCT(2301, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(3128)%branchCT(0:0))
    call avCT(3128, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_20842])

    allocate(vertices(4188)%branchCT(0:1))
    call avCT(4188, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_24354, nGC_24354])

    call avCT(4188, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_24355, nGC_24355])

    allocate(vertices(3656)%branchCT(0:0))
    call avCT(3656, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(1710)%branchCT(0:0))
    call avCT(1710, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(1712)%branchCT(0:0))
    call avCT(1712, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19903])

    allocate(vertices(1509)%branchCT(0:0))
    call avCT(1509, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(1715)%branchCT(0:0))
    call avCT(1715, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19492])

    allocate(vertices(660)%branchCT(0:0))
    call avCT(660, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_21483])

    allocate(vertices(1716)%branchCT(0:0))
    call avCT(1716, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13381])

    allocate(vertices(4193)%branchCT(0:0))
    call avCT(4193, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19312])

    allocate(vertices(669)%branchCT(0:0))
    call avCT(669, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19076])

    allocate(vertices(4196)%branchCT(0:0))
    call avCT(4196, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(3659)%branchCT(0:0))
    call avCT(3659, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(4200)%branchCT(0:0))
    call avCT(4200, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13367])

    allocate(vertices(1722)%branchCT(0:0))
    call avCT(1722, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_19096])

    allocate(vertices(698)%branchCT(0:0))
    call avCT(698, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13340])

    allocate(vertices(1725)%branchCT(0:0))
    call avCT(1725, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(1855)%branchCT(0:0))
    call avCT(1855, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(1726)%branchCT(0:0))
    call avCT(1726, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_21917])

    allocate(vertices(4203)%branchCT(0:0))
    call avCT(4203, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(4346)%branchCT(0:0))
    call avCT(4346, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(4205)%branchCT(0:0))
    call avCT(4205, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(3788)%branchCT(0:0))
    call avCT(3788, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19124])

    allocate(vertices(4207)%branchCT(0:0))
    call avCT(4207, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(1731)%branchCT(0:1))
    call avCT(1731, 0, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_22439, nGC_22442])

    call avCT(1731, 1, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_22447, nGC_22448])

    allocate(vertices(4100)%branchCT(0:0))
    call avCT(4100, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_21249])

    allocate(vertices(4899)%branchCT(0:0))
    call avCT(4899, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19093])

    allocate(vertices(1735)%branchCT(0:0))
    call avCT(1735, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19192])

    allocate(vertices(755)%branchCT(0:0))
    call avCT(755, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(4211)%branchCT(0:3))
    call avCT(4211, 0, 94, 4, 0, VFFa1, 0, [1, 2], [nGC_20261, nGC_20263])

    call avCT(4211, 1, 94, 4, 0, VFFa1, 0, [3, 0], [nGC_20265, nGC_20266])

    call avCT(4211, 2, 95, 5, 0, VFFa1, 0, [1, 2], [nGC_20261, nGC_20263])

    call avCT(4211, 3, 95, 5, 0, VFFa1, 0, [3, 0], [nGC_20265, nGC_20266])

    allocate(vertices(4212)%branchCT(0:0))
    call avCT(4212, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(4213)%branchCT(0:0))
    call avCT(4213, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13341])

    allocate(vertices(4214)%branchCT(0:0))
    call avCT(4214, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(1739)%branchCT(0:0))
    call avCT(1739, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(4215)%branchCT(0:0))
    call avCT(4215, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_19330])

    allocate(vertices(4216)%branchCT(0:0))
    call avCT(4216, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_21551])

    allocate(vertices(3523)%branchCT(0:0))
    call avCT(3523, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13341])

    allocate(vertices(2309)%branchCT(0:0))
    call avCT(2309, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19498])

    allocate(vertices(4218)%branchCT(0:0))
    call avCT(4218, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(790)%branchCT(0:0))
    call avCT(790, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_22773])

    allocate(vertices(1744)%branchCT(0:0))
    call avCT(1744, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(1745)%branchCT(0:0))
    call avCT(1745, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(1746)%branchCT(0:0))
    call avCT(1746, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19327])

    allocate(vertices(5077)%branchCT(0:0))
    call avCT(5077, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_26642, nGC_26637])

    allocate(vertices(830)%branchCT(0:0))
    call avCT(830, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19076])

    allocate(vertices(4225)%branchCT(0:1))
    call avCT(4225, 0, 87, 1, 0, VFaF0, 0, [0, 3], [nGC_19222])

    call avCT(4225, 1, 87, 1, 0, VFaF0, 0, [2, 1], [nGC_19221])

    allocate(vertices(1749)%branchCT(0:0))
    call avCT(1749, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20725, nGC_20725,       &
    nGC_20724])

    allocate(vertices(3100)%branchCT(0:0))
    call avCT(3100, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19226])

    allocate(vertices(4227)%branchCT(0:0))
    call avCT(4227, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20211])

    allocate(vertices(4228)%branchCT(0:0))
    call avCT(4228, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19159])

    allocate(vertices(4530)%branchCT(0:0))
    call avCT(4530, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(4229)%branchCT(0:0))
    call avCT(4229, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_20756])

    allocate(vertices(4230)%branchCT(0:0))
    call avCT(4230, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(5078)%branchCT(0:0))
    call avCT(5078, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_25936])

    allocate(vertices(867)%branchCT(0:0))
    call avCT(867, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13342])

    allocate(vertices(5079)%branchCT(0:0))
    call avCT(5079, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20177])

    allocate(vertices(4840)%branchCT(0:0))
    call avCT(4840, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19498])

    allocate(vertices(1754)%branchCT(0:0))
    call avCT(1754, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(2765)%branchCT(0:0))
    call avCT(2765, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(1758)%branchCT(0:0))
    call avCT(1758, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19105])

    allocate(vertices(3962)%branchCT(0:0))
    call avCT(3962, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

    allocate(vertices(1760)%branchCT(0:0))
    call avCT(1760, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(1761)%branchCT(0:1))
    call avCT(1761, 0, 83, 1, 0, FSFa1, 0, [0, 3], [nGC_19770, nGC_19770])

    call avCT(1761, 1, 83, 1, 0, FSFa1, 0, [2, 1], [nGC_19771, nGC_19771])

    allocate(vertices(5080)%branchCT(0:0))
    call avCT(5080, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19837])

    allocate(vertices(1763)%branchCT(0:0))
    call avCT(1763, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_19291, nGC_19292])

    allocate(vertices(4083)%branchCT(0:0))
    call avCT(4083, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_21551])

    allocate(vertices(2695)%branchCT(0:0))
    call avCT(2695, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_21203])

    allocate(vertices(722)%branchCT(0:0))
    call avCT(722, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13365])

    allocate(vertices(2732)%branchCT(0:0))
    call avCT(2732, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3471)%branchCT(0:0))
    call avCT(3471, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13367])

    allocate(vertices(4244)%branchCT(0:0))
    call avCT(4244, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19303])

    allocate(vertices(4247)%branchCT(0:0))
    call avCT(4247, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_19793])

    allocate(vertices(308)%branchCT(0:0))
    call avCT(308, 0, 1, 1, 0, VVV2, 0, [0, 3], [nGC_22044, nGC_22043])

    allocate(vertices(2770)%branchCT(0:0))
    call avCT(2770, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19475])

    allocate(vertices(4250)%branchCT(0:0))
    call avCT(4250, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19379])

    allocate(vertices(4251)%branchCT(0:3))
    call avCT(4251, 0, 90, 4, 0, FaVF0, 0, [1, 2], [nGC_22945, nGC_22947])

    call avCT(4251, 1, 90, 4, 0, FaVF0, 0, [3, 0], [nGC_22949, nGC_22950])

    call avCT(4251, 2, 91, 5, 0, FaVF0, 0, [1, 2], [nGC_22945, nGC_22947])

    call avCT(4251, 3, 91, 5, 0, FaVF0, 0, [3, 0], [nGC_22949, nGC_22950])

    allocate(vertices(968)%branchCT(0:0))
    call avCT(968, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19250])

    allocate(vertices(100)%branchCT(0:0))
    call avCT(100, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19226])

    allocate(vertices(3206)%branchCT(0:0))
    call avCT(3206, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19084])

    allocate(vertices(3964)%branchCT(0:0))
    call avCT(3964, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19347])

    allocate(vertices(4944)%branchCT(0:0))
    call avCT(4944, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13361])

    allocate(vertices(1773)%branchCT(0:0))
    call avCT(1773, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19379])

    allocate(vertices(5081)%branchCT(0:0))
    call avCT(5081, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22171])

    allocate(vertices(1775)%branchCT(0:0))
    call avCT(1775, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19334])

    allocate(vertices(993)%branchCT(0:0))
    call avCT(993, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(4256)%branchCT(0:0))
    call avCT(4256, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13370])

    allocate(vertices(461)%branchCT(0:0))
    call avCT(461, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19226])

    allocate(vertices(4744)%branchCT(0:0))
    call avCT(4744, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19089])

    allocate(vertices(1777)%branchCT(0:1))
    call avCT(1777, 0, 85, 1, 0, FaVF0, 0, [0, 3], [nGC_20137, nGC_20138])

    call avCT(1777, 1, 85, 1, 0, FaVF0, 0, [2, 1], [nGC_20134, nGC_20130])

    allocate(vertices(1778)%branchCT(0:0))
    call avCT(1778, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19089])

    allocate(vertices(1779)%branchCT(0:1))
    call avCT(1779, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_21932, nGC_21932])

    call avCT(1779, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_21933, nGC_21933])

    allocate(vertices(1780)%branchCT(0:0))
    call avCT(1780, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_19537, nGC_19536])

    allocate(vertices(4260)%branchCT(0:0))
    call avCT(4260, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19124])

    allocate(vertices(1783)%branchCT(0:0))
    call avCT(1783, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_26808])

    allocate(vertices(4263)%branchCT(0:0))
    call avCT(4263, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19264, nGC_19265,       &
    nGC_19264])

    allocate(vertices(4264)%branchCT(0:0))
    call avCT(4264, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19368])

    allocate(vertices(1786)%branchCT(0:0))
    call avCT(1786, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19100])

    allocate(vertices(1787)%branchCT(0:1))
    call avCT(1787, 0, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_19406, nGC_19406])

    call avCT(1787, 1, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_19404, nGC_19404])

    allocate(vertices(1788)%branchCT(0:0))
    call avCT(1788, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(1522)%branchCT(0:0))
    call avCT(1522, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19093])

    allocate(vertices(5082)%branchCT(0:0))
    call avCT(5082, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_26841, nGC_26842])

    allocate(vertices(4969)%branchCT(0:0))
    call avCT(4969, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19192])

    allocate(vertices(1789)%branchCT(0:0))
    call avCT(1789, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19100])

    allocate(vertices(1790)%branchCT(0:0))
    call avCT(1790, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_20158])

    allocate(vertices(1077)%branchCT(0:0))
    call avCT(1077, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19264, nGC_19265,       &
    nGC_19264])

    allocate(vertices(2313)%branchCT(0:0))
    call avCT(2313, 0, 1, 1, 0, VVV2, 0, [0, 3], [nGC_20078, nGC_20077])

    allocate(vertices(4273)%branchCT(0:0))
    call avCT(4273, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_21917])

    allocate(vertices(726)%branchCT(0:0))
    call avCT(726, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20004])

    allocate(vertices(1523)%branchCT(0:0))
    call avCT(1523, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19218])

    allocate(vertices(1795)%branchCT(0:0))
    call avCT(1795, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19649, nGC_19648,       &
    nGC_19649])

    allocate(vertices(4277)%branchCT(0:0))
    call avCT(4277, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_20756])

    allocate(vertices(4278)%branchCT(0:0))
    call avCT(4278, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19199])

    allocate(vertices(1797)%branchCT(0:0))
    call avCT(1797, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19475])

    allocate(vertices(2575)%branchCT(0:0))
    call avCT(2575, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19368])

  end subroutine fill_vertices_mdl9
end module vertices_info9
