!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 14:34             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_13263) = (4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_122)**2d0 + 4d0&
                       *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_125)**2d0 + 4d0*Nc*&
                       cima*coupl(nGC_123)**2d0*coupl(nGC_2)**2d0 + 4d0*Nc*cima&
                       *coupl(nGC_126)**2d0*coupl(nGC_2)**2d0 - cima*coupl(    &
                       nGC_102)**2d0*coupl(nGC_3)**2d0 + 2d0*cima*coupl(nGC_102&
                       )**2d0*coupl(nGC_3)*coupl(nGC_4) - cima*coupl(nGC_102)**&
                       2d0*coupl(nGC_4)**2d0 + 2d0*cima*coupl(nGC_102)*coupl(  &
                       nGC_103)*coupl(nGC_3)**2d0 - 4d0*cima*coupl(nGC_102)*   &
                       coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_4) + 2d0*cima*    &
                       coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_4)**2d0 - cima* &
                       coupl(nGC_103)**2d0*coupl(nGC_3)**2d0 + 2d0*cima*coupl( &
                       nGC_103)**2d0*coupl(nGC_3)*coupl(nGC_4) - cima*coupl(   &
                       nGC_103)**2d0*coupl(nGC_4)**2d0 + 4d0*cima*coupl(nGC_116&
                       )**2d0 + 4d0*cima*coupl(nGC_124)**2d0*coupl(nGC_4)**2d0 &
                        + 4d0*cima*coupl(nGC_128)**2d0*coupl(nGC_4)**2d0 - 4d0*&
                       coupl(nGC_102)*coupl(nGC_116)*coupl(nGC_3) + 4d0*coupl( &
                       nGC_102)*coupl(nGC_116)*coupl(nGC_4) + 4d0*coupl(nGC_103&
                       )*coupl(nGC_116)*coupl(nGC_3) - 4d0*coupl(nGC_103)*coupl&
                       (nGC_116)*coupl(nGC_4))/(32d0*pi**2d0)
    coupl(nGC_13262) = (4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_122)**2d0 + 4d0&
                       *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_125)**2d0 + 4d0*Nc*&
                       cima*coupl(nGC_123)**2d0*coupl(nGC_2)**2d0 + 4d0*Nc*cima&
                       *coupl(nGC_126)**2d0*coupl(nGC_2)**2d0 - cima*coupl(    &
                       nGC_102)**2d0*coupl(nGC_3)**2d0 + 2d0*cima*coupl(nGC_102&
                       )**2d0*coupl(nGC_3)*coupl(nGC_4) - cima*coupl(nGC_102)**&
                       2d0*coupl(nGC_4)**2d0 + 2d0*cima*coupl(nGC_102)*coupl(  &
                       nGC_103)*coupl(nGC_3)**2d0 - 4d0*cima*coupl(nGC_102)*   &
                       coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_4) + 2d0*cima*    &
                       coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_4)**2d0 - cima* &
                       coupl(nGC_103)**2d0*coupl(nGC_3)**2d0 + 2d0*cima*coupl( &
                       nGC_103)**2d0*coupl(nGC_3)*coupl(nGC_4) - cima*coupl(   &
                       nGC_103)**2d0*coupl(nGC_4)**2d0 + 4d0*cima*coupl(nGC_124&
                       )**2d0*coupl(nGC_4)**2d0 + 4d0*cima*coupl(nGC_128)**2d0*&
                       coupl(nGC_4)**2d0 + 4d0*cima*coupl(nGC_85)*coupl(nGC_9  &
                       ) + 2d0*coupl(nGC_102)**2d0*coupl(nGC_9) - 4d0*coupl(   &
                       nGC_102)*coupl(nGC_103)*coupl(nGC_9) + 2d0*coupl(nGC_103&
                       )**2d0*coupl(nGC_9) + 2d0*coupl(nGC_3)**2d0*coupl(nGC_85&
                       ) - 4d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_85) + 2d0*  &
                       coupl(nGC_4)**2d0*coupl(nGC_85))/(32d0*pi**2d0)
    coupl(nGC_13260) = (4d0*Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_122) + 4d0*Nc* &
                       cima*coupl(nGC_1)**3d0*coupl(nGC_125) + 4d0*Nc*cima*    &
                       coupl(nGC_123)*coupl(nGC_2)**3d0 + 4d0*Nc*cima*coupl(   &
                       nGC_126)*coupl(nGC_2)**3d0 + cima*coupl(nGC_102)*coupl( &
                       nGC_3)**3d0 - 3d0*cima*coupl(nGC_102)*coupl(nGC_3)**2d0*&
                       coupl(nGC_4) + 3d0*cima*coupl(nGC_102)*coupl(nGC_3)*    &
                       coupl(nGC_4)**2d0 - cima*coupl(nGC_102)*coupl(nGC_4)**  &
                       3d0 - cima*coupl(nGC_103)*coupl(nGC_3)**3d0 + 3d0*cima* &
                       coupl(nGC_103)*coupl(nGC_3)**2d0*coupl(nGC_4) - 3d0*cima&
                       *coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_4)**2d0 + cima*  &
                       coupl(nGC_103)*coupl(nGC_4)**3d0 + 4d0*cima*coupl(      &
                       nGC_116)*coupl(nGC_9) + 4d0*cima*coupl(nGC_124)*coupl(  &
                       nGC_4)**3d0 + 4d0*cima*coupl(nGC_128)*coupl(nGC_4)**3d0 &
                        - 2d0*coupl(nGC_102)*coupl(nGC_3)*coupl(nGC_9) + 2d0*  &
                       coupl(nGC_102)*coupl(nGC_4)*coupl(nGC_9) + 2d0*coupl(   &
                       nGC_103)*coupl(nGC_3)*coupl(nGC_9) - 2d0*coupl(nGC_103)*&
                       coupl(nGC_4)*coupl(nGC_9) + 2d0*coupl(nGC_116)*coupl(   &
                       nGC_3)**2d0 - 4d0*coupl(nGC_116)*coupl(nGC_3)*coupl(    &
                       nGC_4) + 2d0*coupl(nGC_116)*coupl(nGC_4)**2d0)/(32d0*pi &
                       **2d0)
    coupl(nGC_13147) = (-4d0*Nc*cMB*coupl(nGC_195)*coupl(nGC_99)**2d0 - 4d0*Nc*&
                       cMC*coupl(nGC_199)*coupl(nGC_99)**2d0 - 4d0*Nc*cMD*coupl&
                       (nGC_203)*coupl(nGC_99)**2d0 - 4d0*Nc*cMS*coupl(nGC_215 &
                       )*coupl(nGC_99)**2d0 - 4d0*Nc*cMT*coupl(nGC_219)*coupl( &
                       nGC_99)**2d0 - 4d0*Nc*cMU*coupl(nGC_227)*coupl(nGC_99)**&
                       2d0 - 4d0*cME*coupl(nGC_207)*coupl(nGC_99)**2d0 - 4d0*  &
                       cMM*coupl(nGC_211)*coupl(nGC_99)**2d0 - 4d0*cMTA*coupl( &
                       nGC_223)*coupl(nGC_99)**2d0 + 4d0*cima*coupl(nGC_162)*  &
                       coupl(nGC_72) + 2d0*cima*coupl(nGC_175)*coupl(nGC_85) + &
                       coupl(nGC_102)**2d0*coupl(nGC_162) + coupl(nGC_102)**2d0&
                       *coupl(nGC_175) - 2d0*coupl(nGC_102)*coupl(nGC_103)*    &
                       coupl(nGC_162) - 2d0*coupl(nGC_102)*coupl(nGC_103)*coupl&
                       (nGC_175) + coupl(nGC_103)**2d0*coupl(nGC_162) + coupl( &
                       nGC_103)**2d0*coupl(nGC_175) - 2d0*coupl(nGC_1253)*coupl&
                       (nGC_162)*coupl(nGC_3) + 2d0*coupl(nGC_1253)*coupl(     &
                       nGC_162)*coupl(nGC_4))/(32d0*pi**2d0)
    coupl(nGC_13144) = (-coupl(nGC_1195)**2d0*coupl(nGC_228) + 8d0*coupl(      &
                       nGC_123)*coupl(nGC_126)*coupl(nGC_228) + 8d0*coupl(nGC_2&
                       )**2d0*coupl(nGC_228) - coupl(nGC_201)*coupl(nGC_204)*  &
                       coupl(nGC_225) - coupl(nGC_227)**2d0*coupl(nGC_228) -   &
                       coupl(nGC_228)**3d0)/(32d0*pi**2d0)
    coupl(nGC_13145) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_228) + 8d0*&
                       coupl(nGC_2)**2d0*coupl(nGC_228) - coupl(nGC_201)*coupl(&
                       nGC_204)*coupl(nGC_225) - coupl(nGC_226)**2d0*coupl(    &
                       nGC_228) - coupl(nGC_227)**2d0*coupl(nGC_228) - coupl(  &
                       nGC_228)**3d0)/(32d0*pi**2d0)
    coupl(nGC_13142) = coupl(nGC_224)*(8d0*coupl(nGC_124)*coupl(nGC_128) -     &
                       coupl(nGC_222)**2d0 - coupl(nGC_223)**2d0 - coupl(      &
                       nGC_224)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13143) = coupl(nGC_224)*(8d0*coupl(nGC_124)*coupl(nGC_128) -     &
                       coupl(nGC_223)**2d0 - coupl(nGC_224)**2d0 - coupl(      &
                       nGC_3111)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13269) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_99 &
                       )**2d0 + 18d0*Nc*cima*coupl(nGC_1)*coupl(nGC_126)*coupl(&
                       nGC_99)**2d0 + 18d0*Nc*cima*coupl(nGC_125)*coupl(nGC_2)*&
                       coupl(nGC_99)**2d0 - 12d0*Nc*cima*coupl(nGC_126)*coupl( &
                       nGC_2)*coupl(nGC_99)**2d0 + cima*coupl(nGC_102)**3d0*   &
                       coupl(nGC_3) - cima*coupl(nGC_102)**3d0*coupl(nGC_4) -  &
                       3d0*cima*coupl(nGC_102)**2d0*coupl(nGC_103)*coupl(nGC_3 &
                       ) + 3d0*cima*coupl(nGC_102)**2d0*coupl(nGC_103)*coupl(  &
                       nGC_4) + 3d0*cima*coupl(nGC_102)*coupl(nGC_103)**2d0*   &
                       coupl(nGC_3) - 3d0*cima*coupl(nGC_102)*coupl(nGC_103)** &
                       2d0*coupl(nGC_4) - 2d0*cima*coupl(nGC_102)*coupl(       &
                       nGC_1253)*coupl(nGC_3)**2d0 + 4d0*cima*coupl(nGC_102)*  &
                       coupl(nGC_1253)*coupl(nGC_3)*coupl(nGC_4) - 2d0*cima*   &
                       coupl(nGC_102)*coupl(nGC_1253)*coupl(nGC_4)**2d0 - cima*&
                       coupl(nGC_103)**3d0*coupl(nGC_3) + cima*coupl(nGC_103)**&
                       3d0*coupl(nGC_4) + 2d0*cima*coupl(nGC_103)*coupl(       &
                       nGC_1253)*coupl(nGC_3)**2d0 - 4d0*cima*coupl(nGC_103)*  &
                       coupl(nGC_1253)*coupl(nGC_3)*coupl(nGC_4) + 2d0*cima*   &
                       coupl(nGC_103)*coupl(nGC_1253)*coupl(nGC_4)**2d0 + 12d0*&
                       cima*coupl(nGC_113)*coupl(nGC_8) + 12d0*cima*coupl(     &
                       nGC_113)*coupl(nGC_84) - 12d0*cima*coupl(nGC_128)*coupl(&
                       nGC_4)*coupl(nGC_99)**2d0 + 18d0*cima*coupl(nGC_129)*   &
                       coupl(nGC_4)*coupl(nGC_99)**2d0 - 3d0*coupl(nGC_102)**  &
                       2d0*coupl(nGC_113) + 6d0*coupl(nGC_102)*coupl(nGC_103)* &
                       coupl(nGC_113) + 6d0*coupl(nGC_102)*coupl(nGC_3)*coupl( &
                       nGC_8) + 3d0*coupl(nGC_102)*coupl(nGC_3)*coupl(nGC_84   &
                       ) - 3d0*coupl(nGC_102)*coupl(nGC_4)*coupl(nGC_84) - 3d0*&
                       coupl(nGC_103)**2d0*coupl(nGC_113) - 6d0*coupl(nGC_103)*&
                       coupl(nGC_3)*coupl(nGC_8) - 3d0*coupl(nGC_103)*coupl(   &
                       nGC_3)*coupl(nGC_84) + 3d0*coupl(nGC_103)*coupl(nGC_4)* &
                       coupl(nGC_84) - 3d0*coupl(nGC_113)*coupl(nGC_3)**2d0 +  &
                       6d0*coupl(nGC_113)*coupl(nGC_3)*coupl(nGC_4) - 3d0*coupl&
                       (nGC_113)*coupl(nGC_4)**2d0)/(96d0*pi**2d0)
    coupl(nGC_13268) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_99 &
                       )**2d0 + 18d0*Nc*cima*coupl(nGC_1)*coupl(nGC_126)*coupl(&
                       nGC_99)**2d0 + 18d0*Nc*cima*coupl(nGC_125)*coupl(nGC_2)*&
                       coupl(nGC_99)**2d0 - 12d0*Nc*cima*coupl(nGC_126)*coupl( &
                       nGC_2)*coupl(nGC_99)**2d0 + cima*coupl(nGC_102)**3d0*   &
                       coupl(nGC_3) - cima*coupl(nGC_102)**3d0*coupl(nGC_4) -  &
                       3d0*cima*coupl(nGC_102)**2d0*coupl(nGC_103)*coupl(nGC_3 &
                       ) + 3d0*cima*coupl(nGC_102)**2d0*coupl(nGC_103)*coupl(  &
                       nGC_4) + 3d0*cima*coupl(nGC_102)*coupl(nGC_103)**2d0*   &
                       coupl(nGC_3) - 3d0*cima*coupl(nGC_102)*coupl(nGC_103)** &
                       2d0*coupl(nGC_4) - 2d0*cima*coupl(nGC_102)*coupl(       &
                       nGC_1253)*coupl(nGC_3)**2d0 + 4d0*cima*coupl(nGC_102)*  &
                       coupl(nGC_1253)*coupl(nGC_3)*coupl(nGC_4) - 2d0*cima*   &
                       coupl(nGC_102)*coupl(nGC_1253)*coupl(nGC_4)**2d0 - cima*&
                       coupl(nGC_103)**3d0*coupl(nGC_3) + cima*coupl(nGC_103)**&
                       3d0*coupl(nGC_4) + 2d0*cima*coupl(nGC_103)*coupl(       &
                       nGC_1253)*coupl(nGC_3)**2d0 - 4d0*cima*coupl(nGC_103)*  &
                       coupl(nGC_1253)*coupl(nGC_3)*coupl(nGC_4) + 2d0*cima*   &
                       coupl(nGC_103)*coupl(nGC_1253)*coupl(nGC_4)**2d0 + 12d0*&
                       cima*coupl(nGC_113)*coupl(nGC_8) + 12d0*cima*coupl(     &
                       nGC_113)*coupl(nGC_84) - 12d0*cima*coupl(nGC_128)*coupl(&
                       nGC_4)*coupl(nGC_99)**2d0 + 18d0*cima*coupl(nGC_129)*   &
                       coupl(nGC_4)*coupl(nGC_99)**2d0 - 3d0*coupl(nGC_102)**  &
                       2d0*coupl(nGC_113) + 6d0*coupl(nGC_102)*coupl(nGC_103)* &
                       coupl(nGC_113) + 3d0*coupl(nGC_102)*coupl(nGC_3)*coupl( &
                       nGC_8) + 3d0*coupl(nGC_102)*coupl(nGC_3)*coupl(nGC_84   &
                       ) - 3d0*coupl(nGC_102)*coupl(nGC_4)*coupl(nGC_8) - 3d0* &
                       coupl(nGC_102)*coupl(nGC_4)*coupl(nGC_84) - 3d0*coupl(  &
                       nGC_103)**2d0*coupl(nGC_113) - 3d0*coupl(nGC_103)*coupl(&
                       nGC_3)*coupl(nGC_8) - 3d0*coupl(nGC_103)*coupl(nGC_3)*  &
                       coupl(nGC_84) + 3d0*coupl(nGC_103)*coupl(nGC_4)*coupl(  &
                       nGC_8) + 3d0*coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_84   &
                       ) + 6d0*coupl(nGC_113)*coupl(nGC_1253)*coupl(nGC_3) -   &
                       6d0*coupl(nGC_113)*coupl(nGC_1253)*coupl(nGC_4))/(96d0* &
                       pi**2d0)
    coupl(nGC_20746) = coupl(nGC_13374) + coupl(nGC_189)*dZHlHh_QED2 + coupl(  &
                       nGC_190)*dZHhHl_QED2/2d0 + coupl(nGC_192)*dZHh_QED2 +   &
                       coupl(nGC_192)*dZHl_QED2/2d0 + coupl(nGC_TS_GC_33_Hh) + &
                       coupl(nGC_TS_GC_36_Hl)
    coupl(nGC_21640) = coupl(nGC_1)*dZbR_QED2 + coupl(nGC_122)*dZZA_QED2/2d0
    coupl(nGC_20513) = coupl(nGC_13432) + coupl(nGC_223)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_224)*dZHh_QED2/2d0
    coupl(nGC_13031) = (4d0*coupl(nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_210)* &
                       coupl(nGC_4)*coupl(nGC_901) + coupl(nGC_211)**2d0*coupl(&
                       nGC_4) + coupl(nGC_212)**2d0*coupl(nGC_4) - coupl(nGC_3 &
                       )*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)**3d0 + coupl(   &
                       nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22630) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_2)*dZuR_QED2
    coupl(nGC_22631) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_2)*dZuL_QED2
    coupl(nGC_22632) = coupl(nGC_22444) + coupl(nGC_22630)
    coupl(nGC_22633) = coupl(nGC_22444) + coupl(nGC_22631)
    coupl(nGC_22442) = coupl(nGC_2)*dZcL_QCD2
    coupl(nGC_20307) = coupl(nGC_13467) + coupl(nGC_82)*dZHlHh_QED2/2d0 + coupl&
                       (nGC_93)*dZHh_QED2/2d0 + coupl(nGC_93)*dZHl_QED2/2d0 +  &
                       coupl(nGC_93)*dZWMinus_QED2 + coupl(nGC_96)*dZHhHl_QED2/&
                       2d0
    coupl(nGC_13319) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                       nGC_2))/(16d0*pi**2d0*Nc**2d0)
    coupl(nGC_13318) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl(&
                       nGC_2))/(32d0*pi**2d0*Nc)
    coupl(nGC_13313) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_195)*coupl(&
                       nGC_196) - coupl(nGC_199)*coupl(nGC_200) - coupl(nGC_203&
                       )*coupl(nGC_204) - coupl(nGC_215)*coupl(nGC_216) - coupl&
                       (nGC_219)*coupl(nGC_220) - coupl(nGC_227)*coupl(nGC_228 &
                       ))/(16d0*pi**2d0)
    coupl(nGC_13312) = -cima*coupl(nGC_19)**2d0*coupl(nGC_99)**2d0*sq2**2d0/(  &
                       32d0*pi**2d0*Nc)
    coupl(nGC_13311) = cima*coupl(nGC_19)**2d0*coupl(nGC_99)**2d0*sq2**2d0/(   &
                       32d0*pi**2d0)
    coupl(nGC_13310) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_196)**2d0 + &
                       coupl(nGC_200)**2d0 + coupl(nGC_204)**2d0 + coupl(      &
                       nGC_216)**2d0 + coupl(nGC_220)**2d0 + coupl(nGC_228)**  &
                       2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13317) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                       nGC_2))/(64d0*pi**2d0)
    coupl(nGC_13316) = (-12d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_99)**2d0 + &
                       36d0*Nc*cima*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_99 &
                       )**2d0 - 12d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_99  &
                       )**2d0 - cima*coupl(nGC_102)**4d0 + 4d0*cima*coupl(     &
                       nGC_102)**3d0*coupl(nGC_103) - 6d0*cima*coupl(nGC_102)**&
                       2d0*coupl(nGC_103)**2d0 + 2d0*cima*coupl(nGC_102)**2d0* &
                       coupl(nGC_1253)*coupl(nGC_3) - 2d0*cima*coupl(nGC_102)**&
                       2d0*coupl(nGC_1253)*coupl(nGC_4) + 4d0*cima*coupl(      &
                       nGC_102)*coupl(nGC_103)**3d0 - 4d0*cima*coupl(nGC_102)* &
                       coupl(nGC_103)*coupl(nGC_1253)*coupl(nGC_3) + 4d0*cima* &
                       coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_1253)*coupl(    &
                       nGC_4) - cima*coupl(nGC_103)**4d0 + 2d0*cima*coupl(     &
                       nGC_103)**2d0*coupl(nGC_1253)*coupl(nGC_3) - 2d0*cima*  &
                       coupl(nGC_103)**2d0*coupl(nGC_1253)*coupl(nGC_4) + 12d0*&
                       cima*coupl(nGC_113)**2d0 - 12d0*cima*coupl(nGC_128)**2d0&
                       *coupl(nGC_99)**2d0 + 36d0*cima*coupl(nGC_128)*coupl(   &
                       nGC_129)*coupl(nGC_99)**2d0 - 12d0*cima*coupl(nGC_129)**&
                       2d0*coupl(nGC_99)**2d0 + 12d0*cima*coupl(nGC_84)**2d0 - &
                       6d0*coupl(nGC_102)**2d0*coupl(nGC_84) + 12d0*coupl(     &
                       nGC_102)*coupl(nGC_103)*coupl(nGC_84) - 6d0*coupl(      &
                       nGC_102)*coupl(nGC_113)*coupl(nGC_1253) + 3d0*coupl(    &
                       nGC_102)*coupl(nGC_113)*coupl(nGC_3) - 3d0*coupl(nGC_102&
                       )*coupl(nGC_113)*coupl(nGC_4) - 6d0*coupl(nGC_103)**2d0*&
                       coupl(nGC_84) + 6d0*coupl(nGC_103)*coupl(nGC_113)*coupl(&
                       nGC_1253) - 3d0*coupl(nGC_103)*coupl(nGC_113)*coupl(    &
                       nGC_3) + 3d0*coupl(nGC_103)*coupl(nGC_113)*coupl(nGC_4  &
                       ))/(96d0*pi**2d0)
    coupl(nGC_13315) = (36d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_99)**2d0 -  &
                       60d0*Nc*cima*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_99 &
                       )**2d0 + 36d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_99  &
                       )**2d0 - cima*coupl(nGC_102)**4d0 + 4d0*cima*coupl(     &
                       nGC_102)**3d0*coupl(nGC_103) - 6d0*cima*coupl(nGC_102)**&
                       2d0*coupl(nGC_103)**2d0 + 2d0*cima*coupl(nGC_102)**2d0* &
                       coupl(nGC_1253)*coupl(nGC_3) - 2d0*cima*coupl(nGC_102)**&
                       2d0*coupl(nGC_1253)*coupl(nGC_4) + 4d0*cima*coupl(      &
                       nGC_102)*coupl(nGC_103)**3d0 - 4d0*cima*coupl(nGC_102)* &
                       coupl(nGC_103)*coupl(nGC_1253)*coupl(nGC_3) + 4d0*cima* &
                       coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_1253)*coupl(    &
                       nGC_4) - cima*coupl(nGC_103)**4d0 + 2d0*cima*coupl(     &
                       nGC_103)**2d0*coupl(nGC_1253)*coupl(nGC_3) - 2d0*cima*  &
                       coupl(nGC_103)**2d0*coupl(nGC_1253)*coupl(nGC_4) + 36d0*&
                       cima*coupl(nGC_128)**2d0*coupl(nGC_99)**2d0 - 60d0*cima*&
                       coupl(nGC_128)*coupl(nGC_129)*coupl(nGC_99)**2d0 + 36d0*&
                       cima*coupl(nGC_129)**2d0*coupl(nGC_99)**2d0 + 12d0*cima*&
                       coupl(nGC_72)*coupl(nGC_85) + 6d0*coupl(nGC_102)**2d0*  &
                       coupl(nGC_72) + 3d0*coupl(nGC_102)**2d0*coupl(nGC_85) - &
                       12d0*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_72) - 6d0* &
                       coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_85) + 6d0*coupl(&
                       nGC_103)**2d0*coupl(nGC_72) + 3d0*coupl(nGC_103)**2d0*  &
                       coupl(nGC_85) - 6d0*coupl(nGC_1253)*coupl(nGC_3)*coupl( &
                       nGC_85) + 6d0*coupl(nGC_1253)*coupl(nGC_4)*coupl(nGC_85 &
                       ))/(96d0*pi**2d0)
    coupl(nGC_24527) = coupl(nGC_MI)*dZtL_QED2
    coupl(nGC_13232) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(       &
                       nGC_1113)*coupl(nGC_214) + 4d0*coupl(nGC_122)**2d0 +    &
                       coupl(nGC_213)**2d0 + coupl(nGC_215)**2d0 + coupl(      &
                       nGC_216)**2d0)/(64d0*pi**2d0)
    coupl(nGC_12969) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_122) + 2d0*&
                       Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_125) + 2d0*Nc*  &
                       cMC**2d0*cima*coupl(nGC_123)*coupl(nGC_2) + 2d0*Nc*cMC**&
                       2d0*cima*coupl(nGC_126)*coupl(nGC_2) + 2d0*Nc*cMD**2d0* &
                       cima*coupl(nGC_1)*coupl(nGC_122) + 2d0*Nc*cMD**2d0*cima*&
                       coupl(nGC_1)*coupl(nGC_125) + 2d0*Nc*cMS**2d0*cima*coupl&
                       (nGC_1)*coupl(nGC_122) + 2d0*Nc*cMS**2d0*cima*coupl(    &
                       nGC_1)*coupl(nGC_125) + 2d0*Nc*cMT**2d0*cima*coupl(     &
                       nGC_123)*coupl(nGC_2) + 2d0*Nc*cMT**2d0*cima*coupl(     &
                       nGC_126)*coupl(nGC_2) + 2d0*Nc*cMU**2d0*cima*coupl(     &
                       nGC_123)*coupl(nGC_2) + 2d0*Nc*cMU**2d0*cima*coupl(     &
                       nGC_126)*coupl(nGC_2) + 2d0*cME**2d0*cima*coupl(nGC_124 &
                       )*coupl(nGC_4) + 2d0*cME**2d0*cima*coupl(nGC_128)*coupl(&
                       nGC_4) + 2d0*cMM**2d0*cima*coupl(nGC_124)*coupl(nGC_4   &
                       ) + 2d0*cMM**2d0*cima*coupl(nGC_128)*coupl(nGC_4) + 2d0*&
                       cMTA**2d0*cima*coupl(nGC_124)*coupl(nGC_4) + 2d0*cMTA** &
                       2d0*cima*coupl(nGC_128)*coupl(nGC_4) - cMW**2d0*cima*   &
                       coupl(nGC_102)*coupl(nGC_3) + cMW**2d0*cima*coupl(      &
                       nGC_102)*coupl(nGC_4) + cMW**2d0*cima*coupl(nGC_103)*   &
                       coupl(nGC_3) - cMW**2d0*cima*coupl(nGC_103)*coupl(nGC_4 &
                       ) - 2d0*cMW**2d0*coupl(nGC_116))/(16d0*pi**2d0)
    coupl(nGC_20514) = coupl(nGC_20512) + coupl(nGC_20513)
    coupl(nGC_13168) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_219) -     &
                       coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_217) + 8d0*coupl&
                       (nGC_2)**2d0*coupl(nGC_219) - coupl(nGC_219)**3d0 -     &
                       coupl(nGC_219)*coupl(nGC_220)**2d0 - coupl(nGC_219)*    &
                       coupl(nGC_3275)**2d0)/(32d0*pi**2d0)
    coupl(nGC_23737) = coupl(nGC_13582) + coupl(nGC_TS_GC_203_Hl) + coupl(     &
                       nGC_TS_GC_204_Hh)
    coupl(nGC_12966) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_99)**2d0 + 2d0*Nc*cMC** &
                       2d0*cima*coupl(nGC_99)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl&
                       (nGC_99)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_99)**2d0 &
                        + 2d0*Nc*cMT**2d0*cima*coupl(nGC_99)**2d0 + 2d0*Nc*cMU &
                       **2d0*cima*coupl(nGC_99)**2d0 + 2d0*cME**2d0*cima*coupl(&
                       nGC_99)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_99)**2d0 +   &
                       2d0*cMTA**2d0*cima*coupl(nGC_99)**2d0 + cMW**2d0*cima*  &
                       coupl(nGC_102)**2d0 - 2d0*cMW**2d0*cima*coupl(nGC_102)* &
                       coupl(nGC_103) + cMW**2d0*cima*coupl(nGC_103)**2d0 - cMW&
                       **2d0*cima*coupl(nGC_1253)*coupl(nGC_3) + cMW**2d0*cima*&
                       coupl(nGC_1253)*coupl(nGC_4) + cMW**2d0*cima*coupl(nGC_3&
                       )**2d0 - cMW**2d0*cima*coupl(nGC_3)*coupl(nGC_4) - 4d0* &
                       cMW**2d0*coupl(nGC_72) + cMZ**2d0*cima*coupl(nGC_102)** &
                       2d0 - 2d0*cMZ**2d0*cima*coupl(nGC_102)*coupl(nGC_103) + &
                       cMZ**2d0*cima*coupl(nGC_103)**2d0 - 2d0*cMZ**2d0*coupl( &
                       nGC_85))/(32d0*pi**2d0)
    coupl(nGC_23738) = coupl(nGC_23733) + coupl(nGC_23737)
    coupl(nGC_23739) = coupl(nGC_13583) + coupl(nGC_23734)
    coupl(nGC_19687) = coupl(nGC_13588) + coupl(nGC_MZ)*dZZ_QED2 + coupl(      &
                       nGC_TS_GC_175_Hl) + coupl(nGC_TS_GC_178_Hh)
    coupl(nGC_19682) = coupl(nGC_MI)*dZZ_QED2
    coupl(nGC_20013) = coupl(nGC_13377) + coupl(nGC_189)*dZHh_QED2/2d0 + coupl(&
                       nGC_189)*dZHl_QED2 + coupl(nGC_191)*dZHlHh_QED2/2d0 +   &
                       coupl(nGC_192)*dZHhHl_QED2 + coupl(nGC_TS_GC_32_Hl) +   &
                       coupl(nGC_TS_GC_36_Hh)
    coupl(nGC_12960) = cima*(-coupl(nGC_3)**2d0 - 4d0*coupl(nGC_3)*coupl(nGC_4 &
                       ) - coupl(nGC_4)**2d0)/(48d0*pi**2d0)
    coupl(nGC_13234) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_126)**2d0 - coupl(    &
                       nGC_193)**2d0 - 4d0*coupl(nGC_2)**2d0 - coupl(nGC_218)* &
                       coupl(nGC_3275) - coupl(nGC_219)**2d0 - coupl(nGC_220)**&
                       2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_21008) = -coupl(nGC_13407) - coupl(nGC_21007)
    coupl(nGC_26451) = -coupl(nGC_13406) - coupl(nGC_26449)
    coupl(nGC_26452) = coupl(nGC_13406) + coupl(nGC_26449)
    coupl(nGC_13199) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(    &
                       nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_206)*coupl(      &
                       nGC_3565) + coupl(nGC_128)*coupl(nGC_207)**2d0 + coupl( &
                       nGC_128)*coupl(nGC_208)**2d0 + coupl(nGC_129)*coupl(    &
                       nGC_205)**2d0)/(32d0*pi**2d0)
    coupl(nGC_26454) = coupl(nGC_13405) + coupl(nGC_26450)
    coupl(nGC_23801) = coupl(nGC_13444) + coupl(nGC_23796)
    coupl(nGC_23802) = coupl(nGC_13443) + coupl(nGC_219)*dZHl_QED2/2d0 + coupl(&
                       nGC_220)*dZHhHl_QED2/2d0
    coupl(nGC_23803) = coupl(nGC_23795) + coupl(nGC_23802)
    coupl(nGC_13380) = coupl(nGC_12669)*dsw_QED2 + coupl(nGC_12670)*dvev_QED1  &
                        + coupl(nGC_12671)*da_QED2 + coupl(nGC_12672)*dZee_QED2
    coupl(nGC_23294) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_23297) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_13198) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_122) + 4d0*coupl(      &
                       nGC_122)**3d0 + coupl(nGC_125)*coupl(nGC_1361)*coupl(   &
                       nGC_202) + coupl(nGC_125)*coupl(nGC_203)**2d0 + coupl(  &
                       nGC_125)*coupl(nGC_204)**2d0 + coupl(nGC_126)*coupl(    &
                       nGC_201)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22946) = coupl(nGC_19)*dZuR_QCD2
    coupl(nGC_22947) = coupl(nGC_19)*dZuL_QED2
    coupl(nGC_13030) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_210)* &
                       coupl(nGC_901) + coupl(nGC_211)**2d0 + coupl(nGC_212)** &
                       2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22945) = coupl(nGC_19)*dZuR_QED2
    coupl(nGC_22948) = coupl(nGC_19)*dZuL_QCD2
    coupl(nGC_13038) = (coupl(nGC_1)*coupl(nGC_217)**2d0 + 4d0*coupl(nGC_123)**&
                       2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + coupl(nGC_2)*&
                       coupl(nGC_218)*coupl(nGC_3275) + coupl(nGC_2)*coupl(    &
                       nGC_219)**2d0 + coupl(nGC_2)*coupl(nGC_220)**2d0)/(32d0*&
                       pi**2d0)
    coupl(nGC_TS_GC_119_Hh) = -coupl(nGC_119)*dtHh_QED1/cMHH**2d0
    coupl(nGC_24355) = coupl(nGC_13446) + coupl(nGC_24352)
    coupl(nGC_19639) = coupl(nGC_13393) + coupl(nGC_225)*dZdL_QCD2/2d0 + coupl(&
                       nGC_225)*dZuR_QCD2/2d0
    coupl(nGC_19180) = coupl(nGC_13501) + coupl(nGC_19)*dZg_QCD2/2d0
    coupl(nGC_19181) = coupl(nGC_19179) + coupl(nGC_19180)
    coupl(nGC_19182) = coupl(nGC_19177) + coupl(nGC_19180)
    coupl(nGC_19148) = coupl(nGC_13465) + coupl(nGC_86)*dZWMinus_QED2
    coupl(nGC_13013) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_99)**2d0 - 12d0*Nc*coupl&
                       (nGC_2)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(nGC_102)*   &
                       coupl(nGC_113) + 6d0*cima*coupl(nGC_103)*coupl(nGC_113  &
                       ) + coupl(nGC_102)**2d0*coupl(nGC_3) - coupl(nGC_102)** &
                       2d0*coupl(nGC_4) + coupl(nGC_102)*coupl(nGC_103)*coupl( &
                       nGC_3) - coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_4) -   &
                       2d0*coupl(nGC_103)**2d0*coupl(nGC_3) + 2d0*coupl(nGC_103&
                       )**2d0*coupl(nGC_4) + coupl(nGC_1253)*coupl(nGC_3)**2d0 &
                        - 2d0*coupl(nGC_1253)*coupl(nGC_3)*coupl(nGC_4) + coupl&
                       (nGC_1253)*coupl(nGC_4)**2d0 + 12d0*coupl(nGC_4)*coupl( &
                       nGC_99)**2d0)/(96d0*pi**2d0)
    coupl(nGC_TS_GC_151_Hh) = -coupl(nGC_151)*dtHh_QED1/cMHH**2d0
    coupl(nGC_21932) = coupl(nGC_21925) + coupl(nGC_21931)
    coupl(nGC_21933) = coupl(nGC_13440) + coupl(nGC_21926)
    coupl(nGC_20882) = coupl(nGC_20877) + coupl(nGC_20881)
    coupl(nGC_13485) = coupl(nGC_12822)*dcw_QED2 + coupl(nGC_12823)*da_QED2 +  &
                       coupl(nGC_12824)*dZee_QED2
    coupl(nGC_19340) = coupl(nGC_13430) + coupl(nGC_207)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_208)*dZHh_QED2/2d0
    coupl(nGC_19341) = coupl(nGC_19336) + coupl(nGC_19340)
    coupl(nGC_12981) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)**2d0)/(16d0*pi&
                       **2d0)
    coupl(nGC_12980) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_125)**2d0 - coupl( &
                       nGC_99)**2d0)/(16d0*pi**2d0)
    coupl(nGC_13108) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_218) -     &
                       coupl(nGC_193)*coupl(nGC_2063)*coupl(nGC_217) + 8d0*    &
                       coupl(nGC_2)**2d0*coupl(nGC_218) - coupl(nGC_218)**2d0* &
                       coupl(nGC_3275) - coupl(nGC_219)**2d0*coupl(nGC_3275) - &
                       coupl(nGC_220)**2d0*coupl(nGC_3275))/(32d0*pi**2d0)
    coupl(nGC_20150) = coupl(nGC_124)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                       dZeMinusR_QED2
    coupl(nGC_13282) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_193)**2d0  &
                        - coupl(nGC_197)**2d0 - coupl(nGC_201)**2d0 - coupl(   &
                       nGC_213)**2d0 - coupl(nGC_217)**2d0 - coupl(nGC_225)**  &
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_13450) = coupl(nGC_383)*dyt_QED1_QCD2
    coupl(nGC_13103) = coupl(nGC_1113)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13100) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_210) -     &
                       coupl(nGC_210)**2d0*coupl(nGC_901) + 8d0*coupl(nGC_210)*&
                       coupl(nGC_4)**2d0 - coupl(nGC_211)**2d0*coupl(nGC_901   &
                       ) - coupl(nGC_212)**2d0*coupl(nGC_901))/(32d0*pi**2d0)
    coupl(nGC_13101) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_901) -     &
                       coupl(nGC_210)*coupl(nGC_211)**2d0 - coupl(nGC_210)*    &
                       coupl(nGC_212)**2d0 - coupl(nGC_210)*coupl(nGC_901)**2d0&
                        + 8d0*coupl(nGC_4)**2d0*coupl(nGC_901))/(32d0*pi**2d0)
    coupl(nGC_13106) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_3275) -    &
                       coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_217) + 8d0*coupl&
                       (nGC_2)**2d0*coupl(nGC_3275) - coupl(nGC_218)*coupl(    &
                       nGC_219)**2d0 - coupl(nGC_218)*coupl(nGC_220)**2d0 -    &
                       coupl(nGC_218)*coupl(nGC_3275)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13107) = coupl(nGC_19)**2d0*coupl(nGC_3275)*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_21753) = coupl(nGC_13470) + coupl(nGC_162)*dZHl_QED2/2d0 + coupl(&
                       nGC_162)*dZWMinus_QED2 + coupl(nGC_165)*dZHhHl_QED2/2d0 &
                        + coupl(nGC_TS_GC_82_Hl) + coupl(nGC_TS_GC_93_Hh)
    coupl(nGC_13480) = coupl(nGC_12523)*dsw_QED2 + coupl(nGC_12524)*dcw_QED2 + &
                       coupl(nGC_12525)*da_QED2 + coupl(nGC_12526)*dZee_QED2
    coupl(nGC_21161) = coupl(nGC_117)*dZHh_QED2/2d0 + coupl(nGC_117)*          &
                       dZWMinus_QED2/2d0 + coupl(nGC_13462)
    coupl(nGC_21160) = coupl(nGC_118)*dZHh_QED2/2d0 + coupl(nGC_118)*          &
                       dZWMinus_QED2/2d0 + coupl(nGC_13458)
    coupl(nGC_21163) = coupl(nGC_21155) + coupl(nGC_21161)
    coupl(nGC_21162) = -coupl(nGC_21155) + coupl(nGC_21160)
    coupl(nGC_19707) = coupl(nGC_13455) + coupl(nGC_154)*dZZA_QED2/2d0 + coupl(&
                       nGC_166)*dZA_QED2/2d0 + coupl(nGC_166)*dZWMinus_QED2/2d0&
                        + coupl(nGC_TS_GC_110_Hl) + coupl(nGC_TS_GC_119_Hh)
    coupl(nGC_20474) = coupl(nGC_19180) + coupl(nGC_20473)
    coupl(nGC_19379) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_115)*dZA_QED2/  &
                       2d0 + coupl(nGC_115)*dZZ_QED2/2d0 + coupl(nGC_13469) +  &
                       coupl(nGC_86)*dZZA_QED2/2d0
    coupl(nGC_13007) = (-2d0*Nc*cMB*coupl(nGC_193)*coupl(nGC_2)*coupl(nGC_99   &
                       ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_99 &
                       ) - 2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_201)*coupl(nGC_99 &
                       ) - 2d0*Nc*cMS*coupl(nGC_2)*coupl(nGC_213)*coupl(nGC_99 &
                       ) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_217)*coupl(nGC_99 &
                       ) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_225)*coupl(nGC_99 &
                       ) + 4d0*cima*coupl(nGC_113)*coupl(nGC_154) + 4d0*cima*  &
                       coupl(nGC_166)*coupl(nGC_8) + coupl(nGC_102)*coupl(     &
                       nGC_154)*coupl(nGC_3) - coupl(nGC_102)*coupl(nGC_154)*  &
                       coupl(nGC_4) - coupl(nGC_103)*coupl(nGC_154)*coupl(nGC_3&
                       ) + coupl(nGC_103)*coupl(nGC_154)*coupl(nGC_4) - coupl( &
                       nGC_166)*coupl(nGC_3)**2d0 + 2d0*coupl(nGC_166)*coupl(  &
                       nGC_3)*coupl(nGC_4) - coupl(nGC_166)*coupl(nGC_4)**2d0  &
                       )/(32d0*pi**2d0)
    coupl(nGC_13428) = coupl(nGC_12945)*da_QED2 + coupl(nGC_12946)*dym_QED3
    coupl(nGC_13424) = coupl(nGC_12906)*dye_QED3
    coupl(nGC_13427) = coupl(nGC_12539)*da_QED2 + coupl(nGC_12540)*dye_QED3
    coupl(nGC_13420) = coupl(nGC_12816)*dyb_QED1_QCD2
    coupl(nGC_20475) = coupl(nGC_19180) + coupl(nGC_20469)
    coupl(nGC_20265) = coupl(nGC_19180) + coupl(nGC_20262)
    coupl(nGC_20266) = coupl(nGC_19180) + coupl(nGC_20264)
    coupl(nGC_13356) = coupl(nGC_12566)*dsw_QED2 + coupl(nGC_12567)*dcw_QED2 + &
                       coupl(nGC_12568)*da_QED2 + coupl(nGC_12569)*dZee_QED2
    coupl(nGC_13355) = coupl(nGC_12607)*dcw_QED2 + coupl(nGC_12608)*da_QED2 +  &
                       coupl(nGC_12609)*dZee_QED2
    coupl(nGC_13354) = coupl(nGC_12663)*da_QED2 + coupl(nGC_12664)*dl2_QED4 +  &
                       coupl(nGC_12665)*dl1_QED4 + coupl(nGC_12666)*dl3_QED4
    coupl(nGC_13353) = coupl(nGC_12613)*da_QED2 + coupl(nGC_12614)*dl2_QED4 +  &
                       coupl(nGC_12615)*dl3_QED4
    coupl(nGC_13352) = coupl(nGC_12831)*da_QED2 + coupl(nGC_12832)*dl2_QED4 +  &
                       coupl(nGC_12833)*dl1_QED4 + coupl(nGC_12834)*dl3_QED4
    coupl(nGC_13219) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                       nGC_122)**2d0 - coupl(nGC_193)**2d0 - coupl(nGC_194)*   &
                       coupl(nGC_2063) - coupl(nGC_195)**2d0 - coupl(nGC_196)**&
                       2d0)/(64d0*pi**2d0)
    coupl(nGC_13216) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                       nGC_122)**2d0 + coupl(nGC_193)**2d0 + coupl(nGC_194)*   &
                       coupl(nGC_2063) + coupl(nGC_195)**2d0 + coupl(nGC_196)**&
                       2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_13217) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                       nGC_125)**2d0 - coupl(nGC_194)*coupl(nGC_2063) - coupl( &
                       nGC_195)**2d0 - coupl(nGC_196)**2d0 - coupl(nGC_217)**  &
                       2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
    coupl(nGC_13359) = coupl(nGC_12762)*da_QED2 + coupl(nGC_12763)*dl2_QED4 +  &
                       coupl(nGC_12764)*dl1_QED4 + coupl(nGC_12765)*dl3_QED4
    coupl(nGC_20417) = -coupl(nGC_13436) - coupl(nGC_20413)
    coupl(nGC_20418) = coupl(nGC_13436) + coupl(nGC_20413)
    coupl(nGC_20419) = -coupl(nGC_13435) - coupl(nGC_20414)
    coupl(nGC_TS_GC_100_Hl) = -coupl(nGC_100)*dtHl_QED1/cMHL**2d0
    coupl(nGC_20198) = coupl(nGC_13346) + coupl(nGC_144)*dZHl_QED2 + coupl(    &
                       nGC_147)*dZHhHl_QED2
    coupl(nGC_23791) = coupl(nGC_13378) + 3d0*coupl(nGC_190)*dZHh_QED2/2d0 +   &
                       3d0*coupl(nGC_192)*dZHlHh_QED2/2d0 + coupl(             &
                       nGC_TS_GC_33_Hl) + coupl(nGC_TS_GC_35_Hh)
    coupl(nGC_13149) = (-4d0*Nc*cMB*coupl(nGC_122)**2d0*coupl(nGC_195) + 4d0*Nc&
                       *cMB*coupl(nGC_122)*coupl(nGC_125)*coupl(nGC_195) - 4d0*&
                       Nc*cMB*coupl(nGC_125)**2d0*coupl(nGC_195) - 4d0*Nc*cMC* &
                       coupl(nGC_123)**2d0*coupl(nGC_199) + 4d0*Nc*cMC*coupl(  &
                       nGC_123)*coupl(nGC_126)*coupl(nGC_199) - 4d0*Nc*cMC*    &
                       coupl(nGC_126)**2d0*coupl(nGC_199) - 4d0*Nc*cMD*coupl(  &
                       nGC_122)**2d0*coupl(nGC_203) + 4d0*Nc*cMD*coupl(nGC_122 &
                       )*coupl(nGC_125)*coupl(nGC_203) - 4d0*Nc*cMD*coupl(     &
                       nGC_125)**2d0*coupl(nGC_203) - 4d0*Nc*cMS*coupl(nGC_122 &
                       )**2d0*coupl(nGC_215) + 4d0*Nc*cMS*coupl(nGC_122)*coupl(&
                       nGC_125)*coupl(nGC_215) - 4d0*Nc*cMS*coupl(nGC_125)**2d0&
                       *coupl(nGC_215) - 4d0*Nc*cMT*coupl(nGC_123)**2d0*coupl( &
                       nGC_219) + 4d0*Nc*cMT*coupl(nGC_123)*coupl(nGC_126)*    &
                       coupl(nGC_219) - 4d0*Nc*cMT*coupl(nGC_126)**2d0*coupl(  &
                       nGC_219) - 4d0*Nc*cMU*coupl(nGC_123)**2d0*coupl(nGC_227 &
                       ) + 4d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_126)*coupl(     &
                       nGC_227) - 4d0*Nc*cMU*coupl(nGC_126)**2d0*coupl(nGC_227 &
                       ) - 4d0*cME*coupl(nGC_124)**2d0*coupl(nGC_207) + 4d0*cME&
                       *coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_207) - 4d0*cME*&
                       coupl(nGC_128)**2d0*coupl(nGC_207) - 4d0*cMM*coupl(     &
                       nGC_124)**2d0*coupl(nGC_211) + 4d0*cMM*coupl(nGC_124)*  &
                       coupl(nGC_128)*coupl(nGC_211) - 4d0*cMM*coupl(nGC_128)**&
                       2d0*coupl(nGC_211) - 4d0*cMTA*coupl(nGC_124)**2d0*coupl(&
                       nGC_223) + 4d0*cMTA*coupl(nGC_124)*coupl(nGC_128)*coupl(&
                       nGC_223) - 4d0*cMTA*coupl(nGC_128)**2d0*coupl(nGC_223   &
                       ) + 2d0*cima*coupl(nGC_162)*coupl(nGC_85) + coupl(      &
                       nGC_102)**2d0*coupl(nGC_162) - 2d0*coupl(nGC_102)*coupl(&
                       nGC_103)*coupl(nGC_162) + coupl(nGC_103)**2d0*coupl(    &
                       nGC_162))/(16d0*pi**2d0)
    coupl(nGC_19807) = coupl(nGC_1)*dZAZ_QED2/2d0
    coupl(nGC_21271) = coupl(nGC_13447) + coupl(nGC_21270)
    coupl(nGC_21272) = coupl(nGC_13448) + coupl(nGC_199)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_200)*dZHh_QED2/2d0
    coupl(nGC_21072) = coupl(nGC_104)*dZZA_QED2/2d0 + coupl(nGC_13384) + coupl(&
                       nGC_6)*dZA_QED2/2d0
    coupl(nGC_19613) = coupl(nGC_19357) + coupl(nGC_19611)
    coupl(nGC_13506) = coupl(nGC_12910)*dsw_QED2 + coupl(nGC_12911)*dcw_QED2 + &
                       coupl(nGC_12912)*dZee_QED2
    coupl(nGC_24454) = -coupl(nGC_24453)
    coupl(nGC_24455) = 2d0*coupl(nGC_24453)
    coupl(nGC_25477) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*           &
                       dZeMinusL_QED2 + coupl(nGC_13483)
    coupl(nGC_25476) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*           &
                       dZeMinusR_QED2 + coupl(nGC_13508)
    coupl(nGC_25479) = coupl(nGC_19284) + coupl(nGC_25477)
    coupl(nGC_25478) = coupl(nGC_19284) + coupl(nGC_25476)
    coupl(nGC_22773) = coupl(nGC_13371) + coupl(nGC_174)*dZHl_QED2/2d0 + coupl(&
                       nGC_177)*dZHhHl_QED2/2d0
    coupl(nGC_13164) = coupl(nGC_211)*(8d0*coupl(nGC_124)*coupl(nGC_128) -     &
                       coupl(nGC_211)**2d0 - coupl(nGC_212)**2d0 + 8d0*coupl(  &
                       nGC_4)**2d0 - coupl(nGC_901)**2d0)/(32d0*pi**2d0)
    coupl(nGC_19830) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_21203) = coupl(nGC_13376) + coupl(nGC_179)*dZHh_QED2/2d0 + coupl(&
                       nGC_184)*dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_29_Hl) +     &
                       coupl(nGC_TS_GC_30_Hh)
    coupl(nGC_19303) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_13382)
    coupl(nGC_21847) = coupl(nGC_I)*dZHh_QED2
    coupl(nGC_19307) = coupl(nGC_13502) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                       coupl(nGC_99)*dZcL_QED2/2d0 + coupl(nGC_99)*dZsL_QED2/  &
                       2d0
    coupl(nGC_19265) = coupl(nGC_116)*dZA_QED2/2d0 + coupl(nGC_116)*           &
                       dZWMinus_QED2 + coupl(nGC_116)*dZZ_QED2/2d0 + coupl(    &
                       nGC_13489) + coupl(nGC_85)*dZZA_QED2/2d0 + coupl(nGC_9)*&
                       dZAZ_QED2/2d0
    coupl(nGC_21249) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*           &
                       dZnu_tauL_QED2 + coupl(nGC_13507)
    coupl(nGC_13414) = coupl(nGC_12686)*dyb_QED1_QCD2
    coupl(nGC_13415) = coupl(nGC_12854)*da_QED2 + coupl(nGC_12855)*dydo_QED3
    coupl(nGC_13416) = coupl(nGC_12855)*dydo_QED1_QCD2
    coupl(nGC_13417) = coupl(nGC_12624)*da_QED2 + coupl(nGC_12625)*dys_QED3
    coupl(nGC_13410) = coupl(nGC_12821)*dydo_QED1_QCD2
    coupl(nGC_13411) = coupl(nGC_12560)*da_QED2 + coupl(nGC_12561)*dys_QED3
    coupl(nGC_13412) = coupl(nGC_12561)*dys_QED1_QCD2
    coupl(nGC_13413) = coupl(nGC_12685)*da_QED2 + coupl(nGC_12686)*dyb_QED3
    coupl(nGC_26808) = coupl(nGC_13495) + coupl(nGC_175)*dZHl_QED2/2d0 + coupl(&
                       nGC_175)*dZZ_QED2 + coupl(nGC_178)*dZHhHl_QED2/2d0 +    &
                       coupl(nGC_TS_GC_145_Hl) + coupl(nGC_TS_GC_148_Hh)
    coupl(nGC_13419) = coupl(nGC_12815)*da_QED2 + coupl(nGC_12816)*dyb_QED3
    coupl(nGC_13159) = coupl(nGC_207)*(8d0*coupl(nGC_124)*coupl(nGC_128) -     &
                       coupl(nGC_206)**2d0 - coupl(nGC_207)**2d0 - coupl(      &
                       nGC_208)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13186) = coupl(nGC_99)*(coupl(nGC_102)*coupl(nGC_128) - coupl(   &
                       nGC_102)*coupl(nGC_129) - coupl(nGC_103)*coupl(nGC_128  &
                       ) + coupl(nGC_103)*coupl(nGC_129) + 4d0*coupl(nGC_128)* &
                       coupl(nGC_129) - 2d0*coupl(nGC_3)*coupl(nGC_4))/(32d0*pi&
                       **2d0)
    coupl(nGC_19545) = -coupl(nGC_19539)
    coupl(nGC_12957) = cima*(Nc*coupl(nGC_1113)*coupl(nGC_214) + Nc*coupl(     &
                       nGC_1195)*coupl(nGC_226) + Nc*coupl(nGC_1361)*coupl(    &
                       nGC_202) + Nc*coupl(nGC_194)*coupl(nGC_2063) + Nc*coupl(&
                       nGC_198)*coupl(nGC_2353) + Nc*coupl(nGC_218)*coupl(     &
                       nGC_3275) + coupl(nGC_206)*coupl(nGC_3565) + coupl(     &
                       nGC_210)*coupl(nGC_901) + coupl(nGC_222)*coupl(nGC_3111 &
                       ))/(24d0*pi**2d0)
    coupl(nGC_12958) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_194)*coupl(nGC_2063) - &
                       4d0*Nc*cMC**2d0*cima*coupl(nGC_198)*coupl(nGC_2353) -   &
                       4d0*Nc*cMD**2d0*cima*coupl(nGC_1361)*coupl(nGC_202) -   &
                       4d0*Nc*cMS**2d0*cima*coupl(nGC_1113)*coupl(nGC_214) -   &
                       4d0*Nc*cMT**2d0*cima*coupl(nGC_218)*coupl(nGC_3275) -   &
                       4d0*Nc*cMU**2d0*cima*coupl(nGC_1195)*coupl(nGC_226) -   &
                       4d0*cME**2d0*cima*coupl(nGC_206)*coupl(nGC_3565) - 4d0* &
                       cMM**2d0*cima*coupl(nGC_210)*coupl(nGC_901) - 4d0*cMTA**&
                       2d0*cima*coupl(nGC_222)*coupl(nGC_3111) - 2d0*cMW**2d0* &
                       coupl(nGC_71) - cMZ**2d0*coupl(nGC_142))/(16d0*pi**2d0)
    coupl(nGC_12959) = cima*(-12d0*Nc*coupl(nGC_1)**2d0 - 12d0*Nc*coupl(nGC_2  &
                       )**2d0 - coupl(nGC_3)**2d0 + 2d0*coupl(nGC_3)*coupl(    &
                       nGC_4) - 13d0*coupl(nGC_4)**2d0)/(96d0*pi**2d0)
    coupl(nGC_21483) = coupl(nGC_13490) + coupl(nGC_142)*dZZ_QED2
    coupl(nGC_13072) = (-2d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_99) +  &
                       2d0*Nc*coupl(nGC_197)*coupl(nGC_200)*coupl(nGC_99) - 2d0&
                       *Nc*coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) - 2d0*Nc&
                       *coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) + 2d0*Nc*  &
                       coupl(nGC_217)*coupl(nGC_220)*coupl(nGC_99) + 2d0*Nc*   &
                       coupl(nGC_225)*coupl(nGC_228)*coupl(nGC_99) + 3d0*cima* &
                       coupl(nGC_102)*coupl(nGC_27) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_27) - 2d0*coupl(nGC_205)*coupl(nGC_208)*coupl(&
                       nGC_99) - 2d0*coupl(nGC_209)*coupl(nGC_212)*coupl(nGC_99&
                       ) - 2d0*coupl(nGC_221)*coupl(nGC_224)*coupl(nGC_99))/(  &
                       48d0*pi**2d0)
    coupl(nGC_13073) = (2d0*Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_99) -   &
                       2d0*Nc*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_99) + 2d0&
                       *Nc*coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + 2d0*Nc&
                       *coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) - 2d0*Nc*  &
                       coupl(nGC_217)*coupl(nGC_219)*coupl(nGC_99) - 2d0*Nc*   &
                       coupl(nGC_225)*coupl(nGC_227)*coupl(nGC_99) + 3d0*cima* &
                       coupl(nGC_102)*coupl(nGC_15) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_15) + 2d0*coupl(nGC_205)*coupl(nGC_207)*coupl(&
                       nGC_99) + 2d0*coupl(nGC_209)*coupl(nGC_211)*coupl(nGC_99&
                       ) + 2d0*coupl(nGC_221)*coupl(nGC_223)*coupl(nGC_99))/(  &
                       48d0*pi**2d0)
    coupl(nGC_13070) = (-2d0*Nc*coupl(nGC_1113)*coupl(nGC_213)*coupl(nGC_99) - &
                       2d0*Nc*coupl(nGC_1361)*coupl(nGC_201)*coupl(nGC_99) -   &
                       2d0*Nc*coupl(nGC_193)*coupl(nGC_2063)*coupl(nGC_99) +   &
                       2d0*Nc*coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_99) + 2d0&
                       *Nc*coupl(nGC_217)*coupl(nGC_218)*coupl(nGC_99) + 2d0*Nc&
                       *coupl(nGC_225)*coupl(nGC_226)*coupl(nGC_99) + 3d0*cima*&
                       coupl(nGC_102)*coupl(nGC_14) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_14) - 2d0*coupl(nGC_205)*coupl(nGC_3565)*coupl&
                       (nGC_99) - 2d0*coupl(nGC_209)*coupl(nGC_901)*coupl(     &
                       nGC_99) - 2d0*coupl(nGC_221)*coupl(nGC_3111)*coupl(     &
                       nGC_99))/(48d0*pi**2d0)
    coupl(nGC_26637) = coupl(nGC_I)*dZHl_QED2
    coupl(nGC_13076) = (8d0*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_2) - coupl(  &
                       nGC_1113)*coupl(nGC_213)*coupl(nGC_2353) + 8d0*coupl(   &
                       nGC_123)*coupl(nGC_125)*coupl(nGC_197) - coupl(nGC_199)*&
                       coupl(nGC_213)*coupl(nGC_215) - coupl(nGC_200)*coupl(   &
                       nGC_213)*coupl(nGC_216))/(32d0*pi**2d0)
    coupl(nGC_13077) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_213) + 8d0*    &
                       coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_213) - coupl(   &
                       nGC_197)*coupl(nGC_198)*coupl(nGC_214) - coupl(nGC_197)*&
                       coupl(nGC_199)*coupl(nGC_215) - coupl(nGC_197)*coupl(   &
                       nGC_200)*coupl(nGC_216))/(32d0*pi**2d0)
    coupl(nGC_13074) = (-2d0*Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_99) +  &
                       2d0*Nc*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_99) - 2d0&
                       *Nc*coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) - 2d0*Nc&
                       *coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) + 2d0*Nc*  &
                       coupl(nGC_217)*coupl(nGC_219)*coupl(nGC_99) + 2d0*Nc*   &
                       coupl(nGC_225)*coupl(nGC_227)*coupl(nGC_99) + 3d0*cima* &
                       coupl(nGC_102)*coupl(nGC_15) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_15) - 2d0*coupl(nGC_205)*coupl(nGC_207)*coupl(&
                       nGC_99) - 2d0*coupl(nGC_209)*coupl(nGC_211)*coupl(nGC_99&
                       ) - 2d0*coupl(nGC_221)*coupl(nGC_223)*coupl(nGC_99))/(  &
                       48d0*pi**2d0)
    coupl(nGC_13075) = (2d0*Nc*cMB*coupl(nGC_122)*coupl(nGC_193)*coupl(nGC_99  &
                       ) - 2d0*Nc*cMB*coupl(nGC_125)*coupl(nGC_193)*coupl(     &
                       nGC_99) - 2d0*Nc*cMB*coupl(nGC_126)*coupl(nGC_193)*coupl&
                       (nGC_99) + 2d0*Nc*cMC*coupl(nGC_123)*coupl(nGC_197)*    &
                       coupl(nGC_99) - 2d0*Nc*cMC*coupl(nGC_125)*coupl(nGC_197 &
                       )*coupl(nGC_99) - 2d0*Nc*cMC*coupl(nGC_126)*coupl(      &
                       nGC_197)*coupl(nGC_99) + 2d0*Nc*cMD*coupl(nGC_122)*coupl&
                       (nGC_201)*coupl(nGC_99) - 2d0*Nc*cMD*coupl(nGC_125)*    &
                       coupl(nGC_201)*coupl(nGC_99) - 2d0*Nc*cMD*coupl(nGC_126 &
                       )*coupl(nGC_201)*coupl(nGC_99) + 2d0*Nc*cMS*coupl(      &
                       nGC_122)*coupl(nGC_213)*coupl(nGC_99) - 2d0*Nc*cMS*coupl&
                       (nGC_125)*coupl(nGC_213)*coupl(nGC_99) - 2d0*Nc*cMS*    &
                       coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_99) + 2d0*Nc*cMT&
                       *coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_99) - 2d0*Nc*  &
                       cMT*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_99) - 2d0*Nc&
                       *cMT*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_99) + 2d0* &
                       Nc*cMU*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_99) - 2d0&
                       *Nc*cMU*coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_99) -   &
                       2d0*Nc*cMU*coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_99   &
                       ) + 2d0*cME*coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_99  &
                       ) - 2d0*cME*coupl(nGC_128)*coupl(nGC_205)*coupl(nGC_99  &
                       ) - 2d0*cME*coupl(nGC_129)*coupl(nGC_205)*coupl(nGC_99  &
                       ) + 2d0*cMM*coupl(nGC_124)*coupl(nGC_209)*coupl(nGC_99  &
                       ) - 2d0*cMM*coupl(nGC_128)*coupl(nGC_209)*coupl(nGC_99  &
                       ) - 2d0*cMM*coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_99  &
                       ) + 2d0*cMTA*coupl(nGC_124)*coupl(nGC_221)*coupl(nGC_99 &
                       ) - 2d0*cMTA*coupl(nGC_128)*coupl(nGC_221)*coupl(nGC_99 &
                       ) - 2d0*cMTA*coupl(nGC_129)*coupl(nGC_221)*coupl(nGC_99 &
                       ) + 4d0*cima*coupl(nGC_113)*coupl(nGC_166) + 4d0*cima*  &
                       coupl(nGC_154)*coupl(nGC_84) - coupl(nGC_102)**2d0*coupl&
                       (nGC_154) + 2d0*coupl(nGC_102)*coupl(nGC_103)*coupl(    &
                       nGC_154) + 2d0*coupl(nGC_102)*coupl(nGC_166)*coupl(nGC_3&
                       ) - coupl(nGC_103)**2d0*coupl(nGC_154) - 2d0*coupl(     &
                       nGC_103)*coupl(nGC_166)*coupl(nGC_3))/(32d0*pi**2d0)
    coupl(nGC_21292) = coupl(nGC_13396) + coupl(nGC_213)*dZcL_QED2/2d0 + coupl(&
                       nGC_213)*dZsR_QED2/2d0
    coupl(nGC_13078) = (8d0*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_2) + 8d0*    &
                       coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_193) - coupl(   &
                       nGC_194)*coupl(nGC_217)*coupl(nGC_218) - coupl(nGC_195)*&
                       coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_196)*coupl(   &
                       nGC_217)*coupl(nGC_220))/(32d0*pi**2d0)
    coupl(nGC_13079) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_217) + 8d0*    &
                       coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_217) - coupl(   &
                       nGC_193)*coupl(nGC_195)*coupl(nGC_219) - coupl(nGC_193)*&
                       coupl(nGC_196)*coupl(nGC_220) - coupl(nGC_193)*coupl(   &
                       nGC_2063)*coupl(nGC_3275))/(32d0*pi**2d0)
    coupl(nGC_19159) = coupl(nGC_13363) + coupl(nGC_81)*dZHlHh_QED2/2d0 + coupl&
                       (nGC_92)*dZHh_QED2/2d0 + coupl(nGC_92)*dZHl_QED2/2d0 +  &
                       coupl(nGC_95)*dZHhHl_QED2/2d0
    coupl(nGC_13258) = (2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_195)*&
                       coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                       coupl(nGC_199)*coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_1)*&
                       coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + 2d0*Nc*   &
                       cima*coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_215)*coupl(  &
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*coupl(&
                       nGC_219)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1)*coupl(&
                       nGC_225)*coupl(nGC_227)*coupl(nGC_99) - 8d0*Nc*cima*    &
                       coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_2)*coupl(nGC_99 &
                       ) + 2d0*Nc*cima*coupl(nGC_197)*coupl(nGC_199)*coupl(    &
                       nGC_2)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_2)*coupl(  &
                       nGC_201)*coupl(nGC_203)*coupl(nGC_99) - 8d0*Nc*cima*    &
                       coupl(nGC_2)*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99 &
                       ) + 2d0*Nc*cima*coupl(nGC_2)*coupl(nGC_217)*coupl(      &
                       nGC_219)*coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_2)*coupl(&
                       nGC_225)*coupl(nGC_227)*coupl(nGC_99) + 12d0*cima*coupl(&
                       nGC_110)*coupl(nGC_8) + 12d0*cima*coupl(nGC_113)*coupl( &
                       nGC_15) + 2d0*cima*coupl(nGC_205)*coupl(nGC_207)*coupl( &
                       nGC_4)*coupl(nGC_99) + 2d0*cima*coupl(nGC_209)*coupl(   &
                       nGC_211)*coupl(nGC_4)*coupl(nGC_99) + 2d0*cima*coupl(   &
                       nGC_221)*coupl(nGC_223)*coupl(nGC_4)*coupl(nGC_99) + 3d0&
                       *coupl(nGC_102)*coupl(nGC_15)*coupl(nGC_3) - 3d0*coupl( &
                       nGC_102)*coupl(nGC_15)*coupl(nGC_4) - 3d0*coupl(nGC_103 &
                       )*coupl(nGC_15)*coupl(nGC_3) + 3d0*coupl(nGC_103)*coupl(&
                       nGC_15)*coupl(nGC_4) - 6d0*coupl(nGC_110)*coupl(nGC_3)**&
                       2d0 + 6d0*coupl(nGC_110)*coupl(nGC_3)*coupl(nGC_4))/(   &
                       96d0*pi**2d0)
    coupl(nGC_13259) = (8d0*Nc*cima*coupl(nGC_1)**4d0 + 8d0*Nc*cima*coupl(nGC_2&
                       )**4d0 - cima*coupl(nGC_3)**4d0 + 4d0*cima*coupl(nGC_3  &
                       )**3d0*coupl(nGC_4) - 6d0*cima*coupl(nGC_3)**2d0*coupl( &
                       nGC_4)**2d0 + 4d0*cima*coupl(nGC_3)*coupl(nGC_4)**3d0 + &
                       7d0*cima*coupl(nGC_4)**4d0 + 4d0*cima*coupl(nGC_9)**2d0 &
                        + 4d0*coupl(nGC_3)**2d0*coupl(nGC_9) - 8d0*coupl(nGC_3 &
                       )*coupl(nGC_4)*coupl(nGC_9) + 4d0*coupl(nGC_4)**2d0*    &
                       coupl(nGC_9))/(32d0*pi**2d0)
    coupl(nGC_13252) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_1195)*coupl(nGC_225&
                       )*coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_193&
                       )*coupl(nGC_194)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1&
                       )*coupl(nGC_197)*coupl(nGC_2353)*coupl(nGC_99) + 2d0*Nc*&
                       cima*coupl(nGC_1)*coupl(nGC_201)*coupl(nGC_202)*coupl(  &
                       nGC_99) + 2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_213)*coupl(&
                       nGC_214)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1)*coupl(&
                       nGC_217)*coupl(nGC_3275)*coupl(nGC_99) + 2d0*Nc*cima*   &
                       coupl(nGC_1195)*coupl(nGC_2)*coupl(nGC_225)*coupl(nGC_99&
                       ) - 8d0*Nc*cima*coupl(nGC_193)*coupl(nGC_194)*coupl(    &
                       nGC_2)*coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_197)*coupl(&
                       nGC_2)*coupl(nGC_2353)*coupl(nGC_99) - 8d0*Nc*cima*coupl&
                       (nGC_2)*coupl(nGC_201)*coupl(nGC_202)*coupl(nGC_99) -   &
                       8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_213)*coupl(nGC_214)* &
                       coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_2)*coupl(nGC_217)*&
                       coupl(nGC_3275)*coupl(nGC_99) + 12d0*cima*coupl(nGC_107 &
                       )*coupl(nGC_8) + 12d0*cima*coupl(nGC_113)*coupl(nGC_13  &
                       ) + 2d0*cima*coupl(nGC_205)*coupl(nGC_206)*coupl(nGC_4)*&
                       coupl(nGC_99) + 2d0*cima*coupl(nGC_209)*coupl(nGC_210)* &
                       coupl(nGC_4)*coupl(nGC_99) + 2d0*cima*coupl(nGC_221)*   &
                       coupl(nGC_222)*coupl(nGC_4)*coupl(nGC_99) + 3d0*coupl(  &
                       nGC_102)*coupl(nGC_13)*coupl(nGC_3) - 3d0*coupl(nGC_102 &
                       )*coupl(nGC_13)*coupl(nGC_4) - 3d0*coupl(nGC_103)*coupl(&
                       nGC_13)*coupl(nGC_3) + 3d0*coupl(nGC_103)*coupl(nGC_13)*&
                       coupl(nGC_4) - 3d0*coupl(nGC_107)*coupl(nGC_3)**2d0 +   &
                       6d0*coupl(nGC_107)*coupl(nGC_3)*coupl(nGC_4) - 3d0*coupl&
                       (nGC_107)*coupl(nGC_4)**2d0)/(96d0*pi**2d0)
    coupl(nGC_13253) = (2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196)*&
                       coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                       coupl(nGC_200)*coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_1)*&
                       coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + 2d0*Nc*   &
                       cima*coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_216)*coupl(  &
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*coupl(&
                       nGC_220)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1)*coupl(&
                       nGC_225)*coupl(nGC_228)*coupl(nGC_99) - 8d0*Nc*cima*    &
                       coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2)*coupl(nGC_99 &
                       ) + 2d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(      &
                       nGC_200)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_2)*coupl(&
                       nGC_201)*coupl(nGC_204)*coupl(nGC_99) - 8d0*Nc*cima*    &
                       coupl(nGC_2)*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99 &
                       ) + 2d0*Nc*cima*coupl(nGC_2)*coupl(nGC_217)*coupl(      &
                       nGC_220)*coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_2)*coupl(&
                       nGC_225)*coupl(nGC_228)*coupl(nGC_99) + 12d0*cima*coupl(&
                       nGC_113)*coupl(nGC_27) + 12d0*cima*coupl(nGC_119)*coupl(&
                       nGC_8) + 2d0*cima*coupl(nGC_205)*coupl(nGC_208)*coupl(  &
                       nGC_4)*coupl(nGC_99) + 2d0*cima*coupl(nGC_209)*coupl(   &
                       nGC_212)*coupl(nGC_4)*coupl(nGC_99) + 2d0*cima*coupl(   &
                       nGC_221)*coupl(nGC_224)*coupl(nGC_4)*coupl(nGC_99) + 3d0&
                       *coupl(nGC_102)*coupl(nGC_27)*coupl(nGC_3) - 3d0*coupl( &
                       nGC_102)*coupl(nGC_27)*coupl(nGC_4) - 3d0*coupl(nGC_103 &
                       )*coupl(nGC_27)*coupl(nGC_3) + 3d0*coupl(nGC_103)*coupl(&
                       nGC_27)*coupl(nGC_4) - 3d0*coupl(nGC_119)*coupl(nGC_3)**&
                       2d0 + 6d0*coupl(nGC_119)*coupl(nGC_3)*coupl(nGC_4) - 3d0&
                       *coupl(nGC_119)*coupl(nGC_4)**2d0)/(96d0*pi**2d0)
    coupl(nGC_13250) = (36d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_99)**2d0 -    &
                       60d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_99)**  &
                       2d0 + 36d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_99)**2d0 &
                        - cima*coupl(nGC_102)**2d0*coupl(nGC_3)**2d0 + 2d0*cima&
                       *coupl(nGC_102)**2d0*coupl(nGC_3)*coupl(nGC_4) - cima*  &
                       coupl(nGC_102)**2d0*coupl(nGC_4)**2d0 + 2d0*cima*coupl( &
                       nGC_102)*coupl(nGC_103)*coupl(nGC_3)**2d0 - 4d0*cima*   &
                       coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_4  &
                       ) + 2d0*cima*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_4  &
                       )**2d0 - cima*coupl(nGC_103)**2d0*coupl(nGC_3)**2d0 +   &
                       2d0*cima*coupl(nGC_103)**2d0*coupl(nGC_3)*coupl(nGC_4   &
                       ) - cima*coupl(nGC_103)**2d0*coupl(nGC_4)**2d0 + cima*  &
                       coupl(nGC_1253)*coupl(nGC_3)**3d0 - 3d0*cima*coupl(     &
                       nGC_1253)*coupl(nGC_3)**2d0*coupl(nGC_4) + 3d0*cima*    &
                       coupl(nGC_1253)*coupl(nGC_3)*coupl(nGC_4)**2d0 - cima*  &
                       coupl(nGC_1253)*coupl(nGC_4)**3d0 - cima*coupl(nGC_3)** &
                       4d0 + 3d0*cima*coupl(nGC_3)**3d0*coupl(nGC_4) - 3d0*cima&
                       *coupl(nGC_3)**2d0*coupl(nGC_4)**2d0 + cima*coupl(nGC_3 &
                       )*coupl(nGC_4)**3d0 + 36d0*cima*coupl(nGC_4)**2d0*coupl(&
                       nGC_99)**2d0 + 12d0*cima*coupl(nGC_72)*coupl(nGC_9) +   &
                       3d0*coupl(nGC_102)**2d0*coupl(nGC_9) - 6d0*coupl(nGC_102&
                       )*coupl(nGC_103)*coupl(nGC_9) + 3d0*coupl(nGC_103)**2d0*&
                       coupl(nGC_9) - 6d0*coupl(nGC_1253)*coupl(nGC_3)*coupl(  &
                       nGC_9) + 6d0*coupl(nGC_1253)*coupl(nGC_4)*coupl(nGC_9   &
                       ) + 6d0*coupl(nGC_3)**2d0*coupl(nGC_72) - 12d0*coupl(   &
                       nGC_3)*coupl(nGC_4)*coupl(nGC_72) + 6d0*coupl(nGC_4)**  &
                       2d0*coupl(nGC_72))/(96d0*pi**2d0)
    coupl(nGC_13251) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_99)**2d0 +   &
                       36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_99)**  &
                       2d0 - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_99)**2d0 &
                        - cima*coupl(nGC_102)**2d0*coupl(nGC_3)**2d0 + 2d0*cima&
                       *coupl(nGC_102)**2d0*coupl(nGC_3)*coupl(nGC_4) - cima*  &
                       coupl(nGC_102)**2d0*coupl(nGC_4)**2d0 + 2d0*cima*coupl( &
                       nGC_102)*coupl(nGC_103)*coupl(nGC_3)**2d0 - 4d0*cima*   &
                       coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_4  &
                       ) + 2d0*cima*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_4  &
                       )**2d0 - cima*coupl(nGC_103)**2d0*coupl(nGC_3)**2d0 +   &
                       2d0*cima*coupl(nGC_103)**2d0*coupl(nGC_3)*coupl(nGC_4   &
                       ) - cima*coupl(nGC_103)**2d0*coupl(nGC_4)**2d0 + 12d0*  &
                       cima*coupl(nGC_113)**2d0 + cima*coupl(nGC_1253)*coupl(  &
                       nGC_3)**3d0 - 3d0*cima*coupl(nGC_1253)*coupl(nGC_3)**2d0&
                       *coupl(nGC_4) + 3d0*cima*coupl(nGC_1253)*coupl(nGC_3)*  &
                       coupl(nGC_4)**2d0 - cima*coupl(nGC_1253)*coupl(nGC_4)** &
                       3d0 - cima*coupl(nGC_3)**4d0 + 3d0*cima*coupl(nGC_3)**  &
                       3d0*coupl(nGC_4) - 3d0*cima*coupl(nGC_3)**2d0*coupl(    &
                       nGC_4)**2d0 + cima*coupl(nGC_3)*coupl(nGC_4)**3d0 - 12d0&
                       *cima*coupl(nGC_4)**2d0*coupl(nGC_99)**2d0 + 12d0*cima* &
                       coupl(nGC_8)**2d0 + 6d0*coupl(nGC_102)*coupl(nGC_113)*  &
                       coupl(nGC_3) - 6d0*coupl(nGC_102)*coupl(nGC_113)*coupl( &
                       nGC_4) - 6d0*coupl(nGC_103)*coupl(nGC_113)*coupl(nGC_3  &
                       ) + 6d0*coupl(nGC_103)*coupl(nGC_113)*coupl(nGC_4) - 9d0&
                       *coupl(nGC_3)**2d0*coupl(nGC_8) + 12d0*coupl(nGC_3)*    &
                       coupl(nGC_4)*coupl(nGC_8) - 3d0*coupl(nGC_4)**2d0*coupl(&
                       nGC_8))/(96d0*pi**2d0)
    coupl(nGC_13256) = (2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_1113)*coupl(nGC_213 &
                       )*coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_1)*coupl(       &
                       nGC_1361)*coupl(nGC_201)*coupl(nGC_99) + 2d0*Nc*cima*   &
                       coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_2063)*coupl(nGC_99&
                       ) - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                       nGC_198)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1)*coupl(&
                       nGC_217)*coupl(nGC_218)*coupl(nGC_99) - 8d0*Nc*cima*    &
                       coupl(nGC_1)*coupl(nGC_225)*coupl(nGC_226)*coupl(nGC_99 &
                       ) - 8d0*Nc*cima*coupl(nGC_1113)*coupl(nGC_2)*coupl(     &
                       nGC_213)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1361)*   &
                       coupl(nGC_2)*coupl(nGC_201)*coupl(nGC_99) - 8d0*Nc*cima*&
                       coupl(nGC_193)*coupl(nGC_2)*coupl(nGC_2063)*coupl(nGC_99&
                       ) + 2d0*Nc*cima*coupl(nGC_197)*coupl(nGC_198)*coupl(    &
                       nGC_2)*coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_2)*coupl(  &
                       nGC_217)*coupl(nGC_218)*coupl(nGC_99) + 2d0*Nc*cima*    &
                       coupl(nGC_2)*coupl(nGC_225)*coupl(nGC_226)*coupl(nGC_99 &
                       ) + 12d0*cima*coupl(nGC_108)*coupl(nGC_8) + 12d0*cima*  &
                       coupl(nGC_113)*coupl(nGC_14) + 2d0*cima*coupl(nGC_205)* &
                       coupl(nGC_3565)*coupl(nGC_4)*coupl(nGC_99) + 2d0*cima*  &
                       coupl(nGC_209)*coupl(nGC_4)*coupl(nGC_901)*coupl(nGC_99 &
                       ) + 2d0*cima*coupl(nGC_221)*coupl(nGC_3111)*coupl(nGC_4 &
                       )*coupl(nGC_99) + 3d0*coupl(nGC_102)*coupl(nGC_14)*coupl&
                       (nGC_3) - 3d0*coupl(nGC_102)*coupl(nGC_14)*coupl(nGC_4  &
                       ) - 3d0*coupl(nGC_103)*coupl(nGC_14)*coupl(nGC_3) + 3d0*&
                       coupl(nGC_103)*coupl(nGC_14)*coupl(nGC_4) - 6d0*coupl(  &
                       nGC_108)*coupl(nGC_3)**2d0 + 6d0*coupl(nGC_108)*coupl(  &
                       nGC_3)*coupl(nGC_4))/(96d0*pi**2d0)
    coupl(nGC_13257) = (2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196)*&
                       coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                       coupl(nGC_200)*coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_1)*&
                       coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + 2d0*Nc*   &
                       cima*coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_216)*coupl(  &
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*coupl(&
                       nGC_220)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1)*coupl(&
                       nGC_225)*coupl(nGC_228)*coupl(nGC_99) - 8d0*Nc*cima*    &
                       coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2)*coupl(nGC_99 &
                       ) + 2d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(      &
                       nGC_200)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_2)*coupl(&
                       nGC_201)*coupl(nGC_204)*coupl(nGC_99) - 8d0*Nc*cima*    &
                       coupl(nGC_2)*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99 &
                       ) + 2d0*Nc*cima*coupl(nGC_2)*coupl(nGC_217)*coupl(      &
                       nGC_220)*coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_2)*coupl(&
                       nGC_225)*coupl(nGC_228)*coupl(nGC_99) + 12d0*cima*coupl(&
                       nGC_113)*coupl(nGC_27) + 12d0*cima*coupl(nGC_119)*coupl(&
                       nGC_8) + 2d0*cima*coupl(nGC_205)*coupl(nGC_208)*coupl(  &
                       nGC_4)*coupl(nGC_99) + 2d0*cima*coupl(nGC_209)*coupl(   &
                       nGC_212)*coupl(nGC_4)*coupl(nGC_99) + 2d0*cima*coupl(   &
                       nGC_221)*coupl(nGC_224)*coupl(nGC_4)*coupl(nGC_99) + 3d0&
                       *coupl(nGC_102)*coupl(nGC_27)*coupl(nGC_3) - 3d0*coupl( &
                       nGC_102)*coupl(nGC_27)*coupl(nGC_4) - 3d0*coupl(nGC_103 &
                       )*coupl(nGC_27)*coupl(nGC_3) + 3d0*coupl(nGC_103)*coupl(&
                       nGC_27)*coupl(nGC_4) - 6d0*coupl(nGC_119)*coupl(nGC_3)**&
                       2d0 + 6d0*coupl(nGC_119)*coupl(nGC_3)*coupl(nGC_4))/(   &
                       96d0*pi**2d0)
    coupl(nGC_13254) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_193 &
                       )**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl( &
                       nGC_201)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*&
                       coupl(nGC_213)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(   &
                       nGC_123)*coupl(nGC_197)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*&
                       coupl(nGC_123)*coupl(nGC_217)**2d0 + 5d0*Nc*cima*coupl( &
                       nGC_1)*coupl(nGC_123)*coupl(nGC_225)**2d0 - 8d0*Nc*cima*&
                       coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_197)**2d0 - 8d0*Nc&
                       *cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_217)**2d0 - &
                       8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_225)**&
                       2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_126)*coupl(    &
                       nGC_193)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_126)*&
                       coupl(nGC_201)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(   &
                       nGC_126)*coupl(nGC_213)**2d0 + 5d0*Nc*cima*coupl(nGC_122&
                       )*coupl(nGC_193)**2d0*coupl(nGC_2) + 5d0*Nc*cima*coupl( &
                       nGC_122)*coupl(nGC_2)*coupl(nGC_201)**2d0 + 5d0*Nc*cima*&
                       coupl(nGC_122)*coupl(nGC_2)*coupl(nGC_213)**2d0 - 8d0*Nc&
                       *cima*coupl(nGC_123)*coupl(nGC_197)**2d0*coupl(nGC_2) - &
                       8d0*Nc*cima*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_217)**&
                       2d0 - 8d0*Nc*cima*coupl(nGC_123)*coupl(nGC_2)*coupl(    &
                       nGC_225)**2d0 + 5d0*Nc*cima*coupl(nGC_125)*coupl(nGC_197&
                       )**2d0*coupl(nGC_2) + 5d0*Nc*cima*coupl(nGC_125)*coupl( &
                       nGC_2)*coupl(nGC_217)**2d0 + 5d0*Nc*cima*coupl(nGC_125)*&
                       coupl(nGC_2)*coupl(nGC_225)**2d0 - 8d0*Nc*cima*coupl(   &
                       nGC_126)*coupl(nGC_193)**2d0*coupl(nGC_2) - 8d0*Nc*cima*&
                       coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_201)**2d0 - 8d0*Nc&
                       *cima*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_213)**2d0 + &
                       6d0*cima*coupl(nGC_116)*coupl(nGC_71) - 8d0*cima*coupl( &
                       nGC_124)*coupl(nGC_205)**2d0*coupl(nGC_4) - 8d0*cima*   &
                       coupl(nGC_124)*coupl(nGC_209)**2d0*coupl(nGC_4) - 8d0*  &
                       cima*coupl(nGC_124)*coupl(nGC_221)**2d0*coupl(nGC_4) +  &
                       5d0*cima*coupl(nGC_129)*coupl(nGC_205)**2d0*coupl(nGC_4 &
                       ) + 5d0*cima*coupl(nGC_129)*coupl(nGC_209)**2d0*coupl(  &
                       nGC_4) + 5d0*cima*coupl(nGC_129)*coupl(nGC_221)**2d0*   &
                       coupl(nGC_4) - 3d0*coupl(nGC_102)*coupl(nGC_3)*coupl(   &
                       nGC_71) + 3d0*coupl(nGC_102)*coupl(nGC_4)*coupl(nGC_71  &
                       ) + 3d0*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_71) - 3d0*&
                       coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_71))/(48d0*pi**2d0&
                       )
    coupl(nGC_13255) = (2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_195)*&
                       coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                       coupl(nGC_199)*coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_1)*&
                       coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + 2d0*Nc*   &
                       cima*coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_215)*coupl(  &
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*coupl(&
                       nGC_219)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1)*coupl(&
                       nGC_225)*coupl(nGC_227)*coupl(nGC_99) - 8d0*Nc*cima*    &
                       coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_2)*coupl(nGC_99 &
                       ) + 2d0*Nc*cima*coupl(nGC_197)*coupl(nGC_199)*coupl(    &
                       nGC_2)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_2)*coupl(  &
                       nGC_201)*coupl(nGC_203)*coupl(nGC_99) - 8d0*Nc*cima*    &
                       coupl(nGC_2)*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99 &
                       ) + 2d0*Nc*cima*coupl(nGC_2)*coupl(nGC_217)*coupl(      &
                       nGC_219)*coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_2)*coupl(&
                       nGC_225)*coupl(nGC_227)*coupl(nGC_99) + 12d0*cima*coupl(&
                       nGC_110)*coupl(nGC_8) + 12d0*cima*coupl(nGC_113)*coupl( &
                       nGC_15) + 2d0*cima*coupl(nGC_205)*coupl(nGC_207)*coupl( &
                       nGC_4)*coupl(nGC_99) + 2d0*cima*coupl(nGC_209)*coupl(   &
                       nGC_211)*coupl(nGC_4)*coupl(nGC_99) + 2d0*cima*coupl(   &
                       nGC_221)*coupl(nGC_223)*coupl(nGC_4)*coupl(nGC_99) + 3d0&
                       *coupl(nGC_102)*coupl(nGC_15)*coupl(nGC_3) - 3d0*coupl( &
                       nGC_102)*coupl(nGC_15)*coupl(nGC_4) - 3d0*coupl(nGC_103 &
                       )*coupl(nGC_15)*coupl(nGC_3) + 3d0*coupl(nGC_103)*coupl(&
                       nGC_15)*coupl(nGC_4) - 3d0*coupl(nGC_110)*coupl(nGC_3)**&
                       2d0 + 6d0*coupl(nGC_110)*coupl(nGC_3)*coupl(nGC_4) - 3d0&
                       *coupl(nGC_110)*coupl(nGC_4)**2d0)/(96d0*pi**2d0)
    coupl(nGC_13098) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_202) - coupl(nGC_1195)*&
                       coupl(nGC_201)*coupl(nGC_225) + 8d0*coupl(nGC_122)*coupl&
                       (nGC_125)*coupl(nGC_202) - coupl(nGC_1361)*coupl(nGC_202&
                       )**2d0 - coupl(nGC_1361)*coupl(nGC_203)**2d0 - coupl(   &
                       nGC_1361)*coupl(nGC_204)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13099) = coupl(nGC_19)**2d0*coupl(nGC_202)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13153) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_199) -     &
                       coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_215) - coupl(   &
                       nGC_199)**3d0 + 8d0*coupl(nGC_199)*coupl(nGC_2)**2d0 -  &
                       coupl(nGC_199)*coupl(nGC_200)**2d0 - coupl(nGC_199)*    &
                       coupl(nGC_2353)**2d0)/(32d0*pi**2d0)
    coupl(nGC_19406) = coupl(nGC_19398) + coupl(nGC_19405)
    coupl(nGC_13154) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_199) -     &
                       coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_215) - coupl(   &
                       nGC_198)**2d0*coupl(nGC_199) - coupl(nGC_199)**3d0 + 8d0&
                       *coupl(nGC_199)*coupl(nGC_2)**2d0 - coupl(nGC_199)*coupl&
                       (nGC_200)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13157) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_203) + 8d0*coupl(      &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_203) - coupl(nGC_201)*&
                       coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_202)**2d0*    &
                       coupl(nGC_203) - coupl(nGC_203)**3d0 - coupl(nGC_203)*  &
                       coupl(nGC_204)**2d0)/(32d0*pi**2d0)
    coupl(nGC_TS_GC_195_Hl) = -coupl(nGC_195)*dtHl_QED1/cMHL**2d0
    coupl(nGC_13090) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_2353) -    &
                       coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_214) - coupl(   &
                       nGC_198)*coupl(nGC_199)**2d0 - coupl(nGC_198)*coupl(    &
                       nGC_200)**2d0 - coupl(nGC_198)*coupl(nGC_2353)**2d0 +   &
                       8d0*coupl(nGC_2)**2d0*coupl(nGC_2353))/(32d0*pi**2d0)
    coupl(nGC_13091) = coupl(nGC_19)**2d0*coupl(nGC_2353)*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13092) = (-coupl(nGC_1113)*coupl(nGC_197)*coupl(nGC_213) + 8d0*  &
                       coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_198) - coupl(   &
                       nGC_198)**2d0*coupl(nGC_2353) + 8d0*coupl(nGC_198)*coupl&
                       (nGC_2)**2d0 - coupl(nGC_199)**2d0*coupl(nGC_2353) -    &
                       coupl(nGC_200)**2d0*coupl(nGC_2353))/(32d0*pi**2d0)
    coupl(nGC_13093) = coupl(nGC_19)**2d0*coupl(nGC_198)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13094) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_206) -     &
                       coupl(nGC_206)**2d0*coupl(nGC_3565) + 8d0*coupl(nGC_206 &
                       )*coupl(nGC_4)**2d0 - coupl(nGC_207)**2d0*coupl(nGC_3565&
                       ) - coupl(nGC_208)**2d0*coupl(nGC_3565))/(32d0*pi**2d0)
    coupl(nGC_13095) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_3565) -    &
                       coupl(nGC_206)*coupl(nGC_207)**2d0 - coupl(nGC_206)*    &
                       coupl(nGC_208)**2d0 - coupl(nGC_206)*coupl(nGC_3565)**  &
                       2d0 + 8d0*coupl(nGC_3565)*coupl(nGC_4)**2d0)/(32d0*pi** &
                       2d0)
    coupl(nGC_13096) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_1361) + 8d0*coupl(     &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_1361) - coupl(nGC_1361&
                       )**2d0*coupl(nGC_202) - coupl(nGC_201)*coupl(nGC_225)*  &
                       coupl(nGC_226) - coupl(nGC_202)*coupl(nGC_203)**2d0 -   &
                       coupl(nGC_202)*coupl(nGC_204)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13097) = coupl(nGC_1361)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22038) = coupl(nGC_102)*dZZA_QED2/2d0
    coupl(nGC_22403) = coupl(nGC_13380) + coupl(nGC_161)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_164)*dZHh_QED2/2d0
    coupl(nGC_13012) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_99)**2d0 - 12d0*Nc*coupl&
                       (nGC_2)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(nGC_102)*   &
                       coupl(nGC_113) + 6d0*cima*coupl(nGC_103)*coupl(nGC_113  &
                       ) + 6d0*cima*coupl(nGC_3)*coupl(nGC_8) + 6d0*cima*coupl(&
                       nGC_4)*coupl(nGC_8) + coupl(nGC_102)**2d0*coupl(nGC_3   &
                       ) - coupl(nGC_102)**2d0*coupl(nGC_4) + coupl(nGC_102)*  &
                       coupl(nGC_103)*coupl(nGC_3) - coupl(nGC_102)*coupl(     &
                       nGC_103)*coupl(nGC_4) - 2d0*coupl(nGC_103)**2d0*coupl(  &
                       nGC_3) + 2d0*coupl(nGC_103)**2d0*coupl(nGC_4) + 4d0*    &
                       coupl(nGC_1253)*coupl(nGC_3)**2d0 - 2d0*coupl(nGC_1253)*&
                       coupl(nGC_3)*coupl(nGC_4) - 2d0*coupl(nGC_1253)*coupl(  &
                       nGC_4)**2d0 + 12d0*coupl(nGC_4)*coupl(nGC_99)**2d0)/(   &
                       96d0*pi**2d0)
    coupl(nGC_13059) = coupl(nGC_19)**2d0*coupl(nGC_197)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13006) = (-2d0*Nc*cMB*coupl(nGC_193)*coupl(nGC_2)*coupl(nGC_99   &
                       ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_99 &
                       ) - 2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_201)*coupl(nGC_99 &
                       ) - 2d0*Nc*cMS*coupl(nGC_2)*coupl(nGC_213)*coupl(nGC_99 &
                       ) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_217)*coupl(nGC_99 &
                       ) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_225)*coupl(nGC_99 &
                       ) + 4d0*cima*coupl(nGC_113)*coupl(nGC_154) + 4d0*cima*  &
                       coupl(nGC_166)*coupl(nGC_8) + coupl(nGC_102)*coupl(     &
                       nGC_154)*coupl(nGC_3) - coupl(nGC_102)*coupl(nGC_154)*  &
                       coupl(nGC_4) - coupl(nGC_103)*coupl(nGC_154)*coupl(nGC_3&
                       ) + coupl(nGC_103)*coupl(nGC_154)*coupl(nGC_4) - 2d0*   &
                       coupl(nGC_166)*coupl(nGC_3)**2d0 + 2d0*coupl(nGC_166)*  &
                       coupl(nGC_3)*coupl(nGC_4))/(32d0*pi**2d0)
    coupl(nGC_22628) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_13011) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_99)**2d0 - 12d0*Nc*coupl&
                       (nGC_2)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(nGC_3)*coupl&
                       (nGC_72) + 6d0*cima*coupl(nGC_4)*coupl(nGC_72) + coupl( &
                       nGC_102)**2d0*coupl(nGC_3) + 2d0*coupl(nGC_102)**2d0*   &
                       coupl(nGC_4) - 2d0*coupl(nGC_102)*coupl(nGC_103)*coupl( &
                       nGC_3) - 4d0*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_4  &
                       ) + coupl(nGC_103)**2d0*coupl(nGC_3) + 2d0*coupl(nGC_103&
                       )**2d0*coupl(nGC_4) - 2d0*coupl(nGC_1253)*coupl(nGC_3)**&
                       2d0 - 2d0*coupl(nGC_1253)*coupl(nGC_3)*coupl(nGC_4) +   &
                       4d0*coupl(nGC_1253)*coupl(nGC_4)**2d0 + 12d0*coupl(nGC_4&
                       )*coupl(nGC_99)**2d0)/(96d0*pi**2d0)
    coupl(nGC_22625) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_21988) = coupl(nGC_101)*dZHl_QED2/2d0 + coupl(nGC_101)*          &
                       dZWMinus_QED2/2d0 + coupl(nGC_118)*dZHhHl_QED2/2d0 +    &
                       coupl(nGC_13457)
    coupl(nGC_13328) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_122) -     &
                       coupl(nGC_123) - coupl(nGC_125) - coupl(nGC_126))/(64d0*&
                       pi**2d0*Nc)
    coupl(nGC_13329) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_122) + coupl&
                       (nGC_123) + coupl(nGC_125) + coupl(nGC_126))/(32d0*pi** &
                       2d0*Nc**2d0)
    coupl(nGC_13326) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_122)**2d0  &
                        - coupl(nGC_123)**2d0 - coupl(nGC_125)**2d0 - coupl(   &
                       nGC_126)**2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_13327) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_122) + coupl&
                       (nGC_123) + coupl(nGC_125) + coupl(nGC_126))/(128d0*pi**&
                       2d0)
    coupl(nGC_13324) = (36d0*Nc*cima*coupl(nGC_99)**4d0 - 2d0*cima*coupl(      &
                       nGC_102)**4d0 + 8d0*cima*coupl(nGC_102)**3d0*coupl(     &
                       nGC_103) - 12d0*cima*coupl(nGC_102)**2d0*coupl(nGC_103  &
                       )**2d0 + 6d0*cima*coupl(nGC_102)**2d0*coupl(nGC_1253)*  &
                       coupl(nGC_3) - 2d0*cima*coupl(nGC_102)**2d0*coupl(      &
                       nGC_1253)*coupl(nGC_4) - 3d0*cima*coupl(nGC_102)**2d0*  &
                       coupl(nGC_3)**2d0 + 4d0*cima*coupl(nGC_102)**2d0*coupl( &
                       nGC_3)*coupl(nGC_4) - cima*coupl(nGC_102)**2d0*coupl(   &
                       nGC_4)**2d0 + 8d0*cima*coupl(nGC_102)*coupl(nGC_103)**  &
                       3d0 - 12d0*cima*coupl(nGC_102)*coupl(nGC_103)*coupl(    &
                       nGC_1253)*coupl(nGC_3) + 4d0*cima*coupl(nGC_102)*coupl( &
                       nGC_103)*coupl(nGC_1253)*coupl(nGC_4) + 6d0*cima*coupl( &
                       nGC_102)*coupl(nGC_103)*coupl(nGC_3)**2d0 - 8d0*cima*   &
                       coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_4  &
                       ) + 2d0*cima*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_4  &
                       )**2d0 - 2d0*cima*coupl(nGC_103)**4d0 + 6d0*cima*coupl( &
                       nGC_103)**2d0*coupl(nGC_1253)*coupl(nGC_3) - 2d0*cima*  &
                       coupl(nGC_103)**2d0*coupl(nGC_1253)*coupl(nGC_4) - 3d0* &
                       cima*coupl(nGC_103)**2d0*coupl(nGC_3)**2d0 + 4d0*cima*  &
                       coupl(nGC_103)**2d0*coupl(nGC_3)*coupl(nGC_4) - cima*   &
                       coupl(nGC_103)**2d0*coupl(nGC_4)**2d0 + 12d0*cima*coupl(&
                       nGC_116)**2d0 - 2d0*cima*coupl(nGC_1253)**2d0*coupl(    &
                       nGC_3)**2d0 + 4d0*cima*coupl(nGC_1253)**2d0*coupl(nGC_3 &
                       )*coupl(nGC_4) - 2d0*cima*coupl(nGC_1253)**2d0*coupl(   &
                       nGC_4)**2d0 + 4d0*cima*coupl(nGC_1253)*coupl(nGC_3)**3d0&
                        - 8d0*cima*coupl(nGC_1253)*coupl(nGC_3)**2d0*coupl(    &
                       nGC_4) + 4d0*cima*coupl(nGC_1253)*coupl(nGC_3)*coupl(   &
                       nGC_4)**2d0 - 2d0*cima*coupl(nGC_3)**4d0 + 4d0*cima*    &
                       coupl(nGC_3)**3d0*coupl(nGC_4) - 2d0*cima*coupl(nGC_3)**&
                       2d0*coupl(nGC_4)**2d0 + 12d0*cima*coupl(nGC_72)**2d0 +  &
                       6d0*cima*coupl(nGC_85)**2d0 + 6d0*cima*coupl(nGC_9)**2d0&
                        + 36d0*cima*coupl(nGC_99)**4d0 + 6d0*coupl(nGC_102)**  &
                       2d0*coupl(nGC_72) + 6d0*coupl(nGC_102)**2d0*coupl(nGC_85&
                       ) - 12d0*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_72) -  &
                       12d0*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_85) + 6d0* &
                       coupl(nGC_102)*coupl(nGC_116)*coupl(nGC_1253) - 12d0*   &
                       coupl(nGC_102)*coupl(nGC_116)*coupl(nGC_3) + 6d0*coupl( &
                       nGC_102)*coupl(nGC_116)*coupl(nGC_4) + 6d0*coupl(nGC_103&
                       )**2d0*coupl(nGC_72) + 6d0*coupl(nGC_103)**2d0*coupl(   &
                       nGC_85) - 6d0*coupl(nGC_103)*coupl(nGC_116)*coupl(      &
                       nGC_1253) + 12d0*coupl(nGC_103)*coupl(nGC_116)*coupl(   &
                       nGC_3) - 6d0*coupl(nGC_103)*coupl(nGC_116)*coupl(nGC_4  &
                       ) - 6d0*coupl(nGC_1253)*coupl(nGC_3)*coupl(nGC_72) - 6d0&
                       *coupl(nGC_1253)*coupl(nGC_3)*coupl(nGC_9) + 6d0*coupl( &
                       nGC_1253)*coupl(nGC_4)*coupl(nGC_72) + 6d0*coupl(       &
                       nGC_1253)*coupl(nGC_4)*coupl(nGC_9) + 6d0*coupl(nGC_3)**&
                       2d0*coupl(nGC_72) + 6d0*coupl(nGC_3)**2d0*coupl(nGC_9   &
                       ) - 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_72) - 6d0*  &
                       coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_9))/(96d0*pi**2d0)
    coupl(nGC_13325) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_122)**2d0 + &
                       coupl(nGC_123)**2d0 + coupl(nGC_125)**2d0 + coupl(      &
                       nGC_126)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13322) = (4d0*Nc*cima*coupl(nGC_122)**4d0 + 4d0*Nc*cima*coupl(   &
                       nGC_123)**4d0 + 4d0*Nc*cima*coupl(nGC_125)**4d0 + 4d0*Nc&
                       *cima*coupl(nGC_126)**4d0 - cima*coupl(nGC_102)**4d0 +  &
                       4d0*cima*coupl(nGC_102)**3d0*coupl(nGC_103) - 6d0*cima* &
                       coupl(nGC_102)**2d0*coupl(nGC_103)**2d0 + 4d0*cima*coupl&
                       (nGC_102)*coupl(nGC_103)**3d0 - cima*coupl(nGC_103)**4d0&
                        + 4d0*cima*coupl(nGC_124)**4d0 + 4d0*cima*coupl(nGC_128&
                       )**4d0 + 4d0*cima*coupl(nGC_129)**4d0 + 4d0*cima*coupl( &
                       nGC_85)**2d0 + 4d0*coupl(nGC_102)**2d0*coupl(nGC_85) -  &
                       8d0*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_85) + 4d0*  &
                       coupl(nGC_103)**2d0*coupl(nGC_85))/(32d0*pi**2d0)
    coupl(nGC_13323) = (-60d0*Nc*cima*coupl(nGC_99)**4d0 - 2d0*cima*coupl(     &
                       nGC_102)**4d0 + 8d0*cima*coupl(nGC_102)**3d0*coupl(     &
                       nGC_103) - 12d0*cima*coupl(nGC_102)**2d0*coupl(nGC_103  &
                       )**2d0 + 6d0*cima*coupl(nGC_102)**2d0*coupl(nGC_1253)*  &
                       coupl(nGC_3) - 2d0*cima*coupl(nGC_102)**2d0*coupl(      &
                       nGC_1253)*coupl(nGC_4) - 3d0*cima*coupl(nGC_102)**2d0*  &
                       coupl(nGC_3)**2d0 + 4d0*cima*coupl(nGC_102)**2d0*coupl( &
                       nGC_3)*coupl(nGC_4) - cima*coupl(nGC_102)**2d0*coupl(   &
                       nGC_4)**2d0 + 8d0*cima*coupl(nGC_102)*coupl(nGC_103)**  &
                       3d0 - 12d0*cima*coupl(nGC_102)*coupl(nGC_103)*coupl(    &
                       nGC_1253)*coupl(nGC_3) + 4d0*cima*coupl(nGC_102)*coupl( &
                       nGC_103)*coupl(nGC_1253)*coupl(nGC_4) + 6d0*cima*coupl( &
                       nGC_102)*coupl(nGC_103)*coupl(nGC_3)**2d0 - 8d0*cima*   &
                       coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_4  &
                       ) + 2d0*cima*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_4  &
                       )**2d0 - 2d0*cima*coupl(nGC_103)**4d0 + 6d0*cima*coupl( &
                       nGC_103)**2d0*coupl(nGC_1253)*coupl(nGC_3) - 2d0*cima*  &
                       coupl(nGC_103)**2d0*coupl(nGC_1253)*coupl(nGC_4) - 3d0* &
                       cima*coupl(nGC_103)**2d0*coupl(nGC_3)**2d0 + 4d0*cima*  &
                       coupl(nGC_103)**2d0*coupl(nGC_3)*coupl(nGC_4) - cima*   &
                       coupl(nGC_103)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl( &
                       nGC_1253)**2d0*coupl(nGC_3)**2d0 + 4d0*cima*coupl(      &
                       nGC_1253)**2d0*coupl(nGC_3)*coupl(nGC_4) - 2d0*cima*    &
                       coupl(nGC_1253)**2d0*coupl(nGC_4)**2d0 + 4d0*cima*coupl(&
                       nGC_1253)*coupl(nGC_3)**3d0 - 8d0*cima*coupl(nGC_1253)* &
                       coupl(nGC_3)**2d0*coupl(nGC_4) + 4d0*cima*coupl(nGC_1253&
                       )*coupl(nGC_3)*coupl(nGC_4)**2d0 - 2d0*cima*coupl(nGC_3 &
                       )**4d0 + 4d0*cima*coupl(nGC_3)**3d0*coupl(nGC_4) - 2d0* &
                       cima*coupl(nGC_3)**2d0*coupl(nGC_4)**2d0 + 6d0*cima*    &
                       coupl(nGC_75)**2d0 - 60d0*cima*coupl(nGC_99)**4d0 - 6d0*&
                       coupl(nGC_102)**2d0*coupl(nGC_75) + 12d0*coupl(nGC_102)*&
                       coupl(nGC_103)*coupl(nGC_75) - 6d0*coupl(nGC_103)**2d0* &
                       coupl(nGC_75) + 12d0*coupl(nGC_1253)*coupl(nGC_3)*coupl(&
                       nGC_75) - 3d0*coupl(nGC_3)**2d0*coupl(nGC_75) + 6d0*    &
                       coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_75) - 3d0*coupl(    &
                       nGC_4)**2d0*coupl(nGC_75))/(96d0*pi**2d0)
    coupl(nGC_13320) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_195)**2d0  &
                        - coupl(nGC_199)**2d0 - coupl(nGC_203)**2d0 - coupl(   &
                       nGC_215)**2d0 - coupl(nGC_219)**2d0 - coupl(nGC_227)**  &
                       2d0)/(16d0*pi**2d0)
    coupl(nGC_13321) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_195)**2d0 + &
                       coupl(nGC_199)**2d0 + coupl(nGC_203)**2d0 + coupl(      &
                       nGC_215)**2d0 + coupl(nGC_219)**2d0 + coupl(nGC_227)**  &
                       2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_19475) = coupl(nGC_119)*dZAZ_QED2/2d0 + coupl(nGC_13485) + coupl(&
                       nGC_15)*dZHlHh_QED2/2d0 + coupl(nGC_27)*dZHh_QED2/2d0 + &
                       coupl(nGC_27)*dZWMinus_QED2/2d0 + coupl(nGC_27)*dZZ_QED2&
                       /2d0
    coupl(nGC_13018) = (-2d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_195  &
                       ) - 2d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_195&
                       ) - 2d0*Nc*cMC*coupl(nGC_123)*coupl(nGC_199)*coupl(nGC_2&
                       ) - 2d0*Nc*cMC*coupl(nGC_126)*coupl(nGC_199)*coupl(nGC_2&
                       ) - 2d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_203&
                       ) - 2d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_203&
                       ) - 2d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_215&
                       ) - 2d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_215&
                       ) - 2d0*Nc*cMT*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_219&
                       ) - 2d0*Nc*cMT*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_219&
                       ) - 2d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_227&
                       ) - 2d0*Nc*cMU*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_227&
                       ) - 2d0*cME*coupl(nGC_124)*coupl(nGC_207)*coupl(nGC_4   &
                       ) - 2d0*cME*coupl(nGC_128)*coupl(nGC_207)*coupl(nGC_4   &
                       ) - 2d0*cMM*coupl(nGC_124)*coupl(nGC_211)*coupl(nGC_4   &
                       ) - 2d0*cMM*coupl(nGC_128)*coupl(nGC_211)*coupl(nGC_4   &
                       ) - 2d0*cMTA*coupl(nGC_124)*coupl(nGC_223)*coupl(nGC_4  &
                       ) - 2d0*cMTA*coupl(nGC_128)*coupl(nGC_223)*coupl(nGC_4  &
                       ) + 2d0*cima*coupl(nGC_116)*coupl(nGC_162) - coupl(     &
                       nGC_102)*coupl(nGC_162)*coupl(nGC_3) + coupl(nGC_102)*  &
                       coupl(nGC_162)*coupl(nGC_4) + coupl(nGC_103)*coupl(     &
                       nGC_162)*coupl(nGC_3) - coupl(nGC_103)*coupl(nGC_162)*  &
                       coupl(nGC_4))/(16d0*pi**2d0)
    coupl(nGC_22284) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*           &
                       dZnu_muL_QED2 + coupl(nGC_13507)
    coupl(nGC_21479) = coupl(nGC_131)*dZZA_QED2/2d0
    coupl(nGC_TS_GC_27_Hh) = -coupl(nGC_27)*dtHh_QED1/cMHH**2d0
    coupl(nGC_19100) = coupl(nGC_114)*dZWMinus_QED2/2d0 + coupl(nGC_114)*      &
                       dZZ_QED2/2d0 + coupl(nGC_13452) + coupl(nGC_7)*dZAZ_QED2&
                       /2d0
    coupl(nGC_19832) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_13500)
    coupl(nGC_19833) = coupl(nGC_1)*dZdL_QED2 + coupl(nGC_125)*dZZA_QED2/2d0
    coupl(nGC_19834) = coupl(nGC_1)*dZdR_QED2 + coupl(nGC_122)*dZZA_QED2/2d0
    coupl(nGC_19835) = coupl(nGC_19832) + coupl(nGC_19834)
    coupl(nGC_19836) = coupl(nGC_19832) + coupl(nGC_19833)
    coupl(nGC_20004) = coupl(nGC_13468) + coupl(nGC_93)*dZHlHh_QED2 + coupl(   &
                       nGC_96)*dZHh_QED2 + coupl(nGC_96)*dZWMinus_QED2
    coupl(nGC_21089) = coupl(nGC_13416) + coupl(nGC_21086)
    coupl(nGC_21087) = coupl(nGC_13415) + coupl(nGC_203)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_204)*dZHh_QED2/2d0
    coupl(nGC_13189) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_125) + coupl(nGC_102)* &
                       coupl(nGC_99)**2d0 - coupl(nGC_103)*coupl(nGC_99)**2d0  &
                        + coupl(nGC_122)*coupl(nGC_194)*coupl(nGC_2063) + coupl&
                       (nGC_122)*coupl(nGC_195)**2d0 + coupl(nGC_122)*coupl(   &
                       nGC_196)**2d0 + coupl(nGC_123)*coupl(nGC_217)**2d0 + 4d0&
                       *coupl(nGC_125)**3d0 + 4d0*coupl(nGC_126)*coupl(nGC_99  &
                       )**2d0)/(32d0*pi**2d0)
    coupl(nGC_12975) = cima*(-coupl(nGC_102)**2d0 - 4d0*coupl(nGC_102)*coupl(  &
                       nGC_103) - coupl(nGC_103)**2d0)/(48d0*pi**2d0)
    coupl(nGC_20402) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                       dZtauMinusL_QED2
    coupl(nGC_12976) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_122)**2d0 + 2d0*Nc*cMB**&
                       2d0*cima*coupl(nGC_125)**2d0 + 2d0*Nc*cMC**2d0*cima*    &
                       coupl(nGC_123)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_126&
                       )**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(nGC_122)**2d0 + 2d0*&
                       Nc*cMD**2d0*cima*coupl(nGC_125)**2d0 + 2d0*Nc*cMS**2d0* &
                       cima*coupl(nGC_122)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(  &
                       nGC_125)**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_123)**2d0&
                        + 2d0*Nc*cMT**2d0*cima*coupl(nGC_126)**2d0 + 2d0*Nc*cMU&
                       **2d0*cima*coupl(nGC_123)**2d0 + 2d0*Nc*cMU**2d0*cima*  &
                       coupl(nGC_126)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_124)**&
                       2d0 + 2d0*cME**2d0*cima*coupl(nGC_128)**2d0 + 2d0*cMM** &
                       2d0*cima*coupl(nGC_124)**2d0 + 2d0*cMM**2d0*cima*coupl( &
                       nGC_128)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_124)**2d0  &
                        + 2d0*cMTA**2d0*cima*coupl(nGC_128)**2d0 + cMW**2d0*   &
                       cima*coupl(nGC_102)**2d0 - 2d0*cMW**2d0*cima*coupl(     &
                       nGC_102)*coupl(nGC_103) + cMW**2d0*cima*coupl(nGC_103)**&
                       2d0 - 2d0*cMW**2d0*coupl(nGC_85))/(16d0*pi**2d0)
    coupl(nGC_21088) = coupl(nGC_21085) + coupl(nGC_21087)
    coupl(nGC_22950) = coupl(nGC_19180) + coupl(nGC_22948)
    coupl(nGC_22563) = coupl(nGC_13352) + 2d0*coupl(nGC_32)*dZHhHl_QED2 + 2d0* &
                       coupl(nGC_34)*dZHl_QED2
    coupl(nGC_22812) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*           &
                       dZmuMinusL_QED2 + coupl(nGC_13483)
    coupl(nGC_22813) = coupl(nGC_19284) + coupl(nGC_22811)
    coupl(nGC_19785) = coupl(nGC_115)*dZAZ_QED2 + coupl(nGC_13465) + coupl(    &
                       nGC_86)*dZZ_QED2
    coupl(nGC_13223) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_123)**2d0 - coupl(   &
                       nGC_197)**2d0 - coupl(nGC_198)*coupl(nGC_2353) - coupl( &
                       nGC_199)**2d0 - 4d0*coupl(nGC_2)**2d0 - coupl(nGC_200)**&
                       2d0)/(64d0*pi**2d0)
    coupl(nGC_13222) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_126)**2d0 - coupl(   &
                       nGC_198)*coupl(nGC_2353) - coupl(nGC_199)**2d0 - 4d0*   &
                       coupl(nGC_2)**2d0 - coupl(nGC_200)**2d0 - coupl(nGC_213 &
                       )**2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
    coupl(nGC_13221) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_123)**2d0 + coupl(    &
                       nGC_197)**2d0 + coupl(nGC_198)*coupl(nGC_2353) + coupl( &
                       nGC_199)**2d0 + 4d0*coupl(nGC_2)**2d0 + coupl(nGC_200)**&
                       2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_13220) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_126)**2d0 + coupl(    &
                       nGC_198)*coupl(nGC_2353) + coupl(nGC_199)**2d0 + 4d0*   &
                       coupl(nGC_2)**2d0 + coupl(nGC_200)**2d0 + coupl(nGC_213 &
                       )**2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_19192) = coupl(nGC_13355) + coupl(nGC_16)*dZHlHh_QED2/2d0 + coupl&
                       (nGC_28)*dZHh_QED2/2d0
    coupl(nGC_19214) = coupl(nGC_13410) + coupl(nGC_19211)
    coupl(nGC_19195) = coupl(nGC_115)*dZWMinus_QED2 + coupl(nGC_13469)
    coupl(nGC_19218) = coupl(nGC_13345) + coupl(nGC_16)*dZHl_QED2/2d0 + coupl( &
                       nGC_28)*dZHhHl_QED2/2d0
    coupl(nGC_19199) = coupl(nGC_108)*dZAZ_QED2/2d0 + coupl(nGC_13341) + coupl(&
                       nGC_14)*dZWMinus_QED2/2d0 + coupl(nGC_14)*dZZ_QED2/2d0
    coupl(nGC_20075) = coupl(nGC_103)*dZWMinus_QED2 + coupl(nGC_103)*dZZ_QED2/ &
                       2d0 + coupl(nGC_13474)
    coupl(nGC_20076) = coupl(nGC_102)*dZWMinus_QED2 + coupl(nGC_102)*dZZ_QED2/ &
                       2d0 + coupl(nGC_13473)
    coupl(nGC_20077) = coupl(nGC_20074) + coupl(nGC_20075)
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
