!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 14:34             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl5()
    coupl(nGC_19359) = coupl(nGC_19354) + coupl(nGC_19357)
    coupl(nGC_19291) = coupl(nGC_19284) + coupl(nGC_19289)
    coupl(nGC_19598) = coupl(nGC_13411) + coupl(nGC_215)*dZHl_QED2/2d0 + coupl(&
                       nGC_216)*dZHhHl_QED2/2d0
    coupl(nGC_13297) = (-16d0*Nc*cima*coupl(nGC_196)**2d0*coupl(nGC_99)**2d0 - &
                       16d0*Nc*cima*coupl(nGC_200)**2d0*coupl(nGC_99)**2d0 -   &
                       16d0*Nc*cima*coupl(nGC_204)**2d0*coupl(nGC_99)**2d0 -   &
                       16d0*Nc*cima*coupl(nGC_216)**2d0*coupl(nGC_99)**2d0 -   &
                       16d0*Nc*cima*coupl(nGC_220)**2d0*coupl(nGC_99)**2d0 -   &
                       16d0*Nc*cima*coupl(nGC_228)**2d0*coupl(nGC_99)**2d0 +   &
                       6d0*cima*coupl(nGC_151)*coupl(nGC_85) - 16d0*cima*coupl(&
                       nGC_208)**2d0*coupl(nGC_99)**2d0 - 16d0*cima*coupl(     &
                       nGC_212)**2d0*coupl(nGC_99)**2d0 - 16d0*cima*coupl(     &
                       nGC_224)**2d0*coupl(nGC_99)**2d0 + 12d0*cima*coupl(     &
                       nGC_72)*coupl(nGC_96) + 3d0*coupl(nGC_102)**2d0*coupl(  &
                       nGC_151) + 3d0*coupl(nGC_102)**2d0*coupl(nGC_96) - 6d0* &
                       coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_151) - 6d0*coupl&
                       (nGC_102)*coupl(nGC_103)*coupl(nGC_96) + 3d0*coupl(     &
                       nGC_103)**2d0*coupl(nGC_151) + 3d0*coupl(nGC_103)**2d0* &
                       coupl(nGC_96) - 6d0*coupl(nGC_1253)*coupl(nGC_3)*coupl( &
                       nGC_96) + 6d0*coupl(nGC_1253)*coupl(nGC_4)*coupl(nGC_96 &
                       ))/(96d0*pi**2d0)
    coupl(nGC_13294) = (-16d0*Nc*cima*coupl(nGC_1113)*coupl(nGC_214)*coupl(    &
                       nGC_99)**2d0 - 16d0*Nc*cima*coupl(nGC_1195)*coupl(      &
                       nGC_226)*coupl(nGC_99)**2d0 - 16d0*Nc*cima*coupl(       &
                       nGC_1361)*coupl(nGC_202)*coupl(nGC_99)**2d0 - 16d0*Nc*  &
                       cima*coupl(nGC_194)*coupl(nGC_2063)*coupl(nGC_99)**2d0  &
                        - 16d0*Nc*cima*coupl(nGC_198)*coupl(nGC_2353)*coupl(   &
                       nGC_99)**2d0 - 16d0*Nc*cima*coupl(nGC_218)*coupl(       &
                       nGC_3275)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(nGC_142)* &
                       coupl(nGC_85) - 16d0*cima*coupl(nGC_206)*coupl(nGC_3565 &
                       )*coupl(nGC_99)**2d0 - 16d0*cima*coupl(nGC_210)*coupl(  &
                       nGC_901)*coupl(nGC_99)**2d0 - 16d0*cima*coupl(nGC_222)* &
                       coupl(nGC_3111)*coupl(nGC_99)**2d0 + 12d0*cima*coupl(   &
                       nGC_71)*coupl(nGC_72) + 3d0*coupl(nGC_102)**2d0*coupl(  &
                       nGC_142) + 3d0*coupl(nGC_102)**2d0*coupl(nGC_71) - 6d0* &
                       coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_142) - 6d0*coupl&
                       (nGC_102)*coupl(nGC_103)*coupl(nGC_71) + 3d0*coupl(     &
                       nGC_103)**2d0*coupl(nGC_142) + 3d0*coupl(nGC_103)**2d0* &
                       coupl(nGC_71) - 6d0*coupl(nGC_1253)*coupl(nGC_3)*coupl( &
                       nGC_71) + 6d0*coupl(nGC_1253)*coupl(nGC_4)*coupl(nGC_71 &
                       ))/(96d0*pi**2d0)
    coupl(nGC_21562) = coupl(nGC_131)*dZHl_QED2/2d0 + coupl(nGC_131)*dZZ_QED2/ &
                       2d0 + coupl(nGC_13478) + coupl(nGC_136)*dZHhHl_QED2/2d0
    coupl(nGC_13119) = (-4d0*Nc*cMB*coupl(nGC_196)*coupl(nGC_99)**2d0 - 4d0*Nc*&
                       cMC*coupl(nGC_200)*coupl(nGC_99)**2d0 - 4d0*Nc*cMD*coupl&
                       (nGC_204)*coupl(nGC_99)**2d0 - 4d0*Nc*cMS*coupl(nGC_216 &
                       )*coupl(nGC_99)**2d0 - 4d0*Nc*cMT*coupl(nGC_220)*coupl( &
                       nGC_99)**2d0 - 4d0*Nc*cMU*coupl(nGC_228)*coupl(nGC_99)**&
                       2d0 - 4d0*cME*coupl(nGC_208)*coupl(nGC_99)**2d0 - 4d0*  &
                       cMM*coupl(nGC_212)*coupl(nGC_99)**2d0 - 4d0*cMTA*coupl( &
                       nGC_224)*coupl(nGC_99)**2d0 + 4d0*cima*coupl(nGC_165)*  &
                       coupl(nGC_72) + 2d0*cima*coupl(nGC_178)*coupl(nGC_85) + &
                       coupl(nGC_102)**2d0*coupl(nGC_165) + coupl(nGC_102)**2d0&
                       *coupl(nGC_178) - 2d0*coupl(nGC_102)*coupl(nGC_103)*    &
                       coupl(nGC_165) - 2d0*coupl(nGC_102)*coupl(nGC_103)*coupl&
                       (nGC_178) + coupl(nGC_103)**2d0*coupl(nGC_165) + coupl( &
                       nGC_103)**2d0*coupl(nGC_178) - 2d0*coupl(nGC_1253)*coupl&
                       (nGC_165)*coupl(nGC_3) + 2d0*coupl(nGC_1253)*coupl(     &
                       nGC_165)*coupl(nGC_4))/(32d0*pi**2d0)
    coupl(nGC_13293) = cima*(10d0*Nc*coupl(nGC_1113)**2d0*coupl(nGC_215)**2d0  &
                        + 40d0*Nc*coupl(nGC_1113)*coupl(nGC_214)*coupl(nGC_215 &
                       )**2d0 + 10d0*Nc*coupl(nGC_1195)**2d0*coupl(nGC_227)**  &
                       2d0 + 40d0*Nc*coupl(nGC_1195)*coupl(nGC_226)*coupl(     &
                       nGC_227)**2d0 + 10d0*Nc*coupl(nGC_1361)**2d0*coupl(     &
                       nGC_203)**2d0 + 40d0*Nc*coupl(nGC_1361)*coupl(nGC_202)* &
                       coupl(nGC_203)**2d0 + 10d0*Nc*coupl(nGC_194)**2d0*coupl(&
                       nGC_195)**2d0 + 40d0*Nc*coupl(nGC_194)*coupl(nGC_195)** &
                       2d0*coupl(nGC_2063) + 10d0*Nc*coupl(nGC_195)**2d0*coupl(&
                       nGC_2063)**2d0 + 10d0*Nc*coupl(nGC_198)**2d0*coupl(     &
                       nGC_199)**2d0 + 40d0*Nc*coupl(nGC_198)*coupl(nGC_199)** &
                       2d0*coupl(nGC_2353) + 10d0*Nc*coupl(nGC_199)**2d0*coupl(&
                       nGC_2353)**2d0 + 10d0*Nc*coupl(nGC_202)**2d0*coupl(     &
                       nGC_203)**2d0 + 10d0*Nc*coupl(nGC_214)**2d0*coupl(      &
                       nGC_215)**2d0 + 10d0*Nc*coupl(nGC_218)**2d0*coupl(      &
                       nGC_219)**2d0 + 40d0*Nc*coupl(nGC_218)*coupl(nGC_219)** &
                       2d0*coupl(nGC_3275) + 10d0*Nc*coupl(nGC_219)**2d0*coupl(&
                       nGC_3275)**2d0 + 10d0*Nc*coupl(nGC_226)**2d0*coupl(     &
                       nGC_227)**2d0 + 3d0*coupl(nGC_142)*coupl(nGC_145) + 10d0&
                       *coupl(nGC_206)**2d0*coupl(nGC_207)**2d0 + 40d0*coupl(  &
                       nGC_206)*coupl(nGC_207)**2d0*coupl(nGC_3565) + 10d0*    &
                       coupl(nGC_207)**2d0*coupl(nGC_3565)**2d0 + 10d0*coupl(  &
                       nGC_210)**2d0*coupl(nGC_211)**2d0 + 40d0*coupl(nGC_210)*&
                       coupl(nGC_211)**2d0*coupl(nGC_901) + 10d0*coupl(nGC_211 &
                       )**2d0*coupl(nGC_901)**2d0 + 10d0*coupl(nGC_222)**2d0*  &
                       coupl(nGC_223)**2d0 + 40d0*coupl(nGC_222)*coupl(nGC_223 &
                       )**2d0*coupl(nGC_3111) + 10d0*coupl(nGC_223)**2d0*coupl(&
                       nGC_3111)**2d0 + 6d0*coupl(nGC_71)*coupl(nGC_82))/(48d0*&
                       pi**2d0)
    coupl(nGC_19793) = coupl(nGC_13379) + coupl(nGC_161)*dZHl_QED2/2d0 + coupl(&
                       nGC_164)*dZHhHl_QED2/2d0
    coupl(nGC_13299) = (-16d0*Nc*cima*coupl(nGC_1113)*coupl(nGC_122)**2d0*coupl&
                       (nGC_214) + 20d0*Nc*cima*coupl(nGC_1113)*coupl(nGC_122)*&
                       coupl(nGC_125)*coupl(nGC_214) - 16d0*Nc*cima*coupl(     &
                       nGC_1113)*coupl(nGC_125)**2d0*coupl(nGC_214) - 16d0*Nc* &
                       cima*coupl(nGC_1195)*coupl(nGC_123)**2d0*coupl(nGC_226  &
                       ) + 20d0*Nc*cima*coupl(nGC_1195)*coupl(nGC_123)*coupl(  &
                       nGC_126)*coupl(nGC_226) - 16d0*Nc*cima*coupl(nGC_1195)* &
                       coupl(nGC_126)**2d0*coupl(nGC_226) - 16d0*Nc*cima*coupl(&
                       nGC_122)**2d0*coupl(nGC_1361)*coupl(nGC_202) - 16d0*Nc* &
                       cima*coupl(nGC_122)**2d0*coupl(nGC_194)*coupl(nGC_2063  &
                       ) + 20d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*coupl(   &
                       nGC_1361)*coupl(nGC_202) + 20d0*Nc*cima*coupl(nGC_122)* &
                       coupl(nGC_125)*coupl(nGC_194)*coupl(nGC_2063) - 16d0*Nc*&
                       cima*coupl(nGC_123)**2d0*coupl(nGC_198)*coupl(nGC_2353  &
                       ) - 16d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_218)*    &
                       coupl(nGC_3275) + 20d0*Nc*cima*coupl(nGC_123)*coupl(    &
                       nGC_126)*coupl(nGC_198)*coupl(nGC_2353) + 20d0*Nc*cima* &
                       coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_218)*coupl(     &
                       nGC_3275) - 16d0*Nc*cima*coupl(nGC_125)**2d0*coupl(     &
                       nGC_1361)*coupl(nGC_202) - 16d0*Nc*cima*coupl(nGC_125)**&
                       2d0*coupl(nGC_194)*coupl(nGC_2063) - 16d0*Nc*cima*coupl(&
                       nGC_126)**2d0*coupl(nGC_198)*coupl(nGC_2353) - 16d0*Nc* &
                       cima*coupl(nGC_126)**2d0*coupl(nGC_218)*coupl(nGC_3275  &
                       ) - 16d0*cima*coupl(nGC_124)**2d0*coupl(nGC_206)*coupl( &
                       nGC_3565) - 16d0*cima*coupl(nGC_124)**2d0*coupl(nGC_210 &
                       )*coupl(nGC_901) - 16d0*cima*coupl(nGC_124)**2d0*coupl( &
                       nGC_222)*coupl(nGC_3111) + 20d0*cima*coupl(nGC_124)*    &
                       coupl(nGC_128)*coupl(nGC_206)*coupl(nGC_3565) + 20d0*   &
                       cima*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_210)*coupl(&
                       nGC_901) + 20d0*cima*coupl(nGC_124)*coupl(nGC_128)*coupl&
                       (nGC_222)*coupl(nGC_3111) - 16d0*cima*coupl(nGC_128)**  &
                       2d0*coupl(nGC_206)*coupl(nGC_3565) - 16d0*cima*coupl(   &
                       nGC_128)**2d0*coupl(nGC_210)*coupl(nGC_901) - 16d0*cima*&
                       coupl(nGC_128)**2d0*coupl(nGC_222)*coupl(nGC_3111) + 6d0&
                       *cima*coupl(nGC_71)*coupl(nGC_85) + 3d0*coupl(nGC_102)**&
                       2d0*coupl(nGC_71) - 6d0*coupl(nGC_102)*coupl(nGC_103)*  &
                       coupl(nGC_71) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_71))/(&
                       48d0*pi**2d0)
    coupl(nGC_19816) = coupl(nGC_19807) + coupl(nGC_19814)
    coupl(nGC_19815) = coupl(nGC_125)*dZZ_QED2/2d0 + coupl(nGC_125)*dZbL_QED2  &
                        + coupl(nGC_13506)
    coupl(nGC_19942) = coupl(nGC_19933) + coupl(nGC_19941)
    coupl(nGC_13214) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                       nGC_125)**2d0 + coupl(nGC_194)*coupl(nGC_2063) + coupl( &
                       nGC_195)**2d0 + coupl(nGC_196)**2d0 + coupl(nGC_217)**  &
                       2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_19442) = coupl(nGC_13413) + coupl(nGC_195)*dZHl_QED2/2d0 + coupl(&
                       nGC_196)*dZHhHl_QED2/2d0
    coupl(nGC_19444) = coupl(nGC_13414) + coupl(nGC_19441)
    coupl(nGC_22448) = coupl(nGC_22444) + coupl(nGC_22446)
    coupl(nGC_22447) = coupl(nGC_22444) + coupl(nGC_22445)
    coupl(nGC_23246) = coupl(nGC_13496) + coupl(nGC_175)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_178)*dZHh_QED2/2d0 + coupl(nGC_178)*dZZ_QED2  &
                        + coupl(nGC_TS_GC_148_Hl) + coupl(nGC_TS_GC_151_Hh)
    coupl(nGC_13182) = coupl(nGC_99)*(2d0*coupl(nGC_1)*coupl(nGC_1253) + 4d0*  &
                       coupl(nGC_1)*coupl(nGC_2) + coupl(nGC_102)*coupl(nGC_125&
                       ) - coupl(nGC_102)*coupl(nGC_126) - coupl(nGC_103)*coupl&
                       (nGC_125) + coupl(nGC_103)*coupl(nGC_126) + 4d0*coupl(  &
                       nGC_125)*coupl(nGC_126) + 2d0*coupl(nGC_2)*coupl(nGC_3  &
                       ))/(32d0*pi**2d0)
    coupl(nGC_31005) = -coupl(nGC_13243)
    coupl(nGC_13181) = (-12d0*Nc*coupl(nGC_125)*coupl(nGC_99)**2d0 + 12d0*Nc*  &
                       coupl(nGC_126)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(     &
                       nGC_102)*coupl(nGC_84) + 6d0*cima*coupl(nGC_103)*coupl( &
                       nGC_84) + 6d0*cima*coupl(nGC_113)*coupl(nGC_3) + 6d0*   &
                       cima*coupl(nGC_113)*coupl(nGC_4) - 2d0*coupl(nGC_102)** &
                       3d0 + 3d0*coupl(nGC_102)**2d0*coupl(nGC_103) - 2d0*coupl&
                       (nGC_102)*coupl(nGC_1253)*coupl(nGC_3) - 4d0*coupl(     &
                       nGC_102)*coupl(nGC_1253)*coupl(nGC_4) - coupl(nGC_103)**&
                       3d0 + 2d0*coupl(nGC_103)*coupl(nGC_1253)*coupl(nGC_3) + &
                       4d0*coupl(nGC_103)*coupl(nGC_1253)*coupl(nGC_4) - 12d0* &
                       coupl(nGC_128)*coupl(nGC_99)**2d0 + 12d0*coupl(nGC_129)*&
                       coupl(nGC_99)**2d0)/(96d0*pi**2d0)
    coupl(nGC_31003) = -coupl(nGC_13242)
    coupl(nGC_19321) = -coupl(nGC_13434) - coupl(nGC_19317)
    coupl(nGC_13184) = coupl(nGC_99)*(4d0*coupl(nGC_1)*coupl(nGC_2) - 2d0*coupl&
                       (nGC_1)*coupl(nGC_3) + coupl(nGC_102)*coupl(nGC_125) -  &
                       coupl(nGC_102)*coupl(nGC_126) - coupl(nGC_103)*coupl(   &
                       nGC_125) + coupl(nGC_103)*coupl(nGC_126) + 4d0*coupl(   &
                       nGC_125)*coupl(nGC_126) - 2d0*coupl(nGC_1253)*coupl(    &
                       nGC_2))/(32d0*pi**2d0)
    coupl(nGC_13185) = coupl(nGC_99)*(coupl(nGC_102)*coupl(nGC_128) - coupl(   &
                       nGC_102)*coupl(nGC_129) - coupl(nGC_103)*coupl(nGC_128  &
                       ) + coupl(nGC_103)*coupl(nGC_129) + 2d0*coupl(nGC_1253)*&
                       coupl(nGC_4) + 4d0*coupl(nGC_128)*coupl(nGC_129))/(32d0*&
                       pi**2d0)
    coupl(nGC_13021) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_122 &
                       )**2d0 + coupl(nGC_1)*coupl(nGC_194)*coupl(nGC_2063) +  &
                       coupl(nGC_1)*coupl(nGC_195)**2d0 + coupl(nGC_1)*coupl(  &
                       nGC_196)**2d0 + coupl(nGC_193)**2d0*coupl(nGC_2))/(32d0*&
                       pi**2d0)
    coupl(nGC_13020) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_125 &
                       )**2d0 + coupl(nGC_1)*coupl(nGC_194)*coupl(nGC_2063) +  &
                       coupl(nGC_1)*coupl(nGC_195)**2d0 + coupl(nGC_1)*coupl(  &
                       nGC_196)**2d0 + coupl(nGC_2)*coupl(nGC_217)**2d0 + 4d0* &
                       coupl(nGC_2)*coupl(nGC_99)**2d0 - coupl(nGC_3)*coupl(   &
                       nGC_99)**2d0 + coupl(nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi&
                       **2d0)
    coupl(nGC_13023) = (coupl(nGC_1)*coupl(nGC_213)**2d0 + 4d0*coupl(nGC_1)*   &
                       coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**2d0*coupl(nGC_2&
                       ) + coupl(nGC_198)*coupl(nGC_2)*coupl(nGC_2353) + coupl(&
                       nGC_199)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 +    &
                       coupl(nGC_2)*coupl(nGC_200)**2d0 + coupl(nGC_3)*coupl(  &
                       nGC_99)**2d0 - coupl(nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi&
                       **2d0)
    coupl(nGC_13024) = (coupl(nGC_1)*coupl(nGC_197)**2d0 + 4d0*coupl(nGC_123)**&
                       2d0*coupl(nGC_2) + coupl(nGC_198)*coupl(nGC_2)*coupl(   &
                       nGC_2353) + coupl(nGC_199)**2d0*coupl(nGC_2) + 4d0*coupl&
                       (nGC_2)**3d0 + coupl(nGC_2)*coupl(nGC_200)**2d0)/(32d0* &
                       pi**2d0)
    coupl(nGC_13292) = cima*(10d0*Nc*coupl(nGC_1113)**2d0*coupl(nGC_215)*coupl(&
                       nGC_216) + 40d0*Nc*coupl(nGC_1113)*coupl(nGC_214)*coupl(&
                       nGC_215)*coupl(nGC_216) + 10d0*Nc*coupl(nGC_1195)**2d0* &
                       coupl(nGC_227)*coupl(nGC_228) + 40d0*Nc*coupl(nGC_1195)*&
                       coupl(nGC_226)*coupl(nGC_227)*coupl(nGC_228) + 10d0*Nc* &
                       coupl(nGC_1361)**2d0*coupl(nGC_203)*coupl(nGC_204) +    &
                       40d0*Nc*coupl(nGC_1361)*coupl(nGC_202)*coupl(nGC_203)*  &
                       coupl(nGC_204) + 10d0*Nc*coupl(nGC_194)**2d0*coupl(     &
                       nGC_195)*coupl(nGC_196) + 40d0*Nc*coupl(nGC_194)*coupl( &
                       nGC_195)*coupl(nGC_196)*coupl(nGC_2063) + 10d0*Nc*coupl(&
                       nGC_195)*coupl(nGC_196)*coupl(nGC_2063)**2d0 + 10d0*Nc* &
                       coupl(nGC_198)**2d0*coupl(nGC_199)*coupl(nGC_200) + 40d0&
                       *Nc*coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_200)*coupl( &
                       nGC_2353) + 10d0*Nc*coupl(nGC_199)*coupl(nGC_200)*coupl(&
                       nGC_2353)**2d0 + 10d0*Nc*coupl(nGC_202)**2d0*coupl(     &
                       nGC_203)*coupl(nGC_204) + 10d0*Nc*coupl(nGC_214)**2d0*  &
                       coupl(nGC_215)*coupl(nGC_216) + 10d0*Nc*coupl(nGC_218)**&
                       2d0*coupl(nGC_219)*coupl(nGC_220) + 40d0*Nc*coupl(      &
                       nGC_218)*coupl(nGC_219)*coupl(nGC_220)*coupl(nGC_3275   &
                       ) + 10d0*Nc*coupl(nGC_219)*coupl(nGC_220)*coupl(nGC_3275&
                       )**2d0 + 10d0*Nc*coupl(nGC_226)**2d0*coupl(nGC_227)*    &
                       coupl(nGC_228) + 3d0*coupl(nGC_142)*coupl(nGC_148) +    &
                       10d0*coupl(nGC_206)**2d0*coupl(nGC_207)*coupl(nGC_208   &
                       ) + 40d0*coupl(nGC_206)*coupl(nGC_207)*coupl(nGC_208)*  &
                       coupl(nGC_3565) + 10d0*coupl(nGC_207)*coupl(nGC_208)*   &
                       coupl(nGC_3565)**2d0 + 10d0*coupl(nGC_210)**2d0*coupl(  &
                       nGC_211)*coupl(nGC_212) + 40d0*coupl(nGC_210)*coupl(    &
                       nGC_211)*coupl(nGC_212)*coupl(nGC_901) + 10d0*coupl(    &
                       nGC_211)*coupl(nGC_212)*coupl(nGC_901)**2d0 + 10d0*coupl&
                       (nGC_222)**2d0*coupl(nGC_223)*coupl(nGC_224) + 40d0*    &
                       coupl(nGC_222)*coupl(nGC_223)*coupl(nGC_224)*coupl(     &
                       nGC_3111) + 10d0*coupl(nGC_223)*coupl(nGC_224)*coupl(   &
                       nGC_3111)**2d0 + 6d0*coupl(nGC_71)*coupl(nGC_93))/(48d0*&
                       pi**2d0)
    coupl(nGC_20352) = coupl(nGC_13359) + coupl(nGC_32)*dZHh_QED2/2d0 + 3d0*   &
                       coupl(nGC_32)*dZHl_QED2/2d0 + coupl(nGC_34)*dZHlHh_QED2/&
                       2d0 + 3d0*coupl(nGC_36)*dZHhHl_QED2/2d0
    coupl(nGC_20211) = coupl(nGC_110)*dZAZ_QED2/2d0 + coupl(nGC_13484) + coupl(&
                       nGC_15)*dZHl_QED2/2d0 + coupl(nGC_15)*dZWMinus_QED2/2d0 &
                        + coupl(nGC_15)*dZZ_QED2/2d0 + coupl(nGC_27)*          &
                       dZHhHl_QED2/2d0
    coupl(nGC_13201) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(    &
                       nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_210)*coupl(      &
                       nGC_901) + coupl(nGC_128)*coupl(nGC_211)**2d0 + coupl(  &
                       nGC_128)*coupl(nGC_212)**2d0 + coupl(nGC_129)*coupl(    &
                       nGC_209)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13202) = (coupl(nGC_102)*coupl(nGC_99)**2d0 - coupl(nGC_103)*    &
                       coupl(nGC_99)**2d0 + coupl(nGC_124)*coupl(nGC_210)*coupl&
                       (nGC_901) + coupl(nGC_124)*coupl(nGC_211)**2d0 + coupl( &
                       nGC_124)*coupl(nGC_212)**2d0 + 4d0*coupl(nGC_128)**3d0  &
                        + 4d0*coupl(nGC_128)*coupl(nGC_4)**2d0 + 4d0*coupl(    &
                       nGC_129)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
    coupl(nGC_19769) = coupl(nGC_13419) + coupl(nGC_195)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_196)*dZHh_QED2/2d0
    coupl(nGC_13207) = (4d0*coupl(nGC_123)**3d0 + 4d0*coupl(nGC_123)*coupl(    &
                       nGC_2)**2d0 + coupl(nGC_125)*coupl(nGC_217)**2d0 + coupl&
                       (nGC_126)*coupl(nGC_218)*coupl(nGC_3275) + coupl(nGC_126&
                       )*coupl(nGC_219)**2d0 + coupl(nGC_126)*coupl(nGC_220)** &
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_13206) = (-coupl(nGC_102)*coupl(nGC_99)**2d0 + coupl(nGC_103)*   &
                       coupl(nGC_99)**2d0 + coupl(nGC_122)*coupl(nGC_193)**2d0 &
                        + coupl(nGC_123)*coupl(nGC_218)*coupl(nGC_3275) + coupl&
                       (nGC_123)*coupl(nGC_219)**2d0 + coupl(nGC_123)*coupl(   &
                       nGC_220)**2d0 + 4d0*coupl(nGC_125)*coupl(nGC_99)**2d0 + &
                       4d0*coupl(nGC_126)**3d0 + 4d0*coupl(nGC_126)*coupl(nGC_2&
                       )**2d0)/(32d0*pi**2d0)
    coupl(nGC_13104) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_214) - coupl(nGC_1113)*&
                       coupl(nGC_214)**2d0 - coupl(nGC_1113)*coupl(nGC_215)**  &
                       2d0 - coupl(nGC_1113)*coupl(nGC_216)**2d0 + 8d0*coupl(  &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_214) - coupl(nGC_197)*&
                       coupl(nGC_213)*coupl(nGC_2353))/(32d0*pi**2d0)
    coupl(nGC_20405) = coupl(nGC_19357) + coupl(nGC_20402)
    coupl(nGC_20117) = coupl(nGC_TS_GC_100_Hl) + coupl(nGC_TS_GC_117_Hh)
    coupl(nGC_20814) = coupl(nGC_13354) + coupl(nGC_32)*dZHlHh_QED2 + coupl(   &
                       nGC_33)*dZHhHl_QED2 + coupl(nGC_36)*dZHh_QED2 + coupl(  &
                       nGC_36)*dZHl_QED2
    coupl(nGC_13180) = (-12d0*Nc*coupl(nGC_125)*coupl(nGC_99)**2d0 + 12d0*Nc*  &
                       coupl(nGC_126)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(     &
                       nGC_102)*coupl(nGC_84) + 6d0*cima*coupl(nGC_103)*coupl( &
                       nGC_84) - 2d0*coupl(nGC_102)**3d0 + 3d0*coupl(nGC_102)**&
                       2d0*coupl(nGC_103) + coupl(nGC_102)*coupl(nGC_1253)*    &
                       coupl(nGC_3) - coupl(nGC_102)*coupl(nGC_1253)*coupl(    &
                       nGC_4) - coupl(nGC_103)**3d0 - coupl(nGC_103)*coupl(    &
                       nGC_1253)*coupl(nGC_3) + coupl(nGC_103)*coupl(nGC_1253)*&
                       coupl(nGC_4) - 12d0*coupl(nGC_128)*coupl(nGC_99)**2d0 + &
                       12d0*coupl(nGC_129)*coupl(nGC_99)**2d0)/(96d0*pi**2d0)
    coupl(nGC_13195) = (4d0*coupl(nGC_123)**3d0 + 4d0*coupl(nGC_123)*coupl(    &
                       nGC_2)**2d0 + coupl(nGC_125)*coupl(nGC_197)**2d0 + coupl&
                       (nGC_126)*coupl(nGC_198)*coupl(nGC_2353) + coupl(nGC_126&
                       )*coupl(nGC_199)**2d0 + coupl(nGC_126)*coupl(nGC_200)** &
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_23160) = coupl(nGC_22444) + coupl(nGC_23158)
    coupl(nGC_13193) = (-coupl(nGC_102)*coupl(nGC_99)**2d0 + coupl(nGC_103)*   &
                       coupl(nGC_99)**2d0 + coupl(nGC_122)*coupl(nGC_213)**2d0 &
                        + coupl(nGC_123)*coupl(nGC_198)*coupl(nGC_2353) + coupl&
                       (nGC_123)*coupl(nGC_199)**2d0 + coupl(nGC_123)*coupl(   &
                       nGC_200)**2d0 + 4d0*coupl(nGC_125)*coupl(nGC_99)**2d0 + &
                       4d0*coupl(nGC_126)**3d0 + 4d0*coupl(nGC_126)*coupl(nGC_2&
                       )**2d0)/(32d0*pi**2d0)
    coupl(nGC_13054) = (8d0*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_2) + 8d0*    &
                       coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_193) - coupl(   &
                       nGC_195)*coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_196)*&
                       coupl(nGC_217)*coupl(nGC_220) - coupl(nGC_2063)*coupl(  &
                       nGC_217)*coupl(nGC_3275))/(32d0*pi**2d0)
    coupl(nGC_19320) = coupl(nGC_13433) + coupl(nGC_19318)
    coupl(nGC_19322) = coupl(nGC_13434) + coupl(nGC_19317)
    coupl(nGC_13179) = (12d0*Nc*coupl(nGC_125)*coupl(nGC_99)**2d0 - 12d0*Nc*   &
                       coupl(nGC_126)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(     &
                       nGC_102)*coupl(nGC_84) + 6d0*cima*coupl(nGC_103)*coupl( &
                       nGC_84) + 6d0*cima*coupl(nGC_113)*coupl(nGC_3) + 6d0*   &
                       cima*coupl(nGC_113)*coupl(nGC_4) - coupl(nGC_102)**3d0  &
                        + 3d0*coupl(nGC_102)*coupl(nGC_103)**2d0 - 4d0*coupl(  &
                       nGC_102)*coupl(nGC_1253)*coupl(nGC_3) - 2d0*coupl(      &
                       nGC_102)*coupl(nGC_1253)*coupl(nGC_4) - 2d0*coupl(      &
                       nGC_103)**3d0 + 4d0*coupl(nGC_103)*coupl(nGC_1253)*coupl&
                       (nGC_3) + 2d0*coupl(nGC_103)*coupl(nGC_1253)*coupl(nGC_4&
                       ) + 12d0*coupl(nGC_128)*coupl(nGC_99)**2d0 - 12d0*coupl(&
                       nGC_129)*coupl(nGC_99)**2d0)/(96d0*pi**2d0)
    coupl(nGC_13277) = (-8d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_99)**2d0 -  &
                       8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_99)**2d0 - 8d0&
                       *Nc*cima*coupl(nGC_201)**2d0*coupl(nGC_99)**2d0 - 8d0*Nc&
                       *cima*coupl(nGC_213)**2d0*coupl(nGC_99)**2d0 - 8d0*Nc*  &
                       cima*coupl(nGC_217)**2d0*coupl(nGC_99)**2d0 - 8d0*Nc*   &
                       cima*coupl(nGC_225)**2d0*coupl(nGC_99)**2d0 + 6d0*cima* &
                       coupl(nGC_10)*coupl(nGC_9) + 12d0*cima*coupl(nGC_116)*  &
                       coupl(nGC_134) + 6d0*cima*coupl(nGC_141)*coupl(nGC_85   &
                       ) - 8d0*cima*coupl(nGC_205)**2d0*coupl(nGC_99)**2d0 -   &
                       8d0*cima*coupl(nGC_209)**2d0*coupl(nGC_99)**2d0 - 8d0*  &
                       cima*coupl(nGC_221)**2d0*coupl(nGC_99)**2d0 + 12d0*cima*&
                       coupl(nGC_71)*coupl(nGC_72) + 6d0*coupl(nGC_10)*coupl(  &
                       nGC_3)**2d0 - 6d0*coupl(nGC_10)*coupl(nGC_3)*coupl(nGC_4&
                       ) + 3d0*coupl(nGC_102)**2d0*coupl(nGC_141) + 3d0*coupl( &
                       nGC_102)**2d0*coupl(nGC_71) - 6d0*coupl(nGC_102)*coupl( &
                       nGC_103)*coupl(nGC_141) - 6d0*coupl(nGC_102)*coupl(     &
                       nGC_103)*coupl(nGC_71) - 9d0*coupl(nGC_102)*coupl(      &
                       nGC_134)*coupl(nGC_3) + 3d0*coupl(nGC_102)*coupl(nGC_134&
                       )*coupl(nGC_4) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_141  &
                       ) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_71) + 9d0*coupl(  &
                       nGC_103)*coupl(nGC_134)*coupl(nGC_3) - 3d0*coupl(nGC_103&
                       )*coupl(nGC_134)*coupl(nGC_4) - 6d0*coupl(nGC_1253)*    &
                       coupl(nGC_3)*coupl(nGC_71) + 6d0*coupl(nGC_1253)*coupl( &
                       nGC_4)*coupl(nGC_71))/(96d0*pi**2d0)
    coupl(nGC_19387) = coupl(nGC_13502) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                       coupl(nGC_99)*dZmuMinusL_QED2/2d0 + coupl(nGC_99)*      &
                       dZnu_muL_QED2/2d0
    coupl(nGC_19222) = coupl(nGC_13502) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                       coupl(nGC_99)*dZbL_QED2/2d0 + coupl(nGC_99)*dZtL_QED2/  &
                       2d0
    coupl(nGC_13177) = (12d0*Nc*coupl(nGC_125)*coupl(nGC_99)**2d0 - 12d0*Nc*   &
                       coupl(nGC_126)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(     &
                       nGC_102)*coupl(nGC_84) + 6d0*cima*coupl(nGC_103)*coupl( &
                       nGC_84) - coupl(nGC_102)**3d0 + 3d0*coupl(nGC_102)*coupl&
                       (nGC_103)**2d0 - coupl(nGC_102)*coupl(nGC_1253)*coupl(  &
                       nGC_3) + coupl(nGC_102)*coupl(nGC_1253)*coupl(nGC_4) -  &
                       2d0*coupl(nGC_103)**3d0 + coupl(nGC_103)*coupl(nGC_1253 &
                       )*coupl(nGC_3) - coupl(nGC_103)*coupl(nGC_1253)*coupl(  &
                       nGC_4) + 12d0*coupl(nGC_128)*coupl(nGC_99)**2d0 - 12d0* &
                       coupl(nGC_129)*coupl(nGC_99)**2d0)/(96d0*pi**2d0)
    coupl(nGC_13279) = (10d0*Nc*cima*coupl(nGC_1195)*coupl(nGC_123)*coupl(     &
                       nGC_225)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1195)*   &
                       coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_99) - 8d0*Nc*   &
                       cima*coupl(nGC_1195)*coupl(nGC_126)*coupl(nGC_225)*coupl&
                       (nGC_99) + 10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*  &
                       coupl(nGC_194)*coupl(nGC_99) + 10d0*Nc*cima*coupl(      &
                       nGC_122)*coupl(nGC_201)*coupl(nGC_202)*coupl(nGC_99) +  &
                       10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_214&
                       )*coupl(nGC_99) + 10d0*Nc*cima*coupl(nGC_123)*coupl(    &
                       nGC_197)*coupl(nGC_2353)*coupl(nGC_99) + 10d0*Nc*cima*  &
                       coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_3275)*coupl(    &
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_193)*    &
                       coupl(nGC_194)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125&
                       )*coupl(nGC_197)*coupl(nGC_2353)*coupl(nGC_99) - 8d0*Nc*&
                       cima*coupl(nGC_125)*coupl(nGC_201)*coupl(nGC_202)*coupl(&
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_213)*    &
                       coupl(nGC_214)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125&
                       )*coupl(nGC_217)*coupl(nGC_3275)*coupl(nGC_99) - 8d0*Nc*&
                       cima*coupl(nGC_126)*coupl(nGC_193)*coupl(nGC_194)*coupl(&
                       nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_197)*    &
                       coupl(nGC_2353)*coupl(nGC_99) - 8d0*Nc*cima*coupl(      &
                       nGC_126)*coupl(nGC_201)*coupl(nGC_202)*coupl(nGC_99) -  &
                       8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_214 &
                       )*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(     &
                       nGC_217)*coupl(nGC_3275)*coupl(nGC_99) + 12d0*cima*coupl&
                       (nGC_107)*coupl(nGC_113) + 10d0*cima*coupl(nGC_124)*    &
                       coupl(nGC_205)*coupl(nGC_206)*coupl(nGC_99) + 10d0*cima*&
                       coupl(nGC_124)*coupl(nGC_209)*coupl(nGC_210)*coupl(     &
                       nGC_99) + 10d0*cima*coupl(nGC_124)*coupl(nGC_221)*coupl(&
                       nGC_222)*coupl(nGC_99) - 8d0*cima*coupl(nGC_128)*coupl( &
                       nGC_205)*coupl(nGC_206)*coupl(nGC_99) - 8d0*cima*coupl( &
                       nGC_128)*coupl(nGC_209)*coupl(nGC_210)*coupl(nGC_99) -  &
                       8d0*cima*coupl(nGC_128)*coupl(nGC_221)*coupl(nGC_222)*  &
                       coupl(nGC_99) - 8d0*cima*coupl(nGC_129)*coupl(nGC_205)* &
                       coupl(nGC_206)*coupl(nGC_99) - 8d0*cima*coupl(nGC_129)* &
                       coupl(nGC_209)*coupl(nGC_210)*coupl(nGC_99) - 8d0*cima* &
                       coupl(nGC_129)*coupl(nGC_221)*coupl(nGC_222)*coupl(     &
                       nGC_99) + 12d0*cima*coupl(nGC_13)*coupl(nGC_84) - 3d0*  &
                       coupl(nGC_102)**2d0*coupl(nGC_13) + 6d0*coupl(nGC_102)* &
                       coupl(nGC_103)*coupl(nGC_13) + 3d0*coupl(nGC_102)*coupl(&
                       nGC_107)*coupl(nGC_3) - 3d0*coupl(nGC_102)*coupl(nGC_107&
                       )*coupl(nGC_4) - 3d0*coupl(nGC_103)**2d0*coupl(nGC_13   &
                       ) - 3d0*coupl(nGC_103)*coupl(nGC_107)*coupl(nGC_3) + 3d0&
                       *coupl(nGC_103)*coupl(nGC_107)*coupl(nGC_4))/(96d0*pi** &
                       2d0)
    coupl(nGC_20772) = coupl(nGC_20131) + coupl(nGC_20771)
    coupl(nGC_21044) = -coupl(nGC_19284) + coupl(nGC_21042)
    coupl(nGC_20770) = coupl(nGC_126)*dZZ_QED2/2d0 + coupl(nGC_126)*dZtL_QED2  &
                        + coupl(nGC_13503)
    coupl(nGC_19771) = coupl(nGC_13420) + coupl(nGC_19768)
    coupl(nGC_21041) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_13483)
    coupl(nGC_22983) = coupl(nGC_22979) + coupl(nGC_22982)
    coupl(nGC_22981) = coupl(nGC_13441) + coupl(nGC_22980)
    coupl(nGC_13289) = cima*(10d0*Nc*coupl(nGC_1113)**2d0*coupl(nGC_216)**2d0  &
                        + 40d0*Nc*coupl(nGC_1113)*coupl(nGC_214)*coupl(nGC_216 &
                       )**2d0 + 10d0*Nc*coupl(nGC_1195)**2d0*coupl(nGC_228)**  &
                       2d0 + 40d0*Nc*coupl(nGC_1195)*coupl(nGC_226)*coupl(     &
                       nGC_228)**2d0 + 10d0*Nc*coupl(nGC_1361)**2d0*coupl(     &
                       nGC_204)**2d0 + 40d0*Nc*coupl(nGC_1361)*coupl(nGC_202)* &
                       coupl(nGC_204)**2d0 + 10d0*Nc*coupl(nGC_194)**2d0*coupl(&
                       nGC_196)**2d0 + 40d0*Nc*coupl(nGC_194)*coupl(nGC_196)** &
                       2d0*coupl(nGC_2063) + 10d0*Nc*coupl(nGC_196)**2d0*coupl(&
                       nGC_2063)**2d0 + 10d0*Nc*coupl(nGC_198)**2d0*coupl(     &
                       nGC_200)**2d0 + 40d0*Nc*coupl(nGC_198)*coupl(nGC_200)** &
                       2d0*coupl(nGC_2353) + 10d0*Nc*coupl(nGC_200)**2d0*coupl(&
                       nGC_2353)**2d0 + 10d0*Nc*coupl(nGC_202)**2d0*coupl(     &
                       nGC_204)**2d0 + 10d0*Nc*coupl(nGC_214)**2d0*coupl(      &
                       nGC_216)**2d0 + 10d0*Nc*coupl(nGC_218)**2d0*coupl(      &
                       nGC_220)**2d0 + 40d0*Nc*coupl(nGC_218)*coupl(nGC_220)** &
                       2d0*coupl(nGC_3275) + 10d0*Nc*coupl(nGC_220)**2d0*coupl(&
                       nGC_3275)**2d0 + 10d0*Nc*coupl(nGC_226)**2d0*coupl(     &
                       nGC_228)**2d0 + 3d0*coupl(nGC_142)*coupl(nGC_151) + 10d0&
                       *coupl(nGC_206)**2d0*coupl(nGC_208)**2d0 + 40d0*coupl(  &
                       nGC_206)*coupl(nGC_208)**2d0*coupl(nGC_3565) + 10d0*    &
                       coupl(nGC_208)**2d0*coupl(nGC_3565)**2d0 + 10d0*coupl(  &
                       nGC_210)**2d0*coupl(nGC_212)**2d0 + 40d0*coupl(nGC_210)*&
                       coupl(nGC_212)**2d0*coupl(nGC_901) + 10d0*coupl(nGC_212 &
                       )**2d0*coupl(nGC_901)**2d0 + 10d0*coupl(nGC_222)**2d0*  &
                       coupl(nGC_224)**2d0 + 40d0*coupl(nGC_222)*coupl(nGC_224 &
                       )**2d0*coupl(nGC_3111) + 10d0*coupl(nGC_224)**2d0*coupl(&
                       nGC_3111)**2d0 + 6d0*coupl(nGC_71)*coupl(nGC_96))/(48d0*&
                       pi**2d0)
    coupl(nGC_13288) = cima*(20d0*Nc*coupl(nGC_1113)**2d0*coupl(nGC_214)**2d0  &
                        + 20d0*Nc*coupl(nGC_1195)**2d0*coupl(nGC_226)**2d0 +   &
                       20d0*Nc*coupl(nGC_1361)**2d0*coupl(nGC_202)**2d0 + 20d0*&
                       Nc*coupl(nGC_194)**2d0*coupl(nGC_2063)**2d0 + 20d0*Nc*  &
                       coupl(nGC_198)**2d0*coupl(nGC_2353)**2d0 + 20d0*Nc*coupl&
                       (nGC_218)**2d0*coupl(nGC_3275)**2d0 + 3d0*coupl(nGC_142 &
                       )**2d0 + 20d0*coupl(nGC_206)**2d0*coupl(nGC_3565)**2d0  &
                        + 20d0*coupl(nGC_210)**2d0*coupl(nGC_901)**2d0 + 20d0* &
                       coupl(nGC_222)**2d0*coupl(nGC_3111)**2d0 + 6d0*coupl(   &
                       nGC_71)**2d0)/(16d0*pi**2d0)
    coupl(nGC_23304) = coupl(nGC_19832) + coupl(nGC_23301)
    coupl(nGC_23303) = coupl(nGC_19832) + coupl(nGC_23302)
    coupl(nGC_13048) = (-2d0*Nc*coupl(nGC_1195)*coupl(nGC_225)*coupl(nGC_99) + &
                       2d0*Nc*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_99) - 2d0&
                       *Nc*coupl(nGC_197)*coupl(nGC_2353)*coupl(nGC_99) + 2d0* &
                       Nc*coupl(nGC_201)*coupl(nGC_202)*coupl(nGC_99) + 2d0*Nc*&
                       coupl(nGC_213)*coupl(nGC_214)*coupl(nGC_99) - 2d0*Nc*   &
                       coupl(nGC_217)*coupl(nGC_3275)*coupl(nGC_99) + 3d0*cima*&
                       coupl(nGC_102)*coupl(nGC_13) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_13) + 3d0*cima*coupl(nGC_107)*coupl(nGC_3) +  &
                       3d0*cima*coupl(nGC_107)*coupl(nGC_4) + 2d0*coupl(nGC_205&
                       )*coupl(nGC_206)*coupl(nGC_99) + 2d0*coupl(nGC_209)*    &
                       coupl(nGC_210)*coupl(nGC_99) + 2d0*coupl(nGC_221)*coupl(&
                       nGC_222)*coupl(nGC_99))/(48d0*pi**2d0)
    coupl(nGC_13047) = (2d0*Nc*coupl(nGC_1195)*coupl(nGC_225)*coupl(nGC_99) -  &
                       2d0*Nc*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_99) + 2d0&
                       *Nc*coupl(nGC_197)*coupl(nGC_2353)*coupl(nGC_99) - 2d0* &
                       Nc*coupl(nGC_201)*coupl(nGC_202)*coupl(nGC_99) - 2d0*Nc*&
                       coupl(nGC_213)*coupl(nGC_214)*coupl(nGC_99) + 2d0*Nc*   &
                       coupl(nGC_217)*coupl(nGC_3275)*coupl(nGC_99) + 3d0*cima*&
                       coupl(nGC_102)*coupl(nGC_13) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_13) + 3d0*cima*coupl(nGC_107)*coupl(nGC_3) +  &
                       3d0*cima*coupl(nGC_107)*coupl(nGC_4) - 2d0*coupl(nGC_205&
                       )*coupl(nGC_206)*coupl(nGC_99) - 2d0*coupl(nGC_209)*    &
                       coupl(nGC_210)*coupl(nGC_99) - 2d0*coupl(nGC_221)*coupl(&
                       nGC_222)*coupl(nGC_99))/(48d0*pi**2d0)
    coupl(nGC_20189) = coupl(nGC_13353) + coupl(nGC_29)*dZHlHh_QED2 + coupl(   &
                       nGC_30)*dZHh_QED2
    coupl(nGC_13271) = cima*(10d0*Nc*coupl(nGC_1113)*coupl(nGC_197)**2d0*coupl(&
                       nGC_214) + 10d0*Nc*coupl(nGC_1113)*coupl(nGC_197)*coupl(&
                       nGC_213)*coupl(nGC_2353) + 10d0*Nc*coupl(nGC_1113)*coupl&
                       (nGC_213)**2d0*coupl(nGC_214) + 10d0*Nc*coupl(nGC_1195)*&
                       coupl(nGC_1361)*coupl(nGC_201)*coupl(nGC_225) + 10d0*Nc*&
                       coupl(nGC_1195)*coupl(nGC_201)**2d0*coupl(nGC_226) +    &
                       10d0*Nc*coupl(nGC_1195)*coupl(nGC_225)**2d0*coupl(      &
                       nGC_226) + 10d0*Nc*coupl(nGC_1361)*coupl(nGC_201)**2d0* &
                       coupl(nGC_202) + 10d0*Nc*coupl(nGC_1361)*coupl(nGC_202)*&
                       coupl(nGC_225)**2d0 + 10d0*Nc*coupl(nGC_193)**2d0*coupl(&
                       nGC_194)*coupl(nGC_2063) + 10d0*Nc*coupl(nGC_193)**2d0* &
                       coupl(nGC_218)*coupl(nGC_3275) + 10d0*Nc*coupl(nGC_193)*&
                       coupl(nGC_194)*coupl(nGC_217)*coupl(nGC_218) + 10d0*Nc* &
                       coupl(nGC_193)*coupl(nGC_2063)*coupl(nGC_217)*coupl(    &
                       nGC_3275) + 10d0*Nc*coupl(nGC_194)*coupl(nGC_2063)*coupl&
                       (nGC_217)**2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(     &
                       nGC_198)*coupl(nGC_2353) + 10d0*Nc*coupl(nGC_197)*coupl(&
                       nGC_198)*coupl(nGC_213)*coupl(nGC_214) + 10d0*Nc*coupl( &
                       nGC_198)*coupl(nGC_213)**2d0*coupl(nGC_2353) + 10d0*Nc* &
                       coupl(nGC_201)*coupl(nGC_202)*coupl(nGC_225)*coupl(     &
                       nGC_226) + 10d0*Nc*coupl(nGC_217)**2d0*coupl(nGC_218)*  &
                       coupl(nGC_3275) + 12d0*coupl(nGC_107)*coupl(nGC_108) +  &
                       12d0*coupl(nGC_13)*coupl(nGC_14) + 3d0*coupl(nGC_141)*  &
                       coupl(nGC_142) + 10d0*coupl(nGC_205)**2d0*coupl(nGC_206 &
                       )*coupl(nGC_3565) + 10d0*coupl(nGC_209)**2d0*coupl(     &
                       nGC_210)*coupl(nGC_901) + 10d0*coupl(nGC_221)**2d0*coupl&
                       (nGC_222)*coupl(nGC_3111) + 6d0*coupl(nGC_71)**2d0)/(   &
                       48d0*pi**2d0)
    coupl(nGC_19869) = coupl(nGC_19180) + coupl(nGC_19863)
    coupl(nGC_19868) = coupl(nGC_19180) + coupl(nGC_19867)
    coupl(nGC_20971) = coupl(nGC_20962) + coupl(nGC_20970)
    coupl(nGC_19903) = coupl(nGC_13460) + coupl(nGC_74)*dZWMinus_QED2
    coupl(nGC_13261) = (-2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_1113)*coupl(nGC_122&
                       )*coupl(nGC_214) - 2d0*Nc*cima*coupl(nGC_1)*coupl(      &
                       nGC_1113)*coupl(nGC_125)*coupl(nGC_214) - 2d0*Nc*cima*  &
                       coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_1361)*coupl(      &
                       nGC_202) - 2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl&
                       (nGC_194)*coupl(nGC_2063) - 2d0*Nc*cima*coupl(nGC_1)*   &
                       coupl(nGC_125)*coupl(nGC_1361)*coupl(nGC_202) - 2d0*Nc* &
                       cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_194)*coupl(  &
                       nGC_2063) - 2d0*Nc*cima*coupl(nGC_1195)*coupl(nGC_123)* &
                       coupl(nGC_2)*coupl(nGC_226) - 2d0*Nc*cima*coupl(nGC_1195&
                       )*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_226) - 2d0*Nc*  &
                       cima*coupl(nGC_123)*coupl(nGC_198)*coupl(nGC_2)*coupl(  &
                       nGC_2353) - 2d0*Nc*cima*coupl(nGC_123)*coupl(nGC_2)*    &
                       coupl(nGC_218)*coupl(nGC_3275) - 2d0*Nc*cima*coupl(     &
                       nGC_126)*coupl(nGC_198)*coupl(nGC_2)*coupl(nGC_2353) -  &
                       2d0*Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_218)* &
                       coupl(nGC_3275) + 2d0*cima*coupl(nGC_116)*coupl(nGC_71  &
                       ) - 2d0*cima*coupl(nGC_124)*coupl(nGC_206)*coupl(       &
                       nGC_3565)*coupl(nGC_4) - 2d0*cima*coupl(nGC_124)*coupl( &
                       nGC_210)*coupl(nGC_4)*coupl(nGC_901) - 2d0*cima*coupl(  &
                       nGC_124)*coupl(nGC_222)*coupl(nGC_3111)*coupl(nGC_4) -  &
                       2d0*cima*coupl(nGC_128)*coupl(nGC_206)*coupl(nGC_3565)* &
                       coupl(nGC_4) - 2d0*cima*coupl(nGC_128)*coupl(nGC_210)*  &
                       coupl(nGC_4)*coupl(nGC_901) - 2d0*cima*coupl(nGC_128)*  &
                       coupl(nGC_222)*coupl(nGC_3111)*coupl(nGC_4) - coupl(    &
                       nGC_102)*coupl(nGC_3)*coupl(nGC_71) + coupl(nGC_102)*   &
                       coupl(nGC_4)*coupl(nGC_71) + coupl(nGC_103)*coupl(nGC_3 &
                       )*coupl(nGC_71) - coupl(nGC_103)*coupl(nGC_4)*coupl(    &
                       nGC_71))/(16d0*pi**2d0)
    coupl(nGC_20135) = coupl(nGC_126)*dZZ_QED2/2d0 + coupl(nGC_126)*dZuL_QED2  &
                        + coupl(nGC_13503)
    coupl(nGC_21468) = coupl(nGC_19180) + coupl(nGC_21464)
    coupl(nGC_20137) = coupl(nGC_20131) + coupl(nGC_20136)
    coupl(nGC_13305) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1113)*coupl&
                       (nGC_214) - coupl(nGC_1195)*coupl(nGC_226) - coupl(     &
                       nGC_1361)*coupl(nGC_202) - coupl(nGC_194)*coupl(nGC_2063&
                       ) - coupl(nGC_198)*coupl(nGC_2353) - coupl(nGC_218)*    &
                       coupl(nGC_3275))/(16d0*pi**2d0)
    coupl(nGC_13306) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1113)*coupl(&
                       nGC_214) + coupl(nGC_1195)*coupl(nGC_226) + coupl(      &
                       nGC_1361)*coupl(nGC_202) + coupl(nGC_194)*coupl(nGC_2063&
                       ) + coupl(nGC_198)*coupl(nGC_2353) + coupl(nGC_218)*    &
                       coupl(nGC_3275))/(16d0*pi**2d0*Nc)
    coupl(nGC_24535) = coupl(nGC_13581) + coupl(nGC_24530)
    coupl(nGC_24534) = coupl(nGC_24529) + coupl(nGC_24533)
    coupl(nGC_19498) = coupl(nGC_107)*dZAZ_QED2/2d0 + coupl(nGC_13)*           &
                       dZWMinus_QED2/2d0 + coupl(nGC_13)*dZZ_QED2/2d0 + coupl( &
                       nGC_13342)
    coupl(nGC_19319) = -coupl(nGC_13433) - coupl(nGC_19318)
    coupl(nGC_19492) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_134)*dZA_QED2/  &
                       2d0 + coupl(nGC_134)*dZZ_QED2/2d0 + coupl(nGC_13477) +  &
                       coupl(nGC_141)*dZZA_QED2/2d0
    coupl(nGC_21641) = coupl(nGC_19832) + coupl(nGC_21640)
    coupl(nGC_21642) = coupl(nGC_19832) + coupl(nGC_21639)
    coupl(nGC_13235) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_123)**2d0 - 4d0*coupl(&
                       nGC_2)**2d0 - coupl(nGC_217)**2d0 - coupl(nGC_218)*coupl&
                       (nGC_3275) - coupl(nGC_219)**2d0 - coupl(nGC_220)**2d0  &
                       )/(64d0*pi**2d0*Nc)
    coupl(nGC_13236) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_126)**2d0 + coupl(     &
                       nGC_193)**2d0 + 4d0*coupl(nGC_2)**2d0 + coupl(nGC_218)* &
                       coupl(nGC_3275) + coupl(nGC_219)**2d0 + coupl(nGC_220)**&
                       2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
    coupl(nGC_19926) = coupl(nGC_13428) + coupl(nGC_211)*dZHl_QED2/2d0 + coupl(&
                       nGC_212)*dZHhHl_QED2/2d0
    coupl(nGC_13237) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_123)**2d0 + 4d0*coupl( &
                       nGC_2)**2d0 + coupl(nGC_217)**2d0 + coupl(nGC_218)*coupl&
                       (nGC_3275) + coupl(nGC_219)**2d0 + coupl(nGC_220)**2d0  &
                       )/(64d0*pi**2d0)
    coupl(nGC_13010) = (-12d0*Nc*coupl(nGC_1)*coupl(nGC_99)**2d0 + 12d0*Nc*    &
                       coupl(nGC_2)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(nGC_102&
                       )*coupl(nGC_113) + 6d0*cima*coupl(nGC_103)*coupl(nGC_113&
                       ) + 6d0*cima*coupl(nGC_3)*coupl(nGC_8) + 6d0*cima*coupl(&
                       nGC_4)*coupl(nGC_8) + 2d0*coupl(nGC_102)**2d0*coupl(    &
                       nGC_3) - 2d0*coupl(nGC_102)**2d0*coupl(nGC_4) - coupl(  &
                       nGC_102)*coupl(nGC_103)*coupl(nGC_3) + coupl(nGC_102)*  &
                       coupl(nGC_103)*coupl(nGC_4) - coupl(nGC_103)**2d0*coupl(&
                       nGC_3) + coupl(nGC_103)**2d0*coupl(nGC_4) + 2d0*coupl(  &
                       nGC_1253)*coupl(nGC_3)**2d0 + 2d0*coupl(nGC_1253)*coupl(&
                       nGC_3)*coupl(nGC_4) - 4d0*coupl(nGC_1253)*coupl(nGC_4)**&
                       2d0 - 12d0*coupl(nGC_4)*coupl(nGC_99)**2d0)/(96d0*pi**  &
                       2d0)
    coupl(nGC_21989) = -coupl(nGC_21988)
    coupl(nGC_21467) = coupl(nGC_19180) + coupl(nGC_21466)
    coupl(nGC_13014) = (-12d0*Nc*coupl(nGC_1)*coupl(nGC_99)**2d0 + 12d0*Nc*    &
                       coupl(nGC_2)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(nGC_3)*&
                       coupl(nGC_72) + 6d0*cima*coupl(nGC_4)*coupl(nGC_72) +   &
                       2d0*coupl(nGC_102)**2d0*coupl(nGC_3) + coupl(nGC_102)** &
                       2d0*coupl(nGC_4) - 4d0*coupl(nGC_102)*coupl(nGC_103)*   &
                       coupl(nGC_3) - 2d0*coupl(nGC_102)*coupl(nGC_103)*coupl( &
                       nGC_4) + 2d0*coupl(nGC_103)**2d0*coupl(nGC_3) + coupl(  &
                       nGC_103)**2d0*coupl(nGC_4) - 4d0*coupl(nGC_1253)*coupl( &
                       nGC_3)**2d0 + 2d0*coupl(nGC_1253)*coupl(nGC_3)*coupl(   &
                       nGC_4) + 2d0*coupl(nGC_1253)*coupl(nGC_4)**2d0 - 12d0*  &
                       coupl(nGC_4)*coupl(nGC_99)**2d0)/(96d0*pi**2d0)
    coupl(nGC_13015) = (-12d0*Nc*coupl(nGC_1)*coupl(nGC_99)**2d0 + 12d0*Nc*    &
                       coupl(nGC_2)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(nGC_102&
                       )*coupl(nGC_113) + 6d0*cima*coupl(nGC_103)*coupl(nGC_113&
                       ) + 2d0*coupl(nGC_102)**2d0*coupl(nGC_3) - 2d0*coupl(   &
                       nGC_102)**2d0*coupl(nGC_4) - coupl(nGC_102)*coupl(      &
                       nGC_103)*coupl(nGC_3) + coupl(nGC_102)*coupl(nGC_103)*  &
                       coupl(nGC_4) - coupl(nGC_103)**2d0*coupl(nGC_3) + coupl(&
                       nGC_103)**2d0*coupl(nGC_4) - coupl(nGC_1253)*coupl(nGC_3&
                       )**2d0 + 2d0*coupl(nGC_1253)*coupl(nGC_3)*coupl(nGC_4   &
                       ) - coupl(nGC_1253)*coupl(nGC_4)**2d0 - 12d0*coupl(nGC_4&
                       )*coupl(nGC_99)**2d0)/(96d0*pi**2d0)
    coupl(nGC_21983) = coupl(nGC_13424) + coupl(nGC_21981)
    coupl(nGC_21982) = -coupl(nGC_13424) - coupl(nGC_21981)
    coupl(nGC_20228) = coupl(nGC_13431) + coupl(nGC_211)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_212)*dZHh_QED2/2d0
    coupl(nGC_21417) = coupl(nGC_19807) + coupl(nGC_21415)
    coupl(nGC_21416) = coupl(nGC_125)*dZZ_QED2/2d0 + coupl(nGC_125)*dZsL_QED2  &
                        + coupl(nGC_13506)
    coupl(nGC_19290) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*           &
                       dZtauMinusL_QED2 + coupl(nGC_13483)
    coupl(nGC_19535) = coupl(nGC_100)*dZHl_QED2/2d0 + coupl(nGC_100)*          &
                       dZWMinus_QED2/2d0 + coupl(nGC_13461)
    coupl(nGC_19612) = coupl(nGC_19357) + coupl(nGC_19610)
    coupl(nGC_19927) = coupl(nGC_19925) + coupl(nGC_19926)
    coupl(nGC_19993) = coupl(nGC_116)*dZZA_QED2 + coupl(nGC_13343) + coupl(    &
                       nGC_9)*dZA_QED2 + coupl(nGC_9)*dZWMinus_QED2
    coupl(nGC_19992) = coupl(nGC_113)*dZZA_QED2 + coupl(nGC_13472) + coupl(    &
                       nGC_8)*dZA_QED2 + coupl(nGC_8)*dZWMinus_QED2
    coupl(nGC_19770) = coupl(nGC_19767) + coupl(nGC_19769)
    coupl(nGC_19165) = coupl(nGC_13427) + coupl(nGC_207)*dZHl_QED2/2d0 + coupl(&
                       nGC_208)*dZHhHl_QED2/2d0
    coupl(nGC_19536) = coupl(nGC_19531) + coupl(nGC_19535)
    coupl(nGC_13060) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_213) - coupl(  &
                       nGC_1113)*coupl(nGC_197)*coupl(nGC_2353) + 8d0*coupl(   &
                       nGC_122)*coupl(nGC_126)*coupl(nGC_213) - coupl(nGC_197)*&
                       coupl(nGC_199)*coupl(nGC_215) - coupl(nGC_197)*coupl(   &
                       nGC_200)*coupl(nGC_216))/(32d0*pi**2d0)
    coupl(nGC_13069) = (2d0*Nc*coupl(nGC_1113)*coupl(nGC_213)*coupl(nGC_99) +  &
                       2d0*Nc*coupl(nGC_1361)*coupl(nGC_201)*coupl(nGC_99) +   &
                       2d0*Nc*coupl(nGC_193)*coupl(nGC_2063)*coupl(nGC_99) -   &
                       2d0*Nc*coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_99) - 2d0&
                       *Nc*coupl(nGC_217)*coupl(nGC_218)*coupl(nGC_99) - 2d0*Nc&
                       *coupl(nGC_225)*coupl(nGC_226)*coupl(nGC_99) + 3d0*cima*&
                       coupl(nGC_102)*coupl(nGC_14) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_14) + 2d0*coupl(nGC_205)*coupl(nGC_3565)*coupl&
                       (nGC_99) + 2d0*coupl(nGC_209)*coupl(nGC_901)*coupl(     &
                       nGC_99) + 2d0*coupl(nGC_221)*coupl(nGC_3111)*coupl(     &
                       nGC_99))/(48d0*pi**2d0)
    coupl(nGC_25533) = coupl(nGC_TS_GC_179_Hh) + coupl(nGC_TS_GC_184_Hl)
    coupl(nGC_13249) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_99)**2d0 +   &
                       36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_99)**  &
                       2d0 - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_99)**2d0 &
                        - cima*coupl(nGC_102)**2d0*coupl(nGC_3)**2d0 + 2d0*cima&
                       *coupl(nGC_102)**2d0*coupl(nGC_3)*coupl(nGC_4) - cima*  &
                       coupl(nGC_102)**2d0*coupl(nGC_4)**2d0 + 2d0*cima*coupl( &
                       nGC_102)*coupl(nGC_103)*coupl(nGC_3)**2d0 - 4d0*cima*   &
                       coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_4  &
                       ) + 2d0*cima*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_4  &
                       )**2d0 - cima*coupl(nGC_103)**2d0*coupl(nGC_3)**2d0 +   &
                       2d0*cima*coupl(nGC_103)**2d0*coupl(nGC_3)*coupl(nGC_4   &
                       ) - cima*coupl(nGC_103)**2d0*coupl(nGC_4)**2d0 + 12d0*  &
                       cima*coupl(nGC_113)**2d0 + cima*coupl(nGC_1253)*coupl(  &
                       nGC_3)**3d0 - 3d0*cima*coupl(nGC_1253)*coupl(nGC_3)**2d0&
                       *coupl(nGC_4) + 3d0*cima*coupl(nGC_1253)*coupl(nGC_3)*  &
                       coupl(nGC_4)**2d0 - cima*coupl(nGC_1253)*coupl(nGC_4)** &
                       3d0 - cima*coupl(nGC_3)**4d0 + 3d0*cima*coupl(nGC_3)**  &
                       3d0*coupl(nGC_4) - 3d0*cima*coupl(nGC_3)**2d0*coupl(    &
                       nGC_4)**2d0 + cima*coupl(nGC_3)*coupl(nGC_4)**3d0 - 12d0&
                       *cima*coupl(nGC_4)**2d0*coupl(nGC_99)**2d0 + 12d0*cima* &
                       coupl(nGC_8)**2d0 + 6d0*coupl(nGC_102)*coupl(nGC_113)*  &
                       coupl(nGC_3) - 6d0*coupl(nGC_102)*coupl(nGC_113)*coupl( &
                       nGC_4) - 6d0*coupl(nGC_103)*coupl(nGC_113)*coupl(nGC_3  &
                       ) + 6d0*coupl(nGC_103)*coupl(nGC_113)*coupl(nGC_4) + 6d0&
                       *coupl(nGC_1253)*coupl(nGC_3)*coupl(nGC_8) - 6d0*coupl( &
                       nGC_1253)*coupl(nGC_4)*coupl(nGC_8) - 3d0*coupl(nGC_3)**&
                       2d0*coupl(nGC_8) + 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl( &
                       nGC_8) - 3d0*coupl(nGC_4)**2d0*coupl(nGC_8))/(96d0*pi** &
                       2d0)
    coupl(nGC_21273) = coupl(nGC_21269) + coupl(nGC_21272)
    coupl(nGC_19688) = -coupl(nGC_19682)
    coupl(nGC_13245) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_1113)*coupl(  &
                       nGC_214) - 4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_1361 &
                       )*coupl(nGC_202) - 4d0*Nc*cima*coupl(nGC_1)**2d0*coupl( &
                       nGC_194)*coupl(nGC_2063) - 4d0*Nc*cima*coupl(nGC_1195)* &
                       coupl(nGC_2)**2d0*coupl(nGC_226) - 4d0*Nc*cima*coupl(   &
                       nGC_198)*coupl(nGC_2)**2d0*coupl(nGC_2353) - 4d0*Nc*cima&
                       *coupl(nGC_2)**2d0*coupl(nGC_218)*coupl(nGC_3275) - 4d0*&
                       cima*coupl(nGC_206)*coupl(nGC_3565)*coupl(nGC_4)**2d0 - &
                       4d0*cima*coupl(nGC_210)*coupl(nGC_4)**2d0*coupl(nGC_901 &
                       ) - 4d0*cima*coupl(nGC_222)*coupl(nGC_3111)*coupl(nGC_4 &
                       )**2d0 + 2d0*cima*coupl(nGC_71)*coupl(nGC_9) + coupl(   &
                       nGC_3)**2d0*coupl(nGC_71) - 2d0*coupl(nGC_3)*coupl(nGC_4&
                       )*coupl(nGC_71) + coupl(nGC_4)**2d0*coupl(nGC_71))/(16d0&
                       *pi**2d0)
    coupl(nGC_21310) = coupl(nGC_20131) + coupl(nGC_21307)
    coupl(nGC_13124) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200) -     &
                       coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_216) - coupl(   &
                       nGC_199)**2d0*coupl(nGC_200) + 8d0*coupl(nGC_2)**2d0*   &
                       coupl(nGC_200) - coupl(nGC_200)**3d0 - coupl(nGC_200)*  &
                       coupl(nGC_2353)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13083) = (2d0*Nc*cMB*coupl(nGC_194)**2d0*coupl(nGC_195) + 8d0*Nc*&
                       cMB*coupl(nGC_194)*coupl(nGC_195)*coupl(nGC_2063) + 2d0*&
                       Nc*cMB*coupl(nGC_195)*coupl(nGC_2063)**2d0 + 2d0*Nc*cMC*&
                       coupl(nGC_198)**2d0*coupl(nGC_199) + 8d0*Nc*cMC*coupl(  &
                       nGC_198)*coupl(nGC_199)*coupl(nGC_2353) + 2d0*Nc*cMC*   &
                       coupl(nGC_199)*coupl(nGC_2353)**2d0 + 2d0*Nc*cMD*coupl( &
                       nGC_1361)**2d0*coupl(nGC_203) + 8d0*Nc*cMD*coupl(       &
                       nGC_1361)*coupl(nGC_202)*coupl(nGC_203) + 2d0*Nc*cMD*   &
                       coupl(nGC_202)**2d0*coupl(nGC_203) + 2d0*Nc*cMS*coupl(  &
                       nGC_1113)**2d0*coupl(nGC_215) + 8d0*Nc*cMS*coupl(       &
                       nGC_1113)*coupl(nGC_214)*coupl(nGC_215) + 2d0*Nc*cMS*   &
                       coupl(nGC_214)**2d0*coupl(nGC_215) + 2d0*Nc*cMT*coupl(  &
                       nGC_218)**2d0*coupl(nGC_219) + 8d0*Nc*cMT*coupl(nGC_218 &
                       )*coupl(nGC_219)*coupl(nGC_3275) + 2d0*Nc*cMT*coupl(    &
                       nGC_219)*coupl(nGC_3275)**2d0 + 2d0*Nc*cMU*coupl(       &
                       nGC_1195)**2d0*coupl(nGC_227) + 8d0*Nc*cMU*coupl(       &
                       nGC_1195)*coupl(nGC_226)*coupl(nGC_227) + 2d0*Nc*cMU*   &
                       coupl(nGC_226)**2d0*coupl(nGC_227) + 2d0*cME*coupl(     &
                       nGC_206)**2d0*coupl(nGC_207) + 8d0*cME*coupl(nGC_206)*  &
                       coupl(nGC_207)*coupl(nGC_3565) + 2d0*cME*coupl(nGC_207)*&
                       coupl(nGC_3565)**2d0 + 2d0*cMM*coupl(nGC_210)**2d0*coupl&
                       (nGC_211) + 8d0*cMM*coupl(nGC_210)*coupl(nGC_211)*coupl(&
                       nGC_901) + 2d0*cMM*coupl(nGC_211)*coupl(nGC_901)**2d0 + &
                       2d0*cMTA*coupl(nGC_222)**2d0*coupl(nGC_223) + 8d0*cMTA* &
                       coupl(nGC_222)*coupl(nGC_223)*coupl(nGC_3111) + 2d0*cMTA&
                       *coupl(nGC_223)*coupl(nGC_3111)**2d0 + cima*coupl(      &
                       nGC_142)*coupl(nGC_175) + 2d0*cima*coupl(nGC_162)*coupl(&
                       nGC_71))/(16d0*pi**2d0)
    coupl(nGC_13088) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_194) + 8d0*coupl(      &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_194) - coupl(nGC_193)*&
                       coupl(nGC_217)*coupl(nGC_3275) - coupl(nGC_194)**2d0*   &
                       coupl(nGC_2063) - coupl(nGC_195)**2d0*coupl(nGC_2063) - &
                       coupl(nGC_196)**2d0*coupl(nGC_2063))/(32d0*pi**2d0)
    coupl(nGC_13121) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_196) + 8d0*coupl(      &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_196) - coupl(nGC_193)*&
                       coupl(nGC_217)*coupl(nGC_220) - coupl(nGC_195)**2d0*    &
                       coupl(nGC_196) - coupl(nGC_196)**3d0 - coupl(nGC_196)*  &
                       coupl(nGC_2063)**2d0)/(32d0*pi**2d0)
    coupl(nGC_19274) = coupl(nGC_13417) + coupl(nGC_215)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_216)*dZHh_QED2/2d0
    coupl(nGC_20725) = coupl(nGC_13475) + 2d0*coupl(nGC_72)*dZWMinus_QED2
    coupl(nGC_20724) = coupl(nGC_13476) + 2d0*coupl(nGC_75)*dZWMinus_QED2
    coupl(nGC_13082) = (2d0*Nc*cMB*coupl(nGC_194)**2d0*coupl(nGC_196) + 8d0*Nc*&
                       cMB*coupl(nGC_194)*coupl(nGC_196)*coupl(nGC_2063) + 2d0*&
                       Nc*cMB*coupl(nGC_196)*coupl(nGC_2063)**2d0 + 2d0*Nc*cMC*&
                       coupl(nGC_198)**2d0*coupl(nGC_200) + 8d0*Nc*cMC*coupl(  &
                       nGC_198)*coupl(nGC_200)*coupl(nGC_2353) + 2d0*Nc*cMC*   &
                       coupl(nGC_200)*coupl(nGC_2353)**2d0 + 2d0*Nc*cMD*coupl( &
                       nGC_1361)**2d0*coupl(nGC_204) + 8d0*Nc*cMD*coupl(       &
                       nGC_1361)*coupl(nGC_202)*coupl(nGC_204) + 2d0*Nc*cMD*   &
                       coupl(nGC_202)**2d0*coupl(nGC_204) + 2d0*Nc*cMS*coupl(  &
                       nGC_1113)**2d0*coupl(nGC_216) + 8d0*Nc*cMS*coupl(       &
                       nGC_1113)*coupl(nGC_214)*coupl(nGC_216) + 2d0*Nc*cMS*   &
                       coupl(nGC_214)**2d0*coupl(nGC_216) + 2d0*Nc*cMT*coupl(  &
                       nGC_218)**2d0*coupl(nGC_220) + 8d0*Nc*cMT*coupl(nGC_218 &
                       )*coupl(nGC_220)*coupl(nGC_3275) + 2d0*Nc*cMT*coupl(    &
                       nGC_220)*coupl(nGC_3275)**2d0 + 2d0*Nc*cMU*coupl(       &
                       nGC_1195)**2d0*coupl(nGC_228) + 8d0*Nc*cMU*coupl(       &
                       nGC_1195)*coupl(nGC_226)*coupl(nGC_228) + 2d0*Nc*cMU*   &
                       coupl(nGC_226)**2d0*coupl(nGC_228) + 2d0*cME*coupl(     &
                       nGC_206)**2d0*coupl(nGC_208) + 8d0*cME*coupl(nGC_206)*  &
                       coupl(nGC_208)*coupl(nGC_3565) + 2d0*cME*coupl(nGC_208)*&
                       coupl(nGC_3565)**2d0 + 2d0*cMM*coupl(nGC_210)**2d0*coupl&
                       (nGC_212) + 8d0*cMM*coupl(nGC_210)*coupl(nGC_212)*coupl(&
                       nGC_901) + 2d0*cMM*coupl(nGC_212)*coupl(nGC_901)**2d0 + &
                       2d0*cMTA*coupl(nGC_222)**2d0*coupl(nGC_224) + 8d0*cMTA* &
                       coupl(nGC_222)*coupl(nGC_224)*coupl(nGC_3111) + 2d0*cMTA&
                       *coupl(nGC_224)*coupl(nGC_3111)**2d0 + cima*coupl(      &
                       nGC_142)*coupl(nGC_178) + 2d0*cima*coupl(nGC_165)*coupl(&
                       nGC_71))/(16d0*pi**2d0)
    coupl(nGC_13087) = coupl(nGC_19)**2d0*coupl(nGC_2063)*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13086) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_2063) + 8d0*coupl(     &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_2063) - coupl(nGC_193 &
                       )*coupl(nGC_217)*coupl(nGC_218) - coupl(nGC_194)*coupl( &
                       nGC_195)**2d0 - coupl(nGC_194)*coupl(nGC_196)**2d0 -    &
                       coupl(nGC_194)*coupl(nGC_2063)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13085) = (Nc*coupl(nGC_1113)*coupl(nGC_122)*coupl(nGC_215) - Nc* &
                       coupl(nGC_1113)*coupl(nGC_125)*coupl(nGC_215) + Nc*coupl&
                       (nGC_1195)*coupl(nGC_123)*coupl(nGC_227) - Nc*coupl(    &
                       nGC_1195)*coupl(nGC_126)*coupl(nGC_227) + Nc*coupl(     &
                       nGC_122)*coupl(nGC_1361)*coupl(nGC_203) - Nc*coupl(     &
                       nGC_122)*coupl(nGC_194)*coupl(nGC_195) + Nc*coupl(      &
                       nGC_122)*coupl(nGC_195)*coupl(nGC_2063) - Nc*coupl(     &
                       nGC_122)*coupl(nGC_202)*coupl(nGC_203) - Nc*coupl(      &
                       nGC_122)*coupl(nGC_214)*coupl(nGC_215) - Nc*coupl(      &
                       nGC_123)*coupl(nGC_198)*coupl(nGC_199) + Nc*coupl(      &
                       nGC_123)*coupl(nGC_199)*coupl(nGC_2353) - Nc*coupl(     &
                       nGC_123)*coupl(nGC_218)*coupl(nGC_219) + Nc*coupl(      &
                       nGC_123)*coupl(nGC_219)*coupl(nGC_3275) - Nc*coupl(     &
                       nGC_123)*coupl(nGC_226)*coupl(nGC_227) - Nc*coupl(      &
                       nGC_125)*coupl(nGC_1361)*coupl(nGC_203) + Nc*coupl(     &
                       nGC_125)*coupl(nGC_194)*coupl(nGC_195) - Nc*coupl(      &
                       nGC_125)*coupl(nGC_195)*coupl(nGC_2063) + Nc*coupl(     &
                       nGC_125)*coupl(nGC_202)*coupl(nGC_203) + Nc*coupl(      &
                       nGC_125)*coupl(nGC_214)*coupl(nGC_215) + Nc*coupl(      &
                       nGC_126)*coupl(nGC_198)*coupl(nGC_199) - Nc*coupl(      &
                       nGC_126)*coupl(nGC_199)*coupl(nGC_2353) + Nc*coupl(     &
                       nGC_126)*coupl(nGC_218)*coupl(nGC_219) - Nc*coupl(      &
                       nGC_126)*coupl(nGC_219)*coupl(nGC_3275) + Nc*coupl(     &
                       nGC_126)*coupl(nGC_226)*coupl(nGC_227) - coupl(nGC_124)*&
                       coupl(nGC_206)*coupl(nGC_207) + coupl(nGC_124)*coupl(   &
                       nGC_207)*coupl(nGC_3565) - coupl(nGC_124)*coupl(nGC_210 &
                       )*coupl(nGC_211) + coupl(nGC_124)*coupl(nGC_211)*coupl( &
                       nGC_901) - coupl(nGC_124)*coupl(nGC_222)*coupl(nGC_223  &
                       ) + coupl(nGC_124)*coupl(nGC_223)*coupl(nGC_3111) +     &
                       coupl(nGC_128)*coupl(nGC_206)*coupl(nGC_207) - coupl(   &
                       nGC_128)*coupl(nGC_207)*coupl(nGC_3565) + coupl(nGC_128 &
                       )*coupl(nGC_210)*coupl(nGC_211) - coupl(nGC_128)*coupl( &
                       nGC_211)*coupl(nGC_901) + coupl(nGC_128)*coupl(nGC_222)*&
                       coupl(nGC_223) - coupl(nGC_128)*coupl(nGC_223)*coupl(   &
                       nGC_3111))/(24d0*pi**2d0)
    coupl(nGC_13084) = (Nc*coupl(nGC_1113)*coupl(nGC_122)*coupl(nGC_216) - Nc* &
                       coupl(nGC_1113)*coupl(nGC_125)*coupl(nGC_216) + Nc*coupl&
                       (nGC_1195)*coupl(nGC_123)*coupl(nGC_228) - Nc*coupl(    &
                       nGC_1195)*coupl(nGC_126)*coupl(nGC_228) + Nc*coupl(     &
                       nGC_122)*coupl(nGC_1361)*coupl(nGC_204) - Nc*coupl(     &
                       nGC_122)*coupl(nGC_194)*coupl(nGC_196) + Nc*coupl(      &
                       nGC_122)*coupl(nGC_196)*coupl(nGC_2063) - Nc*coupl(     &
                       nGC_122)*coupl(nGC_202)*coupl(nGC_204) - Nc*coupl(      &
                       nGC_122)*coupl(nGC_214)*coupl(nGC_216) - Nc*coupl(      &
                       nGC_123)*coupl(nGC_198)*coupl(nGC_200) + Nc*coupl(      &
                       nGC_123)*coupl(nGC_200)*coupl(nGC_2353) - Nc*coupl(     &
                       nGC_123)*coupl(nGC_218)*coupl(nGC_220) + Nc*coupl(      &
                       nGC_123)*coupl(nGC_220)*coupl(nGC_3275) - Nc*coupl(     &
                       nGC_123)*coupl(nGC_226)*coupl(nGC_228) - Nc*coupl(      &
                       nGC_125)*coupl(nGC_1361)*coupl(nGC_204) + Nc*coupl(     &
                       nGC_125)*coupl(nGC_194)*coupl(nGC_196) - Nc*coupl(      &
                       nGC_125)*coupl(nGC_196)*coupl(nGC_2063) + Nc*coupl(     &
                       nGC_125)*coupl(nGC_202)*coupl(nGC_204) + Nc*coupl(      &
                       nGC_125)*coupl(nGC_214)*coupl(nGC_216) + Nc*coupl(      &
                       nGC_126)*coupl(nGC_198)*coupl(nGC_200) - Nc*coupl(      &
                       nGC_126)*coupl(nGC_200)*coupl(nGC_2353) + Nc*coupl(     &
                       nGC_126)*coupl(nGC_218)*coupl(nGC_220) - Nc*coupl(      &
                       nGC_126)*coupl(nGC_220)*coupl(nGC_3275) + Nc*coupl(     &
                       nGC_126)*coupl(nGC_226)*coupl(nGC_228) - coupl(nGC_124)*&
                       coupl(nGC_206)*coupl(nGC_208) + coupl(nGC_124)*coupl(   &
                       nGC_208)*coupl(nGC_3565) - coupl(nGC_124)*coupl(nGC_210 &
                       )*coupl(nGC_212) + coupl(nGC_124)*coupl(nGC_212)*coupl( &
                       nGC_901) - coupl(nGC_124)*coupl(nGC_222)*coupl(nGC_224  &
                       ) + coupl(nGC_124)*coupl(nGC_224)*coupl(nGC_3111) +     &
                       coupl(nGC_128)*coupl(nGC_206)*coupl(nGC_208) - coupl(   &
                       nGC_128)*coupl(nGC_208)*coupl(nGC_3565) + coupl(nGC_128 &
                       )*coupl(nGC_210)*coupl(nGC_212) - coupl(nGC_128)*coupl( &
                       nGC_212)*coupl(nGC_901) + coupl(nGC_128)*coupl(nGC_222)*&
                       coupl(nGC_224) - coupl(nGC_128)*coupl(nGC_224)*coupl(   &
                       nGC_3111))/(24d0*pi**2d0)
    coupl(nGC_19600) = coupl(nGC_13412) + coupl(nGC_19597)
    coupl(nGC_23126) = coupl(nGC_23120) + coupl(nGC_23125)
    coupl(nGC_20151) = coupl(nGC_19357) + coupl(nGC_20150)
    coupl(nGC_13037) = (coupl(nGC_1)*coupl(nGC_193)**2d0 + 4d0*coupl(nGC_1)*   &
                       coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**2d0*coupl(nGC_2&
                       ) + 4d0*coupl(nGC_2)**3d0 + coupl(nGC_2)*coupl(nGC_218)*&
                       coupl(nGC_3275) + coupl(nGC_2)*coupl(nGC_219)**2d0 +    &
                       coupl(nGC_2)*coupl(nGC_220)**2d0 + coupl(nGC_3)*coupl(  &
                       nGC_99)**2d0 - coupl(nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi&
                       **2d0)
    coupl(nGC_19422) = coupl(nGC_13487) + coupl(nGC_154)*dZWMinus_QED2/2d0 +   &
                       coupl(nGC_154)*dZZ_QED2/2d0 + coupl(nGC_166)*dZAZ_QED2/ &
                       2d0 + coupl(nGC_TS_GC_15_Hl) + coupl(nGC_TS_GC_27_Hh)
    coupl(nGC_22949) = coupl(nGC_19180) + coupl(nGC_22946)
    coupl(nGC_19264) = coupl(nGC_113)*dZA_QED2/2d0 + coupl(nGC_113)*           &
                       dZWMinus_QED2 + coupl(nGC_113)*dZZ_QED2/2d0 + coupl(    &
                       nGC_13488) + coupl(nGC_8)*dZAZ_QED2/2d0 + coupl(nGC_84)*&
                       dZZA_QED2/2d0
    coupl(nGC_13332) = (-Nc*cima*coupl(nGC_20)*coupl(nGC_7875) + Nc*cima*coupl(&
                       nGC_3423)**4d0*sq2**4d0 - Nc*cima*coupl(nGC_721)*coupl( &
                       nGC_7875) + Nc*coupl(nGC_20)*coupl(nGC_3423)**2d0*sq2** &
                       2d0 + Nc*coupl(nGC_3423)**2d0*coupl(nGC_721)*sq2**2d0 + &
                       Nc*coupl(nGC_3423)**2d0*coupl(nGC_7875)*sq2**2d0 - cima*&
                       coupl(nGC_19)**4d0*sq2**4d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_19124) = coupl(nGC_13463) + coupl(nGC_71)*dZWMinus_QED2
    coupl(nGC_20534) = coupl(nGC_131)*dZHlHh_QED2/2d0 + coupl(nGC_13480) +     &
                       coupl(nGC_136)*dZHh_QED2/2d0 + coupl(nGC_136)*dZZ_QED2/ &
                       2d0
    coupl(nGC_13139) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_220) -     &
                       coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_217) + 8d0*coupl&
                       (nGC_2)**2d0*coupl(nGC_220) - coupl(nGC_219)**2d0*coupl(&
                       nGC_220) - coupl(nGC_220)**3d0 - coupl(nGC_220)*coupl(  &
                       nGC_3275)**2d0)/(32d0*pi**2d0)
    coupl(nGC_19503) = coupl(nGC_13502) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                       coupl(nGC_99)*dZdL_QED2/2d0 + coupl(nGC_99)*dZuL_QED2/  &
                       2d0
    coupl(nGC_21309) = coupl(nGC_20131) + coupl(nGC_21308)
    coupl(nGC_20432) = coupl(nGC_125)*dZZ_QED2/2d0 + coupl(nGC_125)*dZdL_QED2  &
                        + coupl(nGC_13506)
    coupl(nGC_20433) = coupl(nGC_19807) + coupl(nGC_20431)
    coupl(nGC_20434) = coupl(nGC_19807) + coupl(nGC_20432)
    coupl(nGC_19404) = coupl(nGC_13450) + coupl(nGC_19399)
    coupl(nGC_20842) = coupl(nGC_13502) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                       coupl(nGC_99)*dZeMinusL_QED2/2d0 + coupl(nGC_99)*       &
                       dZnu_eL_QED2/2d0
    coupl(nGC_30547) = -coupl(nGC_13084)
    coupl(nGC_22043) = coupl(nGC_22038) - coupl(nGC_22042)
    coupl(nGC_19347) = coupl(nGC_13356) + coupl(nGC_144)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_147)*dZHh_QED2/2d0 + coupl(nGC_147)*dZHl_QED2/&
                       2d0 + coupl(nGC_150)*dZHhHl_QED2/2d0
    coupl(nGC_23194) = coupl(nGC_13586) + coupl(nGC_TS_GC_195_Hl) + coupl(     &
                       nGC_TS_GC_196_Hh)
    coupl(nGC_23195) = coupl(nGC_23190) + coupl(nGC_23194)
    coupl(nGC_20078) = -coupl(nGC_20074) + coupl(nGC_20076)
    coupl(nGC_20773) = coupl(nGC_20131) + coupl(nGC_20770)
    coupl(nGC_31827) = -coupl(nGC_13085)
    coupl(nGC_21043) = coupl(nGC_19284) + coupl(nGC_21041)
    coupl(nGC_21418) = coupl(nGC_19807) + coupl(nGC_21416)
    coupl(nGC_22814) = coupl(nGC_19284) + coupl(nGC_22812)
    coupl(nGC_19166) = coupl(nGC_19164) + coupl(nGC_19165)
    coupl(nGC_20229) = coupl(nGC_20227) + coupl(nGC_20228)
    coupl(nGC_19817) = coupl(nGC_19807) + coupl(nGC_19815)
    coupl(nGC_19537) = coupl(nGC_19532) - coupl(nGC_19535)
    coupl(nGC_20138) = coupl(nGC_20131) + coupl(nGC_20135)
    coupl(nGC_19275) = coupl(nGC_19272) + coupl(nGC_19274)
    coupl(nGC_19292) = coupl(nGC_19284) + coupl(nGC_19290)
    coupl(nGC_19443) = coupl(nGC_19440) + coupl(nGC_19442)
    coupl(nGC_19599) = coupl(nGC_19596) + coupl(nGC_19598)
  end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
